﻿Namespace Common
	''' <summary>
	''' 数字に関するユーティリティクラス
	''' </summary>
	''' <remarks>
	''' Copyright 2007 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
	''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	Public Class NumberUtil
		''' -----------------------------------------------------------------
		''' <summary>
		''' 値の小数点以下の桁数を指定して四捨五入する
		''' </summary>
		''' <param name="value">値</param>
		''' <param name="digits">小数点以下の桁数</param>
		''' <returns>四捨五入した値</returns>
		''' <remarks>
		''' 2007/11/29 新規作成 U-Tech)篠崎
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Shared Function round(ByVal value As Double, ByVal digits As Integer) As Decimal
			digits = CInt(10 ^ digits)
			If value = 0 Then
				round = 0
			ElseIf value > 0 Then
				round = CDec(Int(value * digits + 0.5) / digits)
			Else
				round = -CDec(Int(-value * digits + 0.5) / digits)
			End If
		End Function

		''' -----------------------------------------------------------------
		''' <summary>
		''' 値の小数点以下を四捨五入する
		''' </summary>
		''' <param name="value">値</param>
		''' <returns>四捨五入した値</returns>
		''' <remarks>
		''' 2007/11/29 新規作成 U-Tech)篠崎
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Shared Function round(ByVal value As Double) As Long
			If value = 0 Then
				round = 0
			ElseIf value > 0 Then
				round = CLng(Int(value + 0.5))
			Else
				round = -CLng(Int(-value + 0.5))
			End If
		End Function
	End Class
End Namespace
