﻿Imports System.Drawing
Imports System.Windows.Forms
Imports System.Windows.Forms.VisualStyles
Imports System.ComponentModel

'''---------------------------------------------
''' <summary>
''' データグリッドViewカスタムコントロール（イメージボタン）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class BT_DataGridView

'(D) STR V4-14030-000 003 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'	Public Shared _Image As Image = Nothing
'(D) END V4-14030-000 003 20130605

'(A) STR V4-14030-000 021 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/05/31 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		' DoubleBuffer = True
		Dim typ As Type = GetType(DataGridView)
		Dim pInfo As Reflection.PropertyInfo = typ.GetProperty("DoubleBuffered", Reflection.BindingFlags.Instance Or Reflection.BindingFlags.NonPublic)
		pInfo.SetValue(Me, True, Nothing)
	End Sub
'(A) END V4-14030-000 021 20130605

	''' <summary>
	''' 描画
	''' </summary>
	''' <param name="e"></param>
	''' <remarks></remarks>
	Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
		MyBase.OnPaint(e)
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' イメージボタン列クラス
	''' </summary>
	''' <remarks>
	''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
	''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Class DataGridViewImageButtonColumn
		Inherits DataGridViewButtonColumn

#Region "変数"

		Private _imageidx As clsBmp.Enum_BmpType = clsBmp.Enum_BmpType.OpenFolder

#End Region

#Region "コンストラクタ"

		'''---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <remarks></remarks>
		'''---------------------------------------------
		Public Sub New()
			Me.Width = 24
			Me.CellTemplate = New DataGridViewImageButtonCell()
		End Sub

#End Region

#Region "プロパティ"

		'''---------------------------------------------
		''' <summary>
		''' イメージ種別設定
		''' </summary>
		''' <value>イメージ種別</value>
		''' <returns>イメージ種別</returns>
		''' <remarks></remarks>
		'''---------------------------------------------
		<Browsable(True), _
		  Description("イメージ種別設定"), _
		  DefaultValue(clsBmp.Enum_BmpType.OpenFolder), _
		  Category("カスタムプロパティ")> _
		Public Property ImageIdx As clsBmp.Enum_BmpType
			Get
				Return (_imageidx)
			End Get
			Set(ByVal value As clsBmp.Enum_BmpType)
				_imageidx = value
				CType(Me.CellTemplate, DataGridViewImageButtonCell).ImageIdx = value
				Dim clibmp As New clsBmp
'(M) STR V4-14030-000 018 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
				'Try
				'	_Image = clibmp.getBmp(value)
				'Catch ex As Exception
				'Finally
				'	clibmp = Nothing
				'	Img = Nothing
				'End Try
				Dim Img As Bitmap
				Try
					'clsSysMst.HaIconにロード
					Img = clibmp.getBmp(value)
				Catch ex As Exception
				Finally
					clibmp = Nothing
					Img = Nothing
				End Try
'(M) END V4-14030-000 018 20130605
			End Set
		End Property

#End Region

#Region "オーバーライドメソッド"

		'''---------------------------------------------
		''' <summary>
		''' セルのコピー
		''' </summary>
		''' <returns>セル</returns>
		''' <remarks></remarks>
		'''---------------------------------------------
		Public Overrides Function Clone() As Object
			Try
				Dim clm As DataGridViewImageButtonColumn = CType(MyBase.Clone(), DataGridViewImageButtonColumn)
				clm.ImageIdx = Me._imageidx
				Return clm
			Catch ex As Exception
			End Try
			Return Nothing
		End Function

#End Region

	End Class

	'''---------------------------------------------
	''' <summary>
	''' イメージボタンクラス
	''' </summary>
	''' <remarks>
	''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
	''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Class DataGridViewImageButtonCell
		Inherits DataGridViewButtonCell

'(A) STR V4-14030-000 008 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
#Region "コンスタント"
		'イメージ幅、高さ
		Private Const CST_IMAGE_LENGTH As Integer = 16
		'ボタン幅、高さ
		Private Const CST_BUTTON_LENGTH As Integer = 24
#End Region
'(A) END V4-14030-000 008 20130605

#Region "変数"
		Private _imageidx As clsBmp.Enum_BmpType = clsBmp.Enum_BmpType.OpenFolder
'(A) STR V4-14030-000 003 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
		Private _Enabled As Boolean = True
'(A) END V4-14030-000 003 20130605
#End Region

#Region "コンストラクタ"

		'''---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <remarks></remarks>
		'''---------------------------------------------
		Public Sub New()
		End Sub

#End Region

#Region "プロパティ"

		'''---------------------------------------------
		''' <summary>
		''' イメージ種別設定
		''' </summary>
		''' <value>イメージ種別</value>
		''' <returns>イメージ種別</returns>
		''' <remarks></remarks>
		'''---------------------------------------------
		<Browsable(True), _
		  Description("イメージ種別設定"), _
		  DefaultValue(clsBmp.Enum_BmpType.OpenFolder), _
		  Category("カスタムプロパティ")> _
		Public Property ImageIdx As clsBmp.Enum_BmpType
			Get
				Return (_imageidx)
			End Get
			Set(ByVal value As clsBmp.Enum_BmpType)
				_imageidx = value
			End Set
		End Property

'(A) STR V4-14030-000 025 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
		'''---------------------------------------------
		''' <summary>
		''' 使用可／不可を設定、取得します。
		''' </summary>
		''' <value>使用可／不可</value>
		''' <returns>使用可／不可</returns>
		''' <remarks>
		''' 2013/06/05 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		<Browsable(True), _
		  Description("使用可／不可を設定、取得します。"), _
		  DefaultValue(True), _
		  Category("カスタムプロパティ")> _
		Public Property Enabled As Boolean
			Get
				Return _Enabled
			End Get
			Set(value As Boolean)
				_Enabled = value
				DataGridView.InvalidateCell(Me)
			End Set
		End Property
'(A) END V4-14030-000 025 20130605
#End Region

#Region "オーバーライドメソッド"

		'''---------------------------------------------
		''' <summary>
		''' セルのコピー
		''' </summary>
		''' <returns>セル</returns>
		''' <remarks></remarks>
		'''---------------------------------------------
		Public Overrides Function Clone() As Object
			Try
				Dim clm As DataGridViewImageButtonCell = CType(MyBase.Clone(), DataGridViewImageButtonCell)
				clm.ImageIdx = Me._imageidx
				Return clm
			Catch ex As Exception
			End Try
			Return Nothing
		End Function

		'''---------------------------------------------
		''' <summary>
		''' 描画
		''' </summary>
		''' <param name="graphics"></param>
		''' <param name="clipBounds"></param>
		''' <param name="cellBounds"></param>
		''' <param name="rowIndex"></param>
		''' <param name="elementState"></param>
		''' <param name="value"></param>
		''' <param name="formattedValue"></param>
		''' <param name="errorText"></param>
		''' <param name="cellStyle"></param>
		''' <param name="advancedBorderStyle"></param>
		''' <param name="paintParts"></param>
		''' <remarks></remarks>
		'''---------------------------------------------
		Protected Overrides Sub Paint(ByVal graphics As Graphics, _
		 ByVal clipBounds As Rectangle, ByVal cellBounds As Rectangle, _
		 ByVal rowIndex As Integer, _
		 ByVal elementState As DataGridViewElementStates, _
		 ByVal value As Object, ByVal formattedValue As Object, _
		 ByVal errorText As String, _
		 ByVal cellStyle As DataGridViewCellStyle, _
		 ByVal advancedBorderStyle As DataGridViewAdvancedBorderStyle, _
		 ByVal paintParts As DataGridViewPaintParts)
			If Me._imageidx <> clsBmp.Enum_BmpType.None Then
'(M) STR V4-14030-000 038 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
				'Dim cb As Rectangle = cellBounds
				'cb.Inflate(-4, -2)

				''自分の領域にあって左クリックをされた場合のみクリックされた状態のイメージを適用する
				'If MouseButtons = Windows.Forms.MouseButtons.Left AndAlso _
				' Me.RowIndex = Me.DataGridView.CurrentCell.RowIndex AndAlso _
				' Me.ColumnIndex = Me.DataGridView.CurrentCell.ColumnIndex Then

				'	ButtonRenderer.DrawButton(graphics, cellBounds, _Image, cb, False, PushButtonState.Pressed)
				'	Exit Sub

				'End If
				''それ以外はそべてボタンが浮き上がったイメージを適用する
				'ButtonRenderer.DrawButton(graphics, cellBounds, _Image, cb, False, PushButtonState.Hot)
				'イメージサイズ計算
				Dim cb As Rectangle = cellBounds
				cb.Inflate(Int((CST_IMAGE_LENGTH - cellBounds.Width) / 2), Int((CST_IMAGE_LENGTH - cellBounds.Height) / 2))
				'ボタンサイズ計算
				Dim cbButton As Rectangle = cellBounds
				cbButton.Inflate(Int((CST_BUTTON_LENGTH - cellBounds.Width) / 2), Int((CST_BUTTON_LENGTH - cellBounds.Height) / 2))
				'背景色、境界線描画
				graphics.FillRectangle(New SolidBrush(cellStyle.BackColor), cellBounds)
				Me.PaintBorder(graphics, clipBounds, cellBounds, cellStyle, advancedBorderStyle)
				'自分の領域にあって左クリックをされた場合のみクリックされた状態のイメージを適用する
				If Not _Enabled Then
					'使用不可描画
					ButtonRenderer.DrawButton(graphics, cbButton, clsSysMst.haIcon(CType(ImageIdx, clsBmp.Enum_BmpType)), cb, False, PushButtonState.Disabled)
				ElseIf MouseButtons = Windows.Forms.MouseButtons.Left AndAlso _
					Me.RowIndex = Me.DataGridView.CurrentCell.RowIndex AndAlso _
					Me.ColumnIndex = Me.DataGridView.CurrentCell.ColumnIndex Then
					'クリック状態描画
					ButtonRenderer.DrawButton(graphics, cbButton, clsSysMst.haIcon(CType(ImageIdx, clsBmp.Enum_BmpType)), cb, False, PushButtonState.Pressed)
				Else
					'それ以外はそべてボタンが浮き上がったイメージを適用する
					ButtonRenderer.DrawButton(graphics, cbButton, clsSysMst.haIcon(CType(ImageIdx, clsBmp.Enum_BmpType)), cb, False, PushButtonState.Normal)
				End If
'(M) END V4-14030-000 038 20130605
			End If
		End Sub

#End Region

	End Class
End Class
