﻿Imports System.ComponentModel
'''---------------------------------------------
''' <summary>
''' Ｌｉｋｅ検索一致条件ユーザーコントロール
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class BT_Like

#Region "変数"

	'''----------------------------------------
	''' <summary>
	''' 一致条件
	''' </summary>
	''' <remarks>
	''' 2010/11/04 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''----------------------------------------
	Public Enum Enum_MatchingCriteria As Integer			'一致条件
		'''----------------------------------------
		''' <summary>未選択</summary>
		'''----------------------------------------
		NoSelected = 0		'未選択
		'''----------------------------------------
		''' <summary>前方一致</summary>
		'''----------------------------------------
		PrefixMatch = 1		'前方一致
		'''----------------------------------------
		''' <summary>後方一致</summary>
		'''----------------------------------------
		BackwardMatch = 2	'後方一致
		'''----------------------------------------
		''' <summary>部分一致</summary>
		'''----------------------------------------
		BroadMatch = 3		'部分一致
		'''----------------------------------------
		''' <summary>完全一致</summary>
		'''----------------------------------------
		ExactMatch = 4		'完全一致
	End Enum

    Private _caninput As Boolean = True                     'True:入力可(通常表示),False:入力不可(ラベル表示)
	Private _comment As String = Nothing					'日本語での項目説明(検索条件保存で利用)
	Private _linknextfocuscontrol As String = Nothing		'選択が変更されたときに移動するコントロール

#End Region

#Region "プロパティ"

	'''----------------------------------------
	''' <summary>
	''' 一致条件
	''' </summary>
	''' <value>一致条件</value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/08/10 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(False), _
	Description("一致条件 PrefixMatch:前方一致,BackwardMatch:後方一致,BroadMatch:部分一致,ExactMatch:完全一致,NoSelected:未選択"), _
	  DefaultValue(GetType(Enum_MatchingCriteria), "PrefixMatch"), _
	 Category("カスタムプロパティ")> _
	Public Property MatchingCriteria() As Enum_MatchingCriteria
		Get
			Select Case True
				Case Me.rdo002BT_LIKE.Checked = True
					Return (Enum_MatchingCriteria.PrefixMatch)
				Case Me.rdo003BT_LIKE.Checked = True
					Return (Enum_MatchingCriteria.BackwardMatch)
				Case Me.rdo004BT_LIKE.Checked = True
					Return (Enum_MatchingCriteria.BroadMatch)
				Case Me.rdo005BT_LIKE.Checked = True
					Return (Enum_MatchingCriteria.ExactMatch)
				Case Else
					Return (Enum_MatchingCriteria.NoSelected)
			End Select
		End Get
		Set(ByVal value As Enum_MatchingCriteria)
			Select Case value
				Case Enum_MatchingCriteria.NoSelected
					Me.rdo002BT_LIKE.Checked = False
					Me.rdo003BT_LIKE.Checked = False
					Me.rdo004BT_LIKE.Checked = False
					Me.rdo005BT_LIKE.Checked = False
				Case Enum_MatchingCriteria.PrefixMatch
					Me.rdo002BT_LIKE.Checked = True
					Me.rdo003BT_LIKE.Checked = False
					Me.rdo004BT_LIKE.Checked = False
					Me.rdo005BT_LIKE.Checked = False
				Case Enum_MatchingCriteria.BackwardMatch
					Me.rdo002BT_LIKE.Checked = False
					Me.rdo003BT_LIKE.Checked = True
					Me.rdo004BT_LIKE.Checked = False
					Me.rdo005BT_LIKE.Checked = False
				Case Enum_MatchingCriteria.BroadMatch
					Me.rdo002BT_LIKE.Checked = False
					Me.rdo003BT_LIKE.Checked = False
					Me.rdo004BT_LIKE.Checked = True
					Me.rdo005BT_LIKE.Checked = False
				Case Enum_MatchingCriteria.ExactMatch
					Me.rdo002BT_LIKE.Checked = False
					Me.rdo003BT_LIKE.Checked = False
					Me.rdo004BT_LIKE.Checked = False
					Me.rdo005BT_LIKE.Checked = True
			End Select
		End Set
	End Property

	'''----------------------------------------
	''' <summary>
	''' 入力可・不可設定
	''' </summary>
	''' <value>True:入力可，False:入力不可</value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/08/10 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(True), _
	Description("True:入力可，False:入力不可"), _
	DefaultValue(True), _
	Category("カスタムプロパティ")> _
	Public Property CanInput() As Boolean
		Get
			Return (_caninput)
		End Get
		Set(ByVal value As Boolean)
			_caninput = value
			If Me.DesignMode = False Then
				If _caninput = True Then				'入力可の場合
					Me.rdo002BT_LIKE.AutoCheck = True
					Me.rdo003BT_LIKE.AutoCheck = True
					Me.rdo004BT_LIKE.AutoCheck = True
					Me.rdo005BT_LIKE.AutoCheck = True
					Me.rdo002BT_LIKE.TabStop = True
					Me.rdo003BT_LIKE.TabStop = True
					Me.rdo004BT_LIKE.TabStop = True
					Me.rdo005BT_LIKE.TabStop = True
				Else									'入力不可の場合
					Me.rdo002BT_LIKE.AutoCheck = False
					Me.rdo003BT_LIKE.AutoCheck = False
					Me.rdo004BT_LIKE.AutoCheck = False
					Me.rdo005BT_LIKE.AutoCheck = False
					Me.rdo002BT_LIKE.TabStop = False
					Me.rdo003BT_LIKE.TabStop = False
					Me.rdo004BT_LIKE.TabStop = False
					Me.rdo005BT_LIKE.TabStop = False
				End If
			End If
		End Set
	End Property

	'''----------------------------------------
	''' <summary>
	''' 項目説明
	''' </summary>
	''' <value>項目説明</value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/08/10 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(True), _
	Description("項目説明"), _
	DefaultValue(vbNullString), _
	Category("カスタムプロパティ")> _
	Public Property Comment() As String
		Get
			Return (_comment)
		End Get
		Set(ByVal value As String)
			_comment = value
		End Set
	End Property

	'''---------------------------------------------
	''' <summary>
	''' 選択変更後、自動選択するコントロール名
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2011/05/28 新規作成　FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	<Description("選択変更後、自動選択するコントロールを指定します。"), _
	 DefaultValue(vbNullString), _
	 Category("カスタムプロパティ")> _
	Public Property LinkNextFocusControl() As String
		Get
			Return _linknextfocuscontrol
		End Get
		Set(ByVal value As String)
			_linknextfocuscontrol = value
		End Set
	End Property

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' LinkNextFocusControlのフォーカス設定
	''' </summary>
	''' <remarks>
	''' 2011/05/28 新規作成　FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setLinkNextFocusControl()
		Try
			If Me.Visible = True AndAlso Me.Enabled = True AndAlso Me.CanInput = True AndAlso _
			Me.IsDisposed = False AndAlso Me.DesignMode = False AndAlso _
			Me.Parent IsNot Nothing AndAlso String.IsNullOrEmpty(_linknextfocuscontrol) = False Then		  'Link先が設定されている場合
				Dim ctl As Control() = Me.Parent.Controls.Find(_linknextfocuscontrol, True)		'コントロールを取得
				If ctl.Length > 0 Then									'コントロールが見つかった場合
					ctl(0).Select()
					ctl(0).Focus()
				Else
					If Me.TopLevelControl IsNot Nothing Then
						'一つ上のコントロールを検索してない場合はTopLevelContorol階層まで登る
						ctl = Me.TopLevelControl.Controls.Find(_linknextfocuscontrol, True)
						If ctl.Length > 0 Then
							ctl(0).Select()
							ctl(0).Focus()
						End If
					End If
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "イベント"

	'ラジオボタン変更時のイベント
	Public Event SelectChanged(ByVal Sender As Object, ByVal e As System.EventArgs)

	'''----------------------------------------
	''' <summary>
	''' ラジオボタン変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/14 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''----------------------------------------
	Private Sub rdo002BT_LIKE_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdo002BT_LIKE.CheckedChanged, _
			 rdo003BT_LIKE.CheckedChanged, _
			 rdo004BT_LIKE.CheckedChanged, _
			 rdo005BT_LIKE.CheckedChanged
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "rdo002BT_LIKE_CheckedChanged", "ラジオボタン変更時 Start")
		End If
		Try
			'イベント発生
			If Not Me.DesignMode AndAlso CType(sender, Windows.Forms.RadioButton).Checked Then
				Me.setLinkNextFocusControl()
				RaiseEvent SelectChanged(sender, e)
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	'''----------------------------------------
	''' <summary>
	''' 矢印キーを押下できないようにする
	''' </summary>
	''' <param name="kevent"></param>
	''' <remarks>
	''' 2010/10/14 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''----------------------------------------
	Private Sub rdo002BT_LIKE_OnAllowKeyDown(ByVal kevent As System.Windows.Forms.KeyEventArgs) Handles rdo002BT_LIKE.OnAllowKeyDown, _
	 rdo003BT_LIKE.OnAllowKeyDown, _
	 rdo004BT_LIKE.OnAllowKeyDown, _
	 rdo005BT_LIKE.OnAllowKeyDown
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "rdo002BT_LIKE_CheckedChanged", "ラジオボタン変更時 Start")
		End If
		Try
			'矢印キーを押下できないようにするのは
			'コントロールにフォーカスがある状態で矢印キーを押下
			'するとハングル。
			'ので、矢印キーが押下できないように対応を行う。
			kevent.Handled = True
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

#End Region

#Region "コンストラクタ"

	'''----------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/08/10 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		Me.MatchingCriteria = Enum_MatchingCriteria.PrefixMatch

	End Sub

#End Region

End Class
