﻿Imports System.ComponentModel
Imports System.Windows.Forms
'''---------------------------------------------
''' <summary>
''' マスク入力ユーザーコントロール
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class BT_Mask

#Region "変数"

	Public Enum Enm_MaskMode
		PID = 0				'患者ID
		BARCODE = 1			'バーコード
		POST = 2			'郵便番号
		DSLIP = 3			'診療情報管理用伝票コード
		ESLIP = 4			'貸出管理用伝票コード
		TIME = 5			'時間(23:59)
		BYOREKI = 6			'病歴番号
		LONGTIME = 7		'ロングタイム(9999:59)
		SHORTTIME = 8		'ショートタイム(99:59)
		MEDIS_NO = 9		'管理番号
		ICD_O_M = 10		'ＩＣＤ－Ｏ－Ｍ
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
		RSLIP = 11			'準備番号
'(A) END V4-11044-000 003 20110909
'(A) STR V4-12064-000 003 20121226 ID)平井(貸出管理バーコード対応)
		BARCODE_LMN = 12	'貸出管理用バーコード
'(A) END V4-12064-000 003 20121226
	End Enum

	Private _maskmode As Enm_MaskMode = Enm_MaskMode.PID	'患者IDモード／バーコードモード
	Private _caninput As Boolean = True						'True:入力可(通常表示),False:入力不可(ラベル表示)
	Private _comment As String = Nothing					'日本語での項目説明(検索条件保存で利用)

	'マスクモード毎の値
'(M) STR V4-11044-000 035 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Private EmptyString As String() = {Nothing, _
'	 Nothing, _
'	 "   -", _
'	 "D    -", _
'	 "E    -", _
'	 "  :", _
'	 Nothing, _
'	 "    :", _
'	 "  :", _
'	 Nothing, _
'	 "M"}
'	Private ImeString As ImeMode() = {ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable}
'	Private MaskString As String() = {"9999999999", "CCCCCCCCCCCCCCCCCCCC", "000-0000", "D0000-0000", "E0000-0000", "99:99", "CCCCCCCCCC", "9999:99", "99:99", "00000000", "MCCCCCCCCC"}
'	Private MaskType As Type() = {Nothing, Nothing, Nothing, Nothing, Nothing, GetType(DateTime), Nothing, Nothing, Nothing, Nothing, Nothing}
'	Private MaskWidth As Integer() = {87, 168, 72, 87, 87, 48, 87, 64, 48, 72, 87}
'	Private MaskResetOnSpace As Boolean() = {False, False, False, False, False, False, True, False, False, False, False}
'(M) STR V4-12064-000 037 20121226 ID)平井(貸出管理バーコード対応)
'	Private EmptyString As String() = {Nothing, _
'	 Nothing, _
'	 "   -", _
'	 "D    -", _
'	 "E    -", _
'	 "  :", _
'	 Nothing, _
'	 "    :", _
'	 "  :", _
'	 Nothing, _
'	 "M", _
'	 "R    -"}
'	Private ImeString As ImeMode() = {ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable}
'	Private MaskString As String() = {"9999999999", "CCCCCCCCCCCCCCCCCCCC", "000-0000", "D0000-0000", "E0000-0000", "99:99", "CCCCCCCCCC", "9999:99", "99:99", "00000000", "MCCCCCCCCC", "R0000-0000"}
'	Private MaskType As Type() = {Nothing, Nothing, Nothing, Nothing, Nothing, GetType(DateTime), Nothing, Nothing, Nothing, Nothing, Nothing, Nothing}
'	Private MaskWidth As Integer() = {87, 168, 72, 87, 87, 48, 87, 64, 48, 72, 87, 87}
'	Private MaskResetOnSpace As Boolean() = {False, False, False, False, False, False, True, False, False, False, False, False}
	Private EmptyString As String() = {Nothing, _
	 Nothing, _
	 "   -", _
	 "D    -", _
	 "E    -", _
	 "  :", _
	 Nothing, _
	 "    :", _
	 "  :", _
	 Nothing, _
	 "M", _
	 "R    -", _
	 Nothing}
	Private ImeString As ImeMode() = {ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable, ImeMode.Disable}
	Private MaskString As String() = {"9999999999", "CCCCCCCCCCCCCCCCCCCC", "000-0000", "D0000-0000", "E0000-0000", "99:99", "CCCCCCCCCC", "9999:99", "99:99", "00000000", "MCCCCCCCCC", "R0000-0000", "9999999999999999999999999999"}
	Private MaskType As Type() = {Nothing, Nothing, Nothing, Nothing, Nothing, GetType(DateTime), Nothing, Nothing, Nothing, Nothing, Nothing, Nothing, Nothing}
	Private MaskWidth As Integer() = {87, 168, 72, 87, 87, 48, 87, 64, 48, 72, 87, 87, 232}
	Private MaskResetOnSpace As Boolean() = {False, False, False, False, False, False, True, False, False, False, False, False, False}
'(M) END V4-12064-000 037 20121226
'(M) END V4-11044-000 035 20110909
#End Region

#Region "プロパティ"
'(M) STR V4-11044-000 075 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	'''----------------------------------------
'	''' <summary>
'	''' マスクモード
'	''' </summary>
'	''' <value>マスクモード</value>
'	''' <remarks>
'	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
'	''' </remarks>
'	'''----------------------------------------
'	<Browsable(True), _
'	Description("PID:患者IDモード," & _
'	 "BARCODE:バーコードモード," & _
'	 "POST:郵便番号," & _
'	 "DSLIP:診療情報管理用伝票コード," & _
'	 "ESLIP:貸出管理用伝票コード," & _
'	 "TIME:時間," & _
'	 "BYOREKI:病歴番号," & _
'	 "LONGTIME:経過時間(9999:99)," & _
'	 "SHORTTIME:経過時間(99:99)," & _
'	 "MEDIS_NO:管理番号," & _
'	 "ICDM:ＩＣＤ－Ｏ－Ｍ(MXXXXXXXXXX)"), _
'	DefaultValue(GetType(Enm_MaskMode), "PID"), _
'	Category("カスタムプロパティ")> _
'	Public Property MaskMode() As Enm_MaskMode
'		Get
'			Return (_maskmode)
'		End Get
'		Set(ByVal value As Enm_MaskMode)
'			_maskmode = value
'			Me.Mask = MaskString(_maskmode)					'マスクモード設定
'			Me.ValidatingType = MaskType(_maskmode)			'Validateモード設定
'			Me.Width = MaskWidth(_maskmode)					'横幅を設定
'			Me.ImeMode = ImeString(_maskmode)				'半角英数字のみ入力可能とする
'			Me.ResetOnSpace = MaskResetOnSpace(_maskmode)	'スペースは入力不可とする
'		End Set
'	End Property
'(M) STR V4-12064-000 078 20121226 ID)平井(貸出管理バーコード対応)
'	'''----------------------------------------
'	''' <summary>
'	''' マスクモード
'	''' </summary>
'	''' <value>マスクモード</value>
'	''' <remarks>
'	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
'	''' </remarks>
'	'''----------------------------------------
'	<Browsable(True), _
'	Description("PID:患者IDモード," & _
'	 "BARCODE:バーコードモード," & _
'	 "POST:郵便番号," & _
'	 "DSLIP:診療情報管理用伝票コード," & _
'	 "ESLIP:貸出管理用伝票コード," & _
'	 "TIME:時間," & _
'	 "BYOREKI:病歴番号," & _
'	 "LONGTIME:経過時間(9999:99)," & _
'	 "SHORTTIME:経過時間(99:99)," & _
'	 "MEDIS_NO:管理番号," & _
'	 "ICDM:ＩＣＤ－Ｏ－Ｍ(MXXXXXXXXXX)," & _
'	 "RSLIP:準備番号"), _
'	DefaultValue(GetType(Enm_MaskMode), "PID"), _
'	Category("カスタムプロパティ")> _
'	Public Property MaskMode() As Enm_MaskMode
'		Get
'			Return (_maskmode)
'		End Get
'		Set(ByVal value As Enm_MaskMode)
'			_maskmode = value
'			Me.Mask = MaskString(_maskmode)					'マスクモード設定
'			Me.ValidatingType = MaskType(_maskmode)			'Validateモード設定
'			Me.Width = MaskWidth(_maskmode)					'横幅を設定
'			Me.ImeMode = ImeString(_maskmode)				'半角英数字のみ入力可能とする
'			Me.ResetOnSpace = MaskResetOnSpace(_maskmode)	'スペースは入力不可とする
'		End Set
'	End Property
	'''----------------------------------------
	''' <summary>
	''' マスクモード
	''' </summary>
	''' <value>マスクモード</value>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(True), _
	Description("PID:患者IDモード," & _
	 "BARCODE:バーコードモード," & _
	 "POST:郵便番号," & _
	 "DSLIP:診療情報管理用伝票コード," & _
	 "ESLIP:貸出管理用伝票コード," & _
	 "TIME:時間," & _
	 "BYOREKI:病歴番号," & _
	 "LONGTIME:経過時間(9999:99)," & _
	 "SHORTTIME:経過時間(99:99)," & _
	 "MEDIS_NO:管理番号," & _
	 "ICDM:ＩＣＤ－Ｏ－Ｍ(MXXXXXXXXXX)," & _
	 "RSLIP:準備番号," & _
	 "BARCODE_LMN:貸出管理用バーコード"), _
	DefaultValue(GetType(Enm_MaskMode), "PID"), _
	Category("カスタムプロパティ")> _
	Public Property MaskMode() As Enm_MaskMode
		Get
			Return (_maskmode)
		End Get
		Set(ByVal value As Enm_MaskMode)
			_maskmode = value
			Me.Mask = MaskString(_maskmode)					'マスクモード設定
			Me.ValidatingType = MaskType(_maskmode)			'Validateモード設定
			Me.Width = MaskWidth(_maskmode)					'横幅を設定
			Me.ImeMode = ImeString(_maskmode)				'半角英数字のみ入力可能とする
			Me.ResetOnSpace = MaskResetOnSpace(_maskmode)	'スペースは入力不可とする
		End Set
	End Property
'(M) END V4-12064-000 078 20121226
'(M) END V4-11044-000 075 20110909

	'''----------------------------------------
	''' <summary>
	''' 入力可・不可設定
	''' </summary>
	''' <value>True:入力可，False:入力不可</value>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(True), _
	Description("True:入力可，False:入力不可"), _
	DefaultValue(True), _
	Category("カスタムプロパティ")> _
	Public Property CanInput() As Boolean
		Get
			Return (_caninput)
		End Get
		Set(ByVal value As Boolean)
			_caninput = value
			If Me.DesignMode = False Then
				If _caninput = True Then				'入力可の場合、有効化
					Me.ReadOnly = False
					Me.TabStop = True
					Me.BackColor = Nothing
				Else									'入力不可の場合、無効化
					Me.ReadOnly = True
					Me.TabStop = False
					Me.BackColor = clsConst.CST_INACTIVE_BACK_COLOR
				End If
			End If
		End Set
	End Property

	'''----------------------------------------
	''' <summary>
	''' 項目説明
	''' </summary>
	''' <value>項目説明</value>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(True), _
	Description("項目説明"), _
	DefaultValue(vbNullString), _
	Category("カスタムプロパティ")> _
	Public Property Comment() As String
		Get
			Return (_comment)
		End Get
		Set(ByVal value As String)
			_comment = value
		End Set
	End Property

	'''----------------------------------------
	''' <summary>
	''' テキスト（カスタム化[Shadows]）
	''' ※数値を設定する（必ず）　Nothingはあり
	''' </summary>
	''' <value>テキスト</value>
	''' <returns>テキスト</returns>
	''' <remarks>
	''' 2010/10/12 新規作成　FJSK)荒川<BR/>
	''' </remarks>
	'''----------------------------------------
	<Browsable(True), _
	Description("テキスト（カスタム化[Shadows]）"), _
	Category("カスタムプロパティ")> _
	Public Shadows Property Text() As String
		Get
			Select Case Me.MaskMode
				Case Enm_MaskMode.TIME, Enm_MaskMode.SHORTTIME, Enm_MaskMode.LONGTIME
					Dim reg As New System.Text.RegularExpressions.Regex("^(\d{1,4})\:(\d{1,2})")
					If String.IsNullOrEmpty(MyBase.Text) Then
						Return MyBase.Text
					Else
						Dim match As System.Text.RegularExpressions.Match = reg.Match(MyBase.Text.Replace(Space(1), ""))
						If match.Success Then
							'match.Groups(0) :一致した文字列
							'match.Groups(1) :一番目に一致した文字列「(\d{1,2,3,4})」
							'match.Groups(2) :二番目に一致した文字列「(\d{1,2})」
							If Me.MaskMode = Enm_MaskMode.LONGTIME Then
								Return Format(CInt(match.Groups(1).Value), "0000") & ":" & Format(CInt(match.Groups(2).Value), "00")
							Else
								Return Format(CInt(match.Groups(1).Value), "00") & ":" & Format(CInt(match.Groups(2).Value), "00")
							End If
						Else
							Return MyBase.Text
						End If
					End If
				Case Enm_MaskMode.POST
					Return MyBase.Text.Replace("-", "")
				Case Else
					Return MyBase.Text
			End Select
		End Get
		Set(ByVal value As String)
			Select Case Me.MaskMode
				Case Enm_MaskMode.TIME, Enm_MaskMode.SHORTTIME, Enm_MaskMode.LONGTIME
					Dim reg As New System.Text.RegularExpressions.Regex("^(\d{1,4})\:(\d{1,2})")
					If String.IsNullOrEmpty(value) Then
						MyBase.Text = value
					Else
						Dim match As System.Text.RegularExpressions.Match = reg.Match(value.Replace(Space(1), ""))
						If match.Success Then
							'match.Groups(0) :一致した文字列
							'match.Groups(1) :一番目に一致した文字列「(\d{1,2,3,4})」
							'match.Groups(2) :二番目に一致した文字列「(\d{1,2})」
							If Me.MaskMode = Enm_MaskMode.LONGTIME Then
								MyBase.Text = CInt(match.Groups(1).Value).ToString.PadLeft(4, Space(1)) & ":" & Format(CInt(match.Groups(2).Value), "00")
							Else
								MyBase.Text = CInt(match.Groups(1).Value).ToString.PadLeft(2, Space(1)) & ":" & Format(CInt(match.Groups(2).Value), "00")
							End If
						Else
							MyBase.Text = value
						End If
					End If
				Case Else
					MyBase.Text = value
			End Select
		End Set
	End Property

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 入力値型チェック後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub BT_Mask_TypeValidationCompleted(ByVal sender As Object, ByVal e As TypeValidationEventArgs) Handles Me.TypeValidationCompleted
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "BT_Mask_TypeValidationCompleted", "入力値型チェック後処理 Start")
		End If
		Try
			If CType(Me.TopLevelControl, frmBase).ActiveControl.CausesValidation = False Then	'Validateを行わない場合はチェック処理終了
				Exit Sub
			End If

			If e.IsValidInput = False Then
				Select Case Me.MaskMode
					Case Enm_MaskMode.TIME
						'無効な時間が入力されていたらフィールドから抜けない
						'（入力がない場合も不正入力と判断されるが、フィールドからは抜ける）
						If Me.Text <> EmptyString(Enm_MaskMode.TIME) Then
							CType(Me.TopLevelControl, frmBase).showMsgBar("S0016", frmBase.Enum_MsgIcon.Err)	 '時刻を入力してださい。
							CType(Me.TopLevelControl, frmBase)._validateCtl = Me
							e.Cancel = True
							Exit Sub
						End If
				End Select
			Else
				'エラーメッセージを消す
				Select Case Me.MaskMode
					Case Enm_MaskMode.TIME
						Dim reg As New System.Text.RegularExpressions.Regex("^(\d{1,2})\:(\d{1,2})")
						Dim match As System.Text.RegularExpressions.Match = reg.Match(Me.Text.Replace(Space(1), ""))
						If match.Success Then
							'match.Groups(0) :一致した文字列
							'match.Groups(1) :一番目に一致した文字列「(\d{1,2,3,4})」
							'match.Groups(2) :二番目に一致した文字列「(\d{1,2})」
							'Me.Text = Format(CInt(match.Groups(1).Value), "0") & ":" & Format(CInt(match.Groups(2).Value), "00")
							MyBase.Text = CInt(match.Groups(1).Value).ToString.PadLeft(2, Space(1)) & ":" & Format(CInt(match.Groups(2).Value), "00")
						End If
						CType(Me.TopLevelControl, frmBase).clearMsgBar()			'メッセージクリア
				End Select
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' NULLチェック
	''' </summary>
	''' <returns>TRUE：NULLです　FALSE：NULLでない</returns>
	''' <remarks>
	''' 2010/10/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function IsNullOrEmpty() As Boolean
		Try
			'NULLStringと比較して、NULLチェックを行う
			If MyBase.Text = Me.EmptyString(_maskmode) Then
				Return True
			Else
				Return False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' ゼロサプレスを行う
	''' </summary>
	''' <param name="pData">入力数値</param>
	''' <returns>ゼロサプレス後の数値</returns>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function execZeroSuppress(ByVal pData As String) As String
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "execZeroSuppress", "ゼロサプレス処理 Start")
		End If
		Dim ret As String = pData
		Dim retStr As New System.Text.StringBuilder
		Try
			If String.IsNullOrEmpty(pData) Then		'未入力の場合、Nothingを返す
				Return Nothing
			End If

			'Format文字を作成
			For idx As Integer = 1 To Me.Mask.Length
				retStr.Append("0")
			Next

			ret = ret.Trim							'空白カット
			If IsNumeric(ret) Then
				'ゼロサプレスして値を返す
				ret = Format(CLng(ret), retStr.ToString)
			Else
				'例外として、文字以外が入った場合は"0"を指定された桁数分もつ文字列を返す
				ret = retStr.ToString
			End If
		Catch ex As Exception
			Throw
		Finally
			retStr = Nothing
		End Try
		Return ret
	End Function

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力値の検査(入力値のゼロサプレス)
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub OnValidating(ByVal e As System.ComponentModel.CancelEventArgs)
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "OnValidating", "入力値の検査処理 Start")
		End If
		Try
			MyBase.OnValidating(e)

			'デザインモード中は通常処理しない
			If Me.DesignMode Then
				Exit Sub
			End If

			Select Case Me.MaskMode
				Case Enm_MaskMode.PID			'PIDの場合はゼロサプレスする
					Me.Text = execZeroSuppress(Me.Text)
				Case Enm_MaskMode.LONGTIME, Enm_MaskMode.SHORTTIME
					If Not EmptyString(Me.MaskMode) = Me.Text Then
						Dim reg As New System.Text.RegularExpressions.Regex("^(\d{1,4})\:(\d{1,2})")
						Dim match As System.Text.RegularExpressions.Match = reg.Match(Me.Text.Replace(Space(1), ""))
						If match.Success Then
							'match.Groups(0) :一致した文字列
							'match.Groups(1) :一番目に一致した文字列「(\d{1,2,3,4})」
							'match.Groups(2) :二番目に一致した文字列「(\d{1,2})」
							If Not IsNumeric(match.Groups(2).Value) OrElse CInt(match.Groups(2).Value) > 99 Then
								'分が59を超えているのでエラー
								CType(Me.TopLevelControl, frmBase).showMsgBar("S0016", frmBase.Enum_MsgIcon.Err)	 '時刻を入力してださい。
								CType(Me.TopLevelControl, frmBase)._validateCtl = Me
								e.Cancel = True
								Exit Sub
							End If

							'正常値でしたので、テキストを入れ替え
							If Me.MaskMode = Enm_MaskMode.LONGTIME Then
								MyBase.Text = CInt(match.Groups(1).Value).ToString.PadLeft(4, Space(1)) & ":" & Format(CInt(match.Groups(2).Value), "00")
								'Me.Text = Format(CInt(match.Groups(1).Value), "0000") & ":" & Format(CInt(match.Groups(2).Value), "00")
							Else
								MyBase.Text = CInt(match.Groups(1).Value).ToString.PadLeft(2, Space(1)) & ":" & Format(CInt(match.Groups(2).Value), "00")
								'Me.Text = Format(CInt(match.Groups(1).Value), "00") & ":" & Format(CInt(match.Groups(2).Value), "00")
							End If
						Else
							'時刻表現に一致していない
							CType(Me.TopLevelControl, frmBase).showMsgBar("S0016", frmBase.Enum_MsgIcon.Err)	 '時刻を入力してださい。
							CType(Me.TopLevelControl, frmBase)._validateCtl = Me
							e.Cancel = True
							Exit Sub
						End If
					End If

					If Not CType(Me.TopLevelControl, frmBase)._validateFlg Then
						'_validateFlg=Falseが通常。　Trueの場合はForm.ValidateChildren実行中
						CType(Me.TopLevelControl, frmBase).clearMsgBar()			'メッセージクリア
					End If
			End Select

		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' マウスクリック時、カーソル位置を先頭に
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub OnMouseClick(ByVal e As System.Windows.Forms.MouseEventArgs)
		Dim CursolLocation As Integer = 0
		Try
			MyBase.OnMouseClick(e)
			If Me.IsNullOrEmpty() Then	   '未入力の場合
				Me.SelectionStart = 0						'カーソルを先頭へ
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 編集開始時処理
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub OnEnter(ByVal e As System.EventArgs)
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "OnEnter", "編集開始 Start")
		End If
		Try
			MyBase.OnEnter(e)
			If Not Me.DesignMode AndAlso _caninput = True Then
				Me.BackColor = clsConst.CST_ACTIVE_BACK_COLOR			'背景色を変える
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 編集終了時処理
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub OnLeave(ByVal e As System.EventArgs)
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "OnLeave", "編集終了 Start")
		End If
		Try
			MyBase.OnLeave(e)
			If Not Me.DesignMode AndAlso _caninput = True Then
				Me.BackColor = Nothing			'背景色を戻す
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォーカス取得後処理
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/08/05 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub OnGotFocus(ByVal e As System.EventArgs)
		If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
			CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "OnGotFocus", "フォーカス取得後処理 Start")
		End If
		Try
			MyBase.OnGotFocus(e)

			'デザインモード中は通常処理しない
			If Me.DesignMode Then
				Exit Sub
			End If

			If Me.IsNullOrEmpty() Then				'入力されていたら選択状態にする
				Select Case Me._maskmode
					Case Enm_MaskMode.DSLIP, Enm_MaskMode.ESLIP, Enm_MaskMode.ICD_O_M
						Me.Select(1, Me.Mask.Length - 1)			'2文字目から選択状態にする
					Case Else
						Me.SelectAll()								'全選択状態にする
				End Select
			Else
				Select Case Me.MaskMode
					Case Enm_MaskMode.DSLIP, Enm_MaskMode.ESLIP, Enm_MaskMode.ICD_O_M
						If Me.SelectionStart = 0 Then
							Me.SelectionStart = 1	'カーソルを2桁目へ
						End If
				End Select
			End If
		Catch ex As Exception
			If Not Me.DesignMode AndAlso Me.TopLevelControl IsNot Nothing Then
				CType(Me.TopLevelControl, frmBase).ErrorProc(ex)
			End If
		End Try
	End Sub

#End Region

End Class
