﻿Imports XCM
Imports XSP
Imports System.Data
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Collections.ObjectModel
Imports System.Windows.Forms
Imports System.Windows.Forms.Control
Imports System.Drawing
Imports System.Drawing.Printing

''' ---------------------------------------------
''' <summary>
''' マスタメンテナンスクラス（単票形式）（新規作成：V4-14028）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XMS000F040

#Region "変数"
	' ツールチップ 
	Public ttpComment As ToolTip

	' ベースフォーム
	Private pFrm As frmBase

#End Region

#Region "プロパティ"

	Private _TableName As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' メンテナンステーブル名称
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("テーブル名を取得、設定します。")>
	<DefaultValue("")>
	Public Property TableName() As String
		Get
			Return _TableName
		End Get
		Set(ByVal value As String)
			_TableName = value
		End Set
	End Property

	Private _ReportName As clsReportMastFunc.Enum_ReportId
	''' ---------------------------------------------
	''' <summary>
	''' レポートのオブジェクトＩＤ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("レポートのオブジェクトＩＤを取得、設定します。")>
	<DefaultValue("")>
	Public Property ReportName() As clsReportMastFunc.Enum_ReportId
		Get
			Return _ReportName
		End Get
		Set(ByVal value As clsReportMastFunc.Enum_ReportId)
			_ReportName = value
		End Set
	End Property

	Private _Rows As New clsRowCollection
	''' ---------------------------------------------
	''' <summary>
	''' 項目配列コレクション（項目コレクション配列）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("行コレクションを取得、設定します。")>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Content)>
	Public Property Rows() As clsRowCollection
		Get
			Return _Rows
		End Get
		Set(ByVal value As clsRowCollection)
			_Rows = value
		End Set
	End Property

	Private _RowControls As New clsRowControlCollection
	''' ---------------------------------------------
	''' <summary>
	''' 項目コレクション（データソースの項目名とコントロールの関連付け）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("コントロール項目コレクションを取得、設定します。")>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Content)>
	Public Property RowControls() As clsRowControlCollection
		Get
			Return _RowControls
		End Get
		Set(ByVal value As clsRowControlCollection)
			_RowControls = value
		End Set
	End Property

	Private _CreateNotEntered As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' 未入力列のデータ作成フラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("カスタムプロパティ")>
	<Description("未入力列のデータを作成するかしないかを取得、設定します。")>
	<DefaultValue(True)>
	Public Property CreateNotEntered() As Boolean
		Get
			Return _CreateNotEntered
		End Get
		Set(ByVal value As Boolean)
			_CreateNotEntered = value
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XMS000F040_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		If Me.DesignMode Then
			Return
		Else
			log(clsSysMst.logLevel.NRM, "XMS000F040_Load", "画面＿初期設定 Start")
		End If
		Try
			pFrm = Me.Owner
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				' 画面初期化
				cliMstMenteCom.clearScreenAllEnt()
				' データ画面設定
				cliMstMenteCom.setDataToFormAllEnt()
				' ツールチップ設定
				cliMstMenteCom.setToolTipsAllEnt(ttpComment)
			End Using
			' レポートＩＤを設定
			Me.pRepId = _ReportName
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XMS000F040_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		If Me.IsDisposed = True Then Return
		If Me.DesignMode Then
			Return
		Else
			log(clsSysMst.logLevel.NRM, "XMS000F040_FormClosing", "画面＿閉じる Start")
		End If
		Try
			setCloseFlg()
			pFrm.backForm(False)
			' メニュー選択
			pFrm.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			pFrm = Nothing
			If ttpComment IsNot Nothing Then ttpComment.Dispose()
			ttpComment = Nothing
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/05/21 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn006XMS000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn006XMS000F010.Click
		If Me.DesignMode Then
			Return
		Else
			log(clsSysMst.logLevel.NRM, "btn006XMS000F010_Click", "保存ボタンクリック Start")
		End If
		Try
			Me.F7KeyProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キーイン処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/21 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		If Not Me.DesignMode Then
			log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キーイン Start")
		End If
		Try
			Using cliMstmenteCom As New clsMstMenteCom(Me)
				'必須チェック
				cliMstmenteCom.isRequiredAllEnt()
				'カスタムチェック
				checkData()
				'エラー？
				If getErrCount() > 0 Then
					nextErrForm()			'エラーがある場合、エラー画面表示
					Return False
				End If
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Try
						db.ctlTran(clsDB.Enum_TranMode.Begin)
						'変更
						cliMstmenteCom.modifyDataAllEnt(db, Me.CreateNotEntered)
						'カスタム変更
						modifyDataEx(db)
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As SqlClient.SqlException
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					Catch ex As Exception
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End Using
			End Using
			Me.showMsg("I0004")
		Catch ex As SqlClient.SqlException
			Me.ErrorProc(ex)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Function

#End Region

#Region "オーバーライダブルメソッド"

	'''---------------------------------------------
	''' <summary>
	''' カスタムチェック処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/04/25 新規作成　ID)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Function checkData() As Boolean
		Try
			' 継承元でチェック記述
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 特別な変更処理
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2013/05/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub modifyDataEx(ByVal db As clsDB)
		Try
			' 継承元で変更処理記述
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class