﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 患者入退院歴一覧クラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSI030R010
	Inherits XSI010R000

#Region "コンスタント"

	Private Const CST_LOG_CLASS As String = "患者入退院歴一覧"

#End Region

#Region "変数"

	'IN項目
	Public pTitleNm As String = String.Empty	'帳表タイトル名
	Public pMngItem_Cd As String = String.Empty	'管理物コード

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <remarks>
	''' 2013/06/04 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pForm As frmBase)
		'IN項目引き継ぎ
		MyBase.New(pForm)
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2013/06/27 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeaderData() As XSP.datHeader
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHedderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As XSP.datHeader
		Try
			retHeader = New XSP.datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID
				.TITLE_NM = Me.pTitleNm								'タイトル名
				.STR1 = Me.pOkPrint.ToString()						'正常
				.STR2 = Me.pErrprint.ToString()						'エラー
				.STR3 = Me.pSlightErrPrint.ToString()				'軽度
				.STR4 = Me.pPrivacy.ToString()						'個人情報
				.STR5 = Me.pMngItem_Cd								'管理物コード
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ確認
	''' </summary>
	''' <param name="pDb"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/14 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getWorkData(ByVal pDb As clsDB) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getWorkData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ確認 START")
		Dim result As Boolean
		Try
			result = False
			pDb.setSQLDa(sqlXSI030R010.sqlSel_MTT_IMP_LOG_BASIC_HSP)
			'管理物コード
			pDb.setParamDa(sqlXSI030R010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030R010.prmMNGITEM_CD, Me.pMngItem_Cd)
			'エラーフラグ
			pDb.setParamDa(sqlXSI010R010.prmERR_FLG, clsDB.Enum_dbType.dbInt)
			'正常
			If result = False AndAlso Me.pOkPrint = True Then
				pDb.setValDa(sqlXSI010R010.prmERR_FLG, 0, False)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then result = True
				End Using
			End If
			'エラー
			If result = False AndAlso Me.pErrprint = True Then
				pDb.setValDa(sqlXSI010R010.prmERR_FLG, 1, False)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then result = True
				End Using
			End If
			'軽度
			If result = False AndAlso Me.pSlightErrPrint = True Then
				pDb.setValDa(sqlXSI010R010.prmERR_FLG, 2, False)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then result = True
				End Using
			End If

			Return result
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
