﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 スレッド処理　新規作成（修正番号：V4-14019）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsThread
	Implements IDisposable

#Region "IDisposable Support"

	Protected disposedValue As Boolean ' 重複する呼び出しを検出するには

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing">重複呼び出し検出</param>
	''' <remarks>
	''' 2013/04/18 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				'ここで変数のクリアを行う
			End If
		End If
		Me.disposedValue = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2013/04/18 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

#End Region

#Region "変数"

	' ファイル名配列
	Public fileNames() As String
	' ファイル名
	Public fileName As String
	' 呼び出し元フォーム
	Public srcForm As Form
'(A) STR V4-14030-000 004 20130627 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	' 管理物マスタデータテーブル
	Public dtLTM_MNGITEM_ALL As DataTable
'(A) END V4-14030-000 004 20130627
	' 処理種別
	Public enumExecType As XSI.XSI010F010.Enum_RENKEI_SYORI
'(A) STR V4-14030-000 004 20130610 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	' 処理種別（貸出管理）
	Public enumExecTypeL As XSI.XSI030F010.Enum_RENKEI_SYORI
'(A) END V4-14030-000 004 20130610
	' 戻り値
	Public NormalCount As Long
	Public ErrorCount As Long
	Public SlightErrorCount As Long
	Public NameChangeCount As Long
	Public ProcessCount As Long
'(A) STR V4-14030-000 008 20130610 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	Public cliLendInfo As clsLendInfo
	Public Index As Integer
	Public RowIndex As Integer
	Public aryNormalCount() As Long
	Public aryErrorCount() As Long
	Public arySlightCount() As Long
'(A) END V4-14030-000 008 20130610

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks></remarks>
	''' ---------------------------------------------
	Public Sub New()
		Try
			NormalCount = 0
			ErrorCount = 0
			SlightErrorCount = 0
			NameChangeCount = 0
			ProcessCount = 0
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-14030-000 020 20130610 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliLI"></param>
	''' <remarks></remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliLI As clsLendInfo)
		Try
			cliLendInfo = cliLI
			ReDim aryNormalCount(cliLI.dgvMngItem.Rows.Count - 1)
			ReDim aryErrorCount(cliLI.dgvMngItem.Rows.Count - 1)
			ReDim arySlightCount(cliLI.dgvMngItem.Rows.Count - 1)
			NameChangeCount = 0
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-14030-000 020 20130610

	''' ---------------------------------------------
	''' <summary>
	''' スレッド実行
	''' </summary>
	''' <remarks>
	''' 2013/04/18 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Execute()
		Dim th As Threading.Thread
		Try
			th = New Threading.Thread(AddressOf runProcThread)
			th.IsBackground = True
			th.Start()
			Do
				Threading.Thread.Sleep(1)
				Application.DoEvents()
			Loop Until Not th.IsAlive
		Catch ex As Exception
			Throw
		Finally
			th = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' スレッド処理（取込処理インスタンス作成）
	''' </summary>
	''' <remarks>
	''' 2013/04/18 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub runProcThread()
		Dim cliTh As clsThread = Nothing
		Try
			Select Case enumExecType
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eBASIC_HSP	'患者入退院歴
					Using cliXSI_BT4KJNY1 As New clsXSI_BT4KJNY1(srcForm, fileNames)
						cliTh = cliXSI_BT4KJNY1.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eDISEASE		'病名
					Using cliXSI_BT4BM As New clsXSI_BT4BM(srcForm, fileName)
						cliTh = cliXSI_BT4BM.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eOPE			'手術
					Using cliXSI_BT4SJKT As New clsXSI_BT4SJKT(srcForm, fileName)
						cliTh = cliXSI_BT4SJKT.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eASST			'補足項目
					Using cliXSI_BT4HSK As New clsXSI_BT4HSK(srcForm, fileName)
						cliTh = cliXSI_BT4HSK.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eEMERGENCY	'救命救急
					Using cliXSI_BT4ICU As New clsXSI_BT4ICU(srcForm, fileName)
						cliTh = cliXSI_BT4ICU.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eCB			'分娩
					Using cliXSI_BT4BB As New clsXSI_BT4BB(srcForm, fileName)
						cliTh = cliXSI_BT4BB.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eHSP_ASST		'入退院歴補足
					Using cliXSI_BT4KJNY2 As New clsXSI_BT4KJNY2(srcForm, fileName)
						cliTh = cliXSI_BT4KJNY2.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eBASICINFO	'患者基本情報
					Using cliXSI_BT4KJ As New clsXSI_BT4KJ(srcForm, fileName)
						cliTh = cliXSI_BT4KJ.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eMED_COST		'医療費
					Using cliXSI_BT4HIYO As New clsXSI_BT4HIYO(srcForm, fileName)
						cliTh = cliXSI_BT4HIYO.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eLENDITEM		'管理物
					Using cliXSI_BT4KSDS0 As New clsXSI_BT4KSDS0(srcForm, fileName)
						cliTh = cliXSI_BT4KSDS0.runProc()
					End Using
				Case XSI.XSI010F010.Enum_RENKEI_SYORI.eLEND			'貸出
					Using cliXSI_BT4KSDS1 As New clsXSI_BT4KSDS1(srcForm, fileName)
						cliTh = cliXSI_BT4KSDS1.runProc()
					End Using
				Case Else
			End Select
			' 戻り値設定
			NormalCount = cliTh.NormalCount
			ErrorCount = cliTh.ErrorCount
			SlightErrorCount = cliTh.SlightErrorCount
			NameChangeCount = cliTh.NameChangeCount
			ProcessCount = cliTh.ProcessCount
		Catch ex As Exception
			CType(srcForm, XCM.frmBase).ErrorProc(ex)
		End Try
	End Sub

'(A) STR V4-14030-000 064 20130610 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' スレッド実行（貸出管理）
	''' </summary>
	''' <remarks>
	''' 2013/06/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub ExecuteL()
		Dim th As Threading.Thread
		Try
			th = New Threading.Thread(AddressOf runProcThreadL)
			th.IsBackground = True
			th.Start()
			Do
				Threading.Thread.Sleep(1)
				Application.DoEvents()
			Loop Until Not th.IsAlive
		Catch ex As Exception
			Throw
		Finally
			th = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' スレッド処理（取込処理インスタンス作成）（貸出管理）
	''' </summary>
	''' <remarks>
	''' 2013/06/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub runProcThreadL()
		Dim cliTh As clsThread = Nothing
		Try
			Select Case enumExecTypeL
				Case XSI.XSI030F010.Enum_RENKEI_SYORI.eMNGITEM		'管理物明細
					Using cliXSI_BT4LKSDS0 As New clsXSI_BT4LKSDS0(srcForm, fileNames, Index, dtLTM_MNGITEM_ALL)
						cliTh = cliXSI_BT4LKSDS0.runProc()
					End Using
					' 戻り値設定
					NormalCount = cliTh.NormalCount
					ErrorCount = cliTh.ErrorCount
					SlightErrorCount = cliTh.SlightErrorCount
					NameChangeCount = cliTh.NameChangeCount
					ProcessCount = cliTh.ProcessCount
				Case XSI.XSI030F010.Enum_RENKEI_SYORI.eBASIC_HSP	'患者入退院歴
					Using cliXSI_BT4LKJNY1 As New clsXSI_BT4LKJNY1(srcForm, fileNames, cliLendInfo, Index, dtLTM_MNGITEM_ALL)
						cliTh = cliXSI_BT4LKJNY1.runProc()
					End Using
					' 戻り値設定
					aryNormalCount = cliTh.aryNormalCount
					aryErrorCount = cliTh.aryErrorCount
					arySlightCount = cliTh.arySlightCount
					NameChangeCount = cliTh.NameChangeCount
				Case Else
			End Select
		Catch ex As Exception
			CType(srcForm, XCM.frmBase).ErrorProc(ex)
		End Try
	End Sub
'(A) END V4-14030-000 064 20130610

#End Region

End Class
