﻿Imports XCM
Imports XSP
Imports System.Reflection

#Region "ログデータクラス"

''' ---------------------------------------------
''' <summary>
''' システム連携_ログクラス継承元　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_IMP_LOG_L
	Implements IDisposable

#Region "IDisposable Support"

	Protected disposedValue As Boolean ' 重複する呼び出しを検出するには

	''' ---------------------------------------------
	''' <summary>
	''' IDisposable
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				Me.SERIAL_NO = Nothing			'連番
				Me.ERR_FLG = Nothing			'エラーフラグ
				Me.ERR_CD = Nothing				'エラーコード
				Me.MESSAGE = Nothing			'エラーメッセージ
				Me.MODULE_CD = Nothing			'モジュールコード
			End If

			' TODO: アンマネージ リソース (アンマネージ オブジェクト) を解放し、下の Finalize() をオーバーライドします。
			' TODO: 大きなフィールドを null に設定します。
		End If
		Me.disposedValue = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Dispose
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 連番
	''' </summary>
	''' ---------------------------------------------
	Property SERIAL_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーフラグ
	''' </summary>
	''' ---------------------------------------------
	Property ERR_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーコード
	''' </summary>
	''' ---------------------------------------------
	Property ERR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーメッセージ
	''' </summary>
	''' ---------------------------------------------
	Property MESSAGE As String

	''' ---------------------------------------------
	''' <summary>
	''' モジュールコード
	''' </summary>
	''' ---------------------------------------------
	Property MODULE_CD As String

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub clear()

		Me.SERIAL_NO = String.Empty			'連番
		Me.ERR_FLG = "0"					'エラーフラグ
		Me.ERR_CD = String.Empty			'エラーコード
		Me.MESSAGE = String.Empty			'エラーメッセージ
		Me.MODULE_CD = String.Empty			'モジュールコード

	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' システム連携_管理物情報ログクラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_MTT_IMP_LOG_L_MNGITEMINFO
	Inherits clsXSI_IMP_LOG_L

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' データ種別
	''' </summary>
	''' ---------------------------------------------
	Property DATATYPE As String

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 区分１
	''' </summary>
	''' ---------------------------------------------
	Property DIV1_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 区分２
	''' </summary>
	''' ---------------------------------------------
	Property DIV2_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 分冊連番
	''' </summary>
	''' ---------------------------------------------
	Property VOLUMEKEY As String

	''' ---------------------------------------------
	''' <summary>
	''' 初回受領日
	''' </summary>
	''' ---------------------------------------------
	Property FIRSTRECEIVING_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 最終受領日
	''' </summary>
	''' ---------------------------------------------
	Property LASTRECEIVING_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 受領者コード
	''' </summary>
	''' ---------------------------------------------
	Property RECIPIENT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 保管場所コード
	''' </summary>
	''' ---------------------------------------------
	Property KEEPLCT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGSTATUS_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 永久保存フラグ
	''' </summary>
	''' ---------------------------------------------
	Property PERM_PRESERV_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 物番号
	''' </summary>
	''' ---------------------------------------------
	Property BYOREKI_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 日付１
	''' </summary>
	''' ---------------------------------------------
	Property DATE1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 日付２
	''' </summary>
	''' ---------------------------------------------
	Property DATE2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 医師コード
	''' </summary>
	''' ---------------------------------------------
	Property DOCTOR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' コンボ１コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCMB1 As String

	''' ---------------------------------------------
	''' <summary>
	''' コンボ２コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCMB2 As String

	''' ---------------------------------------------
	''' <summary>
	''' テキスト１
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMTEXT1 As String

	''' ---------------------------------------------
	''' <summary>
	''' テキスト２
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMTEXT2 As String

	''' ---------------------------------------------
	''' <summary>
	''' テキスト３
	''' </summary>
	''' ---------------------------------------------
	Property REMARKS As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック１
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK1 As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック２
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK2 As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック３
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK3 As String

	''' ---------------------------------------------
	''' <summary>
	''' チェック４
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEMCHK4 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備１
	''' </summary>
	''' ---------------------------------------------
	Property YOBI1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備２
	''' </summary>
	''' ---------------------------------------------
	Property YOBI2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備３
	''' </summary>
	''' ---------------------------------------------
	Property YOBI3 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備４
	''' </summary>
	''' ---------------------------------------------
	Property YOBI4 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備５
	''' </summary>
	''' ---------------------------------------------
	Property YOBI5 As String


#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub clear()
		'継承元メソッド実行
		MyBase.clear()

		Me.DATATYPE = Nothing			'データ種別
		Me.PATIENT_NO = Nothing			'患者番号
		Me.MNGITEM_CD = Nothing			'管理物コード
		Me.DIV1_CD = Nothing			'区分１
		Me.DIV2_CD = Nothing			'区分２
		Me.VOLUMEKEY = Nothing			'分冊連番
		Me.FIRSTRECEIVING_DT = Nothing	'初回受領日
		Me.LASTRECEIVING_DT = Nothing	'最終受領日
		Me.RECIPIENT_CD = Nothing		'受領者コード
		Me.KEEPLCT_CD = Nothing			'保管場所コード
		Me.MNGSTATUS_CD = Nothing		'管理状況コード
		Me.PERM_PRESERV_FLG = Nothing	'永久保存フラグ
		Me.BYOREKI_NO = Nothing			'物番号
		Me.DATE1 = Nothing				'日付１
		Me.DATE2 = Nothing				'日付２
		Me.DOCTOR_CD = Nothing			'医師コード
		Me.MNGITEMCMB1 = Nothing		'コンボ１コード
		Me.MNGITEMCMB2 = Nothing		'コンボ２コード
		Me.MNGITEMTEXT1 = Nothing		'テキスト１
		Me.MNGITEMTEXT2 = Nothing		'テキスト２
		Me.REMARKS = Nothing			'テキスト３
		Me.MNGITEMCHK1 = Nothing		'チェック１
		Me.MNGITEMCHK2 = Nothing		'チェック２
		Me.MNGITEMCHK3 = Nothing		'チェック３
		Me.MNGITEMCHK4 = Nothing		'チェック４
		Me.YOBI1 = Nothing				'予備１
		Me.YOBI2 = Nothing				'予備２
		Me.YOBI3 = Nothing				'予備３
		Me.YOBI4 = Nothing				'予備４
		Me.YOBI5 = Nothing				'予備５
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' システム連携_患者入退院歴一覧ログクラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_LTT_IMP_LOG_BASIC_HSP
	Inherits clsXSI_IMP_LOG_L

#Region "プロパティ"
	''' ---------------------------------------------
	''' <summary>
	''' 登録日時
	''' </summary>
	''' ---------------------------------------------
	Property REG_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' データ種別
	''' </summary>
	''' ---------------------------------------------
	Property DATA_TYPE As String

	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード
	''' </summary>
	''' ---------------------------------------------
	Property MNGITEM_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 氏名
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 氏名カナ
	''' </summary>
	''' ---------------------------------------------
	Property PATIENT_KNM As String

	''' ---------------------------------------------
	''' <summary>
	''' 性別コード
	''' </summary>
	''' ---------------------------------------------
	Property GENDER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 生年月日
	''' </summary>
	''' ---------------------------------------------
	Property BIRTH_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 血液型コード
	''' </summary>
	''' ---------------------------------------------
	Property BLOODTYPE_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' Ｒｈコード
	''' </summary>
	''' ---------------------------------------------
	Property RH_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 病歴番号
	''' </summary>
	''' ---------------------------------------------
	Property BYOREKI_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 診療科コード
	''' </summary>
	''' ---------------------------------------------
	Property DEPT_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 主科フラグ
	''' </summary>
	''' ---------------------------------------------
	Property MAIN_DPM_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院経路コード
	''' </summary>
	''' ---------------------------------------------
	Property HSP_CNL_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院日
	''' </summary>
	''' ---------------------------------------------
	Property HSP_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院フラグ
	''' </summary>
	''' ---------------------------------------------
	Property HSP_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 入院時刻
	''' </summary>
	''' ---------------------------------------------
	Property HSP_TIME As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院日
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院フラグ
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院時刻
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_TIME As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院経路コード
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_CNL_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 退院転帰コード
	''' </summary>
	''' ---------------------------------------------
	Property OUT_HSP_OUTCOME_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 病棟コード
	''' </summary>
	''' ---------------------------------------------
	Property WARD_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 主病棟フラグ
	''' </summary>
	''' ---------------------------------------------
	Property MAIN_WARD_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' 医師区分コード
	''' </summary>
	''' ---------------------------------------------
	Property DOCTOR_DIV As String

	''' ---------------------------------------------
	''' <summary>
	''' 医師コード
	''' </summary>
	''' ---------------------------------------------
	Property DOCTOR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 担当開始日
	''' </summary>
	''' ---------------------------------------------
	Property ATTEND_START_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 担当終了日
	''' </summary>
	''' ---------------------------------------------
	Property ATTEND_END_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 救急車有無コード
	''' </summary>
	''' ---------------------------------------------
	Property TAKE_AMBULANCE_CHK As String

	''' ---------------------------------------------
	''' <summary>
	''' 紹介状有無コード
	''' </summary>
	''' ---------------------------------------------
	Property INTRODUCTION_CHK As String

	''' ---------------------------------------------
	''' <summary>
	''' 郵便番号
	''' </summary>
	''' ---------------------------------------------
	Property ZIP_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 診療圏コード
	''' </summary>
	''' ---------------------------------------------
	Property AREA_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 住所
	''' </summary>
	''' ---------------------------------------------
	Property ADDRESS_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 電話番号
	''' </summary>
	''' ---------------------------------------------
	Property TELNUMBER As String

	''' ---------------------------------------------
	''' <summary>
	''' 国籍コード
	''' </summary>
	''' ---------------------------------------------
	Property NATIONALITY_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 出生地コード
	''' </summary>
	''' ---------------------------------------------
	Property DOMICILE_ADDRESS_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 本籍住所
	''' </summary>
	''' ---------------------------------------------
	Property DOMICILE_ADDRESS As String

	''' ---------------------------------------------
	''' <summary>
	''' 保険コード１
	''' </summary>
	''' ---------------------------------------------
	Property INSURANCE_CD1 As String

	''' ---------------------------------------------
	''' <summary>
	''' 保険コード２
	''' </summary>
	''' ---------------------------------------------
	Property INSURANCE_CD2 As String

	''' ---------------------------------------------
	''' <summary>
	''' 保険コード３
	''' </summary>
	''' ---------------------------------------------
	Property INSURANCE_CD3 As String

	''' ---------------------------------------------
	''' <summary>
	''' 初診日
	''' </summary>
	''' ---------------------------------------------
	Property FIRST_DIAGNOSIS_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' 関連患者番号
	''' </summary>
	''' ---------------------------------------------
	Property RELATION_PATIENT_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' 世帯主名
	''' </summary>
	''' ---------------------------------------------
	Property HOUSEHOLDER_NM As String

	''' ---------------------------------------------
	''' <summary>
	''' 続柄コード
	''' </summary>
	''' ---------------------------------------------
	Property RELATION_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 転科先医師区分コード
	''' </summary>
	''' ---------------------------------------------
	Property TO_DEPT_DOCTOR_DIV As String

	''' ---------------------------------------------
	''' <summary>
	''' 転科先医師コード
	''' </summary>
	''' ---------------------------------------------
	Property TO_DEPT_DOCTOR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 転科先病歴番号
	''' </summary>
	''' ---------------------------------------------
	Property TO_DEPT_BYOREKI_NO As String

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ入退院歴
	''' </summary>
	''' ---------------------------------------------
	Property DPC_HSP As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備１
	''' </summary>
	''' ---------------------------------------------
	Property SPARE01 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備２
	''' </summary>
	''' ---------------------------------------------
	Property SPARE02 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備３
	''' </summary>
	''' ---------------------------------------------
	Property SPARE03 As String

	''' ---------------------------------------------
	''' <summary>
	''' 予備４
	''' </summary>
	''' ---------------------------------------------
	Property SPARE04 As String

	''' ---------------------------------------------
	''' <summary>
	''' 更新者コード
	''' </summary>
	''' ---------------------------------------------
	Property LASTUPDUSER_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' 更新日
	''' </summary>
	''' ---------------------------------------------
	Property LASTUPD_DT As String

	''' ---------------------------------------------
	''' <summary>
	''' クラスのパブリックプロパティを名称で取得・設定します。
	''' </summary>
	''' <param name="name"></param>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/21 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Default Public Property Item(ByVal name As String) As String
		Get
			Dim t As Type = GetType(clsXSI_LTT_IMP_LOG_BASIC_HSP)
			Dim pr As PropertyInfo = t.GetProperty(name)
			Return pr.GetValue(Me, Nothing)
		End Get
		Set(value As String)
			Dim t As Type = GetType(clsXSI_LTT_IMP_LOG_BASIC_HSP)
			Dim pr As PropertyInfo = t.GetProperty(name)
			pr.SetValue(Me, value, Nothing)
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		Me.clear()
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub clear()
		'継承元メソッド実行
		MyBase.clear()

		Me.REG_DT = String.Empty				'登録日時
		Me.DATA_TYPE = String.Empty				'データ種別
		Me.MNGITEM_CD = String.Empty			'管理物コード
		Me.PATIENT_NO = String.Empty			'患者番号
		Me.PATIENT_NM = String.Empty			'氏名
		Me.PATIENT_KNM = String.Empty			'氏名カナ
		Me.GENDER_CD = String.Empty				'性別コード
		Me.BIRTH_DT = String.Empty				'生年月日
		Me.BLOODTYPE_CD = String.Empty			'血液型コード
		Me.RH_CD = String.Empty					'Ｒｈコード
		Me.BYOREKI_NO = String.Empty			'病歴番号
		Me.DEPT_CD = String.Empty				'診療科コード
		Me.MAIN_DPM_FLG = String.Empty			'主科フラグ
		Me.HSP_CNL_CD = String.Empty			'入院経路コード
		Me.HSP_DT = String.Empty				'入院日
		Me.HSP_FLG = String.Empty				'入院フラグ
		Me.HSP_TIME = String.Empty				'入院時刻
		Me.OUT_HSP_DT = String.Empty			'退院日
		Me.OUT_HSP_FLG = String.Empty			'退院フラグ
		Me.OUT_HSP_TIME = String.Empty			'退院時刻
		Me.OUT_HSP_CNL_CD = String.Empty		'退院経路コード
		Me.OUT_HSP_OUTCOME_CD = String.Empty	'退院転帰コード
		Me.WARD_CD = String.Empty				'病棟コード
		Me.MAIN_WARD_FLG = String.Empty			'主病棟フラグ
		Me.DOCTOR_DIV = String.Empty			'医師区分コード
		Me.DOCTOR_CD = String.Empty				'医師コード
		Me.ATTEND_START_DT = String.Empty		'担当開始日
		Me.ATTEND_END_DT = String.Empty			'担当終了日
		Me.TAKE_AMBULANCE_CHK = String.Empty	'救急車有無コード
		Me.INTRODUCTION_CHK = String.Empty		'紹介状有無コード
		Me.ZIP_CD = String.Empty				'郵便番号
		Me.AREA_CD = String.Empty				'診療圏コード
		Me.ADDRESS_NM = String.Empty			'住所
		Me.TELNUMBER = String.Empty				'電話番号
		Me.NATIONALITY_CD = String.Empty		'国籍コード
		Me.DOMICILE_ADDRESS_CD = String.Empty	'出生地コード
		Me.DOMICILE_ADDRESS = String.Empty		'本籍住所
		Me.INSURANCE_CD1 = String.Empty			'保険コード１
		Me.INSURANCE_CD2 = String.Empty			'保険コード２
		Me.INSURANCE_CD3 = String.Empty			'保険コード３
		Me.FIRST_DIAGNOSIS_DT = String.Empty	'初診日
		Me.RELATION_PATIENT_NO = String.Empty	'関連患者番号
		Me.HOUSEHOLDER_NM = String.Empty		'世帯主名
		Me.RELATION_CD = String.Empty			'続柄コード
		Me.TO_DEPT_DOCTOR_DIV = String.Empty	'転科先医師区分コード
		Me.TO_DEPT_DOCTOR_CD = String.Empty		'転科先医師コード
		Me.TO_DEPT_BYOREKI_NO = String.Empty	'転科先病歴番号
		Me.DPC_HSP = String.Empty				'ＤＰＣ入退院歴
		Me.SPARE01 = String.Empty				'予備１
		Me.SPARE02 = String.Empty				'予備２
		Me.SPARE03 = String.Empty				'予備３
		Me.SPARE04 = String.Empty				'予備４
		Me.LASTUPDUSER_CD = String.Empty		'更新者コード
		Me.LASTUPD_DT = String.Empty			'更新日
	End Sub

#End Region

End Class

#End Region
