﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_連携クラス継承元
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4
	Implements IDisposable

#Region "IDisposable Support"

	Protected disposedValue As Boolean ' 重複する呼び出しを検出するには

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing">重複呼び出し検出</param>
	''' <remarks>
	''' 2010/09/30 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				'ここで変数のクリアを行う
				Me.cliXSI010F010 = Nothing
				Me.csvFileName = Nothing
				Me.cliClsMsg = Nothing

				Me.cliCom = Nothing
			End If
		End If
		Me.disposedValue = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/09/30 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

#End Region

#Region "コンスタント"

	'処理中に画面を更新する単位（件数）
'(D) STR V4-14019-000 003 20130419 ID)平井(取込処理をサブスレッド化する。)
'	Protected Const CST_MOD_CNT As Integer = 10
'(D) END V4-14019-000 003 20130419
'(A) STR V4-14019-000 005 20130419 ID)平井(取込処理をサブスレッド化する。)
	Protected Const CST_CNT_LARGE As Long = 10000			'件数表示単位の下限値
	Protected Const CST_MOD_CNT_SMALL As Integer = 10		'件数表示単位（小）
	Protected Const CST_MOD_CNT_LARGE As Integer = 100		'件数表示単位（多）
'(A) END V4-14019-000 005 20130419
'(A) STR V4-14030-000 003 20130617 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	Protected Const CST_ITM_MNGITEM_CD As String = "MNGITEM_CD"	'管理物コード
'(A) END V4-14030-000 003 20130617

	''' ---------------------------------------------
	''' <summary>
	''' 実行リターンフラグ
	''' </summary>
	''' <remarks>
	''' 2010/09/30 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum Enum_ExeReturnFlg
		''' ---------------------------------------------
		''' <summary>
		''' 正常実行
		''' </summary>
		''' ---------------------------------------------
		eExecute = 0
		''' ---------------------------------------------
		''' <summary>
		''' SQLエラー
		''' </summary>
		''' ---------------------------------------------
		eSqlError = 1
		''' ---------------------------------------------
		''' <summary>
		''' 実行エラー
		''' </summary>
		''' ---------------------------------------------
		eError = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' SQLインデックス
	''' </summary>
	''' <remarks>
	''' 2010/09/30 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum Enum_SqlIdx
		''' ---------------------------------------------
		''' <summary>
		''' 削除モード
		''' </summary>
		''' ---------------------------------------------
		eDel = 0
		''' ---------------------------------------------
		''' <summary>
		''' 登録モード
		''' </summary>
		''' ---------------------------------------------
		eIns = 1
		''' ---------------------------------------------
		''' <summary>
		''' 更新モード
		''' </summary>
		''' ---------------------------------------------
		eUpd = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 更新SQL区分
	''' </summary>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum Enum_Upd
		''' ---------------------------------------------
		''' <summary>
		''' 通常
		''' </summary>
		''' ---------------------------------------------
		eNomal = 0
		''' ---------------------------------------------
		''' <summary>
		''' 変更箇所のみ
		''' </summary>
		''' ---------------------------------------------
		eChange = 1
	End Enum

#End Region

#Region "変数"

	Protected cliXSI010F010 As XSI010F010		'親フォーム
	Protected csvFileName As String				'連携ファイル名
	Protected cliClsMsg As New clsMsg()			'メッセージ取得クラス

	'共通クラス
	Protected cliCom As New clsCom
'(A) STR V4-14019-000 003 20130419 ID)平井(取込処理をサブスレッド化する。)
	Protected CST_MOD_CNT As Integer = 10
'(A) END V4-14019-000 003 20130419
'(A) STR V4-14030-000 003 20130610 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	Protected cliXSI030F010 As XSI030F010		'親フォーム
'(A) END V4-14030-000 003 20130610

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010)
		Me.cliXSI010F010 = cliXSI010F010
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		Me.cliXSI010F010 = cliXSI010F010
		Me.csvFileName = csvFileName
	End Sub

'(A) STR V4-14030-000 029 20130610 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <remarks>
	''' 2013/06/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010)
		Me.cliXSI030F010 = cliXSI030F010
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2013/06/10 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010, ByVal csvFileName As String)
		Me.cliXSI030F010 = cliXSI030F010
		Me.csvFileName = csvFileName
	End Sub
'(A) END V4-14030-000 029 20130610

#End Region

#Region "メソッド"

'(A) STR V4-14019-000 024 20130419 ID)平井(取込処理をサブスレッド化する。)
	''' ---------------------------------------------
	''' <summary>
	''' 処理件数の表示切替数を取得
	''' </summary>
	''' <param name="allCount"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/03/19 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getModCount(ByVal allCount As Long) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "処理件数の表示切替数を取得 Start")
		Try
			If allCount >= CST_CNT_LARGE Then
				Return CST_MOD_CNT_LARGE
			Else
				Return CST_MOD_CNT_SMALL
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-14019-000 024 20130419

'(M) STR V4-14030-000 064 20130701 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 連携項目の桁数チェック
	' ''' </summary>
	' ''' <param name="oneCsv">連携ファイル１行データ</param>
	' ''' <param name="disit">桁数リスト</param>
	' ''' <param name="errFlg">エラーフラグ</param>
	' ''' <param name="errCode">エラーコード</param>
	' ''' <param name="errMsg">エラーメッセージ</param>
	' ''' <returns>True:正常/False:異常</returns>
	' ''' <remarks>
	' ''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Protected Function chkCsvDisit(ByVal oneCsv As List(Of String), ByVal disit As List(Of Integer), ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
	'	clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の桁数チェック Start")
	'	For idx As Integer = 0 To oneCsv.Count - 1
	'		'指定バイト数以上の場合はエラー
	'		If oneCsv(idx) <> Nothing AndAlso oneCsv(idx).Length > disit(idx) Then
	'			errFlg = "1"
	'			errCode = "E0027"
	'			errMsg = Me.cliClsMsg.getMessage(errCode) & "[" & idx.ToString & "]"	' ■■■DEBUG■■■

	'			Return False
	'		End If
	'	Next idx

	'	Return True
	'End Function
	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の桁数チェック
	''' </summary>
	''' <param name="oneCsv">連携ファイル１行データ</param>
	''' <param name="disit">桁数リスト</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvDisit(ByVal oneCsv As List(Of String), ByVal disit As List(Of Integer), ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String, Optional ByVal IName As List(Of String) = Nothing) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の桁数チェック Start")
		For idx As Integer = 0 To oneCsv.Count - 1
			'指定バイト数以上の場合はエラー
			If oneCsv(idx) <> Nothing AndAlso oneCsv(idx).Length > disit(idx) Then
				errFlg = "1"
				errCode = "E0027"
				If IName Is Nothing Then
					errMsg = Me.cliClsMsg.getMessage(errCode)
				Else
					errMsg = Me.cliClsMsg.getMessage(errCode) & " [" & IName(idx) & "]"
				End If

				Return False
			End If
		Next idx

		Return True
	End Function
'(M) END V4-14030-000 064 20130701

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の必須項目チェック
	''' </summary>
	''' <param name="requiredItem">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvRequiredItem(ByVal requiredItem As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の必須項目チェック Start")
		If String.IsNullOrEmpty(requiredItem) = True Then
			errFlg = "1"
			errCode = "E0028"
			errMsg = Me.cliClsMsg.getMessage(errCode)
			Return False
		End If
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目のデータ種別チェック
	''' </summary>
	''' <param name="dataType">チェックデータ</param>
	''' <param name="searchChars">チェックパターン</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/14 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvDATA_TYPE(ByVal dataType As String, ByVal searchChars() As Char, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目のデータ種別チェック Start")
		Try
			If dataType.IndexOfAny(searchChars) <> 0 Then
				errFlg = "1"
				errCode = "E0035"
				'データ種別が不正です。
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"データ種別", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の患者番号チェック
	''' </summary>
	''' <param name="patientNo">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvPATIENT_NO(ByVal patientNo As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の患者番号チェック Start")
		Try
			If String.IsNullOrEmpty(patientNo) = True Then
				'未入力ならチェックしない(関連患者番号)
			ElseIf patientNo.Length <> 10 Then
				errFlg = "1"
				errCode = "E0029"
				'患者番号が10桁ではありません。[データ内容]
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"患者番号", "10桁", Nothing}) & "[" & patientNo & "]"
				Return False
			ElseIf IsNumeric(patientNo) = False Then
				errFlg = "1"
				errCode = "E0030"
				'患者番号に数字以外が入っています。[データ内容]
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"患者番号", "数字以外", Nothing}) & "[" & patientNo & "]"
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の性別チェック
	''' </summary>
	''' <param name="genderCode">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvGender(ByVal genderCode As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の必須項目チェック Start")

		If genderCode <> CStr(clsConst.Enum_Gender.Man) AndAlso genderCode <> CStr(clsConst.Enum_Gender.Woman) Then
			errFlg = "1"
			errCode = "E0030"
			'性別コードに対象外のデータが入っています。[データ内容]
			errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"性別コード", "対象外のデータ", Nothing}) & "[" & genderCode & "]"
			Return False
		End If
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の数値チェック
	''' </summary>
	''' <param name="num">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvNum(ByVal num As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の数値チェック Start")
		Try
'(M) STR V4-12055-000 006 20121213 ID)平井(数値チェックで全角数値をエラーとする。)
'			If String.IsNullOrEmpty(num) = False AndAlso IsNumeric(num) = False Then
			If (String.IsNullOrEmpty(num) = False AndAlso IsNumeric(num) = False) OrElse
				num.Length <> System.Text.Encoding.Default.GetByteCount(num) Then
'(M) END V4-12055-000 006 20121213
				errFlg = "1"
				errCode = "E0030"
				'数値項目に数値以外のデータが入っています。[データ内容]
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"数値項目", "数値以外のデータ", Nothing}) & "[" & num & "]"
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の日付チェック
	''' </summary>
	''' <param name="dateItem">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvDate(ByVal dateItem As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の日付チェック Start")
		Try
			If String.IsNullOrEmpty(dateItem) = False AndAlso (IsDate(dateItem) = False Or dateItem <= "1868/10/22") Then
				errFlg = "1"
				errCode = "E0030"
				'日付項目に日付以外のデータが入っています。[データ内容]
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"日付項目", "日付以外のデータ", Nothing}) & "[" & dateItem & "]"
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の時刻チェック
	''' </summary>
	''' <param name="time">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvTime(ByVal time As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の時刻チェック Start")
		Try
			If String.IsNullOrEmpty(time) = False AndAlso IsDate(time) = False Then
				errFlg = "1"
				errCode = "E0030"
				'時刻項目に時刻以外のデータが入っています。[データ内容]
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"時刻項目", "時刻以外のデータ", Nothing}) & "[" & time & "]"
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携ファイル内のフラグ変換
	''' </summary>
	''' <param name="flg">連携ファイル内のフラグ</param>
	''' <returns>変換後フラグ</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function changeFlg(ByVal flg As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携ファイル内のフラグ変換 Start")
		Dim retFlg As String
		Try
			If flg = "1" Then
				retFlg = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
			Else
				retFlg = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
			End If
			Return retFlg
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携ファイル内の有無コード変換
	''' </summary>
	''' <param name="onOff">連携ファイル内の有無コード</param>
	''' <returns>変換後有無コード</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function changeOnOff(ByVal onOff As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携ファイル内の有無コード変換 Start")
		Dim retOnOff As String
		Try
			Select Case onOff
				Case "1"
					retOnOff = CStr(clsConst.Enum_Chk.ChkOn)
				Case "0"
					retOnOff = CStr(clsConst.Enum_Chk.ChkOff)
				Case Else
					retOnOff = String.Empty
			End Select

			Return retOnOff
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="deptCd">診療科コード</param>
	''' <param name="startDate">開始日</param>
	''' <param name="cliBasicInfo_DB">基本情報データクラス</param>
	''' <param name="cliHsp_DB">入退院情報データクラス</param>
	''' <param name="cliCh_DB">科歴情報データクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getSqlParam_BasicHspCh(ByVal pDb As clsDB, ByVal patientNo As String, ByVal deptCd As String, ByVal startDate As String, _
											ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO, _
											ByVal cliHsp_DB As clsXSI_MTI_HSP, _
											ByVal cliCh_DB As clsXSI_MTI_CH) As Boolean

		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "科歴情報取得 Start")
		Try
			Using dt As New DataTable()
				'SQL文設定
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_BasicHspCh)
				'パラメータセット
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmSTART_DT, clsDB.Enum_dbType.dbDateTime)
				'値設定
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
				pDb.setValDa(sqlXSI010F010.prmDEPT_CD, deptCd)
				pDb.setValDa(sqlXSI010F010.prmSTART_DT, startDate)
				'SQL実行
				pDb.execQueryDa(dt)

				'データ無し
				If dt.Rows.Count = 0 Then Return False
				'基本情報
				cliBasicInfo_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_PATIENT_NO).ToString()				'患者番号
				cliBasicInfo_DB.PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()					'氏名
				cliBasicInfo_DB.PATIENT_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()					'氏名カナ
				cliBasicInfo_DB.PREVIOUS1_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()				'旧姓１
				cliBasicInfo_DB.PREVIOUS1_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()				'旧姓１カナ
				cliBasicInfo_DB.PREVIOUS2_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()				'旧姓２
				cliBasicInfo_DB.PREVIOUS2_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()				'旧姓２カナ
				cliBasicInfo_DB.GENDER_CD = dt.Rows(0).Item(sqlXSI010F010.itmGENDER_CD).ToString()						'性別コード
				cliBasicInfo_DB.BIRTH_DT = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()						'生年月日
				cliBasicInfo_DB.BLOODTYPE_CD = dt.Rows(0).Item(sqlXSI010F010.itmBLOODTYPE_CD).ToString()				'血液型コード
				cliBasicInfo_DB.RH_CD = dt.Rows(0).Item(sqlXSI010F010.itmRH_CD).ToString()								'Ｒｈコード
				cliBasicInfo_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_BLOOD_TRAN_CHK).ToString()		'輸血歴有無コード
				cliBasicInfo_DB.RELATION_PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_PATIENT_NO).ToString()	'関連患者番号
				cliBasicInfo_DB.SMOKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_CHK).ToString()					'喫煙歴有無コード
				cliBasicInfo_DB.SMOKING_START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_START_AGE).ToString()		'喫煙開始年齢
				cliBasicInfo_DB.SMOKING_END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_END_AGE).ToString()			'喫煙終了年齢
				cliBasicInfo_DB.SMOKING_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_COUNT).ToString()				'喫煙本数
				cliBasicInfo_DB.SMOKING_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_AGE).ToString()					'喫煙年数
				cliBasicInfo_DB.DRINKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmDRINKING_CHK).ToString()				'飲酒有無コード
				cliBasicInfo_DB.PREGNANCY_CHK = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_CHK).ToString()				'妊娠歴有無コード
				cliBasicInfo_DB.PREGNANCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_COUNT).ToString()			'妊娠回数
				cliBasicInfo_DB.CB_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCB_CHK).ToString()							'出産歴有無コード
				cliBasicInfo_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_CB_COUNT).ToString()					'出産回数
				cliBasicInfo_DB.MENARCHE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENARCHE_AGE).ToString()				'初潮年齢
				cliBasicInfo_DB.MENOPAUSE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENOPAUSE_AGE).ToString()				'閉経年齢
				cliBasicInfo_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmBASIC_REMARKS).ToString()					'コメント
				cliBasicInfo_DB.FIRSTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRSTHSPVST_DT).ToString()			'初回来院日
				cliBasicInfo_DB.LASTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTHSPVST_DT).ToString()				'最終来院日
				cliBasicInfo_DB.LASTDEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmLASTDEPT_CD).ToString()					'最終受診科コード
				cliBasicInfo_DB.LASTLEFTHSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTLEFTHSP_DT).ToString()			'最終退院日
				cliBasicInfo_DB.NATIONALITY_CD = dt.Rows(0).Item(sqlXSI010F010.itmNATIONALITY_CD).ToString()			'国籍
				cliBasicInfo_DB.DOMICILE_ADDRESS_CD = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS_CD).ToString()	'出生地コード
				cliBasicInfo_DB.DOMICILE_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS).ToString()		'本籍住所
				cliBasicInfo_DB.CONTACT_PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_PATIENT_NM).ToString()	'連絡先氏名
				cliBasicInfo_DB.CONTACT_RELATION = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_RELATION).ToString()		'連絡先続柄コード
				cliBasicInfo_DB.CONTACT_ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ZIP_CD).ToString()			'連絡先郵便番号
				cliBasicInfo_DB.CONTACT_TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_TELNUMBER).ToString()		'連絡先電話番号
				cliBasicInfo_DB.CONTACT_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ADDRESS).ToString()			'連絡先住所

				'入退院歴情報
				cliHsp_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmHSP_PATIENT_NO).ToString()								'患者番号
				cliHsp_DB.HSP_HISTORY_NO = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_HISTORY_NO).ToString()						'入退院歴番号
				cliHsp_DB.BYOREKI_NO = dt.Rows(0).Item(sqlXSI010F010.itmHSP_BYOREKI_NO).ToString()								'病歴番号
				cliHsp_DB.DEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DEPT_CD).ToString()									'診療科コード
				cliHsp_DB.WARD_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_WARD_CD).ToString()									'病棟コード
				cliHsp_DB.DOCTOR_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DOCTOR_CD).ToString()								'医師コード
				cliHsp_DB.HSP_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_CNL_CD).ToString()									'入院経路コード
				cliHsp_DB.READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_READMISSION_FLG).ToString()					'再入院フラグ
				cliHsp_DB.HSP_AIM_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_AIM_CD).ToString()								'入院目的コード
				cliHsp_DB.HSP_FORM_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_FORM_CD).ToString()							'入院形態コード
				cliHsp_DB.HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()											'入院日
				cliHsp_DB.HSP_TIME = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME).ToString()										'入院時刻
				cliHsp_DB.HSP_AGE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_AGE).ToString()										'入院時年齢
				cliHsp_DB.HSP_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_MONTH_AGE).ToString()							'入院時月齢
				cliHsp_DB.HSP_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DAY_AGE).ToString()								'入院時日齢
				cliHsp_DB.OUT_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()									'退院日
				cliHsp_DB.OUT_HSP_TIME = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_TIME).ToString()								'退院時刻
				cliHsp_DB.OUT_HSP_AGE = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_AGE).ToString()								'退院時年齢
				cliHsp_DB.OUT_HSP_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_MONTH_AGE).ToString()					'退院時月齢
				cliHsp_DB.OUT_HSP_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DAY_AGE).ToString()						'退院時日齢
				cliHsp_DB.OUT_HSP_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_CNL_CD).ToString()							'退院経路コード
				cliHsp_DB.OUT_HSP_OUTCOME_CD = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_OUTCOME_CD).ToString()					'退院転帰コード
				cliHsp_DB.HSP_DAYS = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_DAYS).ToString()									'在院日数
				cliHsp_DB.CHANGE_DEPT_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCHANGE_DEPT_CHK).ToString()						'転科有無コード
				cliHsp_DB.HOLD_DEPT_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHOLD_DEPT_CHK).ToString()							'兼科有無コード
				cliHsp_DB.TAKE_AMBULANCE_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TAKE_AMBULANCE_CHK).ToString()				'救急車搬送有無コード
				cliHsp_DB.PLAN_EMERGENCY_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_PLAN_EMERGENCY_CD).ToString()				'予定緊急コード
				cliHsp_DB.CLINICAL_TRIAL_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHSP_CLINICAL_TRIAL_CHK).ToString()				'治験実施有無コード
				cliHsp_DB.LAST_SELF_OTHER_HSP_DIV = dt.Rows(0).Item(sqlXSI010F010.itmHSP_LAST_SELF_OTHER_HSP_DIV).ToString()	'前回自他院区分
				cliHsp_DB.LAST_OUT_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_LAST_OUT_HSP_DT).ToString()					'前回退院日
				cliHsp_DB.DPC_NO = dt.Rows(0).Item(sqlXSI010F010.itmDPC_NO).ToString()											'ＤＰＣ番号
				cliHsp_DB.TOTAL_MED_COST = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TOTAL_MED_COST).ToString()						'医療費合計
				cliHsp_DB.MED_COST_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_MED_COST_COUNT).ToString()						'医療費数
				cliHsp_DB.EXCLUDE_STATISTICS_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_EXCLUDE_STATISTICS_FLG).ToString()		'統計対象外フラグ
				cliHsp_DB.SAME_DISEASE_LAST_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_SAME_DISEASE_LAST_HSP_DT).ToString()	'同一疾病前回退院日
				cliHsp_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmHSP_REMARKS).ToString()									'備考
				cliHsp_DB.HSP_INFECTION_CHK = dt.Rows(0).Item(sqlXSI010F010.itmHSP_HSP_INFECTION_CHK).ToString()				'院内感染症有無コード
				cliHsp_DB.HSP_FREEITEM1 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM1).ToString()							'一般病棟以外からの移動有無コード
				cliHsp_DB.HSP_FREEITEM2 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM2).ToString()							'一般病棟以外への移動有無コード
				cliHsp_DB.HSP_FREEITEM3 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM3).ToString()							'入退院有無コード3
				cliHsp_DB.HSP_FREEITEM4 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM4).ToString()							'入退院有無コード4
				cliHsp_DB.HSP_FREEITEM5 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM5).ToString()							'入退院有無コード5
				cliHsp_DB.HSP_FREEITEM6 = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FREEITEM6).ToString()							'入退院有無コード6
				cliHsp_DB.DISEASE_READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DISEASE_READMISSION_FLG).ToString()	'疾病再入院フラグ
				cliHsp_DB.STATURE = dt.Rows(0).Item(sqlXSI010F010.itmHSP_STATURE).ToString()									'身長
				cliHsp_DB.WEIGHT = dt.Rows(0).Item(sqlXSI010F010.itmHSP_WEIGHT).ToString()										'体重
				cliHsp_DB.TIME_OUT_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_TIME_OUT_FLG).ToString()							'時間外フラグ

				'科歴情報
				cliCh_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_PATIENT_NO).ToString()								'患者番号
				cliCh_DB.HSP_HISTORY_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_HISTORY_NO).ToString()						'入退院歴番号
				cliCh_DB.CH_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()												'科歴番号
				cliCh_DB.BYOREKI_NO = dt.Rows(0).Item(sqlXSI010F010.itmCH_BYOREKI_NO).ToString()								'病歴番号
				cliCh_DB.DEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_DEPT_CD).ToString()										'診療科コード
				cliCh_DB.WARD_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_WARD_CD).ToString()										'病棟コード
				cliCh_DB.DOCTOR_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_DOCTOR_CD).ToString()									'医師コード
				cliCh_DB.HSP_FLG = dt.Rows(0).Item(sqlXSI010F010.itmHSP_FLG).ToString()											'入院フラグ
				cliCh_DB.OUT_HSP_FLG = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_FLG).ToString()									'退院フラグ
				cliCh_DB.MAIN_DPM_FLG = dt.Rows(0).Item(sqlXSI010F010.itmMAIN_DPM_FLG).ToString()								'主科フラグ
				cliCh_DB.ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmZIP_CD).ToString()											'郵便番号
				cliCh_DB.AREA_CD = dt.Rows(0).Item(sqlXSI010F010.itmAREA_CD).ToString()											'診療圏コード
				cliCh_DB.ADDRESS_NM = dt.Rows(0).Item(sqlXSI010F010.itmADDRESS_NM).ToString()									'住所
				cliCh_DB.TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmTELNUMBER).ToString()										'電話番号
				cliCh_DB.READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_READMISSION_FLG).ToString()						'再入院フラグ
				cliCh_DB.HSP_AIM_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_AIM_CD).ToString()								'入院目的コード
				cliCh_DB.HSP_FORM_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_FORM_CD).ToString()								'入院形態コード
				cliCh_DB.INTRODUCED_CD = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_CD).ToString()								'紹介元コード
				cliCh_DB.INTRODUCED_NM = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_NM).ToString()								'紹介元名
				cliCh_DB.INTRODUCED_DOCTOR_NM = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_DOCTOR_NM).ToString()				'紹介元医師名
				cliCh_DB.INTRODUCED_REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCED_REMARKS).ToString()					'紹介元備考
				cliCh_DB.REFERENCE_CD = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_CD).ToString()								'紹介先コード
				cliCh_DB.REFERENCE_NM = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_NM).ToString()								'紹介先名
				cliCh_DB.REFERENCE_DOCTOR_NM = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_DOCTOR_NM).ToString()					'紹介先医師名
				cliCh_DB.REFERENCE_REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmREFERENCE_REMARKS).ToString()						'紹介先備考
				cliCh_DB.START_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmSTART_CNL_CD).ToString()								'開始経路コード
				cliCh_DB.START_DT = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()										'開始日
				cliCh_DB.START_TIME = dt.Rows(0).Item(sqlXSI010F010.itmSTART_TIME).ToString()									'開始時刻
				cliCh_DB.START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSTART_AGE).ToString()										'開始時年齢
				cliCh_DB.START_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSTART_MONTH_AGE).ToString()							'開始時月齢
				cliCh_DB.START_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DAY_AGE).ToString()								'開始時日齢
				cliCh_DB.END_DT = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()											'終了日
				cliCh_DB.END_TIME = dt.Rows(0).Item(sqlXSI010F010.itmEND_TIME).ToString()										'終了時刻
				cliCh_DB.END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmEND_AGE).ToString()											'終了時年齢
				cliCh_DB.END_MONTH_AGE = dt.Rows(0).Item(sqlXSI010F010.itmEND_MONTH_AGE).ToString()								'終了時月齢
				cliCh_DB.END_DAY_AGE = dt.Rows(0).Item(sqlXSI010F010.itmEND_DAY_AGE).ToString()									'終了時日齢
				cliCh_DB.HSP_DAYS = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_DAYS).ToString()									'在院日数
				cliCh_DB.END_CNL_CD = dt.Rows(0).Item(sqlXSI010F010.itmEND_CNL_CD).ToString()									'終了経路コード
				cliCh_DB.END_OUTCOME_CD = dt.Rows(0).Item(sqlXSI010F010.itmEND_OUTCOME_CD).ToString()							'終了転帰コード
				cliCh_DB.STATURE = dt.Rows(0).Item(sqlXSI010F010.itmCH_STATURE).ToString()										'身長
				cliCh_DB.WEIGHT = dt.Rows(0).Item(sqlXSI010F010.itmCH_WEIGHT).ToString()										'体重
				cliCh_DB.INSURANCE_CD1 = dt.Rows(0).Item(sqlXSI010F010.itmINSURANCE_CD1).ToString()								'保険コード１
				cliCh_DB.INSURANCE_CD2 = dt.Rows(0).Item(sqlXSI010F010.itmINSURANCE_CD2).ToString()								'保険コード２
				cliCh_DB.INSURANCE_CD3 = dt.Rows(0).Item(sqlXSI010F010.itmINSURANCE_CD3).ToString()								'保険コード３
				cliCh_DB.CURRENT_JOB_CD = dt.Rows(0).Item(sqlXSI010F010.itmCURRENT_JOB_CD).ToString()							'職業コード
				cliCh_DB.FIRST_DIAGNOSIS_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRST_DIAGNOSIS_DT).ToString()					'初診日
				cliCh_DB.OTHER_DEPT_CHK = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_DEPT_CHK).ToString()							'対診有無コード
				cliCh_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_BLOOD_TRAN_CHK).ToString()						'輸血有無コード
				cliCh_DB.OPE_CHK = dt.Rows(0).Item(sqlXSI010F010.itmOPE_CHK).ToString()											'手術有無コード
				cliCh_DB.DPC_CD = dt.Rows(0).Item(sqlXSI010F010.itmDPC_CD).ToString()											'ＤＰＣコード
				cliCh_DB.TOTAL_MED_COST = dt.Rows(0).Item(sqlXSI010F010.itmCH_TOTAL_MED_COST).ToString()						'医療費合計
				cliCh_DB.INFECTION1 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION1).ToString()									'感染症１
				cliCh_DB.INFECTION2 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION2).ToString()									'感染症２
				cliCh_DB.INFECTION3 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION3).ToString()									'感染症３
				cliCh_DB.INFECTION4 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION4).ToString()									'感染症４
				cliCh_DB.INFECTION5 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION5).ToString()									'感染症５
				cliCh_DB.INFECTION6 = dt.Rows(0).Item(sqlXSI010F010.itmINFECTION6).ToString()									'感染症６
				cliCh_DB.OTHER_INFECTION = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_INFECTION).ToString()							'感染症その他
				cliCh_DB.ALLERGY1 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY1).ToString()										'アレルギー１
				cliCh_DB.ALLERGY2 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY2).ToString()										'アレルギー２
				cliCh_DB.ALLERGY3 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY3).ToString()										'アレルギー３
				cliCh_DB.ALLERGY4 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY4).ToString()										'アレルギー４
				cliCh_DB.ALLERGY5 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY5).ToString()										'アレルギー５
				cliCh_DB.ALLERGY6 = dt.Rows(0).Item(sqlXSI010F010.itmALLERGY6).ToString()										'アレルギー６
				cliCh_DB.OTHER_ALLERGY = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_ALLERGY).ToString()								'アレルギーその他
				cliCh_DB.LAST_OUT_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmCH_LAST_OUT_HSP_DT).ToString()						'前回退院日
				cliCh_DB.LAST_SELF_OTHER_HSP_DIV = dt.Rows(0).Item(sqlXSI010F010.itmCH_LAST_SELF_OTHER_HSP_DIV).ToString()		'前回自他院区分
				cliCh_DB.COMMENT = dt.Rows(0).Item(sqlXSI010F010.itmCOMMENT).ToString()											'コメント
				cliCh_DB.EXCLUDE_STATISTICS_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_EXCLUDE_STATISTICS_FLG).ToString()		'統計対象外フラグ
				cliCh_DB.REG_STATUS_CD = dt.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()								'登録状況コード
				cliCh_DB.REG_FINISHED_DT = dt.Rows(0).Item(sqlXSI010F010.itmREG_FINISHED_DT).ToString()							'登録完了日
				cliCh_DB.REG_PERSON_CD = dt.Rows(0).Item(sqlXSI010F010.itmREG_PERSON_CD).ToString()								'登録者コード
				cliCh_DB.DISEASE_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmDISEASE_COUNT).ToString()								'病名数
				cliCh_DB.OPE_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmOPE_COUNT).ToString()										'手術数
				cliCh_DB.CARE_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCARE_COUNT).ToString()									'治療処置数
				cliCh_DB.TEST_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmTEST_COUNT).ToString()									'検査数
				cliCh_DB.ASST_ITM1_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmASST_ITM1_COUNT).ToString()							'補足項目１数
				cliCh_DB.ASST_ITM2_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmASST_ITM2_COUNT).ToString()							'補足項目２数
				cliCh_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCB_COUNT).ToString()										'分娩数
				cliCh_DB.EMERGENCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmEMERGENCY_COUNT).ToString()							'救命救急数
				cliCh_DB.OTHER_DEPT_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmOTHER_DEPT_COUNT).ToString()						'対診科数
				cliCh_DB.MED_COST_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCH_MED_COST_COUNT).ToString()						'医療費数
				cliCh_DB.HOUSEHOLDER_NM = dt.Rows(0).Item(sqlXSI010F010.itmHOUSEHOLDER_NM).ToString()							'世帯主名
				cliCh_DB.RELATION_CD = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_CD).ToString()									'続柄コード
				cliCh_DB.TAKE_AMBULANCE_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_TAKE_AMBULANCE_CHK).ToString()				'救急車搬送有無コード
				cliCh_DB.PLAN_EMERGENCY_CD = dt.Rows(0).Item(sqlXSI010F010.itmCH_PLAN_EMERGENCY_CD).ToString()					'予定緊急コード
				cliCh_DB.CLINICAL_TRIAL_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_CLINICAL_TRIAL_CHK).ToString()				'治験実施有無コード
				cliCh_DB.CNR_REG_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCNR_REG_COUNT).ToString()								'がん登録数
				cliCh_DB.CNR_REG_EXPECTED_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCNR_REG_EXPECTED_COUNT).ToString()			'がん登録予定数
				cliCh_DB.SAME_DISEASE_LAST_HSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmCH_SAME_DISEASE_LAST_HSP_DT).ToString()	'同一疾病前回退院日
				cliCh_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmCH_REMARKS).ToString()										'備考
				cliCh_DB.HSP_INFECTION_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCH_HSP_INFECTION_CHK).ToString()					'院内感染症有無コード
				cliCh_DB.DISEASE_READMISSION_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_DISEASE_READMISSION_FLG).ToString()		'疾病再入院フラグ
				cliCh_DB.PATH_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPATH_COUNT).ToString()									'パス数
				cliCh_DB.PAST_JOB_CD = dt.Rows(0).Item(sqlXSI010F010.itmPAST_JOB_CD).ToString()									'既職コード
				cliCh_DB.LIVE_TOGETHER_STATE_CD = dt.Rows(0).Item(sqlXSI010F010.itmLIVE_TOGETHER_STATE_CD).ToString()			'同居状況コード
				cliCh_DB.INTRODUCTION_CHK = dt.Rows(0).Item(sqlXSI010F010.itmINTRODUCTION_CHK).ToString()						'紹介状有無コード
				cliCh_DB.TIME_OUT_FLG = dt.Rows(0).Item(sqlXSI010F010.itmCH_TIME_OUT_FLG).ToString()							'時間外フラグ

				Return True
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="deptCd">診療科コード</param>
	''' <param name="startDate">開始日</param>
	''' <param name="Enddate">終了日</param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getSqlParam_MTI_CH(ByVal pDb As clsDB, ByVal patientNo As String, _
											Optional ByVal deptCd As String = Nothing, Optional ByVal startDate As String = Nothing, Optional ByVal EndDate As String = Nothing) As DataTable
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "科歴情報取得 Start")
		Dim selSql As String = Nothing
		Try
			Using dt As New DataTable()
				'SQL文作成
				selSql = sqlXSI010F010.sqlSel_MTI_CH_SEL
				'診療科コードがあれば条件として付加
				If String.IsNullOrEmpty(deptCd) = False Then selSql &= sqlXSI010F010.sqlSel_MTI_CH_DEPT_CD
				'開始日があれば条件として付加
				If String.IsNullOrEmpty(startDate) = False Then
					selSql &= sqlXSI010F010.sqlSel_MTI_CH_START_DT
				End If
				If String.IsNullOrEmpty(EndDate) = False Then
					selSql &= sqlXSI010F010.sqlSel_MTI_CH_END_DT
				End If
				selSql &= sqlXSI010F010.sqlSelOrder_MTI_CH
				'SQL文設定
				pDb.setSQLDa(selSql)

				'パラメータセット
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)

				'診療科コードがあれば条件として付加
				If String.IsNullOrEmpty(deptCd) = False Then
					pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmDEPT_CD, deptCd)
				End If
				'開始日があれば条件として付加
				If String.IsNullOrEmpty(startDate) = False Then
					pDb.setParamDa(sqlXSI010F010.prmSTART_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setValDa(sqlXSI010F010.prmSTART_DT, startDate)
				End If
				'終了日があれば条件として付加
				If String.IsNullOrEmpty(EndDate) = False Then
					pDb.setParamDa(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)
					pDb.setValDa(sqlXSI010F010.prmEND_DT, EndDate)
				End If

				pDb.execQueryDa(dt)

				Return dt.Copy()
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pDeptCd">診療科コード</param>
	''' <param name="pStartDate">入院日</param>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getsqlParam_MTI_HSP(ByVal pDb As clsDB, ByVal pPatientNo As String, _
										   Optional ByVal pDeptCd As String = Nothing, Optional ByVal pStartDate As String = Nothing) As DataTable

		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "入退院情報取得 Start")
		Dim selSql As String = Nothing
		Dim dt As DataTable
		Try
			dt = New DataTable()
			'SQL文作成
			selSql = sqlXSI010F010.sqlSel_MTI_HSP_SEL
			'診療科コードがあれば条件として付加
			If String.IsNullOrEmpty(pDeptCd) = False Then selSql &= sqlXSI010F010.sqlSel_MTI_HSP_DEPT_CD
			'入院日があれば条件として付加
			If String.IsNullOrEmpty(pStartDate) = False Then
				selSql &= sqlXSI010F010.sqlSel_MTI_HSP_START_DT
			End If
			selSql &= sqlXSI010F010.sqlSelOrder_MTI_HSP
			'SQL文設定
			pDb.setSQLDa(selSql)

			'パラメータセット
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, pPatientNo)

			'診療科コードがあれば条件として付加
			If String.IsNullOrEmpty(pDeptCd) = False Then
				pDb.setParamDa(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmDEPT_CD, pDeptCd)
			End If
			'入院日があれば条件として付加
			If String.IsNullOrEmpty(pStartDate) = False Then
				pDb.setParamDa(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setValDa(sqlXSI010F010.prmHSP_DT, pStartDate)
			End If
			pDb.execQueryDa(dt)

			Return dt
		Catch ex As Exception
			dt = Nothing
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>管理物情報コレクション</returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getLendItmData(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "管理物情報取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb Is Nothing Then
				db = New clsDB(clsSysMst.ctlConfigData)
			Else
				db = pDb
			End If
			'SQL文設定
			db.setSQL(sqlXSI010F010.sqlSel_MTI_LENDITM)
			'パラメータ設定
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			'値設定
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			'SQL実行
			arr = New ArrayList()
			db.execQuery(GetType(datLendItm), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 氏名変更ログ登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログデータ</param>
	''' <param name="derimiCd">識別コード</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSqlParam_MTT_IMP_LOG_PATIENT_NM(ByVal pDb As clsDB, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM, ByVal derimiCd As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "氏名変更ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_PATIENT_NM)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)				'登録日
			pDb.setParam(sqlXSI010F010.prmDERIMI_CD, clsDB.Enum_dbType.dbNVarChar)			'識別コード
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				'連番
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
			pDb.setParam(sqlXSI010F010.prmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar)			'氏名
			pDb.setParam(sqlXSI010F010.prmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)		'氏名カナ
			pDb.setParam(sqlXSI010F010.prmPREVIOUS1_NM, clsDB.Enum_dbType.dbNVarChar)		'旧姓１氏名
			pDb.setParam(sqlXSI010F010.prmPREVIOUS1_KNM, clsDB.Enum_dbType.dbNVarChar)		'旧姓１氏名カナ
			pDb.setParam(sqlXSI010F010.prmPREVIOUS2_NM, clsDB.Enum_dbType.dbNVarChar)		'旧姓２氏名
			pDb.setParam(sqlXSI010F010.prmPREVIOUS2_KNM, clsDB.Enum_dbType.dbNVarChar)		'旧姓２氏名カナ
			pDb.setParam(sqlXSI010F010.prmDEL_PATIENT_NM, clsDB.Enum_dbType.dbNVarChar)		'削除氏名
			pDb.setParam(sqlXSI010F010.prmDEL_PATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)	'削除氏名カナ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)								'登録日
			pDb.setVal(sqlXSI010F010.prmDERIMI_CD, derimiCd)								'識別コード
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliLOG_PATIENT_NM.SERIAL_NO)				'連番
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliLOG_PATIENT_NM.PATIENT_NO)			'患者番号
			pDb.setVal(sqlXSI010F010.prmPATIENT_NM, cliLOG_PATIENT_NM.PATIENT_NM)			'氏名
			pDb.setVal(sqlXSI010F010.prmPATIENT_KNM, cliLOG_PATIENT_NM.PATIENT_KNM)			'氏名カナ
			pDb.setVal(sqlXSI010F010.prmPREVIOUS1_NM, cliLOG_PATIENT_NM.PREVIOUS1_NM)		'旧姓１氏名
			pDb.setVal(sqlXSI010F010.prmPREVIOUS1_KNM, cliLOG_PATIENT_NM.PREVIOUS1_KNM)		'旧姓１氏名カナ
			pDb.setVal(sqlXSI010F010.prmPREVIOUS2_NM, cliLOG_PATIENT_NM.PREVIOUS2_NM)		'旧姓２氏名
			pDb.setVal(sqlXSI010F010.prmPREVIOUS2_KNM, cliLOG_PATIENT_NM.PREVIOUS2_KNM)		'旧姓２氏名カナ
			pDb.setVal(sqlXSI010F010.prmDEL_PATIENT_NM, cliLOG_PATIENT_NM.DEL_PATIENT_NM)	'削除氏名
			pDb.setVal(sqlXSI010F010.prmDEL_PATIENT_KNM, cliLOG_PATIENT_NM.DEL_PATIENT_KNM)	'削除氏名カナ
'(M) STR V4-14030-000 004 20130626 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)			'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)				'更新者コード
'(M) END V4-14030-000 004 20130626
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)							'更新日

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[基本情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliBasicInfo">基本情報更新データ</param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSqlParam_XTI_BASICINFO(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliBasicInfo As clsXSI_XTI_BASICINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[基本情報] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録・更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_XTI_BASICINFO) '登録
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_XTI_BASICINFO) '更新
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
					pDb.setParam(sqlXSI010F010.prmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar)				'氏名
					pDb.setParam(sqlXSI010F010.prmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)			'氏名カナ
					pDb.setParam(sqlXSI010F010.prmPREVIOUS1_NM, clsDB.Enum_dbType.dbNVarChar)			'旧姓１
					pDb.setParam(sqlXSI010F010.prmPREVIOUS1_KNM, clsDB.Enum_dbType.dbNVarChar)			'旧姓１カナ
					pDb.setParam(sqlXSI010F010.prmPREVIOUS2_NM, clsDB.Enum_dbType.dbNVarChar)			'旧姓２
					pDb.setParam(sqlXSI010F010.prmPREVIOUS2_KNM, clsDB.Enum_dbType.dbNVarChar)			'旧姓２カナ
					pDb.setParam(sqlXSI010F010.prmGENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'性別コード
					pDb.setParam(sqlXSI010F010.prmBIRTH_DT, clsDB.Enum_dbType.dbDateTime)				'生年月日
					pDb.setParam(sqlXSI010F010.prmBLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)			'血液型コード
					pDb.setParam(sqlXSI010F010.prmRH_CD, clsDB.Enum_dbType.dbNVarChar)					'Ｒｈコード
					pDb.setParam(sqlXSI010F010.prmBLOOD_TRAN_CHK, clsDB.Enum_dbType.dbNVarChar)			'輸血歴有無コード
					pDb.setParam(sqlXSI010F010.prmRELATION_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'関連患者番号
					pDb.setParam(sqlXSI010F010.prmSMOKING_CHK, clsDB.Enum_dbType.dbNVarChar)			'喫煙歴有無コード
					pDb.setParam(sqlXSI010F010.prmSMOKING_START_AGE, clsDB.Enum_dbType.dbInt)			'喫煙開始年齢
					pDb.setParam(sqlXSI010F010.prmSMOKING_END_AGE, clsDB.Enum_dbType.dbInt)				'喫煙終了年齢
					pDb.setParam(sqlXSI010F010.prmSMOKING_COUNT, clsDB.Enum_dbType.dbInt)				'喫煙本数
					pDb.setParam(sqlXSI010F010.prmSMOKING_AGE, clsDB.Enum_dbType.dbInt)					'喫煙年数
					pDb.setParam(sqlXSI010F010.prmDRINKING_CHK, clsDB.Enum_dbType.dbNVarChar)			'飲酒有無コード
					pDb.setParam(sqlXSI010F010.prmPREGNANCY_CHK, clsDB.Enum_dbType.dbNVarChar)			'妊娠歴有無コード
					pDb.setParam(sqlXSI010F010.prmPREGNANCY_COUNT, clsDB.Enum_dbType.dbInt)				'妊娠回数
					pDb.setParam(sqlXSI010F010.prmCB_CHK, clsDB.Enum_dbType.dbNVarChar)					'出産歴有無コード
					pDb.setParam(sqlXSI010F010.prmCB_COUNT, clsDB.Enum_dbType.dbInt)					'出産回数
					pDb.setParam(sqlXSI010F010.prmMENARCHE_AGE, clsDB.Enum_dbType.dbInt)				'初潮年齢
					pDb.setParam(sqlXSI010F010.prmMENOPAUSE_AGE, clsDB.Enum_dbType.dbInt)				'閉経年齢
					pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)				'コメント
					pDb.setParam(sqlXSI010F010.prmFIRSTHSPVST_DT, clsDB.Enum_dbType.dbDateTime)			'初回来院日
					pDb.setParam(sqlXSI010F010.prmLASTHSPVST_DT, clsDB.Enum_dbType.dbDateTime)			'最終来院日
					pDb.setParam(sqlXSI010F010.prmLASTDEPT_CD, clsDB.Enum_dbType.dbNVarChar)			'最終受診科コード
					pDb.setParam(sqlXSI010F010.prmLASTLEFTHSP_DT, clsDB.Enum_dbType.dbDateTime)			'最終退院日
					pDb.setParam(sqlXSI010F010.prmNATIONALITY_CD, clsDB.Enum_dbType.dbNVarChar)			'国籍
					pDb.setParam(sqlXSI010F010.prmDOMICILE_ADDRESS_CD, clsDB.Enum_dbType.dbNVarChar)	'出生地コード
					pDb.setParam(sqlXSI010F010.prmDOMICILE_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'本籍住所
					pDb.setParam(sqlXSI010F010.prmCONTACT_PATIENT_NM, clsDB.Enum_dbType.dbNVarChar)		'連絡先氏名
					pDb.setParam(sqlXSI010F010.prmCONTACT_RELATION, clsDB.Enum_dbType.dbNVarChar)		'連絡先続柄コード
					pDb.setParam(sqlXSI010F010.prmCONTACT_ZIP_CD, clsDB.Enum_dbType.dbNVarChar)			'連絡先郵便番号
					pDb.setParam(sqlXSI010F010.prmCONTACT_TELNUMBER, clsDB.Enum_dbType.dbNVarChar)		'連絡先電話番号
					pDb.setParam(sqlXSI010F010.prmCONTACT_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'連絡先住所
					pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)				'新規登録日
					pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)		'取込日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日


					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliBasicInfo.PATIENT_NO)					'患者番号
					pDb.setVal(sqlXSI010F010.prmPATIENT_NM, cliBasicInfo.PATIENT_NM)					'氏名
					pDb.setVal(sqlXSI010F010.prmPATIENT_KNM, cliBasicInfo.PATIENT_KNM)					'氏名カナ
					pDb.setVal(sqlXSI010F010.prmPREVIOUS1_NM, cliBasicInfo.PREVIOUS1_NM)				'旧姓１
					pDb.setVal(sqlXSI010F010.prmPREVIOUS1_KNM, cliBasicInfo.PREVIOUS1_KNM)				'旧姓１カナ
					pDb.setVal(sqlXSI010F010.prmPREVIOUS2_NM, cliBasicInfo.PREVIOUS2_NM)				'旧姓２
					pDb.setVal(sqlXSI010F010.prmPREVIOUS2_KNM, cliBasicInfo.PREVIOUS2_KNM)				'旧姓２カナ
					pDb.setVal(sqlXSI010F010.prmGENDER_CD, cliBasicInfo.GENDER_CD)						'性別コード
					pDb.setVal(sqlXSI010F010.prmBIRTH_DT, cliBasicInfo.BIRTH_DT)						'生年月日
					pDb.setVal(sqlXSI010F010.prmBLOODTYPE_CD, cliBasicInfo.BLOODTYPE_CD)				'血液型コード
					pDb.setVal(sqlXSI010F010.prmRH_CD, cliBasicInfo.RH_CD)								'Ｒｈコード
					pDb.setVal(sqlXSI010F010.prmBLOOD_TRAN_CHK, cliBasicInfo.BLOOD_TRAN_CHK)			'輸血歴有無コード
					pDb.setVal(sqlXSI010F010.prmRELATION_PATIENT_NO, cliBasicInfo.RELATION_PATIENT_NO)	'関連患者番号
					pDb.setVal(sqlXSI010F010.prmSMOKING_CHK, cliBasicInfo.SMOKING_CHK)					'喫煙歴有無コード
					pDb.setVal(sqlXSI010F010.prmSMOKING_START_AGE, cliBasicInfo.SMOKING_START_AGE)		'喫煙開始年齢
					pDb.setVal(sqlXSI010F010.prmSMOKING_END_AGE, cliBasicInfo.SMOKING_END_AGE)			'喫煙終了年齢
					pDb.setVal(sqlXSI010F010.prmSMOKING_COUNT, cliBasicInfo.SMOKING_COUNT)				'喫煙本数
					pDb.setVal(sqlXSI010F010.prmSMOKING_AGE, cliBasicInfo.SMOKING_AGE)					'喫煙年数
					pDb.setVal(sqlXSI010F010.prmDRINKING_CHK, cliBasicInfo.DRINKING_CHK)				'飲酒有無コード
					pDb.setVal(sqlXSI010F010.prmPREGNANCY_CHK, cliBasicInfo.PREGNANCY_CHK)				'妊娠歴有無コード
					pDb.setVal(sqlXSI010F010.prmPREGNANCY_COUNT, cliBasicInfo.PREGNANCY_COUNT)			'妊娠回数
					pDb.setVal(sqlXSI010F010.prmCB_CHK, cliBasicInfo.CB_CHK)							'出産歴有無コード
					pDb.setVal(sqlXSI010F010.prmCB_COUNT, cliBasicInfo.CB_COUNT)						'出産回数
					pDb.setVal(sqlXSI010F010.prmMENARCHE_AGE, cliBasicInfo.MENARCHE_AGE)				'初潮年齢
					pDb.setVal(sqlXSI010F010.prmMENOPAUSE_AGE, cliBasicInfo.MENOPAUSE_AGE)				'閉経年齢
					pDb.setVal(sqlXSI010F010.prmREMARKS, cliBasicInfo.REMARKS)							'コメント
					pDb.setVal(sqlXSI010F010.prmFIRSTHSPVST_DT, cliBasicInfo.FIRSTHSPVST_DT)			'初回来院日
					pDb.setVal(sqlXSI010F010.prmLASTHSPVST_DT, cliBasicInfo.LASTHSPVST_DT)				'最終来院日
					pDb.setVal(sqlXSI010F010.prmLASTDEPT_CD, cliBasicInfo.LASTDEPT_CD)					'最終受診科コード
					pDb.setVal(sqlXSI010F010.prmLASTLEFTHSP_DT, cliBasicInfo.LASTLEFTHSP_DT)			'最終退院日
					pDb.setVal(sqlXSI010F010.prmNATIONALITY_CD, cliBasicInfo.NATIONALITY_CD)			'国籍
					pDb.setVal(sqlXSI010F010.prmDOMICILE_ADDRESS_CD, cliBasicInfo.DOMICILE_ADDRESS_CD)	'出生地コード
					pDb.setVal(sqlXSI010F010.prmDOMICILE_ADDRESS, cliBasicInfo.DOMICILE_ADDRESS)		'本籍住所
					pDb.setVal(sqlXSI010F010.prmCONTACT_PATIENT_NM, cliBasicInfo.CONTACT_PATIENT_NM)	'連絡先氏名
					pDb.setVal(sqlXSI010F010.prmCONTACT_RELATION, cliBasicInfo.CONTACT_RELATION)		'連絡先続柄コード
					pDb.setVal(sqlXSI010F010.prmCONTACT_ZIP_CD, cliBasicInfo.CONTACT_ZIP_CD)			'連絡先郵便番号
					pDb.setVal(sqlXSI010F010.prmCONTACT_TELNUMBER, cliBasicInfo.CONTACT_TELNUMBER)		'連絡先電話番号
					pDb.setVal(sqlXSI010F010.prmCONTACT_ADDRESS, cliBasicInfo.CONTACT_ADDRESS)			'連絡先住所
					pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)								'新規登録日
					pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)							'取込日
'(M) STR V4-14030-000 004 20130620 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)				'更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)					'更新者コード
'(M) END V4-14030-000 004 20130620
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)								'更新日
			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新SQL設定[入退院情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="eUpd">0:通常/1:変更箇所のみ</param>
	''' <param name="cliHsp">入退院情報更新データ</param>
	''' <param name="bCaptureDateUpd">取込日更新フラグ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setUpdSql_MTI_HSP(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal eUpd As Enum_Upd, ByVal cliHsp As clsXSI_MTI_HSP, ByVal bCaptureDateUpd As Boolean)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "更新SQL設定[入退院情報] Start")
		Try
			'SQL文設定
			Select Case eUpd
				Case Enum_Upd.eNomal '通常
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_HSP)
				Case Enum_Upd.eChange '変更箇所のみ
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_HSP_CHANGE)

			End Select

			'パラメータ設定
			Me.setSqlParam_MTI_HSP(pDb, cliHsp, bCaptureDateUpd)

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 登録SQL設定[入退院情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="cliHsp">入退院情報更新データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setInsSql_MTI_HSP(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal cliHsp As clsXSI_MTI_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "登録SQL設定[入退院情報] Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTI_HSP)
			'パラメータ設定
			Me.setSqlParam_MTI_HSP(pDb, cliHsp, True)
			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[入退院情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliHsp">入退院情報更新データ</param>
	''' <param name="bCaptureDateUpd">取込日更新フラグ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_HSP(ByVal pDb As clsDB, ByVal cliHsp As clsXSI_MTI_HSP, ByVal bCaptureDateUpd As Boolean)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[入退院情報] Start")
		Try
			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)					'患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)					'入退院歴番号
			pDb.setParam(sqlXSI010F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)					'病歴番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)					'診療科コード
			pDb.setParam(sqlXSI010F010.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar)					'病棟コード
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)					'医師コード
			pDb.setParam(sqlXSI010F010.prmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)					'入院経路コード
			pDb.setParam(sqlXSI010F010.prmREADMISSION_FLG, clsDB.Enum_dbType.dbInt)					'再入院フラグ
			pDb.setParam(sqlXSI010F010.prmHSP_AIM_CD, clsDB.Enum_dbType.dbNVarChar)					'入院目的コード
			pDb.setParam(sqlXSI010F010.prmHSP_FORM_CD, clsDB.Enum_dbType.dbNVarChar)				'入院形態コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)						'入院日
			pDb.setParam(sqlXSI010F010.prmHSP_TIME, clsDB.Enum_dbType.dbNVarChar)					'入院時刻
			pDb.setParam(sqlXSI010F010.prmHSP_AGE, clsDB.Enum_dbType.dbInt)							'入院時年齢
			pDb.setParam(sqlXSI010F010.prmHSP_MONTH_AGE, clsDB.Enum_dbType.dbInt)					'入院時月齢
			pDb.setParam(sqlXSI010F010.prmHSP_DAY_AGE, clsDB.Enum_dbType.dbInt)						'入院時日齢
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)					'退院日
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_TIME, clsDB.Enum_dbType.dbNVarChar)				'退院時刻
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_AGE, clsDB.Enum_dbType.dbInt)						'退院時年齢
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_MONTH_AGE, clsDB.Enum_dbType.dbInt)				'退院時月齢
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_DAY_AGE, clsDB.Enum_dbType.dbInt)					'退院時日齢
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)				'退院経路コード
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)			'退院転帰コード
			pDb.setParam(sqlXSI010F010.prmHSP_DAYS, clsDB.Enum_dbType.dbInt)						'在院日数
			pDb.setParam(sqlXSI010F010.prmCHANGE_DEPT_CHK, clsDB.Enum_dbType.dbNVarChar)			'転科有無コード
			pDb.setParam(sqlXSI010F010.prmHOLD_DEPT_CHK, clsDB.Enum_dbType.dbNVarChar)				'兼科有無コード
			pDb.setParam(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, clsDB.Enum_dbType.dbNVarChar)			'救急車搬送有無コード
			pDb.setParam(sqlXSI010F010.prmPLAN_EMERGENCY_CD, clsDB.Enum_dbType.dbNVarChar)			'予定緊急コード
			pDb.setParam(sqlXSI010F010.prmCLINICAL_TRIAL_CHK, clsDB.Enum_dbType.dbNVarChar)			'治験実施有無コード
			pDb.setParam(sqlXSI010F010.prmLAST_SELF_OTHER_HSP_DIV, clsDB.Enum_dbType.dbNVarChar)	'前回自他院区分
			pDb.setParam(sqlXSI010F010.prmLAST_OUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)			'前回退院日
			pDb.setParam(sqlXSI010F010.prmDPC_NO, clsDB.Enum_dbType.dbNVarChar)						'ＤＰＣ番号
			pDb.setParam(sqlXSI010F010.prmTOTAL_MED_COST, clsDB.Enum_dbType.dbInt)					'医療費合計
			pDb.setParam(sqlXSI010F010.prmMED_COST_COUNT, clsDB.Enum_dbType.dbInt)					'医療費数
			pDb.setParam(sqlXSI010F010.prmEXCLUDE_STATISTICS_FLG, clsDB.Enum_dbType.dbInt)			'統計対象外フラグ
			pDb.setParam(sqlXSI010F010.prmSAME_DISEASE_LAST_HSP_DT, clsDB.Enum_dbType.dbDateTime)	'同一疾病前回退院日
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)					'備考
			pDb.setParam(sqlXSI010F010.prmHSP_INFECTION_CHK, clsDB.Enum_dbType.dbNVarChar)			'院内感染症有無コード
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM1, clsDB.Enum_dbType.dbNVarChar)				'一般病棟以外からの移動有無コード
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM2, clsDB.Enum_dbType.dbNVarChar)				'一般病棟以外への移動有無コード
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM3, clsDB.Enum_dbType.dbNVarChar)				'入退院有無コード3
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM4, clsDB.Enum_dbType.dbNVarChar)				'入退院有無コード4
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM5, clsDB.Enum_dbType.dbNVarChar)				'入退院有無コード5
			pDb.setParam(sqlXSI010F010.prmHSP_FREEITEM6, clsDB.Enum_dbType.dbNVarChar)				'入退院有無コード6
			pDb.setParam(sqlXSI010F010.prmDISEASE_READMISSION_FLG, clsDB.Enum_dbType.dbInt)			'疾病再入院フラグ
			pDb.setParam(sqlXSI010F010.prmSTATURE, clsDB.Enum_dbType.dbNumeric)						'身長
			pDb.setParam(sqlXSI010F010.prmWEIGHT, clsDB.Enum_dbType.dbNumeric)						'体重
			pDb.setParam(sqlXSI010F010.prmTIME_OUT_FLG, clsDB.Enum_dbType.dbInt)					'時間外フラグ
			pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)					'新規登録日
			pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)			'取込日
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)				'更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					'更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliHsp.PATIENT_NO)								'患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliHsp.HSP_HISTORY_NO)						'入退院歴番号
			pDb.setVal(sqlXSI010F010.prmBYOREKI_NO, cliHsp.BYOREKI_NO)								'病歴番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliHsp.DEPT_CD)									'診療科コード
			pDb.setVal(sqlXSI010F010.prmWARD_CD, cliHsp.WARD_CD)									'病棟コード
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD, cliHsp.DOCTOR_CD)								'医師コード
			pDb.setVal(sqlXSI010F010.prmHSP_CNL_CD, cliHsp.HSP_CNL_CD)								'入院経路コード
			pDb.setVal(sqlXSI010F010.prmREADMISSION_FLG, cliHsp.READMISSION_FLG)					'再入院フラグ
			pDb.setVal(sqlXSI010F010.prmHSP_AIM_CD, cliHsp.HSP_AIM_CD)								'入院目的コード
			pDb.setVal(sqlXSI010F010.prmHSP_FORM_CD, cliHsp.HSP_FORM_CD)							'入院形態コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliHsp.HSP_DT)										'入院日
			pDb.setVal(sqlXSI010F010.prmHSP_TIME, cliHsp.HSP_TIME)									'入院時刻
			pDb.setVal(sqlXSI010F010.prmHSP_AGE, cliHsp.HSP_AGE)									'入院時年齢
			pDb.setVal(sqlXSI010F010.prmHSP_MONTH_AGE, cliHsp.HSP_MONTH_AGE)						'入院時月齢
			pDb.setVal(sqlXSI010F010.prmHSP_DAY_AGE, cliHsp.HSP_DAY_AGE)							'入院時日齢
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_DT, cliHsp.OUT_HSP_DT)								'退院日
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_TIME, cliHsp.OUT_HSP_TIME)							'退院時刻
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_AGE, cliHsp.OUT_HSP_AGE)							'退院時年齢
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_MONTH_AGE, cliHsp.OUT_HSP_MONTH_AGE)				'退院時月齢
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_DAY_AGE, cliHsp.OUT_HSP_DAY_AGE)					'退院時日齢
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_CNL_CD, cliHsp.OUT_HSP_CNL_CD)						'退院経路コード
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_OUTCOME_CD, cliHsp.OUT_HSP_OUTCOME_CD)				'退院転帰コード
			pDb.setVal(sqlXSI010F010.prmHSP_DAYS, cliHsp.HSP_DAYS)									'在院日数
			pDb.setVal(sqlXSI010F010.prmCHANGE_DEPT_CHK, cliHsp.CHANGE_DEPT_CHK)					'転科有無コード
			pDb.setVal(sqlXSI010F010.prmHOLD_DEPT_CHK, cliHsp.HOLD_DEPT_CHK)						'兼科有無コード
			pDb.setVal(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, cliHsp.TAKE_AMBULANCE_CHK)				'救急車搬送有無コード
			pDb.setVal(sqlXSI010F010.prmPLAN_EMERGENCY_CD, cliHsp.PLAN_EMERGENCY_CD)				'予定緊急コード
			pDb.setVal(sqlXSI010F010.prmCLINICAL_TRIAL_CHK, cliHsp.CLINICAL_TRIAL_CHK)				'治験実施有無コード
			pDb.setVal(sqlXSI010F010.prmLAST_SELF_OTHER_HSP_DIV, cliHsp.LAST_SELF_OTHER_HSP_DIV)	'前回自他院区分
			pDb.setVal(sqlXSI010F010.prmLAST_OUT_HSP_DT, cliHsp.LAST_OUT_HSP_DT)					'前回退院日
			pDb.setVal(sqlXSI010F010.prmDPC_NO, cliHsp.DPC_NO)										'ＤＰＣ番号
			pDb.setVal(sqlXSI010F010.prmTOTAL_MED_COST, cliHsp.TOTAL_MED_COST)						'医療費合計
			pDb.setVal(sqlXSI010F010.prmMED_COST_COUNT, cliHsp.MED_COST_COUNT)						'医療費数
			pDb.setVal(sqlXSI010F010.prmEXCLUDE_STATISTICS_FLG, cliHsp.EXCLUDE_STATISTICS_FLG)		'統計対象外フラグ
			pDb.setVal(sqlXSI010F010.prmSAME_DISEASE_LAST_HSP_DT, cliHsp.SAME_DISEASE_LAST_HSP_DT)	'同一疾病前回退院日
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliHsp.REMARKS)									'備考
			pDb.setVal(sqlXSI010F010.prmHSP_INFECTION_CHK, cliHsp.HSP_INFECTION_CHK)				'院内感染症有無コード
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM1, cliHsp.HSP_FREEITEM1)						'一般病棟以外からの移動有無コード
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM2, cliHsp.HSP_FREEITEM2)						'一般病棟以外への移動有無コード
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM3, cliHsp.HSP_FREEITEM3)						'入退院有無コード3
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM4, cliHsp.HSP_FREEITEM4)						'入退院有無コード4
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM5, cliHsp.HSP_FREEITEM5)						'入退院有無コード5
			pDb.setVal(sqlXSI010F010.prmHSP_FREEITEM6, cliHsp.HSP_FREEITEM6)						'入退院有無コード6
			pDb.setVal(sqlXSI010F010.prmDISEASE_READMISSION_FLG, cliHsp.DISEASE_READMISSION_FLG)	'疾病再入院フラグ
			pDb.setVal(sqlXSI010F010.prmSTATURE, cliHsp.STATURE)									'身長
			pDb.setVal(sqlXSI010F010.prmWEIGHT, cliHsp.WEIGHT)										'体重
			pDb.setVal(sqlXSI010F010.prmTIME_OUT_FLG, cliHsp.TIME_OUT_FLG)							'時間外フラグ
			If bCaptureDateUpd = True Then
				pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)							'取込日
			Else
				pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DirectCast(Nothing, DateTime))			'取込日
			End If
			pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)									'新規登録日
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)						'更新者コード
'(M) END V4-14030-000 004 20130703
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									'更新日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 登録SQL設定[科歴情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="eUpd">0:通常/1:変更箇所のみ</param>
	''' <param name="cliCh">科歴情報更新データ</param>
	''' <param name="bCaptureDateUpd">取込日更新フラグ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setUpdSql_MTI_CH(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal eUpd As Enum_Upd, ByVal cliCh As clsXSI_MTI_CH, ByVal bCaptureDateUpd As Boolean)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[科歴情報] Start")
		Try
			'SQL文設定
			Select Case eUpd
				Case Enum_Upd.eNomal '通常
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH)
				Case Enum_Upd.eChange '変更箇所のみ
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CH_CHANGE)
			End Select

			'パラメータ設定
			Me.setSqlParam_MTI_CH(pDb, cliCh, bCaptureDateUpd)

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 登録SQL設定[科歴情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="cliCh">科歴情報更新データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setInsSql_MTI_CH(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal cliCh As clsXSI_MTI_CH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[科歴情報] Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTI_CH)	'登録

			'パラメータ設定
			Me.setSqlParam_MTI_CH(pDb, cliCh, True)

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[科歴情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliCh">科歴情報更新データ</param>
	'''<param name="bCaptureDateUpd">取込日更新フラグ</param>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_CH(ByVal pDb As clsDB, ByVal cliCh As clsXSI_MTI_CH, ByVal bCaptureDateUpd As Boolean)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[入退院情報] Start")
		Try
			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)					'患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)					'入退院歴番号
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)							'科歴番号
			pDb.setParam(sqlXSI010F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)					'病歴番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)					'診療科コード
			pDb.setParam(sqlXSI010F010.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar)					'病棟コード
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)					'医師コード
			pDb.setParam(sqlXSI010F010.prmHSP_FLG, clsDB.Enum_dbType.dbInt)							'入院フラグ
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_FLG, clsDB.Enum_dbType.dbInt)						'退院フラグ
			pDb.setParam(sqlXSI010F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)					'主科フラグ
			pDb.setParam(sqlXSI010F010.prmZIP_CD, clsDB.Enum_dbType.dbNVarChar)						'郵便番号
			pDb.setParam(sqlXSI010F010.prmAREA_CD, clsDB.Enum_dbType.dbNVarChar)					'診療圏コード
			pDb.setParam(sqlXSI010F010.prmADDRESS_NM, clsDB.Enum_dbType.dbNVarChar)					'住所
			pDb.setParam(sqlXSI010F010.prmTELNUMBER, clsDB.Enum_dbType.dbNVarChar)					'電話番号
			pDb.setParam(sqlXSI010F010.prmREADMISSION_FLG, clsDB.Enum_dbType.dbInt)					'再入院フラグ
			pDb.setParam(sqlXSI010F010.prmHSP_AIM_CD, clsDB.Enum_dbType.dbNVarChar)					'入院目的コード
			pDb.setParam(sqlXSI010F010.prmHSP_FORM_CD, clsDB.Enum_dbType.dbNVarChar)				'入院形態コード
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_CD, clsDB.Enum_dbType.dbNVarChar)				'紹介元コード
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_NM, clsDB.Enum_dbType.dbNVarChar)				'紹介元名
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_DOCTOR_NM, clsDB.Enum_dbType.dbNVarChar)		'紹介元医師名
			pDb.setParam(sqlXSI010F010.prmINTRODUCED_REMARKS, clsDB.Enum_dbType.dbNVarChar)			'紹介元備考
			pDb.setParam(sqlXSI010F010.prmREFERENCE_CD, clsDB.Enum_dbType.dbNVarChar)				'紹介先コード
			pDb.setParam(sqlXSI010F010.prmREFERENCE_NM, clsDB.Enum_dbType.dbNVarChar)				'紹介先名
			pDb.setParam(sqlXSI010F010.prmREFERENCE_DOCTOR_NM, clsDB.Enum_dbType.dbNVarChar)		'紹介先医師名
			pDb.setParam(sqlXSI010F010.prmREFERENCE_REMARKS, clsDB.Enum_dbType.dbNVarChar)			'紹介先備考
			pDb.setParam(sqlXSI010F010.prmSTART_CNL_CD, clsDB.Enum_dbType.dbNVarChar)				'開始経路コード
			pDb.setParam(sqlXSI010F010.prmSTART_DT, clsDB.Enum_dbType.dbDateTime)					'開始日
			pDb.setParam(sqlXSI010F010.prmSTART_TIME, clsDB.Enum_dbType.dbNVarChar)					'開始時刻
			pDb.setParam(sqlXSI010F010.prmSTART_AGE, clsDB.Enum_dbType.dbInt)						'開始時年齢
			pDb.setParam(sqlXSI010F010.prmSTART_MONTH_AGE, clsDB.Enum_dbType.dbInt)					'開始時月齢
			pDb.setParam(sqlXSI010F010.prmSTART_DAY_AGE, clsDB.Enum_dbType.dbInt)					'開始時日齢
			pDb.setParam(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)						'終了日
			pDb.setParam(sqlXSI010F010.prmEND_TIME, clsDB.Enum_dbType.dbNVarChar)					'終了時刻
			pDb.setParam(sqlXSI010F010.prmEND_AGE, clsDB.Enum_dbType.dbInt)							'終了時年齢
			pDb.setParam(sqlXSI010F010.prmEND_MONTH_AGE, clsDB.Enum_dbType.dbInt)					'終了時月齢
			pDb.setParam(sqlXSI010F010.prmEND_DAY_AGE, clsDB.Enum_dbType.dbInt)						'終了時日齢
			pDb.setParam(sqlXSI010F010.prmHSP_DAYS, clsDB.Enum_dbType.dbInt)						'在院日数
			pDb.setParam(sqlXSI010F010.prmEND_CNL_CD, clsDB.Enum_dbType.dbNVarChar)					'終了経路コード
			pDb.setParam(sqlXSI010F010.prmEND_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)				'終了転帰コード
			pDb.setParam(sqlXSI010F010.prmSTATURE, clsDB.Enum_dbType.dbNumeric)						'身長
			pDb.setParam(sqlXSI010F010.prmWEIGHT, clsDB.Enum_dbType.dbNumeric)						'体重
			pDb.setParam(sqlXSI010F010.prmINSURANCE_CD1, clsDB.Enum_dbType.dbNVarChar)				'保険コード１
			pDb.setParam(sqlXSI010F010.prmINSURANCE_CD2, clsDB.Enum_dbType.dbNVarChar)				'保険コード２
			pDb.setParam(sqlXSI010F010.prmINSURANCE_CD3, clsDB.Enum_dbType.dbNVarChar)				'保険コード３
			pDb.setParam(sqlXSI010F010.prmCURRENT_JOB_CD, clsDB.Enum_dbType.dbNVarChar)				'職業コード
			pDb.setParam(sqlXSI010F010.prmFIRST_DIAGNOSIS_DT, clsDB.Enum_dbType.dbDateTime)			'初診日
			pDb.setParam(sqlXSI010F010.prmOTHER_DEPT_CHK, clsDB.Enum_dbType.dbNVarChar)				'対診有無コード
			pDb.setParam(sqlXSI010F010.prmBLOOD_TRAN_CHK, clsDB.Enum_dbType.dbNVarChar)				'輸血有無コード
			pDb.setParam(sqlXSI010F010.prmOPE_CHK, clsDB.Enum_dbType.dbNVarChar)					'手術有無コード
			pDb.setParam(sqlXSI010F010.prmDPC_CD, clsDB.Enum_dbType.dbNVarChar)						'ＤＰＣコード
			pDb.setParam(sqlXSI010F010.prmTOTAL_MED_COST, clsDB.Enum_dbType.dbInt)					'医療費合計
			pDb.setParam(sqlXSI010F010.prmINFECTION1, clsDB.Enum_dbType.dbNVarChar)					'感染症１
			pDb.setParam(sqlXSI010F010.prmINFECTION2, clsDB.Enum_dbType.dbNVarChar)					'感染症２
			pDb.setParam(sqlXSI010F010.prmINFECTION3, clsDB.Enum_dbType.dbNVarChar)					'感染症３
			pDb.setParam(sqlXSI010F010.prmINFECTION4, clsDB.Enum_dbType.dbNVarChar)					'感染症４
			pDb.setParam(sqlXSI010F010.prmINFECTION5, clsDB.Enum_dbType.dbNVarChar)					'感染症５
			pDb.setParam(sqlXSI010F010.prmINFECTION6, clsDB.Enum_dbType.dbNVarChar)					'感染症６
			pDb.setParam(sqlXSI010F010.prmOTHER_INFECTION, clsDB.Enum_dbType.dbNVarChar)			'感染症その他
			pDb.setParam(sqlXSI010F010.prmALLERGY1, clsDB.Enum_dbType.dbNVarChar)					'アレルギー１
			pDb.setParam(sqlXSI010F010.prmALLERGY2, clsDB.Enum_dbType.dbNVarChar)					'アレルギー２
			pDb.setParam(sqlXSI010F010.prmALLERGY3, clsDB.Enum_dbType.dbNVarChar)					'アレルギー３
			pDb.setParam(sqlXSI010F010.prmALLERGY4, clsDB.Enum_dbType.dbNVarChar)					'アレルギー４
			pDb.setParam(sqlXSI010F010.prmALLERGY5, clsDB.Enum_dbType.dbNVarChar)					'アレルギー５
			pDb.setParam(sqlXSI010F010.prmALLERGY6, clsDB.Enum_dbType.dbNVarChar)					'アレルギー６
			pDb.setParam(sqlXSI010F010.prmOTHER_ALLERGY, clsDB.Enum_dbType.dbNVarChar)				'アレルギーその他
			pDb.setParam(sqlXSI010F010.prmLAST_OUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)			'前回退院日
			pDb.setParam(sqlXSI010F010.prmLAST_SELF_OTHER_HSP_DIV, clsDB.Enum_dbType.dbNVarChar)	'前回自他院区分
			pDb.setParam(sqlXSI010F010.prmCOMMENT, clsDB.Enum_dbType.dbNVarChar)					'コメント
			pDb.setParam(sqlXSI010F010.prmEXCLUDE_STATISTICS_FLG, clsDB.Enum_dbType.dbInt)			'統計対象外フラグ
			pDb.setParam(sqlXSI010F010.prmREG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)				'登録状況コード
			pDb.setParam(sqlXSI010F010.prmREG_FINISHED_DT, clsDB.Enum_dbType.dbDateTime)			'登録完了日
			pDb.setParam(sqlXSI010F010.prmREG_PERSON_CD, clsDB.Enum_dbType.dbNVarChar)				'登録者コード
			pDb.setParam(sqlXSI010F010.prmDISEASE_COUNT, clsDB.Enum_dbType.dbInt)					'病名数
			pDb.setParam(sqlXSI010F010.prmOPE_COUNT, clsDB.Enum_dbType.dbInt)						'手術数
			pDb.setParam(sqlXSI010F010.prmCARE_COUNT, clsDB.Enum_dbType.dbInt)						'治療処置数
			pDb.setParam(sqlXSI010F010.prmTEST_COUNT, clsDB.Enum_dbType.dbInt)						'検査数
			pDb.setParam(sqlXSI010F010.prmASST_ITM1_COUNT, clsDB.Enum_dbType.dbInt)					'補足項目１数
			pDb.setParam(sqlXSI010F010.prmASST_ITM2_COUNT, clsDB.Enum_dbType.dbInt)					'補足項目２数
			pDb.setParam(sqlXSI010F010.prmCB_COUNT, clsDB.Enum_dbType.dbInt)						'分娩数
			pDb.setParam(sqlXSI010F010.prmEMERGENCY_COUNT, clsDB.Enum_dbType.dbInt)					'救命救急数
			pDb.setParam(sqlXSI010F010.prmOTHER_DEPT_COUNT, clsDB.Enum_dbType.dbInt)				'対診科数
			pDb.setParam(sqlXSI010F010.prmMED_COST_COUNT, clsDB.Enum_dbType.dbInt)					'医療費数
			pDb.setParam(sqlXSI010F010.prmHOUSEHOLDER_NM, clsDB.Enum_dbType.dbNVarChar)				'世帯主名
			pDb.setParam(sqlXSI010F010.prmRELATION_CD, clsDB.Enum_dbType.dbNVarChar)				'続柄コード
			pDb.setParam(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, clsDB.Enum_dbType.dbNVarChar)			'救急車搬送有無コード
			pDb.setParam(sqlXSI010F010.prmPLAN_EMERGENCY_CD, clsDB.Enum_dbType.dbNVarChar)			'予定緊急コード
			pDb.setParam(sqlXSI010F010.prmCLINICAL_TRIAL_CHK, clsDB.Enum_dbType.dbNVarChar)			'治験実施有無コード
			pDb.setParam(sqlXSI010F010.prmCNR_REG_COUNT, clsDB.Enum_dbType.dbInt)					'がん登録数
			pDb.setParam(sqlXSI010F010.prmCNR_REG_EXPECTED_COUNT, clsDB.Enum_dbType.dbInt)			'がん登録予定数
			pDb.setParam(sqlXSI010F010.prmSAME_DISEASE_LAST_HSP_DT, clsDB.Enum_dbType.dbDateTime)	'同一疾病前回退院日
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)					'備考
			pDb.setParam(sqlXSI010F010.prmHSP_INFECTION_CHK, clsDB.Enum_dbType.dbNVarChar)			'院内感染症有無コード
			pDb.setParam(sqlXSI010F010.prmDISEASE_READMISSION_FLG, clsDB.Enum_dbType.dbInt)			'疾病再入院フラグ
			pDb.setParam(sqlXSI010F010.prmPATH_COUNT, clsDB.Enum_dbType.dbInt)						'パス数
			pDb.setParam(sqlXSI010F010.prmPAST_JOB_CD, clsDB.Enum_dbType.dbNVarChar)				'既職コード
			pDb.setParam(sqlXSI010F010.prmLIVE_TOGETHER_STATE_CD, clsDB.Enum_dbType.dbNVarChar)		'同居状況コード
			pDb.setParam(sqlXSI010F010.prmINTRODUCTION_CHK, clsDB.Enum_dbType.dbNVarChar)			'紹介状有無コード
			pDb.setParam(sqlXSI010F010.prmTIME_OUT_FLG, clsDB.Enum_dbType.dbInt)					'時間外フラグ
			pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)					'新規登録日
			pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)			'取込日
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)				'更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					'更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliCh.PATIENT_NO)								'患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliCh.HSP_HISTORY_NO)						'入退院歴番号
			pDb.setVal(sqlXSI010F010.prmCH_NO, cliCh.CH_NO)											'科歴番号
			pDb.setVal(sqlXSI010F010.prmBYOREKI_NO, cliCh.BYOREKI_NO)								'病歴番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliCh.DEPT_CD)										'診療科コード
			pDb.setVal(sqlXSI010F010.prmWARD_CD, cliCh.WARD_CD)										'病棟コード
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD, cliCh.DOCTOR_CD)									'医師コード
			pDb.setVal(sqlXSI010F010.prmHSP_FLG, cliCh.HSP_FLG)										'入院フラグ
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_FLG, cliCh.OUT_HSP_FLG)								'退院フラグ
			pDb.setVal(sqlXSI010F010.prmMAIN_DPM_FLG, cliCh.MAIN_DPM_FLG)							'主科フラグ
			pDb.setVal(sqlXSI010F010.prmZIP_CD, cliCh.ZIP_CD)										'郵便番号
			pDb.setVal(sqlXSI010F010.prmAREA_CD, cliCh.AREA_CD)										'診療圏コード
			pDb.setVal(sqlXSI010F010.prmADDRESS_NM, cliCh.ADDRESS_NM)								'住所
			pDb.setVal(sqlXSI010F010.prmTELNUMBER, cliCh.TELNUMBER)									'電話番号
			pDb.setVal(sqlXSI010F010.prmREADMISSION_FLG, cliCh.READMISSION_FLG)						'再入院フラグ
			pDb.setVal(sqlXSI010F010.prmHSP_AIM_CD, cliCh.HSP_AIM_CD)								'入院目的コード
			pDb.setVal(sqlXSI010F010.prmHSP_FORM_CD, cliCh.HSP_FORM_CD)								'入院形態コード
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_CD, cliCh.INTRODUCED_CD)							'紹介元コード
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_NM, cliCh.INTRODUCED_NM)							'紹介元名
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_DOCTOR_NM, cliCh.INTRODUCED_DOCTOR_NM)			'紹介元医師名
			pDb.setVal(sqlXSI010F010.prmINTRODUCED_REMARKS, cliCh.INTRODUCED_REMARKS)				'紹介元備考
			pDb.setVal(sqlXSI010F010.prmREFERENCE_CD, cliCh.REFERENCE_CD)							'紹介先コード
			pDb.setVal(sqlXSI010F010.prmREFERENCE_NM, cliCh.REFERENCE_NM)							'紹介先名
			pDb.setVal(sqlXSI010F010.prmREFERENCE_DOCTOR_NM, cliCh.REFERENCE_DOCTOR_NM)				'紹介先医師名
			pDb.setVal(sqlXSI010F010.prmREFERENCE_REMARKS, cliCh.REFERENCE_REMARKS)					'紹介先備考
			pDb.setVal(sqlXSI010F010.prmSTART_CNL_CD, cliCh.START_CNL_CD)							'開始経路コード
			pDb.setVal(sqlXSI010F010.prmSTART_DT, cliCh.START_DT)									'開始日
			pDb.setVal(sqlXSI010F010.prmSTART_TIME, cliCh.START_TIME)								'開始時刻
			pDb.setVal(sqlXSI010F010.prmSTART_AGE, cliCh.START_AGE)									'開始時年齢
			pDb.setVal(sqlXSI010F010.prmSTART_MONTH_AGE, cliCh.START_MONTH_AGE)						'開始時月齢
			pDb.setVal(sqlXSI010F010.prmSTART_DAY_AGE, cliCh.START_DAY_AGE)							'開始時日齢
			pDb.setVal(sqlXSI010F010.prmEND_DT, cliCh.END_DT)										'終了日
			pDb.setVal(sqlXSI010F010.prmEND_TIME, cliCh.END_TIME)									'終了時刻
			pDb.setVal(sqlXSI010F010.prmEND_AGE, cliCh.END_AGE)										'終了時年齢
			pDb.setVal(sqlXSI010F010.prmEND_MONTH_AGE, cliCh.END_MONTH_AGE)							'終了時月齢
			pDb.setVal(sqlXSI010F010.prmEND_DAY_AGE, cliCh.END_DAY_AGE)								'終了時日齢
			pDb.setVal(sqlXSI010F010.prmHSP_DAYS, cliCh.HSP_DAYS)									'在院日数
			pDb.setVal(sqlXSI010F010.prmEND_CNL_CD, cliCh.END_CNL_CD)								'終了経路コード
			pDb.setVal(sqlXSI010F010.prmEND_OUTCOME_CD, cliCh.END_OUTCOME_CD)						'終了転帰コード
			pDb.setVal(sqlXSI010F010.prmSTATURE, cliCh.STATURE)										'身長
			pDb.setVal(sqlXSI010F010.prmWEIGHT, cliCh.WEIGHT)										'体重
			pDb.setVal(sqlXSI010F010.prmINSURANCE_CD1, cliCh.INSURANCE_CD1)							'保険コード１
			pDb.setVal(sqlXSI010F010.prmINSURANCE_CD2, cliCh.INSURANCE_CD2)							'保険コード２
			pDb.setVal(sqlXSI010F010.prmINSURANCE_CD3, cliCh.INSURANCE_CD3)							'保険コード３
			pDb.setVal(sqlXSI010F010.prmCURRENT_JOB_CD, cliCh.CURRENT_JOB_CD)						'職業コード
			pDb.setVal(sqlXSI010F010.prmFIRST_DIAGNOSIS_DT, cliCh.FIRST_DIAGNOSIS_DT)				'初診日
			pDb.setVal(sqlXSI010F010.prmOTHER_DEPT_CHK, cliCh.OTHER_DEPT_CHK)						'対診有無コード
			pDb.setVal(sqlXSI010F010.prmBLOOD_TRAN_CHK, cliCh.BLOOD_TRAN_CHK)						'輸血有無コード
			pDb.setVal(sqlXSI010F010.prmOPE_CHK, cliCh.OPE_CHK)										'手術有無コード
			pDb.setVal(sqlXSI010F010.prmDPC_CD, cliCh.DPC_CD)										'ＤＰＣコード
			pDb.setVal(sqlXSI010F010.prmTOTAL_MED_COST, cliCh.TOTAL_MED_COST)						'医療費合計
			pDb.setVal(sqlXSI010F010.prmINFECTION1, cliCh.INFECTION1)								'感染症１
			pDb.setVal(sqlXSI010F010.prmINFECTION2, cliCh.INFECTION2)								'感染症２
			pDb.setVal(sqlXSI010F010.prmINFECTION3, cliCh.INFECTION3)								'感染症３
			pDb.setVal(sqlXSI010F010.prmINFECTION4, cliCh.INFECTION4)								'感染症４
			pDb.setVal(sqlXSI010F010.prmINFECTION5, cliCh.INFECTION5)								'感染症５
			pDb.setVal(sqlXSI010F010.prmINFECTION6, cliCh.INFECTION6)								'感染症６
			pDb.setVal(sqlXSI010F010.prmOTHER_INFECTION, cliCh.OTHER_INFECTION)						'感染症その他
			pDb.setVal(sqlXSI010F010.prmALLERGY1, cliCh.ALLERGY1)									'アレルギー１
			pDb.setVal(sqlXSI010F010.prmALLERGY2, cliCh.ALLERGY2)									'アレルギー２
			pDb.setVal(sqlXSI010F010.prmALLERGY3, cliCh.ALLERGY3)									'アレルギー３
			pDb.setVal(sqlXSI010F010.prmALLERGY4, cliCh.ALLERGY4)									'アレルギー４
			pDb.setVal(sqlXSI010F010.prmALLERGY5, cliCh.ALLERGY5)									'アレルギー５
			pDb.setVal(sqlXSI010F010.prmALLERGY6, cliCh.ALLERGY6)									'アレルギー６
			pDb.setVal(sqlXSI010F010.prmOTHER_ALLERGY, cliCh.OTHER_ALLERGY)							'アレルギーその他
			pDb.setVal(sqlXSI010F010.prmLAST_OUT_HSP_DT, cliCh.LAST_OUT_HSP_DT)						'前回退院日
			pDb.setVal(sqlXSI010F010.prmLAST_SELF_OTHER_HSP_DIV, cliCh.LAST_SELF_OTHER_HSP_DIV)		'前回自他院区分
			pDb.setVal(sqlXSI010F010.prmCOMMENT, cliCh.COMMENT)										'コメント
			pDb.setVal(sqlXSI010F010.prmEXCLUDE_STATISTICS_FLG, cliCh.EXCLUDE_STATISTICS_FLG)		'統計対象外フラグ
			pDb.setVal(sqlXSI010F010.prmREG_STATUS_CD, cliCh.REG_STATUS_CD)							'登録状況コード
			pDb.setVal(sqlXSI010F010.prmREG_FINISHED_DT, cliCh.REG_FINISHED_DT)						'登録完了日
			pDb.setVal(sqlXSI010F010.prmREG_PERSON_CD, cliCh.REG_PERSON_CD)							'登録者コード
			pDb.setVal(sqlXSI010F010.prmDISEASE_COUNT, cliCh.DISEASE_COUNT)							'病名数
			pDb.setVal(sqlXSI010F010.prmOPE_COUNT, cliCh.OPE_COUNT)									'手術数
			pDb.setVal(sqlXSI010F010.prmCARE_COUNT, cliCh.CARE_COUNT)								'治療処置数
			pDb.setVal(sqlXSI010F010.prmTEST_COUNT, cliCh.TEST_COUNT)								'検査数
			pDb.setVal(sqlXSI010F010.prmASST_ITM1_COUNT, cliCh.ASST_ITM1_COUNT)						'補足項目１数
			pDb.setVal(sqlXSI010F010.prmASST_ITM2_COUNT, cliCh.ASST_ITM2_COUNT)						'補足項目２数
			pDb.setVal(sqlXSI010F010.prmCB_COUNT, cliCh.CB_COUNT)									'分娩数
			pDb.setVal(sqlXSI010F010.prmEMERGENCY_COUNT, cliCh.EMERGENCY_COUNT)						'救命救急数
			pDb.setVal(sqlXSI010F010.prmOTHER_DEPT_COUNT, cliCh.OTHER_DEPT_COUNT)					'対診科数
			pDb.setVal(sqlXSI010F010.prmMED_COST_COUNT, cliCh.MED_COST_COUNT)						'医療費数
			pDb.setVal(sqlXSI010F010.prmHOUSEHOLDER_NM, cliCh.HOUSEHOLDER_NM)						'世帯主名
			pDb.setVal(sqlXSI010F010.prmRELATION_CD, cliCh.RELATION_CD)								'続柄コード
			pDb.setVal(sqlXSI010F010.prmTAKE_AMBULANCE_CHK, cliCh.TAKE_AMBULANCE_CHK)				'救急車搬送有無コード
			pDb.setVal(sqlXSI010F010.prmPLAN_EMERGENCY_CD, cliCh.PLAN_EMERGENCY_CD)					'予定緊急コード
			pDb.setVal(sqlXSI010F010.prmCLINICAL_TRIAL_CHK, cliCh.CLINICAL_TRIAL_CHK)				'治験実施有無コード
			pDb.setVal(sqlXSI010F010.prmCNR_REG_COUNT, cliCh.CNR_REG_COUNT)							'がん登録数
			pDb.setVal(sqlXSI010F010.prmCNR_REG_EXPECTED_COUNT, cliCh.CNR_REG_EXPECTED_COUNT)		'がん登録予定数
			pDb.setVal(sqlXSI010F010.prmSAME_DISEASE_LAST_HSP_DT, cliCh.SAME_DISEASE_LAST_HSP_DT)	'同一疾病前回退院日
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliCh.REMARKS)										'備考
			pDb.setVal(sqlXSI010F010.prmHSP_INFECTION_CHK, cliCh.HSP_INFECTION_CHK)					'院内感染症有無コード
			pDb.setVal(sqlXSI010F010.prmDISEASE_READMISSION_FLG, cliCh.DISEASE_READMISSION_FLG)		'疾病再入院フラグ
			pDb.setVal(sqlXSI010F010.prmPATH_COUNT, cliCh.PATH_COUNT)								'パス数
			pDb.setVal(sqlXSI010F010.prmPAST_JOB_CD, cliCh.PAST_JOB_CD)								'既職コード
			pDb.setVal(sqlXSI010F010.prmLIVE_TOGETHER_STATE_CD, cliCh.LIVE_TOGETHER_STATE_CD)		'同居状況コード
			pDb.setVal(sqlXSI010F010.prmINTRODUCTION_CHK, cliCh.INTRODUCTION_CHK)					'紹介状有無コード
			pDb.setVal(sqlXSI010F010.prmTIME_OUT_FLG, cliCh.TIME_OUT_FLG)							'時間外フラグ
			pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)									'新規登録日
			If bCaptureDateUpd = True Then
				pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)							'取込日
			Else
				pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DirectCast(Nothing, DateTime))			'取込日
			End If
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)						'更新者コード
'(M) END V4-14030-000 004 20130703
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									'更新日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[医師情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_DOCTOR">医師情報</param>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSqlParam_MTI_DOCTOR(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_DOCTOR As clsXSI_MTI_DOCTOR)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[医師情報] Start")

		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlIns_MTI_DOCTOR)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					'科歴番号
					pDb.setParam(sqlXSI010F010.prmDOCTOR_SERIAL_NO, clsDB.Enum_dbType.dbInt)		'医師連番
					pDb.setParam(sqlXSI010F010.prmMAIN_DOCTOR_FLG, clsDB.Enum_dbType.dbInt)			'主治医フラグ
					pDb.setParam(sqlXSI010F010.prmDOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)			'医師区分コード
					pDb.setParam(sqlXSI010F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)			'医師コード
					pDb.setParam(sqlXSI010F010.prmATTEND_START_DT, clsDB.Enum_dbType.dbDateTime)	'担当開始日
					pDb.setParam(sqlXSI010F010.prmATTEND_END_DT, clsDB.Enum_dbType.dbDateTime)		'担当終了日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DOCTOR.PATIENT_NO)				'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DOCTOR.HSP_HISTORY_NO)		'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DOCTOR.CH_NO)							'科歴番号
					pDb.setVal(sqlXSI010F010.prmDOCTOR_SERIAL_NO, cliMTI_DOCTOR.DOCTOR_SERIAL_NO)	'医師連番
					pDb.setVal(sqlXSI010F010.prmMAIN_DOCTOR_FLG, cliMTI_DOCTOR.MAIN_DOCTOR_FLG)		'主治医フラグ
					pDb.setVal(sqlXSI010F010.prmDOCTOR_DIV, cliMTI_DOCTOR.DOCTOR_DIV)				'医師区分コード
					pDb.setVal(sqlXSI010F010.prmDOCTOR_CD, cliMTI_DOCTOR.DOCTOR_CD)					'医師コード
					pDb.setVal(sqlXSI010F010.prmATTEND_START_DT, cliMTI_DOCTOR.ATTEND_START_DT)		'担当開始日
					pDb.setVal(sqlXSI010F010.prmATTEND_END_DT, cliMTI_DOCTOR.ATTEND_END_DT)			'担当終了日
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)			'更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)				'更新者コード
'(M) END V4-14030-000 004 20130703
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)							'更新日
				Case Enum_SqlIdx.eDel
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DOCTOR)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					'科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DOCTOR.PATIENT_NO)				'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DOCTOR.HSP_HISTORY_NO)		'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DOCTOR.CH_NO)							'科歴番号
			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定[死亡情報]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_DEATH">死亡情報</param>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSqlParam_MTI_DEATH(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_DEATH As clsXSI_MTI_DEATH)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "SQLパラメータ設定[死亡情報] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_DEATH) '登録
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_DEATH) '更新
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
					pDb.setParam(sqlXSI010F010.prmDEATH_DT, clsDB.Enum_dbType.dbDateTime)				'死亡日
					pDb.setParam(sqlXSI010F010.prmDEATH_TIME, clsDB.Enum_dbType.dbNVarChar)				'死亡時刻
					pDb.setParam(sqlXSI010F010.prmDEATH_AGE, clsDB.Enum_dbType.dbInt)					'死亡時年齢
					pDb.setParam(sqlXSI010F010.prmDEATH_MONTH_AGE, clsDB.Enum_dbType.dbInt)				'死亡時月齢
					pDb.setParam(sqlXSI010F010.prmDEATH_DAY_AGE, clsDB.Enum_dbType.dbInt)				'死亡時日齢
					pDb.setParam(sqlXSI010F010.prmAUTOPSY_CHK, clsDB.Enum_dbType.dbNVarChar)			'剖検有無区分コード
					pDb.setParam(sqlXSI010F010.prmAUTOPSY_NO, clsDB.Enum_dbType.dbNVarChar)				'剖検番号
					pDb.setParam(sqlXSI010F010.prmDEATH_DIV, clsDB.Enum_dbType.dbNVarChar)				'死亡区分コード
					pDb.setParam(sqlXSI010F010.prmAFTER_OPE_DEATH_DIV, clsDB.Enum_dbType.dbNVarChar)	'術後死亡区分コード
					pDb.setParam(sqlXSI010F010.prmDEATH_LCT_CD, clsDB.Enum_dbType.dbNVarChar)			'死亡場所コード
					pDb.setParam(sqlXSI010F010.prmDEATH_LCT, clsDB.Enum_dbType.dbNVarChar)				'死亡場所
					pDb.setParam(sqlXSI010F010.prmDEATH_DISEASE1_CD, clsDB.Enum_dbType.dbNVarChar)		'死亡病名１コード
					pDb.setParam(sqlXSI010F010.prmDEATH_DISEASE1, clsDB.Enum_dbType.dbNVarChar)			'死亡病名１
					pDb.setParam(sqlXSI010F010.prmDEATH_DISEASE2_CD, clsDB.Enum_dbType.dbNVarChar)		'死亡病名２コード
					pDb.setParam(sqlXSI010F010.prmDEATH_DISEASE2, clsDB.Enum_dbType.dbNVarChar)			'死亡病名２
					pDb.setParam(sqlXSI010F010.prmDEATH_REMARKS, clsDB.Enum_dbType.dbNVarChar)			'コメント
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DEATH.PATIENT_NO)					'患者番号
					pDb.setVal(sqlXSI010F010.prmDEATH_DT, cliMTI_DEATH.DEATH_DT)						'死亡日
					pDb.setVal(sqlXSI010F010.prmDEATH_TIME, cliMTI_DEATH.DEATH_TIME)					'死亡時刻
					pDb.setVal(sqlXSI010F010.prmDEATH_AGE, cliMTI_DEATH.DEATH_AGE)						'死亡時年齢
					pDb.setVal(sqlXSI010F010.prmDEATH_MONTH_AGE, cliMTI_DEATH.DEATH_MONTH_AGE)			'死亡時月齢
					pDb.setVal(sqlXSI010F010.prmDEATH_DAY_AGE, cliMTI_DEATH.DEATH_DAY_AGE)				'死亡時日齢
					pDb.setVal(sqlXSI010F010.prmAUTOPSY_CHK, cliMTI_DEATH.AUTOPSY_CHK)					'剖検有無区分コード
					pDb.setVal(sqlXSI010F010.prmAUTOPSY_NO, cliMTI_DEATH.AUTOPSY_NO)					'剖検番号
					pDb.setVal(sqlXSI010F010.prmDEATH_DIV, cliMTI_DEATH.DEATH_DIV)						'死亡区分コード
					pDb.setVal(sqlXSI010F010.prmAFTER_OPE_DEATH_DIV, cliMTI_DEATH.AFTER_OPE_DEATH_DIV)	'術後死亡区分コード
					pDb.setVal(sqlXSI010F010.prmDEATH_LCT_CD, cliMTI_DEATH.DEATH_LCT_CD)				'死亡場所コード
					pDb.setVal(sqlXSI010F010.prmDEATH_LCT, cliMTI_DEATH.DEATH_LCT)						'死亡場所
					pDb.setVal(sqlXSI010F010.prmDEATH_DISEASE1_CD, cliMTI_DEATH.DEATH_DISEASE1_CD)		'死亡病名１コード
					pDb.setVal(sqlXSI010F010.prmDEATH_DISEASE1, cliMTI_DEATH.DEATH_DISEASE1)			'死亡病名１
					pDb.setVal(sqlXSI010F010.prmDEATH_DISEASE2_CD, cliMTI_DEATH.DEATH_DISEASE2_CD)		'死亡病名２コード
					pDb.setVal(sqlXSI010F010.prmDEATH_DISEASE2, cliMTI_DEATH.DEATH_DISEASE2)			'死亡病名２
					pDb.setVal(sqlXSI010F010.prmDEATH_REMARKS, cliMTI_DEATH.DEATH_REMARKS)				'コメント
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)				'更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)					'更新者コード
'(M) END V4-14030-000 004 20130703
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)								'更新日
				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DEATH)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DEATH.PATIENT_NO)
			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 指定期間の年月日を取得
	''' </summary>
	''' <param name="sDate">期間開始日</param>
	''' <param name="eDate">期間終了日</param>
	''' <param name="retAge">取得した年を格納</param>
	''' <param name="retMonth">取得した月を格納</param>
	''' <param name="retDayAge">取得した日を格納</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub getDiffYearMonth(ByVal sDate As String, ByVal eDate As String, ByRef retAge As Integer, ByRef retMonth As Integer, ByRef retDayAge As Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "指定期間の年月日を取得 Start")
		Dim startDate As DateTime
		Dim endDate As DateTime
		Try
			'指定期間の○年○ヶ月(○○日)

			'日付として扱えるか判定
			If DateTime.TryParse(sDate, startDate) = False OrElse DateTime.TryParse(eDate, endDate) = False Then
				retAge = 0
				retMonth = 0
				retDayAge = 0
				Exit Sub
			End If

			Me.cliCom.setCalcNenGetuNiti(startDate, endDate, retAge, retMonth, retDayAge)
		Catch ex As Exception
			Throw
		Finally
			startDate = Nothing
			endDate = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 指定期間の日数を取得(術前、術後)
	''' </summary>
	''' <param name="eDate">期間開始日</param>
	''' <param name="sDate">期間終了日</param>
	''' <param name="plusDay">追加日数</param>
	''' <returns>指定期間の日数</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getDiffDay(ByVal sDate As String, ByVal eDate As String, Optional ByVal plusDay As Integer = 0) As Long
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "指定期間の日数を取得 Start")
		Dim ret As Long = 0
		Dim startDate As DateTime
		Dim endDate As DateTime
		Try
			'日付として扱えるか判定
			If DateTime.TryParse(sDate, startDate) = False OrElse DateTime.TryParse(eDate, endDate) = False Then
				Return 0
			End If

			ret = DateAndTime.DateDiff(DateInterval.Day, startDate, endDate) + plusDay

			'Integerに収まらない場合
			If ret < Integer.MinValue OrElse ret > Integer.MaxValue Then
				ret = 0
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			'解放
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 指定期間の日数を取得(在院日数)
	''' </summary>
	''' <param name="eDate">期間開始日</param>
	''' <param name="sDate">期間終了日</param>
	''' <param name="outHsp">退院フラグ</param>
	''' <returns>指定期間の日数</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getDiffHspDays(ByVal sDate As String, ByVal eDate As String, ByVal outHsp As Boolean) As Long
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "指定期間の日数を取得(在院日数) Start")
		Dim ret As Long = 0
		Dim startDate As DateTime
		Dim endDate As DateTime
		Try
			'日付として扱えるか判定
			If DateTime.TryParse(sDate, startDate) = False OrElse DateTime.TryParse(eDate, endDate) = False Then
				Return 0
			End If
			'日付初期値なら0を返す
			If startDate = Nothing OrElse endDate = Nothing Then
				Return 0
			End If

			If DateTime.Compare(startDate, endDate) = 0 Then
				'同じ日の場合動作環境：○入院(開始)日と退院(終了)日が同じ場合の在院日数の初期値
				Long.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00006), ret)
			ElseIf clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00004) = CStr(clsConst.Enum_HspDaysCalc.StrEndPlus) OrElse _
				(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00004) = CStr(clsConst.Enum_HspDaysCalc.StrEndOutPlus) AndAlso outHsp = True) Then
				ret = DateAndTime.DateDiff(DateInterval.Day, startDate, endDate) + 1
			Else
				ret = DateAndTime.DateDiff(DateInterval.Day, startDate, endDate)
			End If
			'Integerに収まらない場合
			If ret < Integer.MinValue OrElse ret > Integer.MaxValue Then
				ret = 0
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			'解放
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 日付を比較
	''' </summary>
	''' <param name="Date1">日付１</param>
	''' <param name="Date2">日付２</param>
	''' <returns>
	''' -1:日付１が過去<BR/>
	'''  0:同日<BR/>
	'''  1:日付２が過去<BR/>
	''' </returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Function dateCompare(ByVal Date1 As String, ByVal Date2 As String) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "日付を比較 Start")
		Try
			Return Me.dateCompare(Date1, String.Empty, Date2, String.Empty)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 時間を含めた日付を比較
	''' </summary>
	''' <param name="Date1">日付１</param>
	''' <param name="Time1">時刻１</param>
	''' <param name="Date2">日付２</param>
	''' <param name="Time2">時刻２</param>
	''' <returns>
	''' -1:日付１が過去<BR/>
	'''  0:同日<BR/>
	'''  1:日付２が過去<BR/>
	''' </returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Function dateCompare(ByVal Date1 As String, ByVal Time1 As String, ByVal Date2 As String, ByVal Time2 As String) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "時間を含めた日付を比較 Start")
		Dim dateTime1 As DateTime = Nothing
		Dim dateTime2 As DateTime = Nothing
		Try
			DateTime.TryParse(Date1 & " " & Time1, dateTime1)
			DateTime.TryParse(Date2 & " " & Time2, dateTime2)

			Return DateTime.Compare(dateTime1, dateTime2)
		Catch ex As Exception
			Throw
		Finally
			dateTime1 = Nothing
			dateTime2 = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡区分取得
	''' </summary>
	''' <param name="hspStartDate">入院日</param>
	''' <param name="hspStartTime">入院時刻</param>
	''' <param name="deathDate">死亡日</param>
	''' <param name="deathTime">死亡時刻</param>
	''' <returns>死亡区分コード</returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getDeathDiv(ByVal hspStartDate As String, ByVal hspStartTime As String, ByVal deathDate As String, ByVal deathTime As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "死亡区分取得 Start")
		Dim startDate As DateTime
		Dim endDate As DateTime
		Dim diffTime As Long
		Dim ret As String = String.Empty
		Try
			'入院日、死亡日チェック
			If IsDate(hspStartDate) = False OrElse IsDate(deathDate) = False Then
				Return String.Empty
			End If

			If String.IsNullOrEmpty(hspStartTime) = False AndAlso String.IsNullOrEmpty(deathTime) = False Then
				'時間も含めて判断
				'入院日チェック
				If DateTime.TryParse(hspStartDate & " " & hspStartTime, startDate) = False Then
					Return String.Empty
				End If
				'死亡日チェック
				If DateTime.TryParse(deathDate & " " & deathTime, endDate) = False Then
					Return String.Empty
				End If

				diffTime = DateAndTime.DateDiff(DateInterval.Minute, startDate, endDate)

				If Math.Floor(diffTime / 60) <= 24 Then
					ret = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseDivWithIn24)
				ElseIf Math.Floor(diffTime / 60) <= 48 Then
					ret = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseDivWithIn48)
				Else
					ret = String.Empty
				End If
			Else
				'日付のみで判断
				'入院日チェック
				If DateTime.TryParse(hspStartDate, startDate) = False Then
					Return String.Empty
				End If
				'死亡日チェック
				If DateTime.TryParse(deathDate, endDate) = False Then
					Return String.Empty
				End If

				diffTime = DateAndTime.DateDiff(DateInterval.DayOfYear, startDate, endDate)

				If diffTime = 0 Then
					ret = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.DeceaseDivWithIn24)
				ElseIf diffTime >= 3 Then
					ret = String.Empty
				End If
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			startDate = Nothing
			endDate = Nothing
			ret = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 生年月日が変更された場合の処理
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="birth">生年月日</param>
	''' <param name="gender">性別</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub UpdProc_BirthDt(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal birth As Date, ByVal gender As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "入退院連携", "生年月日が変更された場合の処理 Start")
		Dim arData As ArrayList = Nothing
		Try
			'死亡情報（死亡時の年齢・月齢・日齢を再計算する）
			pDb.setSQL(sqlXSP000F030.sqlSelDeath_NenTukiNiti)
			pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
			Try
				arData = New ArrayList()
				pDb.execQuery(GetType(datDeath_NenTukiNiti), arData, tran)
				If arData IsNot Nothing AndAlso arData.Count > 0 Then
					pDb.setSQL(sqlXSP000F030.sqlUpdDeath_NenTukiNiti)
					pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmDEATH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmDEATH_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmDEATH_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					For Each dt As datDeath_NenTukiNiti In arData
						'条件
						pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							If Not dt.DEATH_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.DEATH_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSP000F030.prmDEATH_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmDEATH_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmDEATH_DAY_AGE, dayAge, False)
'(M) STR V4-14030-000 008 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'							pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
							pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
'(M) END V4-14030-000 008 20130703
							pDb.setVal(sqlXSP000F030.prmLASTUPD_DT, Now)
							pDb.execNonQuery(tran)
						End With
					Next
				End If
			Finally
				If arData IsNot Nothing Then arData.Clear()
				arData = Nothing
			End Try

			'入退院情報（入院・退院時の年齢・月齢・日齢を再計算する）
			pDb.setSQL(sqlXSP000F030.sqlSelHsp_HspDtOutDt)
			pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
			Try
				arData = New ArrayList()
				pDb.execQuery(GetType(datHsp_HspDtOutDt), arData, tran)
				If arData IsNot Nothing AndAlso arData.Count > 0 Then
					pDb.setSQL(sqlXSP000F030.sqlUpdHsp_HspDtOutDt)
					pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmHSP_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmHSP_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmHSP_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmOUT_HSP_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmOUT_HSP_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmOUT_HSP_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					For Each dt As datHsp_HspDtOutDt In arData
						'条件
						pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
						pDb.setVal(sqlXSP000F030.prmHSP_HISTORY_NO, dt.HSP_HISTORY_NO)
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0

							'入院日計算
							If Not dt.HSP_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.HSP_DT, age, monthAge, dayAge)
							End If

							pDb.setVal(sqlXSP000F030.prmHSP_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmHSP_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmHSP_DAY_AGE, dayAge, False)
						End With
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'退院日計算
							If Not dt.OUT_HSP_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.OUT_HSP_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSP000F030.prmOUT_HSP_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmOUT_HSP_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmOUT_HSP_DAY_AGE, dayAge, False)
						End With
'(M) STR V4-14030-000 008 20130627 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
'(M) END V4-14030-000 008 20130627
						pDb.setVal(sqlXSP000F030.prmLASTUPD_DT, Now)
						pDb.execNonQuery(tran)
					Next
				End If
			Finally
				If arData IsNot Nothing Then arData.Clear()
				arData = Nothing
			End Try

			'科歴情報（開始・終了時の年齢・月齢・日齢を再計算する）
			pDb.setSQL(sqlXSP000F030.sqlSelCh_StrDtEndDt)
			pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
			Try
				arData = New ArrayList()
				pDb.execQuery(GetType(datCh_StrDtEndDt), arData, tran)
				If arData IsNot Nothing AndAlso arData.Count > 0 Then
					If gender = CStr(clsConst.Enum_Gender.Man) Then
						pDb.setSQL(sqlXSP000F030.sqlUpdCh_StrDtEndDt_Men)
					Else
						pDb.setSQL(sqlXSP000F030.sqlUpdCh_StrDtEndDt_Girl)
					End If
					pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmSTART_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmSTART_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmSTART_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmEND_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmEND_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmEND_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					For Each dt As datCh_StrDtEndDt In arData
						'条件
						pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
						pDb.setVal(sqlXSP000F030.prmHSP_HISTORY_NO, dt.HSP_HISTORY_NO)
						pDb.setVal(sqlXSP000F030.prmCH_NO, dt.CH_NO)
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'開始日計算
							If Not dt.START_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.START_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSP000F030.prmSTART_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmSTART_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmSTART_DAY_AGE, dayAge, False)
						End With
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'終了日計算
							If Not dt.END_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.END_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSP000F030.prmEND_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmEND_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmEND_DAY_AGE, dayAge, False)
						End With
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
'(M) END V4-14030-000 004 20130703
						pDb.setVal(sqlXSP000F030.prmLASTUPD_DT, Now)
						pDb.execNonQuery(tran)
					Next
				End If
			Finally
				If arData IsNot Nothing Then arData.Clear()
				arData = Nothing
			End Try

			'救命救急情報（入室・退室時の年齢・月齢・日齢を再計算する）
			pDb.setSQL(sqlXSP000F030.sqlSelEmergency_InDtOutDt)
			pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
			Try
				arData = New ArrayList()
				pDb.execQuery(GetType(datEmergency_InDtOutDt), arData, tran)
				If arData IsNot Nothing AndAlso arData.Count > 0 Then
					pDb.setSQL(sqlXSP000F030.sqlUpdEmergency_InDtOutDt)
					pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmEMERGENCY_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmENTERING_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmENTERING_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmENTERING_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLEAVING_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLEAVING_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLEAVING_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSP000F030.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSP000F030.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					For Each dt As datEmergency_InDtOutDt In arData
						'条件
						pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
						pDb.setVal(sqlXSP000F030.prmHSP_HISTORY_NO, dt.HSP_HISTORY_NO)
						pDb.setVal(sqlXSP000F030.prmCH_NO, dt.CH_NO)
						pDb.setVal(sqlXSP000F030.prmEMERGENCY_SERIAL_NO, dt.EMERGENCY_SERIAL_NO)
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'開始日計算
							If Not dt.ENTERING_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.ENTERING_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSP000F030.prmENTERING_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmENTERING_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmENTERING_DAY_AGE, dayAge, False)
						End With
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'終了日計算
							If Not dt.LEAVING_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.LEAVING_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSP000F030.prmLEAVING_AGE, age, False)
							pDb.setVal(sqlXSP000F030.prmLEAVING_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSP000F030.prmLEAVING_DAY_AGE, dayAge, False)
						End With
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
'(M) END V4-14030-000 004 20130703
						pDb.setVal(sqlXSP000F030.prmLASTUPD_DT, Now)
						pDb.execNonQuery(tran)
					Next
				End If
			Finally
				If arData IsNot Nothing Then arData.Clear()
				arData = Nothing
			End Try

			'分娩情報更新
			If gender = CStr(clsConst.Enum_Gender.Man) Then
				'男なら
				'分娩情報を削除する
				pDb.setSQL(sqlXSP000F030.sqlDelCb)
				pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
				pDb.execNonQuery(tran)

				'分娩子情報を削除する
				pDb.setSQL(sqlXSP000F030.sqlDelCb_child)
				pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
				pDb.execNonQuery(tran)

				'分娩流死産情報を削除する
				pDb.setSQL(sqlXSP000F030.sqlDelCb_sb)
				pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
				pDb.execNonQuery(tran)
			Else
				'女なら
				'分娩情報（分娩時の年齢・月齢を再計算する）
				pDb.setSQL(sqlXSP000F030.sqlSelCb_CbDt)
				pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
				Try
					arData = New ArrayList()
					pDb.execQuery(GetType(datCb_CbDt), arData, tran)
					If arData IsNot Nothing AndAlso arData.Count > 0 Then
						pDb.setSQL(sqlXSP000F030.sqlUpdCb_CbDt)
						pDb.setParam(sqlXSP000F030.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSP000F030.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSP000F030.prmCH_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSP000F030.prmCB_AGE, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSP000F030.prmCB_MONTH_AGE, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSP000F030.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSP000F030.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
						For Each dt As datCb_CbDt In arData
							'条件
							pDb.setVal(sqlXSP000F030.prmPATIENT_NO, patientNo)
							pDb.setVal(sqlXSP000F030.prmHSP_HISTORY_NO, dt.HSP_HISTORY_NO)
							pDb.setVal(sqlXSP000F030.prmCH_NO, dt.CH_NO)
							With Nothing
								Dim age As Integer = 0
								Dim monthAge As Integer = 0
								Dim dayAge As Integer = 0
								'開始日計算
								If Not dt.CB_DT.Equals(Nothing) Then
									'一件ずつ年齢・月齢・日齢を更新する
									Me.cliCom.setCalcNenGetuNiti(birth, dt.CB_DT, age, monthAge, dayAge)
								End If
								pDb.setVal(sqlXSP000F030.prmCB_AGE, age, False)
								pDb.setVal(sqlXSP000F030.prmCB_MONTH_AGE, monthAge, False)
							End With
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'							pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
							pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
'(M) END V4-14030-000 004 20130703
							pDb.setVal(sqlXSP000F030.prmLASTUPD_DT, Now)
							pDb.execNonQuery(tran)
						Next
					End If
				Finally
					If arData IsNot Nothing Then arData.Clear()
					arData = Nothing
				End Try
			End If

			'手術情報（実施時の年齢・月齢・日齢を再計算する）
			pDb.setSQL(sqlXSI010F010.sqlSel_MTI_OPE_DT)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			Try
				arData = New ArrayList()
				pDb.execQuery(GetType(datOpeStartEndDt), arData, tran)
				If arData IsNot Nothing AndAlso arData.Count > 0 Then
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_OPE_AGEMONTHDAYS)
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_MONTH_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_DAY_AGE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					For Each dt As datOpeStartEndDt In arData
						'条件
						pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
						pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, dt.HSP_HISTORY_NO)
						pDb.setVal(sqlXSI010F010.prmCH_NO, dt.CH_NO)
						pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO, dt.OPE_SERIAL_NO)
						With Nothing
							Dim age As Integer = 0
							Dim monthAge As Integer = 0
							Dim dayAge As Integer = 0
							'開始日計算
							If Not dt.OPE_DT.Equals(Nothing) Then
								'一件ずつ年齢・月齢・日齢を更新する
								Me.cliCom.setCalcNenGetuNiti(birth, dt.OPE_DT, age, monthAge, dayAge)
							End If
							pDb.setVal(sqlXSI010F010.prmOPE_AGE, age, False)
							pDb.setVal(sqlXSI010F010.prmOPE_MONTH_AGE, monthAge, False)
							pDb.setVal(sqlXSI010F010.prmOPE_DAY_AGE, dayAge, False)
						End With
'(M) STR V4-14030-000 004 20130703 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'						pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)
						pDb.setVal(sqlXSP000F030.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
'(M) END V4-14030-000 004 20130703
						pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)
						pDb.execNonQuery(tran)
					Next
				End If
			Finally
				If arData IsNot Nothing Then arData.Clear()
				arData = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-14030-000 074 20130617 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' 基本情報存在チェック
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existBasicInfo(ByVal pDb As clsDB, ByVal strPatient_No As String) As Boolean
		Dim dt As DataTable = Nothing
		Try
			'基本情報取得
			dt = New DataTable
			pDb.setSQLDa(sqlXSI030F010.sqlSel_XTI_BASICINFO)
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 連携項目の管理物コードチェック
	''' </summary>
	''' <param name="dtLTM_MNGITEM_ALL">管理物マスタデータテーブル（全て）</param>
	''' <param name="strMngItem_Cd">チェックデータ</param>
	''' <param name="errFlg">エラーフラグ</param>
	''' <param name="errCode">エラーコード</param>
	''' <param name="errMsg">エラーメッセージ</param>
	''' <returns>0以上は正常/-1は異常</returns>
	''' <remarks>
	''' 2013/06/28 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkCsvMNGITEM_CD(ByVal dtLTM_MNGITEM_ALL As DataTable, ByVal strMngItem_Cd As String, ByRef errFlg As String, ByRef errCode As String, ByRef errMsg As String) As Integer
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "連携共通", "連携項目の患者番号チェック Start")
		Dim iIdx As Integer = -1
		Try
			If String.IsNullOrEmpty(strMngItem_Cd) = True Then
				'未入力ならチェックしない(管理物コード)
			Else
				For Each row As DataRow In dtLTM_MNGITEM_ALL.Rows
					iIdx += 1
					If row(CST_ITM_MNGITEM_CD).ToString = strMngItem_Cd Then
						'存在する。
						Return iIdx
					End If
				Next
				'存在しない。
				errFlg = "1"
				errCode = "E0036"
				'管理物コードが管理物マスタに存在しません。[データ内容]
				errMsg = Me.cliClsMsg.getMessage(errCode, New String() {"管理物コードが管理物マスタ", Nothing}) & "[" & strMngItem_Cd & "]"
				Return False
			End If
			Return -1
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-14030-000 074 20130617

#End Region

End Class