﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_病名
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4BM
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V323 = 37
		V3 = 40
		V4 = 45
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【病名】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【病名】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl047XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliMTI_DISEASE As New clsXSI_MTI_DISEASE(), cliOneCsvData As New clsXSI_MTT_IMP_LOG_DISEASE()	'取込CSV内の１レコード(ログ登録),病名データクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()	'連携CSV１行データ格納クラスクリア
							cliMTI_DISEASE.clear()	'病名データクラスクリア

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3, ENUM_CSV_CNT.V323
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = False Then
								'連携ファイル内チェックエラー
							ElseIf Me.setData(db, cliOneCsvData, cliMTI_DISEASE) = False Then
								'整合性チェック+更新用領域に格納エラー
							ElseIf Me.exeSQL(db, cliOneCsvData, cliMTI_DISEASE) <> Enum_ExeReturnFlg.eExecute Then
								'登録/更新エラー
								cliOneCsvData.ERR_FLG = "1"
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eDISEASE, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eDISEASE, True, allCnt, okCnt, errCnt, row)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eDISEASE, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("病名，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_DISEASE">病名データクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_DISEASE, ByVal cliMTI_DISEASE As clsXSI_MTI_DISEASE) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】DB内データと整合性チェック + 更新用領域にセット Start")
		Try
			'連携１行データの情報から科歴情報を取得する
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )
				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If

				'登録状況チェック
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録状況が「完成」のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
					Return False
				End If

				cliMTI_DISEASE.PATIENT_NO = cliOneCsvData.PATIENT_NO											'患者番号
				cliMTI_DISEASE.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()	'入退院歴番号
				cliMTI_DISEASE.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()					'科歴番号
			End Using

			'病名連番の取得
			Select Case cliOneCsvData.DATA_TYPE
				Case "A"
					'患者、入退院、科歴からMAX+1を取得
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_DISEASE_MAXNO)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)
					pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						cliMTI_DISEASE.DISEASE_SERIAL_NO = dt.Rows(0).Item(0).ToString()
					End Using

					Dim arr As ArrayList = Nothing
					Try
						arr = Me.getMTI_DISEASE(cliOneCsvData.PATIENT_NO, cliMTI_DISEASE.HSP_HISTORY_NO, cliMTI_DISEASE.CH_NO, cliOneCsvData.ICD10_CD, cliOneCsvData.DISEASE_DIV, pDb)

						If arr.Count > 0 Then
							'動作環境の同一科歴内で同じICD10コードの病名連携[00034]
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00034)
								Case CStr(clsConst.Enum_EqualDeptIcd10DiseaseImp.AddDisease) '追加
									'追加時処理なし

								Case CStr(clsConst.Enum_EqualDeptIcd10DiseaseImp.RepDisease) '置き換える
									cliMTI_DISEASE.DISEASE_SERIAL_NO = DirectCast(arr(0), datDISEASE).DISEASE_SERIAL_NO.ToString()

								Case CStr(clsConst.Enum_EqualDeptIcd10DiseaseImp.NoRegDisease) '登録しない(エラーとする)
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0037"
									'病名情報のＩＣＤ10コードが重複しています。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"病名情報のＩＣＤ10コード", Nothing})
									Return False

							End Select
						End If

					Finally
						If arr IsNot Nothing Then arr.Clear()
						arr = Nothing
					End Try

				Case "B"
					'削除後追加のため連番1を設定
					cliMTI_DISEASE.DISEASE_SERIAL_NO = "1"

			End Select


			'管理番号、レセ電算コード、ICD10コード、ICD9コードのいずれかをもとに情報を取得します。
			If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = False OrElse String.IsNullOrEmpty(cliOneCsvData.RECEIPT_CD) = False Then
				If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = False Then
					'管理番号
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_MNG_NO)
					pDb.setParamDa(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmMNG_NO, cliOneCsvData.MNG_NO)
				Else
					'レセ電算コード
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_RECEIPT_CD)
					pDb.setParamDa(sqlXSI010F010.prmRECEIPT_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmRECEIPT_CD, cliOneCsvData.RECEIPT_CD)
				End If
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.HSP_DISEASE_CD = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DISEASE_CD).ToString()		   '院内病名コード
						cliMTI_DISEASE.DISEASE_MNG_DIV = dt.Rows(0).Item(sqlXSI010F010.itmMNG_DIV).ToString()			   '管理記号
						cliMTI_DISEASE.DISEASE_MNG_NO = dt.Rows(0).Item(sqlXSI010F010.itmMNG_NO).ToString()				   '管理番号
						cliMTI_DISEASE.ICD10_CD = dt.Rows(0).Item(sqlXSI010F010.itmICD10_CD).ToString()					   'ＩＣＤ１０コード
						cliMTI_DISEASE.PLURAL_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmICD10_PLURAL_GRP_CD).ToString()	   'ＩＣＤ１０複数分類コード
						cliMTI_DISEASE.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()					   '大分類コード
						cliMTI_DISEASE.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()					   '中分類コード
						cliMTI_DISEASE.S_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmS_GRP_CD).ToString()					   '小分類コード
						cliMTI_DISEASE.GRP300_CD = dt.Rows(0).Item(sqlXSI010F010.itmGRP300_CD).ToString()				   '３００分類コード
						cliMTI_DISEASE.A_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmA_GRP_CD).ToString()					   'ａ分類コード
						cliMTI_DISEASE.B_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmB_GRP_CD).ToString()					   'ｂ分類コード
						cliMTI_DISEASE.C_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmC_GRP_CD).ToString()					   'ｃ分類コード
						cliMTI_DISEASE.DEATH_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDEATH_GRP_CD).ToString()			   '死因分類コード
					Else
						'該当データ無し
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0036"
						'対応する病名が病名マスタに存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対応する病名が病名マスタ", Nothing})
						Return False
					End If
				End Using
			ElseIf String.IsNullOrEmpty(cliOneCsvData.ICD10_CD) = False Then
				'ICD10コード
				cliMTI_DISEASE.HSP_DISEASE_CD = cliOneCsvData.HSP_DISEASE_CD	'院内病名コード
				cliMTI_DISEASE.ICD10_CD = cliOneCsvData.ICD10_CD				'ICD10コード
				cliMTI_DISEASE.PLURAL_GRP_CD = cliOneCsvData.PLURAL_GRP_CD		'複数分類コード
				cliMTI_DISEASE.DISEASE_MNG_NO = "0"								'管理番号
				cliMTI_DISEASE.DISEASE_MNG_DIV = String.Empty					'管理記号

				'病名小分類マスタから取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_S_GRP)
				pDb.setParamDa(sqlXSI010F010.prmMTM_DISEASE_S_GRP_S_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmMTM_DISEASE_S_GRP_S_GRP_CD, cliOneCsvData.ICD10_CD.PadRight(3).Substring(0, 3))
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.S_GRP_CD = cliOneCsvData.ICD10_CD.PadRight(3).Substring(0, 3)
						cliMTI_DISEASE.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()
						cliMTI_DISEASE.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()
					Else
						'データなければ空文字設定
						cliMTI_DISEASE.S_GRP_CD = String.Empty
						cliMTI_DISEASE.M_GRP_CD = String.Empty
						cliMTI_DISEASE.L_GRP_CD = String.Empty
					End If
				End Using

				'TM_病名変換ｃ分類マスタ
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_CNV_C_GRP)
				pDb.setParamDa(sqlXSI010F010.prmMTM_DISEASE_CNV_C_GRP_ICD10_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmMTM_DISEASE_CNV_C_GRP_ICD10_CD, cliOneCsvData.ICD10_CD.PadRight(3).Substring(0, 3))
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.GRP300_CD = dt.Rows(0).Item(sqlXSI010F010.itmGRP300_CD).ToString()
						cliMTI_DISEASE.C_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmC_GRP_CD).ToString()
						cliMTI_DISEASE.DEATH_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDEATH_GRP_CD).ToString()
					Else
						cliMTI_DISEASE.GRP300_CD = String.Empty
						cliMTI_DISEASE.C_GRP_CD = String.Empty
						cliMTI_DISEASE.DEATH_GRP_CD = String.Empty
					End If
				End Using

				'ICD10コードが4桁以上の場合、c分類コード、死因分類コードを再取得
				If cliOneCsvData.ICD10_CD.Length > 3 Then
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_CNV_C_GRP4)
					pDb.setParamDa(sqlXSI010F010.prmMTM_DISEASE_CNV_C_GRP4_ICD10_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmMTM_DISEASE_CNV_C_GRP4_ICD10_CD, cliOneCsvData.ICD10_CD.Substring(0, 4))
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							cliMTI_DISEASE.C_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmC_GRP_CD).ToString()
						End If
					End Using

					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DEATH_GRP_4CNV)
					pDb.setParamDa(sqlXSI010F010.prmMTM_DEATH_GRP_4CNV_ICD10_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmMTM_DEATH_GRP_4CNV_ICD10_CD, cliOneCsvData.ICD10_CD.Substring(0, 4))
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							cliMTI_DISEASE.DEATH_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDEATH_GRP_CD).ToString()
						End If
					End Using
				End If

				'A,B分類取得
				If String.IsNullOrEmpty(cliMTI_DISEASE.C_GRP_CD) = False Then
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_CNVT_ABC_DIV)
					pDb.setParamDa(sqlXSI010F010.prmMTM_DISEASE_CNVT_ABC_DIV_C_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI010F010.prmMTM_DISEASE_CNVT_ABC_DIV_C_GRP_CD, cliMTI_DISEASE.C_GRP_CD)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							cliMTI_DISEASE.A_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmA_GRP_CD).ToString()
							cliMTI_DISEASE.B_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmB_GRP_CD).ToString()
						Else
							cliMTI_DISEASE.A_GRP_CD = String.Empty
							cliMTI_DISEASE.B_GRP_CD = String.Empty
						End If
					End Using
				Else
					cliMTI_DISEASE.A_GRP_CD = String.Empty
					cliMTI_DISEASE.B_GRP_CD = String.Empty
				End If

			ElseIf String.IsNullOrEmpty(cliOneCsvData.ICD9_CD) = False Then
				'ICD9コード
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE9_M_GRP)
				pDb.setParamDa(sqlXSI010F010.prmMTM_DISEASE9_M_GRP_M_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmMTM_DISEASE9_M_GRP_M_GRP_CD, cliOneCsvData.ICD9_CD.PadRight(3).Substring(0, 3))

				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.ICD9_CD = cliOneCsvData.ICD9_CD										   'ＩＣＤ９コード
						cliMTI_DISEASE.ICD9_L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()   'ＩＣＤ９大分類コード
						cliMTI_DISEASE.ICD9_M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()   'ＩＣＤ９中分類コード
					End If
					cliMTI_DISEASE.DISEASE_MNG_NO = "0"			  '管理番号
					cliMTI_DISEASE.DISEASE_MNG_DIV = String.Empty '管理記号
				End Using
			End If

			'管理番号無しの場合設定しない
			If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = True Then
				cliMTI_DISEASE.DISEASE_MNG_NO = "0"
				cliMTI_DISEASE.DISEASE_MNG_DIV = String.Empty
			End If

			'外因分類取得
			cliMTI_DISEASE.CAUSE_GRP_NM = cliOneCsvData.CAUSE_GRP_NM '外因分類名
			If String.IsNullOrEmpty(cliOneCsvData.CAUSE_GRP_CD) = False Then
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_CAUSE_GRP)
				pDb.setParamDa(sqlXSI010F010.prmMTM_CAUSE_GR_CAUSE_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmMTM_CAUSE_GR_CAUSE_GRP_CD, cliOneCsvData.CAUSE_GRP_CD)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.CAUSE_L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmCAUSE_L_GRP_CD).ToString()		'外因大分類コード
						cliMTI_DISEASE.CAUSE_DEATH_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDEATH_GRP_CD).ToString()	'外因死因分類コード
						cliMTI_DISEASE.CAUSE_4GRP_PTN = dt.Rows(0).Item(sqlXSI010F010.itmCAUSE_4GRP_PTN).ToString()		'外因４桁細分類パターン
						'CSVに入力がなければ設定
						If String.IsNullOrEmpty(cliOneCsvData.CAUSE_GRP_NM) = True Then cliMTI_DISEASE.CAUSE_GRP_NM = dt.Rows(0).Item(sqlXSI010F010.itmCAUSE_GRP_NM).ToString() '外因分類名
					End If
				End Using
				cliMTI_DISEASE.CAUSE_GRP_CD = cliOneCsvData.CAUSE_GRP_CD		'外因分類コード
				cliMTI_DISEASE.CAUSE_4DIGS_CD = cliOneCsvData.CAUSE_4DIGS_CD	'外因４桁目コード
			End If

			'外因4桁細分類取得
			cliMTI_DISEASE.CAUSE_4GRP_NM = cliOneCsvData.CAUSE_4GRP_NM	'外因４桁細分類名
			If String.IsNullOrEmpty(cliMTI_DISEASE.CAUSE_4GRP_NM) = True AndAlso String.IsNullOrEmpty(cliMTI_DISEASE.CAUSE_4GRP_PTN) = False AndAlso String.IsNullOrEmpty(cliMTI_DISEASE.CAUSE_4DIGS_CD) = False Then
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_CAUSE_4GRP)
				pDb.setParamDa(sqlXSI010F010.prmMTM_CAUSE_4GRP_CAUSE_4GRP_PTN, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmMTM_CAUSE_4GRP_CAUSE_4DIGS_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmMTM_CAUSE_4GRP_CAUSE_4GRP_PTN, cliMTI_DISEASE.CAUSE_4GRP_PTN)
				pDb.setValDa(sqlXSI010F010.prmMTM_CAUSE_4GRP_CAUSE_4DIGS_CD, cliMTI_DISEASE.CAUSE_4DIGS_CD)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.CAUSE_4GRP_NM = dt.Rows(0).Item(sqlXSI010F010.itmCAUSE_4GRP_NM).ToString() '外因４桁細分類名
					End If
				End Using
			End If

			'@@ フラグ設定(同一科歴の病名情報を確認し、設定)
			If cliOneCsvData.DATA_TYPE.Equals("A") = True Then
				'データ種別Aの場合、DB内の病名データをチェック
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_DISEASE_FLGCNT)
				pDb.setParamDa(sqlXSI010F010.prmMainDisease, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParamDa(sqlXSI010F010.prmFLG_ON, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmMainDisease, clsConst.Enum_Disease_Div_Fix1.MainDisease)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliMTI_DISEASE.PATIENT_NO)
				pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)
				pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)
				pDb.setValDa(sqlXSI010F010.prmFLG_ON, CStr(clsConst.Enum_CheckBox_Flg.CheckOn))
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					'入院契機病名フラグ
					If cliOneCsvData.HSP_CHANCE_DISEASE_FLG = "1" AndAlso dt.Rows(0).Item(sqlXSI010F010.itmHSP_CHANCE_DISEASE_FLG_CNT).ToString() = "0" Then
						cliMTI_DISEASE.HSP_CHANCE_DISEASE_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
					Else
						cliMTI_DISEASE.HSP_CHANCE_DISEASE_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					'医療資源投入病名フラグ１
					If cliOneCsvData.DISEASE_MED_RES_FLG1 = "1" AndAlso dt.Rows(0).Item(sqlXSI010F010.itmDISEASE_MED_RES_FLG1_CNT).ToString() = "0" Then
						cliMTI_DISEASE.DISEASE_MED_RES_FLG1 = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
					Else
						cliMTI_DISEASE.DISEASE_MED_RES_FLG1 = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If
					'医療資源投入病名フラグ２
					If cliOneCsvData.DISEASE_MED_RES_FLG2 = "1" AndAlso dt.Rows(0).Item(sqlXSI010F010.itmDISEASE_MED_RES_FLG2_CNT).ToString() = "0" Then
						cliMTI_DISEASE.DISEASE_MED_RES_FLG2 = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
					Else
						cliMTI_DISEASE.DISEASE_MED_RES_FLG2 = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					End If

					'病名区分コード
					If cliOneCsvData.DISEASE_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.diseaseDivMainDisease) Then
						If dt.Rows(0).Item(sqlXSI010F010.itmFIXED_CD_CNT).ToString() = "0" Then
							cliMTI_DISEASE.DISEASE_DIV = cliOneCsvData.DISEASE_DIV
						Else
							cliMTI_DISEASE.DISEASE_DIV = String.Empty
						End If
					Else
						cliMTI_DISEASE.DISEASE_DIV = cliOneCsvData.DISEASE_DIV
					End If
				End Using
			Else
				cliMTI_DISEASE.HSP_CHANCE_DISEASE_FLG = Me.changeFlg(cliOneCsvData.HSP_CHANCE_DISEASE_FLG)	'入院契機病名フラグ
				cliMTI_DISEASE.DISEASE_MED_RES_FLG1 = Me.changeFlg(cliOneCsvData.DISEASE_MED_RES_FLG1)		'医療資源投入病名フラグ１
				cliMTI_DISEASE.DISEASE_MED_RES_FLG2 = Me.changeFlg(cliOneCsvData.DISEASE_MED_RES_FLG2)		'医療資源投入病名フラグ２
				'病名区分コード
				cliMTI_DISEASE.DISEASE_DIV = cliOneCsvData.DISEASE_DIV
			End If

			'病名区分が空のとき、連番1なら主病,2以降ならデフォルト病名コードセット
			If String.IsNullOrEmpty(cliMTI_DISEASE.DISEASE_DIV) = True Then
				If cliMTI_DISEASE.DISEASE_SERIAL_NO = "1" Then
					cliMTI_DISEASE.DISEASE_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.diseaseDivMainDisease)
				Else
					cliMTI_DISEASE.DISEASE_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.diseaseDivNextInitDisplay)
				End If
			End If

			'死因病名フラグ,死因外因フラグ
			cliMTI_DISEASE.DEATH_DISEASE_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
			cliMTI_DISEASE.DEATH_CAUSE_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
			If cliOneCsvData.DEATH_DISEASE_FLG = "1" Then
				cliMTI_DISEASE.DEATH_DISEASE_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
			ElseIf cliOneCsvData.DEATH_CAUSE_FLG = "1" Then
				cliMTI_DISEASE.DEATH_CAUSE_FLG = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
			End If

			cliMTI_DISEASE.DIRECT_DEATH_DISEASE_FLG = Me.changeFlg(cliOneCsvData.DIRECT_DEATH_DISEASE_FLG)	'直接死因病名フラグ
			cliMTI_DISEASE.DIRECT_DEATH_CAUSE_FLG_V3 = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)			'直接死因外因フラグ
			cliMTI_DISEASE.HSP_DISEASE_FLG = Me.changeFlg(cliOneCsvData.HSP_DISEASE_FLG)					'入院時併存症名フラグ
			cliMTI_DISEASE.AFTER_HSP_DISEASE_FLG = Me.changeFlg(cliOneCsvData.AFTER_HSP_DISEASE_FLG)		'入院後発症疾患名フラグ

			cliMTI_DISEASE.DISEASE = cliOneCsvData.DISEASE				'病名
			cliMTI_DISEASE.DIAGNOSIS_DT = cliOneCsvData.DIAGNOSIS_DT	'診断日
			cliMTI_DISEASE.ONSET_DT = cliOneCsvData.ONSET_DT			'発症日
			cliMTI_DISEASE.END_DT = cliOneCsvData.END_DT				'終了日
			cliMTI_DISEASE.DISEASE_OUTCOME_CD = cliOneCsvData.DISEASE_OUTCOME_CD '病名転帰コード
			cliMTI_DISEASE.REMARKS1 = cliOneCsvData.REMARKS1			'備考1
			cliMTI_DISEASE.REMARKS2 = cliOneCsvData.REMARKS2			'備考2
			cliMTI_DISEASE.SPECIMEN_NO = cliOneCsvData.SPECIMEN_NO		'標本番号
			cliMTI_DISEASE.ICDO_FORM_CD = cliOneCsvData.ICDO_FORM_CD	'ＩＣＤＯ１
			If String.IsNullOrEmpty(cliMTI_DISEASE.ICDO_FORM_CD) = False Then
				cliMTI_DISEASE.ICDO_FORM_6DIGS_CD = cliOneCsvData.ICDO_FORM_6DIGS_CD 'ＩＣＤＯ１２
			End If
			cliMTI_DISEASE.ICDO_MNG_NO = "0"							'@@ ＩＣＤＯ１管理番号
			cliMTI_DISEASE.ICDO_MNG_DIV = String.Empty					'@@ ＩＣＤＯ１管理記号

			'ＩＣＤＯ１形態名
			cliMTI_DISEASE.ICDO_FORM_NM = cliOneCsvData.ICDO_FORM_NM
			If String.IsNullOrEmpty(cliMTI_DISEASE.ICDO_FORM_NM) = True AndAlso cliMTI_DISEASE.DISEASE_MNG_NO <> "0" AndAlso String.IsNullOrEmpty(cliMTI_DISEASE.DISEASE_MNG_DIV) = False _
																						  AndAlso String.IsNullOrEmpty(cliMTI_DISEASE.ICDO_FORM_CD) = False Then
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_DISEASE_FORM)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_DISEASE.ICDO_FORM_NM = dt.Rows(0).Item(sqlXSI010F010.itmFORM_NM).ToString()
					End If
				End Using
			End If

			'がん登録状況
			'動作環境の病名のがん登録状況自動設定
			If String.IsNullOrEmpty(cliMTI_DISEASE.ICD10_CD) = True Then
				'ICD10コード未入力時処理なし
			ElseIf String.IsNullOrEmpty(Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.clrRegStatusPlan)) = True AndAlso String.IsNullOrEmpty(Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.clrRegStatusNotExtract)) = True Then
			'    'がん登録状況　「予定」「未抽出」の固定コードが設定されていない場合、処理なし
			ElseIf (clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00032) = CStr(clsConst.Enum_DiseaseCnrRegSet.AllDisease) OrElse _
					(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00032) = CStr(clsConst.Enum_DiseaseCnrRegSet.MainDisease) AndAlso cliMTI_DISEASE.DISEASE_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.diseaseDivMainDisease))) Then
				'病名のがん登録状況自動設定(全病名)または病名のがん登録状況自動設定(主病名)かつ病名コードが主病

				Dim bRange As Boolean = Me.chkICD10CODERange(cliMTI_DISEASE.ICD10_CD)

				If bRange = True AndAlso String.IsNullOrEmpty(Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.clrRegStatusPlan)) = False Then
					cliMTI_DISEASE.CNR_REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.clrRegStatusPlan)			'抽出予定
				End If

				If bRange = False AndAlso String.IsNullOrEmpty(Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.clrRegStatusNotExtract)) = False Then
					cliMTI_DISEASE.CNR_REG_STATUS_CD = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.clrRegStatusNotExtract)	'未抽出
				End If
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/10/21 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_DISEASE) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char							'データ種別パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c, "B"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)					   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)				   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)					   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)					   '入院日（開始日）
			oneCsv.Add(cliOneCsvData.ICD10_CD)					   'ＩＣＤ１０コード
			oneCsv.Add(cliOneCsvData.DISEASE_DIV)				   '病名区分コード
			oneCsv.Add(cliOneCsvData.DISEASE)					   '病名
			oneCsv.Add(cliOneCsvData.DISEASE_OUTCOME_CD)		   '病名転帰コード
			oneCsv.Add(cliOneCsvData.PLURAL_GRP_CD)				   '複数分類コード
			oneCsv.Add(cliOneCsvData.DIAGNOSIS_DT)				   '診断日
			oneCsv.Add(cliOneCsvData.ONSET_DT)					   '発症日
			oneCsv.Add(cliOneCsvData.END_DT)					   '終了日
			oneCsv.Add(cliOneCsvData.HSP_CHANCE_DISEASE_FLG)	   '入院契機病名フラグ
			oneCsv.Add(cliOneCsvData.DISEASE_MED_RES_FLG1)		   '医療資源投入病名フラグ１
			oneCsv.Add(cliOneCsvData.DISEASE_MED_RES_FLG2)		   '医療資源投入病名フラグ２
			oneCsv.Add(cliOneCsvData.HSP_DISEASE_FLG)			   '入院時並存症フラグ
			oneCsv.Add(cliOneCsvData.AFTER_HSP_DISEASE_FLG)		   '入院後発症フラグ
			oneCsv.Add(cliOneCsvData.ICDO_FORM_CD)				   'ＩＣＤ０１
			oneCsv.Add(cliOneCsvData.ICDO_FORM_NM)				   'ＩＣＤ０１形態名
			oneCsv.Add(cliOneCsvData.ICDO_FORM_6DIGS_CD)		   'ＩＣＤ０１２
			oneCsv.Add(cliOneCsvData.SPECIMEN_NO)				   '標本番号
			oneCsv.Add(cliOneCsvData.CAUSE_GRP_CD)				   '外因分類コード
			oneCsv.Add(cliOneCsvData.CAUSE_GRP_NM)				   '外因分類名
			oneCsv.Add(cliOneCsvData.CAUSE_4DIGS_CD)			   '外因４桁目コード
			oneCsv.Add(cliOneCsvData.CAUSE_4GRP_NM)				   '外因４桁細分類名
			oneCsv.Add(cliOneCsvData.DEATH_DISEASE_FLG)			   '死因病名フラグ
			oneCsv.Add(cliOneCsvData.DEATH_CAUSE_FLG)			   '死因外因フラグ
			oneCsv.Add(cliOneCsvData.DIRECT_DEATH_DISEASE_FLG)	   '直接死因病名フラグ
			oneCsv.Add(cliOneCsvData.REMARKS1)					   '備考１
			oneCsv.Add(cliOneCsvData.REMARKS2)					   '備考２
			oneCsv.Add(cliOneCsvData.ICD9_CD)					   'ＩＣＤ９コード
			oneCsv.Add(cliOneCsvData.HSP_DISEASE_CD)			   '院内病名コード
			oneCsv.Add(cliOneCsvData.MNG_NO)					   '管理番号
			oneCsv.Add(cliOneCsvData.RECEIPT_CD)				   'レセ電算コード

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1, 5, 6 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3, 9, 10, 11 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 32	'数値チェック
							If Me.chkCsvNum(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next


			'ＩＣＤ１０コード、ＩＣＤ９コード、管理番号、レセ電算コードのいずれかがセットされていること
			If String.IsNullOrEmpty(cliOneCsvData.ICD10_CD) = True AndAlso String.IsNullOrEmpty(cliOneCsvData.ICD9_CD) = True AndAlso
					 String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = True AndAlso String.IsNullOrEmpty(cliOneCsvData.RECEIPT_CD) = True Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0028"
				'設定されていない必須項目があります。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)	   'データ種別
			disit.Add(10)	   '患者番号
			disit.Add(2)	   '診療科コード
			disit.Add(10)	   '入院日（開始日）
			disit.Add(6)	   'ＩＣＤ１０コード
			disit.Add(2)	   '病名区分コード
			disit.Add(50)	   '病名
			disit.Add(2)	   '病名転帰コード
			disit.Add(6)	   '複数分類コード(@@ V3は5桁)
			disit.Add(10)	   '診断日
			disit.Add(10)	   '発症日
			disit.Add(10)	   '終了日
			disit.Add(1)	   '入院契機病名フラグ
			disit.Add(1)	   '医療資源投入病名フラグ１
			disit.Add(1)	   '医療資源投入病名フラグ２
			disit.Add(1)	   '入院時並存症フラグ
			disit.Add(1)	   '入院後発症フラグ
			disit.Add(10)	   'ＩＣＤ０１
			disit.Add(100)	   'ＩＣＤ０１形態名
			disit.Add(1)	   'ＩＣＤ０１２
			disit.Add(10)	   '標本番号
			disit.Add(3)	   '外因分類コード
			disit.Add(100)	   '外因分類名
			disit.Add(1)	   '外因４桁目コード
			disit.Add(80)	   '外因４桁細分類名
			disit.Add(1)	   '死因病名フラグ
			disit.Add(1)	   '死因外因フラグ
			disit.Add(1)	   '直接死因病名フラグ
			disit.Add(10)	   '備考１
			disit.Add(10)	   '備考２
			disit.Add(9)	   'ＩＣＤ９コード(@@ V3は7桁)
			disit.Add(10)	   '院内病名コード
			disit.Add(10)	   '管理番号(@@ 整数)
			disit.Add(7)	   'レセ電算コード
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_DISEASE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院日（開始日）
			cliOneCsvData.ICD10_CD = oneCsv(4)					   'ＩＣＤ１０コード
			cliOneCsvData.DISEASE_DIV = oneCsv(5)				   '病名区分コード
			cliOneCsvData.DISEASE = oneCsv(6)					   '病名
			cliOneCsvData.DISEASE_OUTCOME_CD = oneCsv(7)		   '病名転帰コード
			cliOneCsvData.DIAGNOSIS_DT = oneCsv(8)				   '診断日
			cliOneCsvData.ONSET_DT = oneCsv(9)					   '発症日
			cliOneCsvData.END_DT = oneCsv(10)					   '終了日
			cliOneCsvData.PLURAL_GRP_CD = oneCsv(11)			   '複数分類コード
			cliOneCsvData.REMARKS1 = oneCsv(12)					   '備考１
			cliOneCsvData.REMARKS2 = oneCsv(13)					   '備考２
			cliOneCsvData.HSP_DISEASE_CD = oneCsv(14)			   '院内病名コード
			cliOneCsvData.HSP_CHANCE_DISEASE_FLG = oneCsv(15)	   '入院契機病名フラグ
			cliOneCsvData.DISEASE_MED_RES_FLG1 = oneCsv(16)		   '医療資源投入病名フラグ１
			cliOneCsvData.DISEASE_MED_RES_FLG2 = oneCsv(17)		   '医療資源投入病名フラグ２
			cliOneCsvData.DEATH_DISEASE_FLG = oneCsv(18)		   '死因病名フラグ
			cliOneCsvData.MNG_NO = oneCsv(19)					   '管理番号
			cliOneCsvData.RECEIPT_CD = oneCsv(20)				   'レセ電算コード
			'cliOneCsvData.SPARE01 = oneCsv(21)                     '　―――
			'cliOneCsvData.SPARE02 = oneCsv(22)                     '　―――
			'cliOneCsvData.SPARE03 = oneCsv(23)                     '　―――
			'cliOneCsvData.SPARE04 = oneCsv(24)                     '　―――
			cliOneCsvData.CAUSE_GRP_CD = oneCsv(25)				   '外因分類コード
			cliOneCsvData.CAUSE_4DIGS_CD = oneCsv(26)			   '外因４桁目コード
			cliOneCsvData.DEATH_CAUSE_FLG = oneCsv(27)			   '死因外因フラグ
			cliOneCsvData.SPECIMEN_NO = oneCsv(28)				   '標本番号
			cliOneCsvData.ICDO_FORM_CD = oneCsv(29)				   'ＩＣＤ０１
			cliOneCsvData.ICDO_FORM_6DIGS_CD = oneCsv(30)		   'ＩＣＤ０１２
			cliOneCsvData.ICD9_CD = oneCsv(31)					   'ＩＣＤ９コード
			cliOneCsvData.HSP_DISEASE_FLG = oneCsv(32)			   '入院時並存症フラグ
			cliOneCsvData.AFTER_HSP_DISEASE_FLG = oneCsv(33)	   '入院後発症フラグ
			Select Case oneCsv.Length
				Case ENUM_CSV_CNT.V3
					cliOneCsvData.ICDO_FORM_NM = oneCsv(34)				   'ＩＣＤ０１形態名
					cliOneCsvData.DIRECT_DEATH_DISEASE_FLG = oneCsv(35)	   '直接死因病名フラグ
					cliOneCsvData.CAUSE_GRP_NM = oneCsv(36)				   '外因分類名
					cliOneCsvData.CAUSE_4GRP_NM = oneCsv(37)			   '外因４桁細分類名
			End Select
			'cliOneCsvData.SPARE05 = oneCsv(38)                     '　―――
			'cliOneCsvData.SPARE06 = oneCsv(39)                     '　―――
			'cliOneCsvData.SPARE05 = ""                             '　―――(V3なし)
			'cliOneCsvData.SPARE06 = ""                             '　―――(V3なし)
			'cliOneCsvData.SPARE07 = ""                             '　―――(V3なし)
			'cliOneCsvData.SPARE10 = ""                             '　―――(V3なし)
			'cliOneCsvData.SPARE11 = ""                             '　―――(V3なし)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_DISEASE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院日（開始日）
			cliOneCsvData.ICD10_CD = oneCsv(4)					   'ＩＣＤ１０コード
			cliOneCsvData.DISEASE_DIV = oneCsv(5)				   '病名区分コード
			cliOneCsvData.DISEASE = oneCsv(6)					   '病名
			cliOneCsvData.DISEASE_OUTCOME_CD = oneCsv(7)		   '病名転帰コード
			cliOneCsvData.PLURAL_GRP_CD = oneCsv(8)				   '複数分類コード
			cliOneCsvData.DIAGNOSIS_DT = oneCsv(9)				   '診断日
			cliOneCsvData.ONSET_DT = oneCsv(10)					   '発症日
			cliOneCsvData.END_DT = oneCsv(11)					   '終了日
			cliOneCsvData.HSP_CHANCE_DISEASE_FLG = oneCsv(12)	   '入院契機病名フラグ
			cliOneCsvData.DISEASE_MED_RES_FLG1 = oneCsv(13)		   '医療資源投入病名フラグ１
			cliOneCsvData.DISEASE_MED_RES_FLG2 = oneCsv(14)		   '医療資源投入病名フラグ２
			cliOneCsvData.HSP_DISEASE_FLG = oneCsv(15)			   '入院時並存症フラグ
			cliOneCsvData.AFTER_HSP_DISEASE_FLG = oneCsv(16)	   '入院後発症フラグ
			cliOneCsvData.ICDO_FORM_CD = oneCsv(17)				   'ＩＣＤ０１
			cliOneCsvData.ICDO_FORM_NM = oneCsv(18)				   'ＩＣＤ０１形態名
			cliOneCsvData.ICDO_FORM_6DIGS_CD = oneCsv(19)		   'ＩＣＤ０１２
			cliOneCsvData.SPECIMEN_NO = oneCsv(20)				   '標本番号
			cliOneCsvData.CAUSE_GRP_CD = oneCsv(21)				   '外因分類コード
			cliOneCsvData.CAUSE_GRP_NM = oneCsv(22)				   '外因分類名
			cliOneCsvData.CAUSE_4DIGS_CD = oneCsv(23)			   '外因４桁目コード
			cliOneCsvData.CAUSE_4GRP_NM = oneCsv(24)			   '外因４桁細分類名
			cliOneCsvData.DEATH_DISEASE_FLG = oneCsv(25)		   '死因病名フラグ
			cliOneCsvData.DEATH_CAUSE_FLG = oneCsv(26)			   '死因外因フラグ
			cliOneCsvData.DIRECT_DEATH_DISEASE_FLG = oneCsv(27)	   '直接死因病名フラグ
			cliOneCsvData.REMARKS1 = oneCsv(28)					   '備考１
			cliOneCsvData.REMARKS2 = oneCsv(29)					   '備考２
			cliOneCsvData.ICD9_CD = oneCsv(30)					   'ＩＣＤ９コード
			cliOneCsvData.HSP_DISEASE_CD = oneCsv(31)			   '院内病名コード
			cliOneCsvData.MNG_NO = oneCsv(32)					   '管理番号
			cliOneCsvData.RECEIPT_CD = oneCsv(33)				   'レセ電算コード
			'cliOneCsvData.SPARE01 = oneCsv(34)                      '　―――
			'cliOneCsvData.SPARE02 = oneCsv(35)                      '　―――
			'cliOneCsvData.SPARE03 = oneCsv(36)                      '　―――
			'cliOneCsvData.SPARE04 = oneCsv(37)                      '　―――
			'cliOneCsvData.SPARE05 = oneCsv(38)                      '　―――
			'cliOneCsvData.SPARE06 = oneCsv(39)                      '　―――
			'cliOneCsvData.SPARE07 = oneCsv(40)                      '　―――
			'cliOneCsvData.SPARE08 = oneCsv(41)                      '　―――
			'cliOneCsvData.SPARE09 = oneCsv(42)                      '　―――
			'cliOneCsvData.SPARE10 = oneCsv(43)                      '　―――
			'cliOneCsvData.SPARE11 = oneCsv(44)                      '　―――

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】ＩＣＤ１０コード範囲チェック
	''' </summary>
	''' <param name="icd10Code">チェック対象ICD10コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkICD10CODERange(ByVal icd10Code As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】ＩＣＤ１０コード範囲チェック Start")
		Dim startCode As List(Of String) = Nothing
		Dim endCode As List(Of String) = Nothing
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSI010F010.sqlSel_MTM_IMP_DISEASE)
				Using dt As New DataTable()
					db.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						startCode = New List(Of String)
						endCode = New List(Of String)
						For Each dr As DataRow In dt.Rows
							'開始コード、終了コードをコレクションに追加
							If String.IsNullOrEmpty(dr.Item(sqlXSI010F010.itmSTART_ICD10_CD).ToString()) = False AndAlso String.IsNullOrEmpty(dr.Item(sqlXSI010F010.itmEND_ICD10_CD).ToString()) = False Then
								startCode.Add(dr.Item(sqlXSI010F010.itmSTART_ICD10_CD).ToString())
								endCode.Add(dr.Item(sqlXSI010F010.itmEND_ICD10_CD).ToString())
							End If
						Next
					Else
						Return False
					End If
				End Using
			End Using

			'コードが6桁になるように不足桁を埋める
			For i As Integer = 0 To startCode.Count - 1
				endCode(i) = endCode(i).PadRight(6, "Z"c)
			Next

			'範囲内に該当するかチェック
			For i As Integer = 0 To startCode.Count - 1
				If startCode(i) <= icd10Code AndAlso icd10Code <= endCode(i) Then
					Return True
				End If
			Next

			Return False
		Catch ex As Exception
			Throw
		Finally
			'解放
			If startCode IsNot Nothing Then startCode.Clear()
			startCode = Nothing
			If endCode IsNot Nothing Then endCode.Clear()
			endCode = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_DISEASE">病名データクラス</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_DISEASE, ByVal cliMTI_DISEASE As clsXSI_MTI_DISEASE) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】登録/更新 Start")
		Try
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			'病名更新
			If cliOneCsvData.DATA_TYPE = "B" Then
				'データ種別B　削除後追加
				Me.setSqlParam_MTI_DISEASE(pDb, False, Enum_SqlIdx.eDel, cliMTI_DISEASE)
			End If

			'SQL文、パラメータセット
			'動作環境の同一科歴内で同じICD10コードの病名連携
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00034) = CStr(clsConst.Enum_EqualDeptIcd10DiseaseImp.RepDisease) Then
				'置き換え
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getMTI_DISEASE(cliOneCsvData.PATIENT_NO, cliMTI_DISEASE.HSP_HISTORY_NO, cliMTI_DISEASE.CH_NO, cliOneCsvData.ICD10_CD, cliOneCsvData.DISEASE_DIV, pDb)
					If arr.Count = 0 Then
						Me.setSqlParam_MTI_DISEASE(pDb, False, Enum_SqlIdx.eIns, cliMTI_DISEASE) '登録
					Else
						Me.setSqlParam_MTI_DISEASE(pDb, False, Enum_SqlIdx.eUpd, cliMTI_DISEASE) '更新
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try

			Else
				'追加
				Me.setSqlParam_MTI_DISEASE(pDb, False, Enum_SqlIdx.eIns, cliMTI_DISEASE)
			End If

			'病名並び替え
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00045) = CStr(clsConst.Enum_SortDisease.Sort) Then '動作環境の病名一覧並び替え設定
				'並び替えのため連番+1000
				pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_DISEASE_SORT1)
				pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
				pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DISEASE.PATIENT_NO)
				pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)
				pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)
				pDb.execNonQuery(False)

				'並び替えして取得
				pDb.setSQL(sqlXSI010F010.sqlSel_MTI_DISEASE_SORT)
				pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
				pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DISEASE.PATIENT_NO)
				pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)
				pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)
				Dim arr As ArrayList = Nothing
				Try
					arr = New ArrayList()
					pDb.execQuery(GetType(datDISEASE), arr)

					'連番振り直し
					For i As Integer = 0 To arr.Count - 1
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_DISEASE_SORT2)
						pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI010F010.prmDISEASE_SERIAL_NO_WHERE, clsDB.Enum_dbType.dbInt)
						pDb.setParam(sqlXSI010F010.prmDISEASE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
						pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DISEASE.PATIENT_NO)
						pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)
						pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)
						pDb.setVal(sqlXSI010F010.prmDISEASE_SERIAL_NO_WHERE, DirectCast(arr(i), datDISEASE).DISEASE_SERIAL_NO)
						pDb.setVal(sqlXSI010F010.prmDISEASE_SERIAL_NO, i + 1, False)
						pDb.execNonQuery(False)
					Next
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
			End If


			'科歴情報更新
			Using cliCH As New clsXSI_MTI_CH()
				cliCH.PATIENT_NO = cliMTI_DISEASE.PATIENT_NO
				cliCH.HSP_HISTORY_NO = cliMTI_DISEASE.HSP_HISTORY_NO
				cliCH.CH_NO = cliMTI_DISEASE.CH_NO
				'病名数
				Dim arrDiseaseCount As ArrayList = Nothing
				Try
					arrDiseaseCount = Me.getDiseaseCount(cliMTI_DISEASE.PATIENT_NO, cliMTI_DISEASE.HSP_HISTORY_NO, cliMTI_DISEASE.CH_NO, pDb)
					If arrDiseaseCount.Count > 0 Then
						cliCH.DISEASE_COUNT = DirectCast(arrDiseaseCount(0), datDiseaseCnt).DISEASECOUNT.ToString()
					Else
						cliCH.DISEASE_COUNT = "0"
					End If

				Finally
					If arrDiseaseCount IsNot Nothing Then arrDiseaseCount.Clear()
					arrDiseaseCount = Nothing
				End Try

				'がん登録数、登録予定数更新
				Dim arrRegStatusCnt As ArrayList = Nothing
				Try
					arrRegStatusCnt = Me.getDiseaseCnrRegStatusCount(cliMTI_DISEASE.PATIENT_NO, cliMTI_DISEASE.HSP_HISTORY_NO, cliMTI_DISEASE.CH_NO, pDb)
					If arrRegStatusCnt.Count > 0 Then
						cliCH.CNR_REG_COUNT = DirectCast(arrRegStatusCnt(0), datCnrRegStatusCount).STATUSFINISH.ToString()
						cliCH.CNR_REG_EXPECTED_COUNT = DirectCast(arrRegStatusCnt(0), datCnrRegStatusCount).STATUSPLAN.ToString()
					Else
						cliCH.CNR_REG_COUNT = "0"
						cliCH.CNR_REG_EXPECTED_COUNT = "0"
					End If

				Finally
					If arrRegStatusCnt IsNot Nothing Then arrRegStatusCnt.Clear()
					arrRegStatusCnt = Nothing
				End Try
				'更新
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)

			End Using

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】重複病名取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="Icd10Cd">ICD10コード</param>
	''' <param name="DiseaseDiv">病名区分</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_DISEASE(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, _
										ByVal Icd10Cd As String, ByVal DiseaseDiv As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList

		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】重複病名取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_DISEASE_ICD10CODE)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmDISEASE_DIV, clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)
			db.setVal(sqlXSI010F010.prmICD10_CD, Icd10Cd)
			db.setVal(sqlXSI010F010.prmDISEASE_DIV, DiseaseDiv)

			arr = New ArrayList()
			db.execQuery(GetType(datDISEASE), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】病名数取得
	''' </summary>
	''' <param name="patientNo">取得対象患者番号</param>
	''' <param name="hspHistoryNo">取得対象入退院歴番号</param>
	''' <param name="chNo">取得対象科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>病名数</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDiseaseCount(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】病名数取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_DISEASE_COUNT)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datDiseaseCnt), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】がん登録数、登録予定数取得
	''' </summary>
	''' <param name="patientNo">取得対象患者番号</param>
	''' <param name="hspHistoryNo">取得対象入退院歴番号</param>
	''' <param name="chNo">取得対象科歴番号</param>
	''' <param name="pdb">DBクラス</param>
	''' <returns>がん登録数、登録予定数</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDiseaseCnrRegStatusCount(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】がん登録数、登録予定数更新 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_DISEASE_CNR_REG_STATUS_COUNT)
			db.setParam(sqlXSI010F010.prmClrRegStatusPlan, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmClrRegStatusFinish, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmClrRegStatusPlan, clsConst.Enum_ClrRegStatus_Fix1.Plan)
			db.setVal(sqlXSI010F010.prmClrRegStatusFinish, clsConst.Enum_ClrRegStatus_Fix1.Finish)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datCnrRegStatusCount), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_DISEASE">病名データクラス</param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_DISEASE(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_DISEASE As clsXSI_MTI_DISEASE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】SQLパラメータ設定 Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録、更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_DISEASE) '登録
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_DISEASE) '更新
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				   '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)				 '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)						 '科歴番号
					pDb.setParam(sqlXSI010F010.prmDISEASE_SERIAL_NO, clsDB.Enum_dbType.dbInt)			 '病名連番
					pDb.setParam(sqlXSI010F010.prmHSP_CHANCE_DISEASE_FLG, clsDB.Enum_dbType.dbInt)		 '入院契機病名フラグ
					pDb.setParam(sqlXSI010F010.prmDISEASE_MED_RES_FLG1, clsDB.Enum_dbType.dbInt)			 '医療資源投入病名フラグ１
					pDb.setParam(sqlXSI010F010.prmDISEASE_MED_RES_FLG2, clsDB.Enum_dbType.dbInt)			 '医療資源投入病名フラグ２
					pDb.setParam(sqlXSI010F010.prmDEATH_DISEASE_FLG, clsDB.Enum_dbType.dbInt)			 '死因病名フラグ
					pDb.setParam(sqlXSI010F010.prmDISEASE_DIV, clsDB.Enum_dbType.dbNVarChar)			   '病名区分コード
					pDb.setParam(sqlXSI010F010.prmDISEASE, clsDB.Enum_dbType.dbNVarChar)				   '病名
					pDb.setParam(sqlXSI010F010.prmDIAGNOSIS_DT, clsDB.Enum_dbType.dbDateTime)			 '診断日
					pDb.setParam(sqlXSI010F010.prmONSET_DT, clsDB.Enum_dbType.dbDateTime)				 '発症日
					pDb.setParam(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)					 '終了日
					pDb.setParam(sqlXSI010F010.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar)				   'ＩＣＤ１０コード
					pDb.setParam(sqlXSI010F010.prmDISEASE_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)		   '病名転帰コード
					pDb.setParam(sqlXSI010F010.prmPLURAL_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			   '複数分類コード
					pDb.setParam(sqlXSI010F010.prmREMARKS1, clsDB.Enum_dbType.dbNVarChar)				   '備考１
					pDb.setParam(sqlXSI010F010.prmREMARKS2, clsDB.Enum_dbType.dbNVarChar)				   '備考２
					pDb.setParam(sqlXSI010F010.prmHSP_DISEASE_CD, clsDB.Enum_dbType.dbNVarChar)			   '院内病名コード
					pDb.setParam(sqlXSI010F010.prmICD9_CD, clsDB.Enum_dbType.dbNVarChar)				   'ＩＣＤ９コード
					pDb.setParam(sqlXSI010F010.prmCAUSE_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			   '外因分類コード
					pDb.setParam(sqlXSI010F010.prmDEATH_CAUSE_FLG, clsDB.Enum_dbType.dbInt)				 '死因外因フラグ
					pDb.setParam(sqlXSI010F010.prmSPECIMEN_NO, clsDB.Enum_dbType.dbNVarChar)			   '標本番号
					pDb.setParam(sqlXSI010F010.prmICDO_FORM_CD, clsDB.Enum_dbType.dbNVarChar)			   'ＩＣＤＯ１
					pDb.setParam(sqlXSI010F010.prmICDO_FORM_6DIGS_CD, clsDB.Enum_dbType.dbNVarChar)		   'ＩＣＤＯ１２
					pDb.setParam(sqlXSI010F010.prmL_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				   '大分類コード
					pDb.setParam(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				   '中分類コード
					pDb.setParam(sqlXSI010F010.prmS_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				   '小分類コード
					pDb.setParam(sqlXSI010F010.prmGRP300_CD, clsDB.Enum_dbType.dbNVarChar)				   '３００分類コード
					pDb.setParam(sqlXSI010F010.prmA_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				   'ａ分類コード
					pDb.setParam(sqlXSI010F010.prmB_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				   'ｂ分類コード
					pDb.setParam(sqlXSI010F010.prmC_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				   'ｃ分類コード
					pDb.setParam(sqlXSI010F010.prmDEATH_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			   '死因分類コード
					pDb.setParam(sqlXSI010F010.prmCAUSE_L_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			   '外因大分類コード
					pDb.setParam(sqlXSI010F010.prmCAUSE_DEATH_GRP_CD, clsDB.Enum_dbType.dbNVarChar)		   '外因死因分類コード
					pDb.setParam(sqlXSI010F010.prmCAUSE_4GRP_PTN, clsDB.Enum_dbType.dbNVarChar)			   '外因４桁細分類パターン
					pDb.setParam(sqlXSI010F010.prmCAUSE_4DIGS_CD, clsDB.Enum_dbType.dbNVarChar)			   '外因４桁目コード
					pDb.setParam(sqlXSI010F010.prmICD9_L_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			   'ＩＣＤ９大分類コード
					pDb.setParam(sqlXSI010F010.prmICD9_M_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			   'ＩＣＤ９中分類コード
					pDb.setParam(sqlXSI010F010.prmICD9_ASST_GRP1_CD, clsDB.Enum_dbType.dbNVarChar)		   'ＩＣＤ９補助分類コード１
					pDb.setParam(sqlXSI010F010.prmICD9_ASST_GRP2_CD, clsDB.Enum_dbType.dbNVarChar)		   'ＩＣＤ９補助分類コード２
					pDb.setParam(sqlXSI010F010.prmICD9_ASST_GRP3_CD, clsDB.Enum_dbType.dbNVarChar)		   'ＩＣＤ９補助分類コード３
					pDb.setParam(sqlXSI010F010.prmDISEASE_MNG_DIV, clsDB.Enum_dbType.dbNVarChar)		   '管理記号
					pDb.setParam(sqlXSI010F010.prmDISEASE_MNG_NO, clsDB.Enum_dbType.dbInt)				 '管理番号
					pDb.setParam(sqlXSI010F010.prmHSP_DISEASE_FLG, clsDB.Enum_dbType.dbInt)				 '入院時併存症名フラグ
					pDb.setParam(sqlXSI010F010.prmAFTER_HSP_DISEASE_FLG, clsDB.Enum_dbType.dbInt)		 '入院後発症疾患名フラグ
					pDb.setParam(sqlXSI010F010.prmCNR_REG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)		   'がん登録状況コード
					pDb.setParam(sqlXSI010F010.prmCNR_REG_EXTRACT_DT, clsDB.Enum_dbType.dbDateTime)		 'がん登録抽出日
					pDb.setParam(sqlXSI010F010.prmICDO_MNG_DIV, clsDB.Enum_dbType.dbNVarChar)			   'ＩＣＤＯ１管理記号
					pDb.setParam(sqlXSI010F010.prmICDO_MNG_NO, clsDB.Enum_dbType.dbInt)					 'ＩＣＤＯ１管理番号
					pDb.setParam(sqlXSI010F010.prmICDO_FORM_NM, clsDB.Enum_dbType.dbNVarChar)			   'ＩＣＤＯ１形態名
					pDb.setParam(sqlXSI010F010.prmDIRECT_DEATH_DISEASE_FLG, clsDB.Enum_dbType.dbInt)		 '直接死因病名フラグ
					pDb.setParam(sqlXSI010F010.prmDIRECT_DEATH_CAUSE_FLG_V3, clsDB.Enum_dbType.dbInt)	 '直接死因外因フラグ
					pDb.setParam(sqlXSI010F010.prmCAUSE_GRP_NM, clsDB.Enum_dbType.dbNVarChar)			   '外因分類名
					pDb.setParam(sqlXSI010F010.prmCAUSE_4GRP_NM, clsDB.Enum_dbType.dbNVarChar)			   '外因４桁細分類名
					pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)			 '取込日
					pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)				 '新規登録日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			   '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				 '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DISEASE.PATIENT_NO)								 '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)						 '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)										 '科歴番号
					pDb.setVal(sqlXSI010F010.prmDISEASE_SERIAL_NO, cliMTI_DISEASE.DISEASE_SERIAL_NO)				 '病名連番
					pDb.setVal(sqlXSI010F010.prmHSP_CHANCE_DISEASE_FLG, cliMTI_DISEASE.HSP_CHANCE_DISEASE_FLG)		 '入院契機病名フラグ
					pDb.setVal(sqlXSI010F010.prmDISEASE_MED_RES_FLG1, cliMTI_DISEASE.DISEASE_MED_RES_FLG1)			 '医療資源投入病名フラグ１
					pDb.setVal(sqlXSI010F010.prmDISEASE_MED_RES_FLG2, cliMTI_DISEASE.DISEASE_MED_RES_FLG2)			 '医療資源投入病名フラグ２
					pDb.setVal(sqlXSI010F010.prmDEATH_DISEASE_FLG, cliMTI_DISEASE.DEATH_DISEASE_FLG)				 '死因病名フラグ
					pDb.setVal(sqlXSI010F010.prmDISEASE_DIV, cliMTI_DISEASE.DISEASE_DIV)							 '病名区分コード
					pDb.setVal(sqlXSI010F010.prmDISEASE, cliMTI_DISEASE.DISEASE)									 '病名
					pDb.setVal(sqlXSI010F010.prmDIAGNOSIS_DT, cliMTI_DISEASE.DIAGNOSIS_DT)							 '診断日
					pDb.setVal(sqlXSI010F010.prmONSET_DT, cliMTI_DISEASE.ONSET_DT)									 '発症日
					pDb.setVal(sqlXSI010F010.prmEND_DT, cliMTI_DISEASE.END_DT)										 '終了日
					pDb.setVal(sqlXSI010F010.prmICD10_CD, cliMTI_DISEASE.ICD10_CD)									 'ＩＣＤ１０コード
					pDb.setVal(sqlXSI010F010.prmDISEASE_OUTCOME_CD, cliMTI_DISEASE.DISEASE_OUTCOME_CD)				 '病名転帰コード
					pDb.setVal(sqlXSI010F010.prmPLURAL_GRP_CD, cliMTI_DISEASE.PLURAL_GRP_CD)						 '複数分類コード
					pDb.setVal(sqlXSI010F010.prmREMARKS1, cliMTI_DISEASE.REMARKS1)									 '備考１
					pDb.setVal(sqlXSI010F010.prmREMARKS2, cliMTI_DISEASE.REMARKS2)									 '備考２
					pDb.setVal(sqlXSI010F010.prmHSP_DISEASE_CD, cliMTI_DISEASE.HSP_DISEASE_CD)						 '院内病名コード
					pDb.setVal(sqlXSI010F010.prmICD9_CD, cliMTI_DISEASE.ICD9_CD)									 'ＩＣＤ９コード
					pDb.setVal(sqlXSI010F010.prmCAUSE_GRP_CD, cliMTI_DISEASE.CAUSE_GRP_CD)							 '外因分類コード
					pDb.setVal(sqlXSI010F010.prmDEATH_CAUSE_FLG, cliMTI_DISEASE.DEATH_CAUSE_FLG)					 '死因外因フラグ
					pDb.setVal(sqlXSI010F010.prmSPECIMEN_NO, cliMTI_DISEASE.SPECIMEN_NO)							 '標本番号
					pDb.setVal(sqlXSI010F010.prmICDO_FORM_CD, cliMTI_DISEASE.ICDO_FORM_CD)							 'ＩＣＤＯ１
					pDb.setVal(sqlXSI010F010.prmICDO_FORM_6DIGS_CD, cliMTI_DISEASE.ICDO_FORM_6DIGS_CD)				 'ＩＣＤＯ１２
					pDb.setVal(sqlXSI010F010.prmL_GRP_CD, cliMTI_DISEASE.L_GRP_CD)									 '大分類コード
					pDb.setVal(sqlXSI010F010.prmM_GRP_CD, cliMTI_DISEASE.M_GRP_CD)									 '中分類コード
					pDb.setVal(sqlXSI010F010.prmS_GRP_CD, cliMTI_DISEASE.S_GRP_CD)									 '小分類コード
					pDb.setVal(sqlXSI010F010.prmGRP300_CD, cliMTI_DISEASE.GRP300_CD)								 '３００分類コード
					pDb.setVal(sqlXSI010F010.prmA_GRP_CD, cliMTI_DISEASE.A_GRP_CD)									 'ａ分類コード
					pDb.setVal(sqlXSI010F010.prmB_GRP_CD, cliMTI_DISEASE.B_GRP_CD)									 'ｂ分類コード
					pDb.setVal(sqlXSI010F010.prmC_GRP_CD, cliMTI_DISEASE.C_GRP_CD)									 'ｃ分類コード
					pDb.setVal(sqlXSI010F010.prmDEATH_GRP_CD, cliMTI_DISEASE.DEATH_GRP_CD)							 '死因分類コード
					pDb.setVal(sqlXSI010F010.prmCAUSE_L_GRP_CD, cliMTI_DISEASE.CAUSE_L_GRP_CD)						 '外因大分類コード
					pDb.setVal(sqlXSI010F010.prmCAUSE_DEATH_GRP_CD, cliMTI_DISEASE.CAUSE_DEATH_GRP_CD)				 '外因死因分類コード
					pDb.setVal(sqlXSI010F010.prmCAUSE_4GRP_PTN, cliMTI_DISEASE.CAUSE_4GRP_PTN)						 '外因４桁細分類パターン
					pDb.setVal(sqlXSI010F010.prmCAUSE_4DIGS_CD, cliMTI_DISEASE.CAUSE_4DIGS_CD)						 '外因４桁目コード
					pDb.setVal(sqlXSI010F010.prmICD9_L_GRP_CD, cliMTI_DISEASE.ICD9_L_GRP_CD)						 'ＩＣＤ９大分類コード
					pDb.setVal(sqlXSI010F010.prmICD9_M_GRP_CD, cliMTI_DISEASE.ICD9_M_GRP_CD)						 'ＩＣＤ９中分類コード
					pDb.setVal(sqlXSI010F010.prmICD9_ASST_GRP1_CD, cliMTI_DISEASE.ICD9_ASST_GRP1_CD)				 'ＩＣＤ９補助分類コード１
					pDb.setVal(sqlXSI010F010.prmICD9_ASST_GRP2_CD, cliMTI_DISEASE.ICD9_ASST_GRP2_CD)				 'ＩＣＤ９補助分類コード２
					pDb.setVal(sqlXSI010F010.prmICD9_ASST_GRP3_CD, cliMTI_DISEASE.ICD9_ASST_GRP3_CD)				 'ＩＣＤ９補助分類コード３
					pDb.setVal(sqlXSI010F010.prmDISEASE_MNG_DIV, cliMTI_DISEASE.DISEASE_MNG_DIV)					 '管理記号
					pDb.setVal(sqlXSI010F010.prmDISEASE_MNG_NO, cliMTI_DISEASE.DISEASE_MNG_NO)						 '管理番号
					pDb.setVal(sqlXSI010F010.prmHSP_DISEASE_FLG, cliMTI_DISEASE.HSP_DISEASE_FLG)					 '入院時併存症名フラグ
					pDb.setVal(sqlXSI010F010.prmAFTER_HSP_DISEASE_FLG, cliMTI_DISEASE.AFTER_HSP_DISEASE_FLG)		 '入院後発症疾患名フラグ
					pDb.setVal(sqlXSI010F010.prmCNR_REG_STATUS_CD, cliMTI_DISEASE.CNR_REG_STATUS_CD)				 'がん登録状況コード
					pDb.setVal(sqlXSI010F010.prmCNR_REG_EXTRACT_DT, cliMTI_DISEASE.CNR_REG_EXTRACT_DT)				 'がん登録抽出日
					pDb.setVal(sqlXSI010F010.prmICDO_MNG_DIV, cliMTI_DISEASE.ICDO_MNG_DIV)							 'ＩＣＤＯ１管理記号
					pDb.setVal(sqlXSI010F010.prmICDO_MNG_NO, cliMTI_DISEASE.ICDO_MNG_NO)							 'ＩＣＤＯ１管理番号
					pDb.setVal(sqlXSI010F010.prmICDO_FORM_NM, cliMTI_DISEASE.ICDO_FORM_NM)							 'ＩＣＤＯ１形態名
					pDb.setVal(sqlXSI010F010.prmDIRECT_DEATH_DISEASE_FLG, cliMTI_DISEASE.DIRECT_DEATH_DISEASE_FLG)	 '直接死因病名フラグ
					pDb.setVal(sqlXSI010F010.prmDIRECT_DEATH_CAUSE_FLG_V3, cliMTI_DISEASE.DIRECT_DEATH_CAUSE_FLG_V3) '直接死因外因フラグ
					pDb.setVal(sqlXSI010F010.prmCAUSE_GRP_NM, cliMTI_DISEASE.CAUSE_GRP_NM)							 '外因分類名
					pDb.setVal(sqlXSI010F010.prmCAUSE_4GRP_NM, cliMTI_DISEASE.CAUSE_4GRP_NM)						 '外因４桁細分類名
					pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)										 '取込日
					pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)											 '新規登録日
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)							 '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)											 '更新日

				Case Enum_SqlIdx.eDel
					'削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_DISEASE)
					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				   '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)				 '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)						 '科歴番号
					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_DISEASE.PATIENT_NO)					 '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_DISEASE.HSP_HISTORY_NO)			 '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_DISEASE.CH_NO)							 '科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【病名】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_DISEASE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "病名連携", "【病名】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_DISEASE)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)							 '登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)							 '連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)								 'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)						   'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)						   '患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)						   '診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)							   '入院日
			pDb.setParam(sqlXSI010F010.prmICD10_CD, clsDB.Enum_dbType.dbNVarChar)						   'ＩＣＤ１０コード
			pDb.setParam(sqlXSI010F010.prmDISEASE_DIV, clsDB.Enum_dbType.dbNVarChar)					   '病名区分コード
			pDb.setParam(sqlXSI010F010.prmDISEASE, clsDB.Enum_dbType.dbNVarChar)						   '病名
			pDb.setParam(sqlXSI010F010.prmDISEASE_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)				   '病名転帰コード
			pDb.setParam(sqlXSI010F010.prmDIAGNOSIS_DT, clsDB.Enum_dbType.dbNVarChar)					   '診断日
			pDb.setParam(sqlXSI010F010.prmONSET_DT, clsDB.Enum_dbType.dbNVarChar)						   '発症日
			pDb.setParam(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbNVarChar)							   '終了日
			pDb.setParam(sqlXSI010F010.prmPLURAL_GRP_CD, clsDB.Enum_dbType.dbNVarChar)					   '複数分類コード
			pDb.setParam(sqlXSI010F010.prmREMARKS1, clsDB.Enum_dbType.dbNVarChar)						   '備考１
			pDb.setParam(sqlXSI010F010.prmREMARKS2, clsDB.Enum_dbType.dbNVarChar)						   '備考２
			pDb.setParam(sqlXSI010F010.prmHSP_DISEASE_CD, clsDB.Enum_dbType.dbNVarChar)					   '院内病名コード
			pDb.setParam(sqlXSI010F010.prmHSP_CHANCE_DISEASE_FLG, clsDB.Enum_dbType.dbNVarChar)			   '入院契機病名フラグ
			pDb.setParam(sqlXSI010F010.prmDISEASE_MED_RES_FLG1, clsDB.Enum_dbType.dbNVarChar)			   '医療資源投入病名フラグ１
			pDb.setParam(sqlXSI010F010.prmDISEASE_MED_RES_FLG2, clsDB.Enum_dbType.dbNVarChar)			   '医療資源投入病名フラグ２
			pDb.setParam(sqlXSI010F010.prmDEATH_DISEASE_FLG, clsDB.Enum_dbType.dbNVarChar)				   '死因病名フラグ
			pDb.setParam(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbNVarChar)							   '管理番号
			pDb.setParam(sqlXSI010F010.prmRECEIPT_CD, clsDB.Enum_dbType.dbNVarChar)						   'レセ電算コード
			pDb.setParam(sqlXSI010F010.prmCAUSE_GRP_CD, clsDB.Enum_dbType.dbNVarChar)					   '外因分類コード
			pDb.setParam(sqlXSI010F010.prmCAUSE_4DIGS_CD, clsDB.Enum_dbType.dbNVarChar)					   '外因４桁目コード
			pDb.setParam(sqlXSI010F010.prmDEATH_CAUSE_FLG, clsDB.Enum_dbType.dbNVarChar)				   '死因外因フラグ
			pDb.setParam(sqlXSI010F010.prmSPECIMEN_NO, clsDB.Enum_dbType.dbNVarChar)					   '標本番号
			pDb.setParam(sqlXSI010F010.prmICDO_FORM_CD, clsDB.Enum_dbType.dbNVarChar)					   'ＩＣＤＯ１
			pDb.setParam(sqlXSI010F010.prmICDO_FORM_6DIGS_CD, clsDB.Enum_dbType.dbNVarChar)				   'ＩＣＤＯ１２
			pDb.setParam(sqlXSI010F010.prmICD9_CD, clsDB.Enum_dbType.dbNVarChar)						   'ＩＣＤ９
			pDb.setParam(sqlXSI010F010.prmHSP_DISEASE_FLG, clsDB.Enum_dbType.dbNVarChar)				   '入院時併存症名フラグ
			pDb.setParam(sqlXSI010F010.prmAFTER_HSP_DISEASE_FLG, clsDB.Enum_dbType.dbNVarChar)			   '入院後発症疾患名フラグ
			pDb.setParam(sqlXSI010F010.prmICDO_FORM_NM, clsDB.Enum_dbType.dbNVarChar)					   'ＩＣＤＯ１形態名
			pDb.setParam(sqlXSI010F010.prmDIRECT_DEATH_DISEASE_FLG, clsDB.Enum_dbType.dbNVarChar)		   '直接死因病名フラグ
			pDb.setParam(sqlXSI010F010.prmCAUSE_GRP_NM, clsDB.Enum_dbType.dbNVarChar)					   '外因分類名
			pDb.setParam(sqlXSI010F010.prmCAUSE_4GRP_NM, clsDB.Enum_dbType.dbNVarChar)					   '外因４桁細分類名
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)						   '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)						   '予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)						   '予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)						   '予備４
			pDb.setParam(sqlXSI010F010.prmSPARE05, clsDB.Enum_dbType.dbNVarChar)						   '予備５
			pDb.setParam(sqlXSI010F010.prmSPARE06, clsDB.Enum_dbType.dbNVarChar)						   '予備６
			pDb.setParam(sqlXSI010F010.prmSPARE07, clsDB.Enum_dbType.dbNVarChar)						   '予備７
			pDb.setParam(sqlXSI010F010.prmSPARE08, clsDB.Enum_dbType.dbNVarChar)						   '予備８
			pDb.setParam(sqlXSI010F010.prmSPARE09, clsDB.Enum_dbType.dbNVarChar)						   '予備９
			pDb.setParam(sqlXSI010F010.prmSPARE10, clsDB.Enum_dbType.dbNVarChar)						   '予備１０
			pDb.setParam(sqlXSI010F010.prmSPARE11, clsDB.Enum_dbType.dbNVarChar)						   '予備１１
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)						   'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)							   'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)						   'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)					   '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)						  '更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)												 '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)									 '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)										 'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)									 'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)								 '患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)										 '診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)										 '入院日
			pDb.setVal(sqlXSI010F010.prmICD10_CD, cliOneCsvData.ICD10_CD)									 'ＩＣＤ１０コード
			pDb.setVal(sqlXSI010F010.prmDISEASE_DIV, cliOneCsvData.DISEASE_DIV)								 '病名区分コード
			pDb.setVal(sqlXSI010F010.prmDISEASE, cliOneCsvData.DISEASE)										 '病名
			pDb.setVal(sqlXSI010F010.prmDISEASE_OUTCOME_CD, cliOneCsvData.DISEASE_OUTCOME_CD)				 '病名転帰コード
			pDb.setVal(sqlXSI010F010.prmDIAGNOSIS_DT, cliOneCsvData.DIAGNOSIS_DT)							 '診断日
			pDb.setVal(sqlXSI010F010.prmONSET_DT, cliOneCsvData.ONSET_DT)									 '発症日
			pDb.setVal(sqlXSI010F010.prmEND_DT, cliOneCsvData.END_DT)										 '終了日
			pDb.setVal(sqlXSI010F010.prmPLURAL_GRP_CD, cliOneCsvData.PLURAL_GRP_CD)							 '複数分類コード
			pDb.setVal(sqlXSI010F010.prmREMARKS1, cliOneCsvData.REMARKS1)									 '備考１
			pDb.setVal(sqlXSI010F010.prmREMARKS2, cliOneCsvData.REMARKS2)									 '備考２
			pDb.setVal(sqlXSI010F010.prmHSP_DISEASE_CD, cliOneCsvData.HSP_DISEASE_CD)						 '院内病名コード
			pDb.setVal(sqlXSI010F010.prmHSP_CHANCE_DISEASE_FLG, cliOneCsvData.HSP_CHANCE_DISEASE_FLG)		 '入院契機病名フラグ
			pDb.setVal(sqlXSI010F010.prmDISEASE_MED_RES_FLG1, cliOneCsvData.DISEASE_MED_RES_FLG1)			 '医療資源投入病名フラグ１
			pDb.setVal(sqlXSI010F010.prmDISEASE_MED_RES_FLG2, cliOneCsvData.DISEASE_MED_RES_FLG2)			 '医療資源投入病名フラグ２
			pDb.setVal(sqlXSI010F010.prmDEATH_DISEASE_FLG, cliOneCsvData.DEATH_DISEASE_FLG)					 '死因病名フラグ
			pDb.setVal(sqlXSI010F010.prmMNG_NO, cliOneCsvData.MNG_NO)										 '管理番号
			pDb.setVal(sqlXSI010F010.prmRECEIPT_CD, cliOneCsvData.RECEIPT_CD)								 'レセ電算コード
			pDb.setVal(sqlXSI010F010.prmCAUSE_GRP_CD, cliOneCsvData.CAUSE_GRP_CD)							 '外因分類コード
			pDb.setVal(sqlXSI010F010.prmCAUSE_4DIGS_CD, cliOneCsvData.CAUSE_4DIGS_CD)						 '外因４桁目コード
			pDb.setVal(sqlXSI010F010.prmDEATH_CAUSE_FLG, cliOneCsvData.DEATH_CAUSE_FLG)						 '死因外因フラグ
			pDb.setVal(sqlXSI010F010.prmSPECIMEN_NO, cliOneCsvData.SPECIMEN_NO)								 '標本番号
			pDb.setVal(sqlXSI010F010.prmICDO_FORM_CD, cliOneCsvData.ICDO_FORM_CD)							 'ＩＣＤＯ１
			pDb.setVal(sqlXSI010F010.prmICDO_FORM_6DIGS_CD, cliOneCsvData.ICDO_FORM_6DIGS_CD)				 'ＩＣＤＯ１２
			pDb.setVal(sqlXSI010F010.prmICD9_CD, cliOneCsvData.ICD9_CD)										 'ＩＣＤ９
			pDb.setVal(sqlXSI010F010.prmHSP_DISEASE_FLG, cliOneCsvData.HSP_DISEASE_FLG)						 '入院時併存症名フラグ
			pDb.setVal(sqlXSI010F010.prmAFTER_HSP_DISEASE_FLG, cliOneCsvData.AFTER_HSP_DISEASE_FLG)			 '入院後発症疾患名フラグ
			pDb.setVal(sqlXSI010F010.prmICDO_FORM_NM, cliOneCsvData.ICDO_FORM_NM)							 'ＩＣＤＯ１形態名
			pDb.setVal(sqlXSI010F010.prmDIRECT_DEATH_DISEASE_FLG, cliOneCsvData.DIRECT_DEATH_DISEASE_FLG)	 '直接死因病名フラグ
			pDb.setVal(sqlXSI010F010.prmCAUSE_GRP_NM, cliOneCsvData.CAUSE_GRP_NM)							 '外因分類名
			pDb.setVal(sqlXSI010F010.prmCAUSE_4GRP_NM, cliOneCsvData.CAUSE_4GRP_NM)							 '外因４桁細分類名
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)										 '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)										 '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)										 '予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)										 '予備４
			pDb.setVal(sqlXSI010F010.prmSPARE05, cliOneCsvData.SPARE05)										 '予備５
			pDb.setVal(sqlXSI010F010.prmSPARE06, cliOneCsvData.SPARE06)										 '予備６
			pDb.setVal(sqlXSI010F010.prmSPARE07, cliOneCsvData.SPARE07)										 '予備７
			pDb.setVal(sqlXSI010F010.prmSPARE08, cliOneCsvData.SPARE08)										 '予備８
			pDb.setVal(sqlXSI010F010.prmSPARE09, cliOneCsvData.SPARE09)										 '予備９
			pDb.setVal(sqlXSI010F010.prmSPARE10, cliOneCsvData.SPARE10)										 '予備１０
			pDb.setVal(sqlXSI010F010.prmSPARE11, cliOneCsvData.SPARE11)										 '予備１１
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)									 'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)										 'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)										 'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)							 '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)											 '更新日

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
