﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_救命救急
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4ICU
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V3 = 11
		V4 = 15
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【救命救急】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】連携処理 Start")
		Dim allCnt As Long						'全件数
		Dim okCnt As Long						'正常件数
		Dim errCnt As Long						'エラー件数
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl071XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_EMERGENCY(), cliMTI_EMERGENCY As New clsXSI_MTI_EMERGENCY() '取込CSV内の１レコード(ログ登録),救命救急データクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()	 '連携CSV１行データ格納クラスクリア
							cliMTI_EMERGENCY.clear() '更新用データ格納領域クリア

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = False Then
								'連携ファイル内チェックエラー
							ElseIf Me.setData(db, cliOneCsvData, cliMTI_EMERGENCY) = False Then
								'整合性チェック+更新用領域に格納エラー
							ElseIf Me.exeSQL(db, cliMTI_EMERGENCY) <> Enum_ExeReturnFlg.eExecute Then
								'登録/更新エラー
								cliOneCsvData.ERR_FLG = "1"
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eEMERGENCY, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eEMERGENCY, True, allCnt, okCnt, errCnt, row)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eEMERGENCY, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("救命救急，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_EMERGENCY">救命救急データクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_EMERGENCY, ByVal cliMTI_EMERGENCY As clsXSI_MTI_EMERGENCY) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】DB内データと整合性チェック + 更新用領域にセット Start")
		Dim patientBirthday As String = String.Empty	'基本情報誕生日保持
		Dim outHspFlg As Boolean = False				'科歴情報退院フラグ
		Try
			'入室日、退室日と生年月日整合性チェック
			pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					patientBirthday = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()
				End If
			End Using

			'生年月日と入室日、退室日チェック
			If String.IsNullOrEmpty(patientBirthday) = True OrElse IsDate(patientBirthday) = False Then
			ElseIf Me.dateCompare(patientBirthday, cliOneCsvData.ENTERING_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'入室日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入室日", "生年月日より過去の日付", Nothing})
				Return False
			ElseIf Me.dateCompare(patientBirthday, cliOneCsvData.LEAVING_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'退室日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"退室日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'連携１行データの情報から科歴情報を取得する
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )
				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If

				'登録状況チェック
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録状況が「完成」のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
					Return False
				End If

				cliMTI_EMERGENCY.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString() '入退院歴番号
				cliMTI_EMERGENCY.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()					 '科歴番号
				'在室日数計算のため退院フラグ保持
				outHspFlg = dtNew.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_FLG).ToString() = CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
			End Using

			'入室日が登録可能な範囲の日付かチェック
			If Me.chkEnteringDate(cliOneCsvData.PATIENT_NO, cliMTI_EMERGENCY.HSP_HISTORY_NO, cliMTI_EMERGENCY.CH_NO, cliOneCsvData.ENTERING_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0022"
				'入室日が登録可能範囲外です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"入室日が登録可能", Nothing})
				Return False
			End If

			'MAX連番取得
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_EMERGENCY_MAXNO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_EMERGENCY.HSP_HISTORY_NO)
			pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_EMERGENCY.CH_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				cliMTI_EMERGENCY.EMERGENCY_SERIAL_NO = dt.Rows(0).Item(0).ToString()
			End Using

			'入室
			With Nothing
				Dim age As Integer = 0
				Dim monthAge As Integer = 0
				Dim dayAge As Integer = 0
				'年齢、月齢、日齢取得
				Me.getDiffYearMonth(patientBirthday, cliOneCsvData.ENTERING_DT, age, monthAge, dayAge)

				cliMTI_EMERGENCY.ENTERING_AGE = age.ToString()			  '入室時年齢
				cliMTI_EMERGENCY.ENTERING_MONTH_AGE = monthAge.ToString() '入室時月齢
				cliMTI_EMERGENCY.ENTERING_DAY_AGE = dayAge.ToString()	  '入室時日齢
			End With

			'退室
			With Nothing
				Dim age As Integer = 0
				Dim monthAge As Integer = 0
				Dim dayAge As Integer = 0
				'年齢、月齢、日齢取得
				Me.getDiffYearMonth(patientBirthday, cliOneCsvData.LEAVING_DT, age, monthAge, dayAge)

				cliMTI_EMERGENCY.LEAVING_AGE = age.ToString()			  '退室時年齢
				cliMTI_EMERGENCY.LEAVING_MONTH_AGE = monthAge.ToString()  '退室時月齢
				cliMTI_EMERGENCY.LEAVING_DAY_AGE = dayAge.ToString()	  '退室時日齢
			End With

			'在室日数(動作環境により+1日を行う)
			cliMTI_EMERGENCY.IN_ROOM_DAYS = Me.getDiffHspDays(cliOneCsvData.ENTERING_DT, cliOneCsvData.LEAVING_DT, outHspFlg).ToString()
			'救命所要時間
			cliMTI_EMERGENCY.MED_REQUIRED_TIME = Me.getDiffTime(cliOneCsvData.ENTERING_DT, cliOneCsvData.ENTERING_TIME, cliOneCsvData.LEAVING_DT, cliOneCsvData.LEAVING_TIME)

			cliMTI_EMERGENCY.PATIENT_NO = cliOneCsvData.PATIENT_NO						  '患者番号
			cliMTI_EMERGENCY.IN_METHOD_CD = cliOneCsvData.IN_METHOD_CD					  '入法コード
			cliMTI_EMERGENCY.OUT_METHOD_CD = cliOneCsvData.OUT_METHOD_CD				  '出法コード
			cliMTI_EMERGENCY.ENTERING_DT = cliOneCsvData.ENTERING_DT					  '入室日
			cliMTI_EMERGENCY.ENTERING_TIME = cliOneCsvData.ENTERING_TIME				  '入室時刻
			cliMTI_EMERGENCY.LEAVING_DT = cliOneCsvData.LEAVING_DT						  '退室日
			cliMTI_EMERGENCY.LEAVING_TIME = cliOneCsvData.LEAVING_TIME					  '退室時刻
			cliMTI_EMERGENCY.SEVERE_CD = cliOneCsvData.SEVERE_CD						  '重症コード

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			patientBirthday = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/10/04 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_EMERGENCY) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char					'データ種別パターン

		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)		   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)	   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)		   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)		   '入院(開始)日
			oneCsv.Add(cliOneCsvData.ENTERING_DT)	   '入室日
			oneCsv.Add(cliOneCsvData.ENTERING_TIME)	   '入室時刻
			oneCsv.Add(cliOneCsvData.LEAVING_DT)	   '退室日
			oneCsv.Add(cliOneCsvData.LEAVING_TIME)	   '退室時刻
			oneCsv.Add(cliOneCsvData.IN_METHOD_CD)	   '入法コード
			oneCsv.Add(cliOneCsvData.OUT_METHOD_CD)	   '出法コード
			oneCsv.Add(cliOneCsvData.SEVERE_CD)		   '重症コード

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1, 4, 6 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3, 4, 6 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 5, 7 '時刻チェック
							If Me.chkCsvTime(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)

			disit.Add(1)	   'データ種別
			disit.Add(10)	   '患者番号
			disit.Add(2)	   '診療科コード
			disit.Add(10)	   '入院(開始)日
			disit.Add(10)	   '入室日
			disit.Add(5)	   '入室時刻
			disit.Add(10)	   '退室日
			disit.Add(5)	   '退室時刻
			disit.Add(2)	   '入法コード
			disit.Add(2)	   '出法コード
			disit.Add(2)	   '重症コード
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_EMERGENCY)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)		   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)	   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)		   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)		   '入院(開始)日
			cliOneCsvData.ENTERING_DT = oneCsv(4)	   '入室日
			cliOneCsvData.ENTERING_TIME = String.Empty '入室時刻(V3無し)
			cliOneCsvData.LEAVING_DT = oneCsv(5)	   '退室日
			cliOneCsvData.LEAVING_TIME = String.Empty  '退室時刻(V3無し)
			cliOneCsvData.IN_METHOD_CD = oneCsv(6)	   '入法コード
			cliOneCsvData.OUT_METHOD_CD = oneCsv(7)	   '出法コード
			cliOneCsvData.SEVERE_CD = oneCsv(8)		   '重症コード
			'cliOneCsvData.SPARE01 = oneCsv(9)          '　―――
			'cliOneCsvData.SPARE02 = oneCsv(10)         '　―――
			'cliOneCsvData.SPARE03 = ""                  '　―――(V3なし)
			'cliOneCsvData.SPARE04 = ""                  '　―――(V3なし)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_EMERGENCY)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)		   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)	   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)		   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)		   '入院(開始)日
			cliOneCsvData.ENTERING_DT = oneCsv(4)	   '入室日
			cliOneCsvData.ENTERING_TIME = oneCsv(5)	   '入室時刻
			cliOneCsvData.LEAVING_DT = oneCsv(6)	   '退室日
			cliOneCsvData.LEAVING_TIME = oneCsv(7)	   '退室時刻
			cliOneCsvData.IN_METHOD_CD = oneCsv(8)	   '入法コード
			cliOneCsvData.OUT_METHOD_CD = oneCsv(9)	   '出法コード
			cliOneCsvData.SEVERE_CD = oneCsv(10)	   '重症コード
			'cliOneCsvData.SPARE01 = oneCsv(11)         '　―――
			'cliOneCsvData.SPARE02 = oneCsv(12)         '　―――
			'cliOneCsvData.SPARE03 = oneCsv(13)         '　―――
			'cliOneCsvData.SPARE04 = oneCsv(14)         '　―――

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliMTI_EMERGENCY">救命救急データクラス</param>
	''' <returns>DB登録結果</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliMTI_EMERGENCY As clsXSI_MTI_EMERGENCY) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】登録 Start")
		Try
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			'救命救急登録
			'SQL文、パラメータセット
			Me.setSqlParam_MTI_EMERGENCY(pDb, False, cliMTI_EMERGENCY) '登録

			'科歴情報更新(救命救急数)
			Using cliCH As New clsXSI_MTI_CH()
				cliCH.PATIENT_NO = cliMTI_EMERGENCY.PATIENT_NO			  '患者番号
				cliCH.HSP_HISTORY_NO = cliMTI_EMERGENCY.HSP_HISTORY_NO	  '入退院歴番号
				cliCH.CH_NO = cliMTI_EMERGENCY.CH_NO					  '科歴番号

				Dim arrCnt As ArrayList = Nothing
				Try
					arrCnt = Me.getEmergencyCount(cliMTI_EMERGENCY.PATIENT_NO, cliMTI_EMERGENCY.HSP_HISTORY_NO, cliMTI_EMERGENCY.CH_NO, pDb)
					If arrCnt.Count > 0 Then
						cliCH.EMERGENCY_COUNT = DirectCast(arrCnt(0), datEmergencyCnt).EMERGENCYCOUNT.ToString()
					Else
						cliCH.EMERGENCY_COUNT = "0"
					End If
				Finally
					If arrCnt IsNot Nothing Then arrCnt.Clear()
					arrCnt = Nothing
				End Try
				'更新
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)
			End Using

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="cliMTI_EMERGENCY">救命救急データクラス</param>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_EMERGENCY(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal cliMTI_EMERGENCY As clsXSI_MTI_EMERGENCY)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】SQLパラメータ設定 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTI_EMERGENCY)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		   '入退院歴番号
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				   '科歴番号
			pDb.setParam(sqlXSI010F010.prmEMERGENCY_SERIAL_NO, clsDB.Enum_dbType.dbInt)	   '救命救急連番
			pDb.setParam(sqlXSI010F010.prmIN_METHOD_CD, clsDB.Enum_dbType.dbNVarChar)		 '入法コード
			pDb.setParam(sqlXSI010F010.prmOUT_METHOD_CD, clsDB.Enum_dbType.dbNVarChar)		 '出法コード
			pDb.setParam(sqlXSI010F010.prmENTERING_DT, clsDB.Enum_dbType.dbDateTime)		   '入室日
			pDb.setParam(sqlXSI010F010.prmENTERING_TIME, clsDB.Enum_dbType.dbNVarChar)		 '入室時刻
			pDb.setParam(sqlXSI010F010.prmLEAVING_DT, clsDB.Enum_dbType.dbDateTime)		   '退室日
			pDb.setParam(sqlXSI010F010.prmLEAVING_TIME, clsDB.Enum_dbType.dbNVarChar)		 '退室時刻
			pDb.setParam(sqlXSI010F010.prmENTERING_AGE, clsDB.Enum_dbType.dbInt)			   '入室時年齢
			pDb.setParam(sqlXSI010F010.prmENTERING_MONTH_AGE, clsDB.Enum_dbType.dbInt)	   '入室時月齢
			pDb.setParam(sqlXSI010F010.prmENTERING_DAY_AGE, clsDB.Enum_dbType.dbInt)		   '入室時日齢
			pDb.setParam(sqlXSI010F010.prmLEAVING_AGE, clsDB.Enum_dbType.dbInt)			   '退室時年齢
			pDb.setParam(sqlXSI010F010.prmLEAVING_MONTH_AGE, clsDB.Enum_dbType.dbInt)	   '退室時月齢
			pDb.setParam(sqlXSI010F010.prmLEAVING_DAY_AGE, clsDB.Enum_dbType.dbInt)		   '退室時日齢
			pDb.setParam(sqlXSI010F010.prmIN_ROOM_DAYS, clsDB.Enum_dbType.dbInt)			   '在室日数
			pDb.setParam(sqlXSI010F010.prmSEVERE_CD, clsDB.Enum_dbType.dbNVarChar)			 '重症コード
			pDb.setParam(sqlXSI010F010.prmMED_REQUIRED_TIME, clsDB.Enum_dbType.dbNVarChar)	 '救命所要時間
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		 '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		   '更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_EMERGENCY.PATIENT_NO)						 '患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_EMERGENCY.HSP_HISTORY_NO)				 '入退院歴番号
			pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_EMERGENCY.CH_NO)									 '科歴番号
			pDb.setVal(sqlXSI010F010.prmEMERGENCY_SERIAL_NO, cliMTI_EMERGENCY.EMERGENCY_SERIAL_NO)		 '救命救急連番
			pDb.setVal(sqlXSI010F010.prmIN_METHOD_CD, cliMTI_EMERGENCY.IN_METHOD_CD)					 '入法コード
			pDb.setVal(sqlXSI010F010.prmOUT_METHOD_CD, cliMTI_EMERGENCY.OUT_METHOD_CD)					 '出法コード
			pDb.setVal(sqlXSI010F010.prmENTERING_DT, cliMTI_EMERGENCY.ENTERING_DT)						 '入室日
			pDb.setVal(sqlXSI010F010.prmENTERING_TIME, cliMTI_EMERGENCY.ENTERING_TIME)					 '入室時刻
			pDb.setVal(sqlXSI010F010.prmLEAVING_DT, cliMTI_EMERGENCY.LEAVING_DT)						 '退室日
			pDb.setVal(sqlXSI010F010.prmLEAVING_TIME, cliMTI_EMERGENCY.LEAVING_TIME)					 '退室時刻
			pDb.setVal(sqlXSI010F010.prmENTERING_AGE, cliMTI_EMERGENCY.ENTERING_AGE)					 '入室時年齢
			pDb.setVal(sqlXSI010F010.prmENTERING_MONTH_AGE, cliMTI_EMERGENCY.ENTERING_MONTH_AGE)		 '入室時月齢
			pDb.setVal(sqlXSI010F010.prmENTERING_DAY_AGE, cliMTI_EMERGENCY.ENTERING_DAY_AGE)			 '入室時日齢
			pDb.setVal(sqlXSI010F010.prmLEAVING_AGE, cliMTI_EMERGENCY.LEAVING_AGE)						 '退室時年齢
			pDb.setVal(sqlXSI010F010.prmLEAVING_MONTH_AGE, cliMTI_EMERGENCY.LEAVING_MONTH_AGE)			 '退室時月齢
			pDb.setVal(sqlXSI010F010.prmLEAVING_DAY_AGE, cliMTI_EMERGENCY.LEAVING_DAY_AGE)				 '退室時日齢
			pDb.setVal(sqlXSI010F010.prmIN_ROOM_DAYS, cliMTI_EMERGENCY.IN_ROOM_DAYS)					 '在室日数
			pDb.setVal(sqlXSI010F010.prmSEVERE_CD, cliMTI_EMERGENCY.SEVERE_CD)							 '重症コード
			pDb.setVal(sqlXSI010F010.prmMED_REQUIRED_TIME, cliMTI_EMERGENCY.MED_REQUIRED_TIME)			 '救命所要時間
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)						 '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)										 '更新日

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】救命救急数取得
	''' </summary>
	''' <param name="patientNo">取得対象患者番号</param>
	''' <param name="hspHistoryNo">取得対象入退院歴番号</param>
	''' <param name="chNo">取得対象科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>救命救急数</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getEmergencyCount(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】救命救急数取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_EMERGENCY_COUNT)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datEmergencyCnt), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】入室日が登録可能範囲かチェック
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="enteringDt">入室日</param>
	''' <returns>True:範囲内/False:範囲外</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkEnteringDate(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, ByVal enteringDt As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】入室日が登録可能範囲かチェック Start")
		Dim startDate As String = String.Empty	 '範囲開始
		Dim endDate As String = String.Empty	 '範囲終了
		Try
			'比較する日付が日付ではない場合、範囲内として終了
			If IsDate(enteringDt) = False Then Return True
			'動作環境の救命救急情報の登録範囲
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00080) = CStr(clsConst.Enum_EmergencyInputRange.StartEnd) Then
				'科歴の開始日～終了日
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'対象科歴の開始日、終了日を取得
					db.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH)
					db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
					db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					db.setValDa(sqlXSI010F010.prmCH_NO, chNo)
					Using dt As New DataTable()
						db.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							startDate = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()
							endDate = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()
						End If
					End Using
				End Using
			Else
				'入退院情報の入院日～退院日
				'対象入退院情報の入院日、退院日を取得
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP)
					db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
					db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					Using dt As New DataTable()
						db.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							startDate = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()
							endDate = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()
						End If
					End Using
				End Using
			End If

			'範囲内か比較
			'開始日、入院日
			If String.IsNullOrEmpty(startDate) = True Then
			ElseIf Me.dateCompare(startDate, enteringDt) > 0 Then
				Return False
			End If
			'終了日、退院日
			If String.IsNullOrEmpty(endDate) = True Then
			ElseIf Me.dateCompare(endDate, enteringDt) < 0 Then
				Return False
			End If


			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【救命救急】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_EMERGENCY)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "【救命救急】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_EMERGENCY)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)		   '登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		   '連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)			   'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)		 'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		 '患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)		 '診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)			 '入院日
			pDb.setParam(sqlXSI010F010.prmENTERING_DT, clsDB.Enum_dbType.dbNVarChar)	 '入室日
			pDb.setParam(sqlXSI010F010.prmENTERING_TIME, clsDB.Enum_dbType.dbNVarChar)	 '入室時刻
			pDb.setParam(sqlXSI010F010.prmLEAVING_DT, clsDB.Enum_dbType.dbNVarChar)		 '退室日
			pDb.setParam(sqlXSI010F010.prmLEAVING_TIME, clsDB.Enum_dbType.dbNVarChar)	 '退室時刻
			pDb.setParam(sqlXSI010F010.prmIN_METHOD_CD, clsDB.Enum_dbType.dbNVarChar)	 '入法コード
			pDb.setParam(sqlXSI010F010.prmOUT_METHOD_CD, clsDB.Enum_dbType.dbNVarChar)	 '出法コード
			pDb.setParam(sqlXSI010F010.prmSEVERE_CD, clsDB.Enum_dbType.dbNVarChar)		 '重症コード
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)		 '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)		 '予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)		 '予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)		 '予備４
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)		 'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)			 'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)		 'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	 '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)	   '更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)						   '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)			   '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)				   'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)			   'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)		   '患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)				   '診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)				   '入院日
			pDb.setVal(sqlXSI010F010.prmENTERING_DT, cliOneCsvData.ENTERING_DT)		   '入室日
			pDb.setVal(sqlXSI010F010.prmENTERING_TIME, cliOneCsvData.ENTERING_TIME)	   '入室時刻
			pDb.setVal(sqlXSI010F010.prmLEAVING_DT, cliOneCsvData.LEAVING_DT)		   '退室日
			pDb.setVal(sqlXSI010F010.prmLEAVING_TIME, cliOneCsvData.LEAVING_TIME)	   '退室時刻
			pDb.setVal(sqlXSI010F010.prmIN_METHOD_CD, cliOneCsvData.IN_METHOD_CD)	   '入法コード
			pDb.setVal(sqlXSI010F010.prmOUT_METHOD_CD, cliOneCsvData.OUT_METHOD_CD)	   '出法コード
			pDb.setVal(sqlXSI010F010.prmSEVERE_CD, cliOneCsvData.SEVERE_CD)			   '重症コード
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)				   '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)				   '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)				   '予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)				   '予備４
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)			   'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)				   'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)				   'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)	   '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)					   '更新日

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急所要時間計算
	''' </summary>
	''' <param name="sDate">期間開始日</param>
	''' <param name="sTime">期間開始時間</param>
	''' <param name="eDate">期間終了日</param>
	''' <param name="eTime">期間終了時間</param>
	''' <returns>指定期間の時間(HH:mm)</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDiffTime(ByVal sDate As String, ByVal sTime As String, ByVal eDate As String, ByVal eTime As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "救命救急連携", "救命救急所要時間計算 Start")
		Dim ret As String = String.Empty
		Dim startDate As DateTime
		Dim endDate As DateTime
		Dim minute As Long
		Try
			'開始入力チェック
			If String.IsNullOrEmpty(sDate) = True OrElse String.IsNullOrEmpty(sTime) = True OrElse _
					DateTime.TryParse(sDate & " " & sTime, startDate) = False Then
				Return String.Empty
			End If
			'終了入力チェック
			If String.IsNullOrEmpty(eDate) = True OrElse String.IsNullOrEmpty(eTime) = True OrElse _
					DateTime.TryParse(eDate & " " & eTime, endDate) = False Then
				Return String.Empty
			End If

			'前後関係
			If DateTime.Compare(startDate, endDate) > 0 Then
				Return String.Empty
			End If

			minute = DateAndTime.DateDiff(DateInterval.Minute, startDate, endDate)

			If Math.Floor(minute / 60) < 10000 Then
				ret = Math.Floor(minute / 60).ToString("0000") & ":" & (minute Mod 60).ToString("00")
			Else
				ret = "9999:99"
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			'解放
			ret = Nothing
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

#End Region

End Class
