﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 連携（貸出管理）患者入退院歴から　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4LKJNY1
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V3 = 41
		V4 = 50
	End Enum

	Public Const CST_PRD_NM As String = "ｼｽﾃﾑ連携"				'プロダクト名
	Public Const CST_FNC_NM As String = "ｼｽﾃﾑ連携  貸出管理"		'ファンクション名

#End Region

#Region "変数"

	'CSVファイル
	Private csvFileNames() As String
	'貸出管理クラス
	Private cliLendInfo As clsLendInfo
	'貸出管理クラスインデックス
	Private Index As Integer
	'管理物マスタデータテーブル
	Private dtLTM_MNGITEM_DEFINITION_HSP As DataTable
	'管理物管理状況マスタクラス
	Private cliLTM_MNGITEMMNGSTATUS As clsLTM_MNGITEMMNGSTATUS
	'管理物保管場所マスタクラス
	Private cliLTM_MNGITEMKEEPLCT As clsLTM_MNGITEMKEEPLCT

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <param name="csvFileNames">連携CSVファイル</param>
	''' <param name="cliLI">貸出管理クラス</param>
	''' <param name="pIdx">貸出管理クラスインデックス</param>
	''' <param name="pdtLTM_MNGITEM_DEFINITION_HSP">管理物マスタデータテーブル</param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010, ByVal csvFileNames() As String, ByVal cliLI As clsLendInfo, ByVal pIdx As Integer, ByVal pdtLTM_MNGITEM_DEFINITION_HSP As DataTable)
		MyBase.New(cliXSI030F010)
		Me.csvFileNames = csvFileNames
		Me.cliLendInfo = cliLI
		Me.Index = pIdx
		Me.dtLTM_MNGITEM_DEFINITION_HSP = pdtLTM_MNGITEM_DEFINITION_HSP
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 【患者入退院歴から】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】連携処理 Start")
		Dim aryAllCnt() As Long						'全件数
		Dim aryOkCnt() As Long						'正常件数
		Dim aryErrCnt() As Long						'エラー件数
		Dim arySlightErrCnt() As Long				'軽度エラー件数
		Dim nameChangeCnt As Long					'氏名変更件数
		Dim nameChangeSerial As Integer				'氏名変更ログ連番
		Dim aryRow() As Integer
		Dim rowData() As String = Nothing
		Dim setCounterEx As XSI030F010.setCounter_Ex_Delegate
		Dim setCounterName As XSI030F010.setCounter_Name_Delegate
		Dim cliTh As clsThread
		Dim dtMngItem As DataTable = Nothing
		Dim iIdx As Integer
		Dim iMaxCount As Long = 0
		Dim iProcessCount As Long = 0
		Dim iInsertCount As Integer = 0

		'件数初期化
		ReDim aryAllCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		ReDim aryOkCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		ReDim aryErrCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		ReDim arySlightErrCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		nameChangeCnt = 0
		nameChangeSerial = 0
		ReDim aryRow(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		'管理物管理状況マスタクラス
		cliLTM_MNGITEMMNGSTATUS = New clsLTM_MNGITEMMNGSTATUS
		'管理物保管場所マスタクラス
		cliLTM_MNGITEMKEEPLCT = New clsLTM_MNGITEMKEEPLCT

		Try
			'総件数設定
			dtMngItem = dtLTM_MNGITEM_DEFINITION_HSP
			iIdx = -1
			For Each drow As DataRow In dtMngItem.Rows
				iIdx += 1
				If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
					aryAllCnt(iIdx) = CType(drow(sqlXSI030F010.itmALL_COUNT).ToString, Long)
					If iMaxCount < CType(drow(sqlXSI030F010.itmALL_COUNT).ToString, Long) Then
						iMaxCount = CType(drow(sqlXSI030F010.itmALL_COUNT).ToString, Long)
					End If
				End If
			Next
			CST_MOD_CNT = getModCount(iMaxCount)
			setCounterEx = New XSI030F010.setCounter_Ex_Delegate(AddressOf Me.cliXSI030F010.setCounterEx)
			setCounterName = New XSI030F010.setCounter_Name_Delegate(AddressOf Me.cliXSI030F010.setCounterName)
			cliTh = New clsThread(Me.cliLendInfo)
			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_LTT_IMP_LOG_BASIC_HSP,
					  cliLOG_PATIENT_NM As New clsXSI_MTT_IMP_LOG_PATIENT_NM	'取込CSV内の１レコード(ログ登録),氏名変更ログクラス
					For Each filename As String In Me.csvFileNames
						Using cliCSV As New XSP.clsCSV(filename),
							  tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
							'連携ファイル内を1件ずつ処理
							While Not (tfpReader.EndOfData)
								cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア
								cliLOG_PATIENT_NM.clear()	'氏名変更ログクラスクリア
								iProcessCount += 1			'ファイル処理件数
								iInsertCount = 0
								Try
									rowData = tfpReader.ReadFields()
									'１行データを格納(V3,V4の違いを吸収)
									Select Case rowData.Length
										Case ENUM_CSV_CNT.V3
											Me.setV3Cls(rowData, cliOneCsvData)
										Case ENUM_CSV_CNT.V4
											Me.setV4Cls(rowData, cliOneCsvData)
										Case Else
											'エラー情報セット
											cliOneCsvData.ERR_FLG = "1"
											cliOneCsvData.ERR_CD = "E0026"
											'ＣＳＶの個数が違います。
											cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									End Select
								Catch ex As FileIO.MalformedLineException
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0035"
									'データの形式が不正です。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
								End Try
								If cliOneCsvData.ERR_FLG = "1" Then
									'連携ファイルエラー
								ElseIf Me.chkCsv(cliOneCsvData) = False Then
									'連携ファイル内チェックエラー（レコード毎）
								End If
								iIdx = -1
								If cliOneCsvData.ERR_FLG = "1" Then
									For Each drow As DataRow In dtMngItem.Rows
										iIdx += 1
										If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
											'データ種別有効判定
											If rowData Is Nothing OrElse
												rowData.GetUpperBound(0) >= 16 AndAlso
												cliXSI030F010.isValidateDataType(drow(sqlXSI030F010.itmDATATYPE_CD).ToString,
																				drow(sqlXSI030F010.itmUNIT_CD).ToString,
																				rowData(0),
																				rowData(13),
																				rowData(16)) Then
												aryRow(iIdx) += 1
												'管理物コード
												cliOneCsvData.MNGITEM_CD = drow(sqlXSI030F010.itmMNGITEM_CD).ToString
												'連番設定
												cliOneCsvData.SERIAL_NO = aryRow(iIdx).ToString()
												aryErrCnt(iIdx) += 1
												cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
												'ログ出力
												Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)
											End If
										End If
									Next
								Else
									'■管理物毎に処理を実行
									For Each drow As DataRow In dtMngItem.Rows
										iIdx += 1
										'チェックされてない管理物はスキップ
										If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOff, String) Then
											Continue For
										End If
										'データ種別有効判定
										If Not cliXSI030F010.isValidateDataType(drow(sqlXSI030F010.itmDATATYPE_CD).ToString,
																				drow(sqlXSI030F010.itmUNIT_CD).ToString,
																				cliOneCsvData.DATA_TYPE,
																				cliOneCsvData.HSP_FLG,
																				cliOneCsvData.OUT_HSP_FLG) Then
											'有効でない
											Continue For
										End If
										aryRow(iIdx) += 1
										'管理物コード
										cliOneCsvData.MNGITEM_CD = drow(sqlXSI030F010.itmMNGITEM_CD).ToString
										'連番設定
										cliOneCsvData.SERIAL_NO = aryRow(iIdx).ToString()
										'管理物毎のチェック
										cliOneCsvData.ERR_FLG = "0"
										cliOneCsvData.ERR_CD = String.Empty
										cliOneCsvData.MESSAGE = String.Empty
										'更新
										If Me.setData(db, iIdx, cliOneCsvData, cliLOG_PATIENT_NM) Then
											iInsertCount += 1
										End If

										'件数カウント
										Select Case cliOneCsvData.ERR_FLG
											Case "0" 'OK
												aryOkCnt(iIdx) += 1
											Case "1" 'エラー
												aryErrCnt(iIdx) += 1
												cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
											Case "2" '軽度
												aryErrCnt(iIdx) += 1
												arySlightErrCnt(iIdx) += 1
												cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
											Case "9" 'マスタエラー（即時終了）
												MessageBox.Show(cliOneCsvData.MESSAGE & "(" & cliOneCsvData.ERR_CD & ")", cliXSI030F010.Text)
												Return cliTh
										End Select
										'ログ出力
										Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)
									Next
								End If
								'基本情報
								If iInsertCount > 0 Then
									Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO(),
										  cliBasicInfo As New clsXSI_XTI_BASICINFO()	 '基本情報データクラス、基本情報 DBセット用
										'基本情報読込
										Me.getBasicInfo(db, cliOneCsvData, cliBasicInfo_DB)
										'基本情報　更新
										Me.setBasicInfo(db, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)
										If String.IsNullOrEmpty(cliLOG_PATIENT_NM.PATIENT_NO) = False Then
											nameChangeCnt += 1
											'ログ出力（氏名変更患者）
											nameChangeSerial += 1
											cliLOG_PATIENT_NM.SERIAL_NO = nameChangeCnt.ToString()
											Me.setSqlParam_MTT_IMP_LOG_PATIENT_NM(db, cliLOG_PATIENT_NM, CStr(XSI010F010.Enum_BASICINFO_CHANGE_DERIMI.eHSP))
										End If
									End Using
								End If

								'件数更新
								'CST_MOD_CNT毎または最終データの場合更新
								If iProcessCount Mod CST_MOD_CNT = 0 Then
									iIdx = -1
									For Each drow As DataRow In dtMngItem.Rows
										iIdx += 1
										If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
											Me.cliXSI030F010.BeginInvoke(setCounterEx, New Object() {Me.Index, iIdx, aryAllCnt(iIdx), aryOkCnt(iIdx), aryErrCnt(iIdx), arySlightErrCnt(iIdx)})
										End If
									Next
									Me.cliXSI030F010.BeginInvoke(setCounterName, New Object() {Me.Index, nameChangeCnt})
								End If
							End While
						End Using
					Next
					iIdx = -1
					For Each drow As DataRow In dtMngItem.Rows
						iIdx += 1
						If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
							' 処理件数設定
							cliTh.aryNormalCount(iIdx) = aryOkCnt(iIdx)
							cliTh.aryErrorCount(iIdx) = aryErrCnt(iIdx)
							cliTh.arySlightCount(iIdx) = arySlightErrCnt(iIdx)
							clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, String.Format("患者入退院歴({0})，有効件数({1}) 正常件数({2}) ｴﾗｰ件数({3}) 軽度等({4})", drow(sqlXSI030F010.itmMNGITEM_NM).ToString, aryAllCnt(iIdx), aryOkCnt(iIdx), aryErrCnt(iIdx), arySlightErrCnt(iIdx)))
						End If
					Next
					cliTh.NameChangeCount = nameChangeCnt
					clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, String.Format("患者入退院歴，氏名変更患者({0})", nameChangeCnt))
				End Using
			End Using
			Return cliTh
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
			setCounterEx = Nothing
			setCounterName = Nothing
			cliLTM_MNGITEMMNGSTATUS = Nothing
			cliLTM_MNGITEMKEEPLCT = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新(入院・退院　重複なし)データ種別
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="iIdx">管理物、明細一括作成マスタインデックス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/27 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal iIdx As Integer, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "更新(入院・退院　重複なし)データ種別 Start")
		Dim strItemName As String = String.Empty
		Dim dtHsp_Ch As DataTable = Nothing
		Dim datLTI_MNGITEMINFO As datLTI_MNGITEMINFO_IMP = Nothing
		Dim strErrorItenName As String = String.Empty
		Try
			Using cliLTM_MNGITEM_DEFINITION As New clsLTM_MNGITEM_DEFINITION(cliXSI030F010._userID)
				'■ＣＳＶファイルレコードをHashTableへ設定
				Dim htCsvFileRec As New Hashtable
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_DATA_TYPE, cliOneCsvData.DATA_TYPE)						'データ種別
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_BYOREKI_NO, cliOneCsvData.BYOREKI_NO)					'病歴番号
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_DEPT_CD, cliOneCsvData.DEPT_CD)							'診療科コード
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_HSP_DT, cliOneCsvData.HSP_DT)							'入院日（開始日）
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_OUT_HSP_DT, cliOneCsvData.OUT_HSP_DT)					'退院日（終了日）
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_DOCTOR_CD, cliOneCsvData.DOCTOR_CD)						'医師コード
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_TO_DEPT_DOCTOR_CD, cliOneCsvData.TO_DEPT_DOCTOR_CD)		'転科先医師コード
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_TO_DEPT_BYOREKI_NO, cliOneCsvData.TO_DEPT_BYOREKI_NO)	'転科先病歴番号
				cliLTM_MNGITEM_DEFINITION.CSVFILEREC = htCsvFileRec
				cliLTM_MNGITEM_DEFINITION.CLS_MNGITEMMNGSTATUS = cliLTM_MNGITEMMNGSTATUS
				cliLTM_MNGITEM_DEFINITION.CLS_MNGITEMKEEPLCT = cliLTM_MNGITEMKEEPLCT
				cliLTM_MNGITEM_DEFINITION.MNGITEM_DEFINITION = dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx)
				Dim bTaisho As Boolean = False
				With dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx)
					'■大将よりデータ取得する項目が有るか判定
					For Each cliMI As clsItems In cliLTM_MNGITEM_DEFINITION.LTI_MngItem
						cliLTM_MNGITEM_DEFINITION.CurrentItems = cliMI
						'大将より
						If cliMI.DefFlagName IsNot Nothing AndAlso
							.Item(cliMI.DefFlagName).ToString = CType(clsConst.Enum_MngDefGetFrom.Imp, String) Then
							'CSVファイルの項目名取得
							strItemName = cliLTM_MNGITEM_DEFINITION.GetCsvItemName(cliMI.ItemName)
							'対象外？
							If strItemName IsNot Nothing Then
								If strItemName = String.Empty Then
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "9"
									cliOneCsvData.ERR_CD = "E0016"
									'明細一括作成マスタの項目が入力されていません。
									cliOneCsvData.MESSAGE = cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"明細一括作成マスタ(" & dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx)(sqlLTM_MNGITEM.itmMNGITEM_NM).ToString & ")の" & cliMI.JItemName & "は正しい値が", Nothing})
									Return False
								Else
									If String.IsNullOrEmpty(cliOneCsvData(strItemName)) Then
										bTaisho = True
										Exit For
									End If
								End If
							End If
						End If
					Next
					dtHsp_Ch = Nothing
					'■大将よりデータ取得（入退院情報、科歴情報）
					If bTaisho Then
						'管理単位（"2":患者 OR "1":入退院歴）
						If .Item(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD).ToString = CType(clsConst.Enum_LendUnit.Each_Patient, String) OrElse
							.Item(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD).ToString = CType(clsConst.Enum_LendUnit.Each_Hosp, String) Then
							'入退院情報を取得
							If cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_HSP OrElse
								cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_MOVE Then
								dtHsp_Ch = getHsp(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, Nothing)
							Else
								dtHsp_Ch = getHsp(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, Nothing, cliOneCsvData.OUT_HSP_DT)
							End If
						Else
							'科歴情報を取得
							If cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_HSP OrElse
								cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_MOVE Then
								dtHsp_Ch = getCh(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, Nothing)
							Else
								dtHsp_Ch = getCh(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, Nothing, cliOneCsvData.OUT_HSP_DT)
							End If
						End If
					End If
					'■入退院情報、科歴情報から管理物情報データ取得
					Dim cliError As New clsError
					If dtHsp_Ch Is Nothing OrElse
						dtHsp_Ch.Rows.Count <= 0 Then
						datLTI_MNGITEMINFO = cliLTM_MNGITEM_DEFINITION.getMngItemInfo_FromDefinition(0,
																									clsConst.Enum_MngItemKeepLct_Fix2.Imp,
																									cliOneCsvData.PATIENT_NO,
																									dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx),
																									Nothing,
																									cliError)
					Else
						datLTI_MNGITEMINFO = cliLTM_MNGITEM_DEFINITION.getMngItemInfo_FromDefinition(0,
																									clsConst.Enum_MngItemKeepLct_Fix2.Imp,
																									cliOneCsvData.PATIENT_NO,
																									dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx),
																									dtHsp_Ch.Rows(0),
																									cliError)
					End If
					If datLTI_MNGITEMINFO Is Nothing OrElse
						cliError.ERR_FLG <> "0" Then
						'エラー情報セット
						cliOneCsvData.ERR_FLG = cliError.ERR_FLG
						cliOneCsvData.ERR_CD = cliError.ERR_CD
						cliOneCsvData.MESSAGE = cliError.MESSAGE
						Return False
					End If
				End With
				'■管理物情報存在チェック
				If existMngItemInfo(pDb, datLTI_MNGITEMINFO.PATIENT_NO, datLTI_MNGITEMINFO.MNGITEM_CD, datLTI_MNGITEMINFO.DIV1_CD, datLTI_MNGITEMINFO.DIV2_CD) Then
					cliOneCsvData.ERR_FLG = "2"
					cliOneCsvData.ERR_CD = "W0001"
					'既に登録されています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If
				'■管理物情報登録処理
				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)
				'SQL文設定
				pDb.setSQL(sqlXSI030F010.sqlIns_LTI_MNGITEMINFO)
				'パラメータ設定
				pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)					'患者番号
				pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)					'管理物コード
				pDb.setParam(sqlXSI030F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)					'病歴番号
				pDb.setParam(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)					'区分１コード
				pDb.setParam(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)					'区分２コード
				pDb.setParam(sqlXSI030F010.prmFIRSTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)			'初回受領日
				pDb.setParam(sqlXSI030F010.prmLASTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)			'最終受領日
				pDb.setParam(sqlXSI030F010.prmRECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)				'受領者コード
				pDb.setParam(sqlXSI030F010.prmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)					'保管場所コード
				pDb.setParam(sqlXSI030F010.prmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)				'管理状況コード
				pDb.setParam(sqlXSI030F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)					'備考
				pDb.setParam(sqlXSI030F010.prmDATE1, clsDB.Enum_dbType.dbNVarChar)						'日付１
				pDb.setParam(sqlXSI030F010.prmDATE2, clsDB.Enum_dbType.dbNVarChar)						'日付２
				pDb.setParam(sqlXSI030F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)					'医師コード
				pDb.setParam(sqlXSI030F010.prmMNGITEMCMB1, clsDB.Enum_dbType.dbNVarChar)				'管理物コンボ１
				pDb.setParam(sqlXSI030F010.prmMNGITEMCMB2, clsDB.Enum_dbType.dbNVarChar)				'管理物コンボ２
				pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT1, clsDB.Enum_dbType.dbNVarChar)				'管理物テキスト１
				pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT2, clsDB.Enum_dbType.dbNVarChar)				'管理物テキスト２
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK1, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック１
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK2, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック２
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK3, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック３
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK4, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック４
				pDb.setParam(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)					'分冊キー
				pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)				'更新者コード
				pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbNVarChar)					'更新日
				'値設定
				pDb.setVal(sqlXSI030F010.prmPATIENT_NO, datLTI_MNGITEMINFO.PATIENT_NO)					'患者番号
				pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, datLTI_MNGITEMINFO.MNGITEM_CD)					'管理物コード
				pDb.setVal(sqlXSI030F010.prmBYOREKI_NO, datLTI_MNGITEMINFO.BYOREKI_NO)					'病歴番号
				pDb.setVal(sqlXSI030F010.prmDIV1_CD, datLTI_MNGITEMINFO.DIV1_CD)						'区分１コード
				pDb.setVal(sqlXSI030F010.prmDIV2_CD, datLTI_MNGITEMINFO.DIV2_CD)						'区分２コード
				pDb.setVal(sqlXSI030F010.prmFIRSTRECEIVING_DT, datLTI_MNGITEMINFO.FIRSTRECEIVING_DT)	'初回受領日
				pDb.setVal(sqlXSI030F010.prmLASTRECEIVING_DT, datLTI_MNGITEMINFO.LASTRECEIVING_DT)		'最終受領日
				pDb.setVal(sqlXSI030F010.prmRECIPIENT_CD, datLTI_MNGITEMINFO.RECIPIENT_CD)				'受領者コード
				pDb.setVal(sqlXSI030F010.prmKEEPLCT_CD, datLTI_MNGITEMINFO.KEEPLCT_CD)					'保管場所コード
				pDb.setVal(sqlXSI030F010.prmMNGSTATUS_CD, datLTI_MNGITEMINFO.MNGSTATUS_CD)				'管理状況コード
				pDb.setVal(sqlXSI030F010.prmREMARKS, datLTI_MNGITEMINFO.REMARKS)						'備考
				pDb.setVal(sqlXSI030F010.prmDATE1, datLTI_MNGITEMINFO.DATE1)							'日付１
				pDb.setVal(sqlXSI030F010.prmDATE2, datLTI_MNGITEMINFO.DATE2)							'日付２
				pDb.setVal(sqlXSI030F010.prmDOCTOR_CD, datLTI_MNGITEMINFO.DOCTOR_CD)					'医師コード
				pDb.setVal(sqlXSI030F010.prmMNGITEMCMB1, datLTI_MNGITEMINFO.MNGITEMCMB1)				'管理物コンボ１
				pDb.setVal(sqlXSI030F010.prmMNGITEMCMB2, datLTI_MNGITEMINFO.MNGITEMCMB2)				'管理物コンボ２
				pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT1, datLTI_MNGITEMINFO.MNGITEMTEXT1)				'管理物テキスト１
				pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT2, datLTI_MNGITEMINFO.MNGITEMTEXT2)				'管理物テキスト２
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK1, datLTI_MNGITEMINFO.MNGITEMCHK1)				'管理物チェック１
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK2, datLTI_MNGITEMINFO.MNGITEMCHK2)				'管理物チェック２
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK3, datLTI_MNGITEMINFO.MNGITEMCHK3)				'管理物チェック３
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK4, datLTI_MNGITEMINFO.MNGITEMCHK4)				'管理物チェック４
				pDb.setVal(sqlXSI030F010.prmVOLUMEKEY, datLTI_MNGITEMINFO.VOLUMEKEY)					'分冊キー
				pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)						'更新者コード
				pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)									'更新日
				'SQL実行
				pDb.execNonQuery(False)
				'トランザクション終了
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			dtHsp_Ch = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報取得
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="cliOneCsvData"></param>
	''' <param name="cliBasicInfo_DB"></param>
	''' <remarks>
	''' 2013/06/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getBasicInfo(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP, ByRef cliBasicInfo_DB As clsXSI_XTI_BASICINFO)
		Dim dt As DataTable = Nothing
		Try
			dt = New DataTable
			pDb.setSQLDa(sqlXSI030F010.strSql_Sel_BasicInfo)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return
			End If
			'データ有り
			cliBasicInfo_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NO).ToString()					'患者番号
			cliBasicInfo_DB.PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()					'氏名
			cliBasicInfo_DB.PATIENT_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()					'氏名カナ
			cliBasicInfo_DB.PREVIOUS1_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()				'旧姓１
			cliBasicInfo_DB.PREVIOUS1_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()				'旧姓１カナ
			cliBasicInfo_DB.PREVIOUS2_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()				'旧姓２
			cliBasicInfo_DB.PREVIOUS2_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()				'旧姓２カナ
			cliBasicInfo_DB.GENDER_CD = dt.Rows(0).Item(sqlXSI010F010.itmGENDER_CD).ToString()						'性別コード
			cliBasicInfo_DB.BIRTH_DT = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()						'生年月日
			cliBasicInfo_DB.BLOODTYPE_CD = dt.Rows(0).Item(sqlXSI010F010.itmBLOODTYPE_CD).ToString()				'血液型コード
			cliBasicInfo_DB.RH_CD = dt.Rows(0).Item(sqlXSI010F010.itmRH_CD).ToString()								'Ｒｈコード
			cliBasicInfo_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmBLOOD_TRAN_CHK).ToString()			'輸血歴有無コード
			cliBasicInfo_DB.RELATION_PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_PATIENT_NO).ToString()	'関連患者番号
			cliBasicInfo_DB.SMOKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_CHK).ToString()					'喫煙歴有無コード
			cliBasicInfo_DB.SMOKING_START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_START_AGE).ToString()		'喫煙開始年齢
			cliBasicInfo_DB.SMOKING_END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_END_AGE).ToString()			'喫煙終了年齢
			cliBasicInfo_DB.SMOKING_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_COUNT).ToString()				'喫煙本数
			cliBasicInfo_DB.SMOKING_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_AGE).ToString()					'喫煙年数
			cliBasicInfo_DB.DRINKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmDRINKING_CHK).ToString()				'飲酒有無コード
			cliBasicInfo_DB.PREGNANCY_CHK = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_CHK).ToString()				'妊娠歴有無コード
			cliBasicInfo_DB.PREGNANCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_COUNT).ToString()			'妊娠回数
			cliBasicInfo_DB.CB_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCB_CHK).ToString()							'出産歴有無コード
			cliBasicInfo_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCB_COUNT).ToString()						'出産回数
			cliBasicInfo_DB.MENARCHE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENARCHE_AGE).ToString()				'初潮年齢
			cliBasicInfo_DB.MENOPAUSE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENOPAUSE_AGE).ToString()				'閉経年齢
			cliBasicInfo_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmREMARKS).ToString()							'コメント
			cliBasicInfo_DB.FIRSTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRSTHSPVST_DT).ToString()			'初回来院日
			cliBasicInfo_DB.LASTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTHSPVST_DT).ToString()				'最終来院日
			cliBasicInfo_DB.LASTDEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmLASTDEPT_CD).ToString()					'最終受診科コード
			cliBasicInfo_DB.LASTLEFTHSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTLEFTHSP_DT).ToString()			'最終退院日
			cliBasicInfo_DB.NATIONALITY_CD = dt.Rows(0).Item(sqlXSI010F010.itmNATIONALITY_CD).ToString()			'国籍
			cliBasicInfo_DB.DOMICILE_ADDRESS_CD = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS_CD).ToString()	'出生地コード
			cliBasicInfo_DB.DOMICILE_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS).ToString()		'本籍住所
			cliBasicInfo_DB.CONTACT_PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_PATIENT_NM).ToString()	'連絡先氏名
			cliBasicInfo_DB.CONTACT_RELATION = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_RELATION).ToString()		'連絡先続柄コード
			cliBasicInfo_DB.CONTACT_ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ZIP_CD).ToString()			'連絡先郵便番号
			cliBasicInfo_DB.CONTACT_TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_TELNUMBER).ToString()		'連絡先電話番号
			cliBasicInfo_DB.CONTACT_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ADDRESS).ToString()			'連絡先住所
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <param name="cliBasicInfo_DB">基本情報DBデータ</param>
	''' <param name="cliBasicInfo">基本情報データ格納</param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBasicInfo(ByVal pDb As clsDB,
							ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP,
							ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM, _
							ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO,
							ByVal cliBasicInfo As clsXSI_XTI_BASICINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "基本情報登録 Start")
		Try
			cliBasicInfo.PATIENT_NO = cliOneCsvData.PATIENT_NO						'患者番号
			cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM						'氏名
			cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM					'氏名カナ
			cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
			cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
			cliBasicInfo.BLOODTYPE_CD = cliOneCsvData.BLOODTYPE_CD					'血液型コード
			cliBasicInfo.RH_CD = cliOneCsvData.RH_CD								'Ｒｈコード
			cliBasicInfo.RELATION_PATIENT_NO = cliOneCsvData.RELATION_PATIENT_NO	'関連患者番号
			cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
			cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
			cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
			If cliOneCsvData.OUT_HSP_FLG = "1" OrElse (Me.cliLendInfo.strENV_00013 = CStr(clsConst.Enum_ImpMethod.HspOutMove) AndAlso cliOneCsvData.DATA_TYPE = "B") Then
				'退院の場合、最終退院日設定
				cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.OUT_HSP_DT				'最終退院日
			End If

			If String.IsNullOrEmpty(cliBasicInfo_DB.PATIENT_NO) = True Then
				Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eIns, cliBasicInfo)	'登録
			Else
				'氏名変更チェック
				If cliBasicInfo_DB.PATIENT_NM <> cliBasicInfo.PATIENT_NM Then
					'基本情報氏名をずらして登録
					cliBasicInfo.PREVIOUS1_NM = cliBasicInfo_DB.PATIENT_NM				'旧姓１
					cliBasicInfo.PREVIOUS1_KNM = cliBasicInfo_DB.PATIENT_KNM			'旧姓１カナ
					cliBasicInfo.PREVIOUS2_NM = cliBasicInfo_DB.PREVIOUS1_NM			'旧姓２
					cliBasicInfo.PREVIOUS2_KNM = cliBasicInfo_DB.PREVIOUS1_KNM			'旧姓２カナ
					'ログにデータ格納
					cliLOG_PATIENT_NM.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
					cliLOG_PATIENT_NM.PATIENT_NM = cliBasicInfo.PATIENT_NM				'氏名
					cliLOG_PATIENT_NM.PATIENT_KNM = cliBasicInfo.PATIENT_KNM			'氏名カナ
					cliLOG_PATIENT_NM.PREVIOUS1_NM = cliBasicInfo.PREVIOUS1_NM			'旧姓１氏名
					cliLOG_PATIENT_NM.PREVIOUS1_KNM = cliBasicInfo.PREVIOUS1_KNM		'旧姓１氏名カナ
					cliLOG_PATIENT_NM.PREVIOUS2_NM = cliBasicInfo.PREVIOUS2_NM			'旧姓２氏名
					cliLOG_PATIENT_NM.PREVIOUS2_KNM = cliBasicInfo.PREVIOUS2_KNM		'旧姓２氏名カナ
					cliLOG_PATIENT_NM.DEL_PATIENT_NM = cliBasicInfo_DB.PREVIOUS2_NM		'削除氏名
					cliLOG_PATIENT_NM.DEL_PATIENT_KNM = cliBasicInfo_DB.PREVIOUS2_KNM	'削除氏名カナ
				End If
				If Me.dateCompare(cliBasicInfo_DB.BIRTH_DT, cliBasicInfo.BIRTH_DT) <> 0 Then
					'生年月日変更されていれば年齢再計算
					Me.UpdProc_BirthDt(pDb, False, cliOneCsvData.PATIENT_NO, DateTime.Parse(cliOneCsvData.BIRTH_DT), cliOneCsvData.GENDER_CD)
				End If
				'更新
				Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)						'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)					'患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)					'氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)					'氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)						'性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)						'生年月日
			cliOneCsvData.BLOODTYPE_CD = oneCsv(6)					'血液型コード
			cliOneCsvData.RH_CD = oneCsv(7)							'Rｈコード
			cliOneCsvData.BYOREKI_NO = oneCsv(8)					'病歴番号
			cliOneCsvData.DEPT_CD = oneCsv(9)						'診療科コード
			cliOneCsvData.MAIN_DPM_FLG = oneCsv(10)					'主科フラグ
			cliOneCsvData.HSP_CNL_CD = oneCsv(11)					'入院（開始）経路コード
			cliOneCsvData.HSP_DT = oneCsv(12)						'入院日（開始日）
			cliOneCsvData.HSP_FLG = oneCsv(13)						'入院フラグ
			cliOneCsvData.HSP_TIME = oneCsv(14)						'入院（開始）時刻
			cliOneCsvData.OUT_HSP_DT = oneCsv(15)					'退院日（終了日）
			cliOneCsvData.OUT_HSP_FLG = oneCsv(16)					'退院フラグ
			cliOneCsvData.OUT_HSP_TIME = oneCsv(17)					'退院（終了）時刻
			cliOneCsvData.OUT_HSP_CNL_CD = oneCsv(18)				'退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD = oneCsv(19)			'退院（終了）転帰コード
			cliOneCsvData.WARD_CD = oneCsv(20)						'病棟コード
			cliOneCsvData.MAIN_WARD_FLG = oneCsv(21)				'主病棟フラグ
			cliOneCsvData.DOCTOR_DIV = oneCsv(22)					'医師区分コード
			cliOneCsvData.DOCTOR_CD = oneCsv(23)					'医師コード
			cliOneCsvData.ATTEND_START_DT = oneCsv(24)				'担当開始日
			cliOneCsvData.ATTEND_END_DT = oneCsv(25)				'担当終了日
			cliOneCsvData.ZIP_CD = oneCsv(26)						'郵便番号
			cliOneCsvData.AREA_CD = oneCsv(27)						'診療圏コード
			cliOneCsvData.ADDRESS_NM = oneCsv(28)					'住所
			cliOneCsvData.TELNUMBER = oneCsv(29)					'電話番号
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(30)				'出生地住所
			cliOneCsvData.INSURANCE_CD1 = oneCsv(31)				'保険コード１
			cliOneCsvData.INSURANCE_CD2 = oneCsv(32)				'保険コード２
			cliOneCsvData.INSURANCE_CD3 = oneCsv(33)				'保険コード３
			cliOneCsvData.FIRST_DIAGNOSIS_DT = oneCsv(34)			'初診日
			cliOneCsvData.RELATION_PATIENT_NO = oneCsv(35)			'関連患者番号
			cliOneCsvData.HOUSEHOLDER_NM = oneCsv(36)				'世帯主
			cliOneCsvData.RELATION_CD = oneCsv(37)					'続柄
			cliOneCsvData.TO_DEPT_DOCTOR_DIV = oneCsv(38)			'転科先医師区分コード
			cliOneCsvData.TO_DEPT_DOCTOR_CD = oneCsv(39)			'転科先医師コード
			cliOneCsvData.TO_DEPT_BYOREKI_NO = oneCsv(40)			'転科先病歴番号

			cliOneCsvData.TAKE_AMBULANCE_CHK = String.Empty			'救急車有無コード(V3セット無し)
			cliOneCsvData.INTRODUCTION_CHK = String.Empty			'紹介状有無コード(V3セット無し)
			cliOneCsvData.NATIONALITY_CD = String.Empty				'国籍コード(V3セット無し)
			cliOneCsvData.DOMICILE_ADDRESS_CD = String.Empty		'出生地コード(V3セット無し)
			cliOneCsvData.DPC_HSP = String.Empty					'DPC（入退院歴）(V3セット無し)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				'患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)				'氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)				'氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)					'性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)					'生年月日
			cliOneCsvData.BLOODTYPE_CD = oneCsv(6)				'血液型コード
			cliOneCsvData.RH_CD = oneCsv(7)						'Rｈコード
			cliOneCsvData.BYOREKI_NO = oneCsv(8)				'病歴番号
			cliOneCsvData.DEPT_CD = oneCsv(9)					'診療科コード
			cliOneCsvData.MAIN_DPM_FLG = oneCsv(10)				'主科フラグ
			cliOneCsvData.HSP_CNL_CD = oneCsv(11)				'入院（開始）経路コード
			cliOneCsvData.HSP_DT = oneCsv(12)					'入院日（開始日）
			cliOneCsvData.HSP_FLG = oneCsv(13)					'入院フラグ
			cliOneCsvData.HSP_TIME = oneCsv(14)					'入院（開始）時刻
			cliOneCsvData.OUT_HSP_DT = oneCsv(15)				'退院日（終了日）
			cliOneCsvData.OUT_HSP_FLG = oneCsv(16)				'退院フラグ
			cliOneCsvData.OUT_HSP_TIME = oneCsv(17)				'退院（終了）時刻
			cliOneCsvData.OUT_HSP_CNL_CD = oneCsv(18)			'退院（終了）経路コード
			cliOneCsvData.OUT_HSP_OUTCOME_CD = oneCsv(19)		'退院（終了）転帰コード
			cliOneCsvData.WARD_CD = oneCsv(20)					'病棟コード
			cliOneCsvData.MAIN_WARD_FLG = oneCsv(21)			'主病棟フラグ
			cliOneCsvData.DOCTOR_DIV = oneCsv(22)				'医師区分コード
			cliOneCsvData.DOCTOR_CD = oneCsv(23)				'医師コード
			cliOneCsvData.ATTEND_START_DT = oneCsv(24)			'担当開始日
			cliOneCsvData.ATTEND_END_DT = oneCsv(25)			'担当終了日
			cliOneCsvData.TAKE_AMBULANCE_CHK = oneCsv(26)		'救急車有無コード
			cliOneCsvData.INTRODUCTION_CHK = oneCsv(27)			'紹介状有無コード
			cliOneCsvData.ZIP_CD = oneCsv(28)					'郵便番号
			cliOneCsvData.AREA_CD = oneCsv(29)					'診療圏コード
			cliOneCsvData.ADDRESS_NM = oneCsv(30)				'住所
			cliOneCsvData.TELNUMBER = oneCsv(31)				'電話番号
			cliOneCsvData.NATIONALITY_CD = oneCsv(32)			'国籍コード
			cliOneCsvData.DOMICILE_ADDRESS_CD = oneCsv(33)		'出生地コード
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(34)			'出生地住所
			cliOneCsvData.INSURANCE_CD1 = oneCsv(35)			'保険コード１
			cliOneCsvData.INSURANCE_CD2 = oneCsv(36)			'保険コード２
			cliOneCsvData.INSURANCE_CD3 = oneCsv(37)			'保険コード３
			cliOneCsvData.FIRST_DIAGNOSIS_DT = oneCsv(38)		'初診日
			cliOneCsvData.RELATION_PATIENT_NO = oneCsv(39)		'関連患者番号
			cliOneCsvData.HOUSEHOLDER_NM = oneCsv(40)			'世帯主
			cliOneCsvData.RELATION_CD = oneCsv(41)				'続柄
			cliOneCsvData.DPC_HSP = oneCsv(42)					'DPC（入退院歴）
			cliOneCsvData.TO_DEPT_DOCTOR_DIV = oneCsv(43)		'転科先医師区分コード
			cliOneCsvData.TO_DEPT_DOCTOR_CD = oneCsv(44)		'転科先医師コード
			cliOneCsvData.TO_DEPT_BYOREKI_NO = oneCsv(45)		'転科先病歴番号
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【患者入退院歴から】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】ログ登録 Start")
		Try
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)
			'SQL文設定
			pDb.setSQL(sqlXSI030F010.sqlIns_LTT_IMP_LOG_BASIC_HSP)
			'パラメータ設定
			pDb.setParam(sqlXSI030F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)					'登録日
			pDb.setParam(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)					'連番
			pDb.setParam(sqlXSI030F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)						'エラーフラグ
			pDb.setParam(sqlXSI030F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)				'データ種別
			pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)				'管理物コード
			pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
			pDb.setParam(sqlXSI030F010.prmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar)				'氏名
			pDb.setParam(sqlXSI030F010.prmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)			'氏名カナ
			pDb.setParam(sqlXSI030F010.prmGENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'性別コード
			pDb.setParam(sqlXSI030F010.prmBIRTH_DT, clsDB.Enum_dbType.dbNVarChar)				'生年月日
			pDb.setParam(sqlXSI030F010.prmBLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)			'血液型コード
			pDb.setParam(sqlXSI030F010.prmRH_CD, clsDB.Enum_dbType.dbNVarChar)					'Ｒｈコード
			pDb.setParam(sqlXSI030F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)				'病歴番号
			pDb.setParam(sqlXSI030F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)				'診療科コード
			pDb.setParam(sqlXSI030F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbNVarChar)			'主科フラグ
			pDb.setParam(sqlXSI030F010.prmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)				'入院経路コード
			pDb.setParam(sqlXSI030F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)					'入院日
			pDb.setParam(sqlXSI030F010.prmHSP_FLG, clsDB.Enum_dbType.dbNVarChar)				'入院フラグ
			pDb.setParam(sqlXSI030F010.prmHSP_TIME, clsDB.Enum_dbType.dbNVarChar)				'入院時刻
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_DT, clsDB.Enum_dbType.dbNVarChar)				'退院日
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_FLG, clsDB.Enum_dbType.dbNVarChar)			'退院フラグ
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_TIME, clsDB.Enum_dbType.dbNVarChar)			'退院時刻
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar)			'退院経路コード
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)		'退院転帰コード
			pDb.setParam(sqlXSI030F010.prmWARD_CD, clsDB.Enum_dbType.dbNVarChar)				'病棟コード
			pDb.setParam(sqlXSI030F010.prmMAIN_WARD_FLG, clsDB.Enum_dbType.dbNVarChar)			'主病棟フラグ
			pDb.setParam(sqlXSI030F010.prmDOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)				'医師区分コード
			pDb.setParam(sqlXSI030F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)				'医師コード
			pDb.setParam(sqlXSI030F010.prmATTEND_START_DT, clsDB.Enum_dbType.dbNVarChar)		'担当開始日
			pDb.setParam(sqlXSI030F010.prmATTEND_END_DT, clsDB.Enum_dbType.dbNVarChar)			'担当終了日
			pDb.setParam(sqlXSI030F010.prmZIP_CD, clsDB.Enum_dbType.dbNVarChar)					'郵便番号
			pDb.setParam(sqlXSI030F010.prmAREA_CD, clsDB.Enum_dbType.dbNVarChar)				'診療圏コード
			pDb.setParam(sqlXSI030F010.prmADDRESS_NM, clsDB.Enum_dbType.dbNVarChar)				'住所
			pDb.setParam(sqlXSI030F010.prmTELNUMBER, clsDB.Enum_dbType.dbNVarChar)				'電話番号
			pDb.setParam(sqlXSI030F010.prmDOMICILE_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'本籍住所
			pDb.setParam(sqlXSI030F010.prmINSURANCE_CD1, clsDB.Enum_dbType.dbNVarChar)			'保険コード１
			pDb.setParam(sqlXSI030F010.prmINSURANCE_CD2, clsDB.Enum_dbType.dbNVarChar)			'保険コード２
			pDb.setParam(sqlXSI030F010.prmINSURANCE_CD3, clsDB.Enum_dbType.dbNVarChar)			'保険コード３
			pDb.setParam(sqlXSI030F010.prmFIRST_DIAGNOSIS_DT, clsDB.Enum_dbType.dbNVarChar)		'初診日
			pDb.setParam(sqlXSI030F010.prmRELATION_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'関連患者番号
			pDb.setParam(sqlXSI030F010.prmHOUSEHOLDER_NM, clsDB.Enum_dbType.dbNVarChar)			'世帯主名
			pDb.setParam(sqlXSI030F010.prmRELATION_CD, clsDB.Enum_dbType.dbNVarChar)			'続柄コード
			pDb.setParam(sqlXSI030F010.prmTO_DEPT_DOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)		'転科先医師区分コード
			pDb.setParam(sqlXSI030F010.prmTO_DEPT_DOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)		'転科先医師コード
			pDb.setParam(sqlXSI030F010.prmTO_DEPT_BYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)		'転科先病歴番号
			pDb.setParam(sqlXSI030F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)				'モジュールコード
			pDb.setParam(sqlXSI030F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)					'エラーコード
			pDb.setParam(sqlXSI030F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)				'メッセージ
			pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
			pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日
			pDb.setParam(sqlXSI030F010.prmTAKE_AMBULANCE_CHK, clsDB.Enum_dbType.dbNVarChar)		'救急車有無コード
			pDb.setParam(sqlXSI030F010.prmINTRODUCTION_CHK, clsDB.Enum_dbType.dbNVarChar)		'紹介状有無コード
			pDb.setParam(sqlXSI030F010.prmNATIONALITY_CD, clsDB.Enum_dbType.dbNVarChar)			'国籍コード
			pDb.setParam(sqlXSI030F010.prmDOMICILE_ADDRESS_CD, clsDB.Enum_dbType.dbNVarChar)	'出生地コード
			pDb.setParam(sqlXSI030F010.prmDPC_HSP, clsDB.Enum_dbType.dbNVarChar)				'DPC（入退院歴）
			pDb.setParam(sqlXSI030F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)				'予備１
			pDb.setParam(sqlXSI030F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)				'予備２
			pDb.setParam(sqlXSI030F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)				'予備３
			pDb.setParam(sqlXSI030F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)				'予備４

			'値設定
			pDb.setVal(sqlXSI030F010.prmREG_DT, DateTime.Now)									'登録日
			pDb.setVal(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)						'連番
			pDb.setVal(sqlXSI030F010.prmERR_FLG, cliOneCsvData.ERR_FLG)							'エラーフラグ
			pDb.setVal(sqlXSI030F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)						'データ種別
			pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)					'管理物コード
			pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)					'患者番号
			pDb.setVal(sqlXSI030F010.prmPATIENT_NM, cliOneCsvData.PATIENT_NM)					'氏名
			pDb.setVal(sqlXSI030F010.prmPATIENT_KNM, cliOneCsvData.PATIENT_KNM)					'氏名カナ
			pDb.setVal(sqlXSI030F010.prmGENDER_CD, cliOneCsvData.GENDER_CD)						'性別コード
			pDb.setVal(sqlXSI030F010.prmBIRTH_DT, cliOneCsvData.BIRTH_DT)						'生年月日
			pDb.setVal(sqlXSI030F010.prmBLOODTYPE_CD, cliOneCsvData.BLOODTYPE_CD)				'血液型コード
			pDb.setVal(sqlXSI030F010.prmRH_CD, cliOneCsvData.RH_CD)								'Ｒｈコード
			pDb.setVal(sqlXSI030F010.prmBYOREKI_NO, cliOneCsvData.BYOREKI_NO)					'病歴番号
			pDb.setVal(sqlXSI030F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)							'診療科コード
			pDb.setVal(sqlXSI030F010.prmMAIN_DPM_FLG, cliOneCsvData.MAIN_DPM_FLG)				'主科フラグ
			pDb.setVal(sqlXSI030F010.prmHSP_CNL_CD, cliOneCsvData.HSP_CNL_CD)					'入院経路コード
			pDb.setVal(sqlXSI030F010.prmHSP_DT, cliOneCsvData.HSP_DT)							'入院日
			pDb.setVal(sqlXSI030F010.prmHSP_FLG, cliOneCsvData.HSP_FLG)							'入院フラグ
			pDb.setVal(sqlXSI030F010.prmHSP_TIME, cliOneCsvData.HSP_TIME)						'入院時刻
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_DT, cliOneCsvData.OUT_HSP_DT)					'退院日
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_FLG, cliOneCsvData.OUT_HSP_FLG)					'退院フラグ
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_TIME, cliOneCsvData.OUT_HSP_TIME)				'退院時刻
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_CNL_CD, cliOneCsvData.OUT_HSP_CNL_CD)			'退院経路コード
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_OUTCOME_CD, cliOneCsvData.OUT_HSP_OUTCOME_CD)	'退院転帰コード
			pDb.setVal(sqlXSI030F010.prmWARD_CD, cliOneCsvData.WARD_CD)							'病棟コード
			pDb.setVal(sqlXSI030F010.prmMAIN_WARD_FLG, cliOneCsvData.MAIN_WARD_FLG)				'主病棟フラグ
			pDb.setVal(sqlXSI030F010.prmDOCTOR_DIV, cliOneCsvData.DOCTOR_DIV)					'医師区分コード
			pDb.setVal(sqlXSI030F010.prmDOCTOR_CD, cliOneCsvData.DOCTOR_CD)						'医師コード
			pDb.setVal(sqlXSI030F010.prmATTEND_START_DT, cliOneCsvData.ATTEND_START_DT)			'担当開始日
			pDb.setVal(sqlXSI030F010.prmATTEND_END_DT, cliOneCsvData.ATTEND_END_DT)				'担当終了日
			pDb.setVal(sqlXSI030F010.prmZIP_CD, cliOneCsvData.ZIP_CD)							'郵便番号
			pDb.setVal(sqlXSI030F010.prmAREA_CD, cliOneCsvData.AREA_CD)							'診療圏コード
			pDb.setVal(sqlXSI030F010.prmADDRESS_NM, cliOneCsvData.ADDRESS_NM)					'住所
			pDb.setVal(sqlXSI030F010.prmTELNUMBER, cliOneCsvData.TELNUMBER)						'電話番号
			pDb.setVal(sqlXSI030F010.prmDOMICILE_ADDRESS, cliOneCsvData.DOMICILE_ADDRESS)		'本籍住所
			pDb.setVal(sqlXSI030F010.prmINSURANCE_CD1, cliOneCsvData.INSURANCE_CD1)				'保険コード１
			pDb.setVal(sqlXSI030F010.prmINSURANCE_CD2, cliOneCsvData.INSURANCE_CD2)				'保険コード２
			pDb.setVal(sqlXSI030F010.prmINSURANCE_CD3, cliOneCsvData.INSURANCE_CD3)				'保険コード３
			pDb.setVal(sqlXSI030F010.prmFIRST_DIAGNOSIS_DT, cliOneCsvData.FIRST_DIAGNOSIS_DT)	'初診日
			pDb.setVal(sqlXSI030F010.prmRELATION_PATIENT_NO, cliOneCsvData.RELATION_PATIENT_NO)	'関連患者番号
			pDb.setVal(sqlXSI030F010.prmHOUSEHOLDER_NM, cliOneCsvData.HOUSEHOLDER_NM)			'世帯主名
			pDb.setVal(sqlXSI030F010.prmRELATION_CD, cliOneCsvData.RELATION_CD)					'続柄コード
			pDb.setVal(sqlXSI030F010.prmTO_DEPT_DOCTOR_DIV, cliOneCsvData.TO_DEPT_DOCTOR_DIV)	'転科先医師区分コード
			pDb.setVal(sqlXSI030F010.prmTO_DEPT_DOCTOR_CD, cliOneCsvData.TO_DEPT_DOCTOR_CD)		'転科先医師コード
			pDb.setVal(sqlXSI030F010.prmTO_DEPT_BYOREKI_NO, cliOneCsvData.TO_DEPT_BYOREKI_NO)	'転科先病歴番号
			pDb.setVal(sqlXSI030F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)						'モジュールコード
			pDb.setVal(sqlXSI030F010.prmERR_CD, cliOneCsvData.ERR_CD)							'エラーコード
			pDb.setVal(sqlXSI030F010.prmMESSAGE, cliOneCsvData.MESSAGE)							'メッセージ
			pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, Me.cliXSI030F010._userID)				'更新者コード
			pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)								'更新日
			pDb.setVal(sqlXSI030F010.prmTAKE_AMBULANCE_CHK, cliOneCsvData.TAKE_AMBULANCE_CHK)	'救急車有無コード
			pDb.setVal(sqlXSI030F010.prmINTRODUCTION_CHK, cliOneCsvData.INTRODUCTION_CHK)		'紹介状有無コード
			pDb.setVal(sqlXSI030F010.prmNATIONALITY_CD, cliOneCsvData.NATIONALITY_CD)			'国籍コード
			pDb.setVal(sqlXSI030F010.prmDOMICILE_ADDRESS_CD, cliOneCsvData.DOMICILE_ADDRESS_CD)	'出生地コード
			pDb.setVal(sqlXSI030F010.prmDPC_HSP, cliOneCsvData.DPC_HSP)							'DPC（入退院歴）
			pDb.setVal(sqlXSI030F010.prmSPARE01, cliOneCsvData.SPARE01)							'予備１
			pDb.setVal(sqlXSI030F010.prmSPARE02, cliOneCsvData.SPARE02)							'予備２
			pDb.setVal(sqlXSI030F010.prmSPARE03, cliOneCsvData.SPARE03)							'予備３
			pDb.setVal(sqlXSI030F010.prmSPARE04, cliOneCsvData.SPARE04)							'予備４
			'SQL実行
			pDb.execNonQuery(False)
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' CSVチェック処理（レコード毎のチェック）
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCsv(ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC_HSP) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "CSVチェック処理（レコード毎のチェック） Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Try
			oneCsv = New List(Of String)
			'チェック対象アイテムリスト取得
			oneCsv.Add(cliOneCsvData.DATA_TYPE)				'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)			'患者番号
			oneCsv.Add(cliOneCsvData.PATIENT_NM)			'氏名
			oneCsv.Add(cliOneCsvData.PATIENT_KNM)			'氏名カナ
			oneCsv.Add(cliOneCsvData.GENDER_CD)				'性別コード
			oneCsv.Add(cliOneCsvData.BIRTH_DT)				'生年月日
			oneCsv.Add(cliOneCsvData.BLOODTYPE_CD)			'血液型コード
			oneCsv.Add(cliOneCsvData.RH_CD)					'Ｒｈコード
			oneCsv.Add(cliOneCsvData.BYOREKI_NO)			'病歴番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)				'診療科コード
			oneCsv.Add(cliOneCsvData.MAIN_DPM_FLG)			'主科フラグ
			oneCsv.Add(cliOneCsvData.HSP_CNL_CD)			'入院経路コード
			oneCsv.Add(cliOneCsvData.HSP_DT)				'入院日
			oneCsv.Add(cliOneCsvData.HSP_FLG)				'入院フラグ
			oneCsv.Add(cliOneCsvData.HSP_TIME)				'入院時刻
			oneCsv.Add(cliOneCsvData.OUT_HSP_DT)			'退院日
			oneCsv.Add(cliOneCsvData.OUT_HSP_FLG)			'退院フラグ
			oneCsv.Add(cliOneCsvData.OUT_HSP_TIME)			'退院時刻
			oneCsv.Add(cliOneCsvData.OUT_HSP_CNL_CD)		'退院経路コード
			oneCsv.Add(cliOneCsvData.OUT_HSP_OUTCOME_CD)	'退院転帰コード
			oneCsv.Add(cliOneCsvData.WARD_CD)				'病棟コード
			oneCsv.Add(cliOneCsvData.MAIN_WARD_FLG)			'主病棟フラグ
			oneCsv.Add(cliOneCsvData.DOCTOR_DIV)			'医師区分コード
			oneCsv.Add(cliOneCsvData.DOCTOR_CD)				'医師コード
			oneCsv.Add(cliOneCsvData.ATTEND_START_DT)		'担当開始日
			oneCsv.Add(cliOneCsvData.ATTEND_END_DT)			'担当終了日
			oneCsv.Add(cliOneCsvData.TAKE_AMBULANCE_CHK)	'救急車有無コード
			oneCsv.Add(cliOneCsvData.INTRODUCTION_CHK)		'紹介状有無コード
			oneCsv.Add(cliOneCsvData.ZIP_CD)				'郵便番号
			oneCsv.Add(cliOneCsvData.AREA_CD)				'診療圏コード
			oneCsv.Add(cliOneCsvData.ADDRESS_NM)			'住所
			oneCsv.Add(cliOneCsvData.TELNUMBER)				'電話番号
			oneCsv.Add(cliOneCsvData.NATIONALITY_CD)		'国籍コード
			oneCsv.Add(cliOneCsvData.DOMICILE_ADDRESS_CD)	'出生地コード
			oneCsv.Add(cliOneCsvData.DOMICILE_ADDRESS)		'本籍住所
			oneCsv.Add(cliOneCsvData.INSURANCE_CD1)			'保険コード１
			oneCsv.Add(cliOneCsvData.INSURANCE_CD2)			'保険コード２
			oneCsv.Add(cliOneCsvData.INSURANCE_CD3)			'保険コード３
			oneCsv.Add(cliOneCsvData.FIRST_DIAGNOSIS_DT)	'初診日
			oneCsv.Add(cliOneCsvData.RELATION_PATIENT_NO)	'関連患者番号
			oneCsv.Add(cliOneCsvData.HOUSEHOLDER_NM)		'世帯主名
			oneCsv.Add(cliOneCsvData.RELATION_CD)			'続柄コード
			oneCsv.Add(cliOneCsvData.DPC_HSP)				'ＤＰＣ入退院歴
			oneCsv.Add(cliOneCsvData.TO_DEPT_DOCTOR_DIV)	'転科先医師区分コード
			oneCsv.Add(cliOneCsvData.TO_DEPT_DOCTOR_CD)		'転科先医師コード
			oneCsv.Add(cliOneCsvData.TO_DEPT_BYOREKI_NO)	'転科先病歴番号
			oneCsv.Add(cliOneCsvData.SPARE01)				'予備１
			oneCsv.Add(cliOneCsvData.SPARE02)				'予備２
			oneCsv.Add(cliOneCsvData.SPARE03)				'予備３
			oneCsv.Add(cliOneCsvData.SPARE04)				'予備４

			'名称設定
			Dim IName As List(Of String) = Me.setItemName()
			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE, IName) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0 To 5, 9 : bRequired = True
					Case 12	'入院日（開始日）、移動
						If cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_HSP OrElse
							cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_MOVE Then
							bRequired = True
						End If
					Case 15	'退院日（終了日）
						If cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_OUT_HSP Then
							bRequired = True
						End If
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					cliOneCsvData.MESSAGE &= " [" & IName(idx) & "]"
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							'チェックなし
						Case 1, 39 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 4 '性別コード
							If Me.chkCsvGender(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 5, 12, 15 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【患者入退院歴から】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)		'データ種別
			disit.Add(10)		'患者番号
			disit.Add(20)		'氏名
			disit.Add(30)		'氏名カナ
			disit.Add(1)		'性別コード
			disit.Add(10)		'生年月日
			disit.Add(1)		'血液型コード
			disit.Add(1)		'Rｈコード
			disit.Add(10)		'病歴番号
			disit.Add(2)		'診療科コード
			disit.Add(1)		'主科フラグ
			disit.Add(2)		'入院（開始）経路コード
			disit.Add(10)		'入院日（開始日）
			disit.Add(1)		'入院フラグ
			disit.Add(5)		'入院（開始）時刻
			disit.Add(10)		'退院日（終了日）
			disit.Add(1)		'退院フラグ
			disit.Add(5)		'退院（終了）時刻
			disit.Add(2)		'退院（終了）経路コード
			disit.Add(2)		'退院（終了）転帰コード
			disit.Add(3)		'病棟コード
			disit.Add(1)		'主病棟フラグ
			disit.Add(2)		'医師区分コード
			disit.Add(8)		'医師コード
			disit.Add(10)		'担当開始日
			disit.Add(10)		'担当終了日
			disit.Add(1)		'救急車有無コード
			disit.Add(1)		'紹介状有無コード
			disit.Add(7)		'郵便番号
			disit.Add(11)		'診療圏コード
			disit.Add(80)		'住所
			disit.Add(15)		'電話番号
			disit.Add(2)		'国籍コード
			disit.Add(2)		'出生地コード
			disit.Add(80)		'出生地住所
			disit.Add(6)		'保険コード１
			disit.Add(6)		'保険コード２
			disit.Add(6)		'保険コード３
			disit.Add(10)		'初診日
			disit.Add(10)		'関連患者番号
			disit.Add(20)		'世帯主
			disit.Add(2)		'続柄
			disit.Add(20)		'DPC（入退院歴）
			disit.Add(2)		'転科先医師区分コード
			disit.Add(8)		'転科先医師コード
			disit.Add(10)		'転科先病歴番号

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【患者入退院歴から】名称設定
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setItemName() As List(Of String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】名称設定 Start")
		Dim IName As List(Of String) = Nothing
		Try
			IName = New List(Of String)
			IName.Add("データ種別")
			IName.Add("患者番号")
			IName.Add("氏名")
			IName.Add("氏名カナ")
			IName.Add("性別コード")
			IName.Add("生年月日")
			IName.Add("血液型コード")
			IName.Add("Rｈコード")
			IName.Add("病歴番号")
			IName.Add("診療科コード")
			IName.Add("主科フラグ")
			IName.Add("入院（開始）経路コード")
			IName.Add("入院日（開始日）")
			IName.Add("入院フラグ")
			IName.Add("入院（開始）時刻")
			IName.Add("退院日（終了日）")
			IName.Add("退院フラグ")
			IName.Add("退院（終了）時刻")
			IName.Add("退院（終了）経路コード")
			IName.Add("退院（終了）転帰コード")
			IName.Add("病棟コード")
			IName.Add("主病棟フラグ")
			IName.Add("医師区分コード")
			IName.Add("医師コード")
			IName.Add("担当開始日")
			IName.Add("担当終了日")
			IName.Add("救急車有無コード")
			IName.Add("紹介状有無コード")
			IName.Add("郵便番号")
			IName.Add("診療圏コード")
			IName.Add("住所")
			IName.Add("電話番号")
			IName.Add("国籍コード")
			IName.Add("出生地コード")
			IName.Add("出生地住所")
			IName.Add("保険コード１")
			IName.Add("保険コード２")
			IName.Add("保険コード３")
			IName.Add("初診日")
			IName.Add("関連患者番号")
			IName.Add("世帯主")
			IName.Add("続柄")
			IName.Add("DPC（入退院歴）")
			IName.Add("転科先医師区分コード")
			IName.Add("転科先医師コード")
			IName.Add("転科先病歴番号")
			IName.Add("予備１")
			IName.Add("予備２")
			IName.Add("予備３")
			IName.Add("予備４")

			Return IName
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報取得
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strDept_Cd"></param>
	''' <param name="strHsp_Dt"></param>
	''' <param name="strOut_Hsp_Dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHsp(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strDept_Cd As String, ByVal strHsp_Dt As String, ByVal strOut_Hsp_Dt As String) As DataTable
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'入退院情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.strSql_Sel_Hsp
			'入院日
			If Not String.IsNullOrEmpty(strHsp_Dt) Then
				strSql &= sqlXSI030F010.strSql_Sel_Hsp_Where_Hsp_Dt
			End If
			'退院日
			If Not String.IsNullOrEmpty(strOut_Hsp_Dt) Then
				strSql &= sqlXSI030F010.strSql_Sel_Hsp_Where_Out_Hsp_Dt
			End If
			strSql &= sqlXSI030F010.strSql_Sel_Hsp_Order
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'診療科コード
			pDb.setParamDa(sqlXSI030F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmDEPT_CD, strDept_Cd)
			'入院日
			If Not String.IsNullOrEmpty(strHsp_Dt) Then
				pDb.setParamDa(sqlXSI030F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmHSP_DT, strHsp_Dt)
			End If
			'退院日
			If Not String.IsNullOrEmpty(strOut_Hsp_Dt) Then
				pDb.setParamDa(sqlXSI030F010.prmOUT_HSP_DT, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmOUT_HSP_DT, strOut_Hsp_Dt)
			End If
			'データ取得
			pDb.execQueryDa(dt)
			'データ有り
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報取得
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strDept_Cd"></param>
	''' <param name="strStart_Dt"></param>
	''' <param name="strEnd_Dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCh(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strDept_Cd As String, ByVal strStart_Dt As String, ByVal strEnd_Dt As String) As DataTable
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'入退院情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.strSql_Sel_Ch
			'開始日
			If Not String.IsNullOrEmpty(strStart_Dt) Then
				strSql &= sqlXSI030F010.strSql_Sel_Ch_Where_Start_Dt
			End If
			'終了日
			If Not String.IsNullOrEmpty(strEnd_Dt) Then
				strSql &= sqlXSI030F010.strSql_Sel_Ch_Where_End_Dt
			End If
			strSql &= sqlXSI030F010.strSql_Sel_Ch_Order
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'診療科コード
			pDb.setParamDa(sqlXSI030F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmDEPT_CD, strDept_Cd)
			'開始日
			If Not String.IsNullOrEmpty(strStart_Dt) Then
				pDb.setParamDa(sqlXSI030F010.prmSTART_DT, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmSTART_DT, strStart_Dt)
			End If
			'終了日
			If Not String.IsNullOrEmpty(strEnd_Dt) Then
				pDb.setParamDa(sqlXSI030F010.prmEND_DT, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmEND_DT, strEnd_Dt)
			End If
			'データ取得
			pDb.execQueryDa(dt)
			'データ有り
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報存在チェック
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strDiv1_Cd"></param>
	''' <param name="strDiv2_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existMngItemInfo(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strDiv1_Cd As String, ByVal strDiv2_Cd As String) As Boolean
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'管理物情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.sqlSel_LTI_MNGITEMINFO
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
			End If
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'管理物コード
			pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV1_CD, strDiv1_Cd)
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV2_CD, strDiv2_Cd)
			End If
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

#End Region

End Class
