﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 連携（貸出管理）管理物明細情報　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4LKSDS0
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V4 = 30
	End Enum

	Public Const CST_PRD_NM As String = "ｼｽﾃﾑ連携"					'プロダクト名
	Public Const CST_FNC_NM As String = "ｼｽﾃﾑ連携  貸出管理"		'ファンクション名

#End Region

#Region "変数"

	'CSVファイル
	Private csvFileNames() As String
	'貸出管理クラスインデックス
	Private Index As Integer
	'管理物マスタデータテーブル
	Private dtLTM_MNGITEM_ALL As DataTable
	'管理物管理状況クラス
	Private cliLTM_MNGITEMMNGSTATUS As clsLTM_MNGITEMMNGSTATUS

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <param name="csvFileNames">連携CSVファイル</param>
	''' <param name="pIdx">管理物管理クラスインデックス</param>
	''' <param name="pdtLTM_MNGITEM_ALL">管理物マスタデータテーブル</param>
	''' <remarks>
	''' 2013/06/14 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010, ByVal csvFileNames() As String, ByVal pIdx As Integer, ByVal pdtLTM_MNGITEM_ALL As DataTable)
		MyBase.New(cliXSI030F010)
		Me.csvFileNames = csvFileNames
		Me.Index = pIdx
		Me.dtLTM_MNGITEM_ALL = pdtLTM_MNGITEM_ALL
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物明細情報】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/14 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim slightErrCnt As Long					'軽度エラー件数
		Dim row As Integer
		Dim rowData() As String
		Dim setCounter As XSI030F010.setCounter_Delegate
		Dim cliTh As clsThread

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			cliLTM_MNGITEMMNGSTATUS = New clsLTM_MNGITEMMNGSTATUS
			cliLTM_MNGITEMMNGSTATUS.getMngItemMngStatusAllList()
			'総件数設定
			allCnt = CInt(Me.cliXSI030F010.lbl026XSI030F010.Text)
			CST_MOD_CNT = getModCount(allCnt)
			setCounter = New XSI030F010.setCounter_Delegate(AddressOf Me.cliXSI030F010.setCounter)
			cliTh = New clsThread

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_L_MNGITEMINFO()	'取込CSV内の１レコード(ログ登録)
					For Each filename As String In Me.csvFileNames
						Using cliCSV As New XSP.clsCSV(filename), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
							'連携ファイル内を1件ずつ処理
							While Not (tfpReader.EndOfData)
								row += 1
								cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア

								Try
									rowData = tfpReader.ReadFields()
									'１行データを格納(V4のみ)
									Select Case rowData.Length
										Case ENUM_CSV_CNT.V4
											Me.setV4Cls(rowData, cliOneCsvData)
										Case Else
											'エラー情報セット
											cliOneCsvData.ERR_FLG = "1"
											cliOneCsvData.ERR_CD = "E0026"
											'ＣＳＶの個数が違います。
											cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									End Select
								Catch ex As FileIO.MalformedLineException
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0035"
									'データの形式が不正です。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
								End Try

								cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

								If cliOneCsvData.ERR_FLG = "1" Then
									'連携ファイルエラー
								ElseIf Me.chkCSV(cliOneCsvData, db) = False Then
									'連携ファイル内チェックエラー
								Else
									'管理物情報　登録
									Me.setData(db, cliOneCsvData)
								End If

								'件数カウント
								Select Case cliOneCsvData.ERR_FLG
									Case "0" 'OK
										okCnt += 1
									Case "1" 'エラー
										errCnt += 1
										cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
									Case "2" '軽度
										errCnt += 1
										slightErrCnt += 1
										cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
								End Select

								'ログ出力
								Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)
								'件数更新
								'CST_MOD_CNT毎または最終データの場合更新
								If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
									Me.cliXSI030F010.BeginInvoke(setCounter, New Object() {Me.Index, allCnt, okCnt, errCnt, slightErrCnt, 0})
								End If
							End While
						End Using
					Next
					'ログ出力
					clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, String.Format("管理物明細情報，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2}) 軽度等({3}))", allCnt, okCnt, errCnt, slightErrCnt))
					' 処理件数設定
					cliTh.NormalCount = okCnt
					cliTh.ErrorCount = errCnt
					cliTh.SlightErrorCount = slightErrCnt
					cliTh.ProcessCount = row
				End Using
			End Using
			Return cliTh
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
			setCounter = Nothing
			cliLTM_MNGITEMMNGSTATUS = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物明細情報】データ登録処理
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_L_MNGITEMINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】データ登録処理 Start")
		Dim iSERIAL_NO As Integer = 0
		Try
			'データ登録
			Try
				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)
				'SQL文設定
				pDb.setSQL(sqlXSI030F010.sqlIns_LTI_MNGITEMINFO)
				'パラメータ設定
				pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
				pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード
				pDb.setParam(sqlXSI030F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)			'病歴番号
				pDb.setParam(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)			'区分１コード
				pDb.setParam(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)			'区分２コード
				pDb.setParam(sqlXSI030F010.prmFIRSTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)	'初回受領日
				pDb.setParam(sqlXSI030F010.prmLASTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)	'最終受領日
				pDb.setParam(sqlXSI030F010.prmRECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)		'受領者コード
				pDb.setParam(sqlXSI030F010.prmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)			'保管場所コード
				pDb.setParam(sqlXSI030F010.prmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)		'管理状況コード
				pDb.setParam(sqlXSI030F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)			'備考
				pDb.setParam(sqlXSI030F010.prmDATE1, clsDB.Enum_dbType.dbNVarChar)				'日付１
				pDb.setParam(sqlXSI030F010.prmDATE2, clsDB.Enum_dbType.dbNVarChar)				'日付２
				pDb.setParam(sqlXSI030F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)			'医師コード
				pDb.setParam(sqlXSI030F010.prmMNGITEMCMB1, clsDB.Enum_dbType.dbNVarChar)		'管理物コンボ１
				pDb.setParam(sqlXSI030F010.prmMNGITEMCMB2, clsDB.Enum_dbType.dbNVarChar)		'管理物コンボ２
				pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT1, clsDB.Enum_dbType.dbNVarChar)		'管理物テキスト１
				pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT2, clsDB.Enum_dbType.dbNVarChar)		'管理物テキスト２
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK1, clsDB.Enum_dbType.dbNVarChar)		'管理物チェック１
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK2, clsDB.Enum_dbType.dbNVarChar)		'管理物チェック２
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK3, clsDB.Enum_dbType.dbNVarChar)		'管理物チェック３
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK4, clsDB.Enum_dbType.dbNVarChar)		'管理物チェック４
				pDb.setParam(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)			'分冊キー
				pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbNVarChar)			'更新日
				'値設定
				pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)				'患者番号
				pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)				'管理物コード
				pDb.setVal(sqlXSI030F010.prmBYOREKI_NO, cliOneCsvData.BYOREKI_NO)				'病歴番号
				pDb.setVal(sqlXSI030F010.prmDIV1_CD, cliOneCsvData.DIV1_CD)						'区分１コード
				pDb.setVal(sqlXSI030F010.prmDIV2_CD, cliOneCsvData.DIV2_CD)						'区分２コード
				pDb.setVal(sqlXSI030F010.prmFIRSTRECEIVING_DT, cliOneCsvData.FIRSTRECEIVING_DT)	'初回受領日
				pDb.setVal(sqlXSI030F010.prmLASTRECEIVING_DT, cliOneCsvData.LASTRECEIVING_DT)	'最終受領日
				pDb.setVal(sqlXSI030F010.prmRECIPIENT_CD, cliOneCsvData.RECIPIENT_CD)			'受領者コード
				pDb.setVal(sqlXSI030F010.prmKEEPLCT_CD, cliOneCsvData.KEEPLCT_CD)				'保管場所コード
				pDb.setVal(sqlXSI030F010.prmMNGSTATUS_CD, cliOneCsvData.MNGSTATUS_CD)			'管理状況コード
				pDb.setVal(sqlXSI030F010.prmREMARKS, cliOneCsvData.REMARKS)						'備考
				pDb.setVal(sqlXSI030F010.prmDATE1, cliOneCsvData.DATE1)							'日付１
				pDb.setVal(sqlXSI030F010.prmDATE2, cliOneCsvData.DATE2)							'日付２
				pDb.setVal(sqlXSI030F010.prmDOCTOR_CD, cliOneCsvData.DOCTOR_CD)					'医師コード
				pDb.setVal(sqlXSI030F010.prmMNGITEMCMB1, cliOneCsvData.MNGITEMCMB1)				'管理物コンボ１
				pDb.setVal(sqlXSI030F010.prmMNGITEMCMB2, cliOneCsvData.MNGITEMCMB2)				'管理物コンボ２
				pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT1, cliOneCsvData.MNGITEMTEXT1)			'管理物テキスト１
				pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT2, cliOneCsvData.MNGITEMTEXT2)			'管理物テキスト２
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK1, changeFlg(cliOneCsvData.MNGITEMCHK1))	'管理物チェック１
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK2, changeFlg(cliOneCsvData.MNGITEMCHK2))	'管理物チェック２
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK3, changeFlg(cliOneCsvData.MNGITEMCHK3))	'管理物チェック３
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK4, changeFlg(cliOneCsvData.MNGITEMCHK4))	'管理物チェック４
				pDb.setVal(sqlXSI030F010.prmVOLUMEKEY, cliOneCsvData.VOLUMEKEY)					'分冊キー
				pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)				'更新者コード
				pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)							'更新日
				'SQL実行
				pDb.execNonQuery(False)
				'トランザクション終了
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)
			Catch ex As SqlClient.SqlException
				If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
				Call Me.cliXSI030F010.ErrorProc(ex)
				cliOneCsvData.ERR_FLG = "1"
			Catch ex As Exception
				If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
				Throw
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物明細情報】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2013/06/14 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_L_MNGITEMINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()
			cliOneCsvData.DATATYPE = oneCsv(0)			'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)		'患者番号
			cliOneCsvData.MNGITEM_CD = oneCsv(2)		'管理物コード
			cliOneCsvData.DIV1_CD = oneCsv(3)			'区分１
			cliOneCsvData.DIV2_CD = oneCsv(4)			'区分２
			cliOneCsvData.VOLUMEKEY = oneCsv(5)			'分冊連番
			cliOneCsvData.FIRSTRECEIVING_DT = oneCsv(6)	'初回受領日
			cliOneCsvData.LASTRECEIVING_DT = oneCsv(7)	'最終受領日
			cliOneCsvData.RECIPIENT_CD = oneCsv(8)		'受領者コード
			cliOneCsvData.KEEPLCT_CD = oneCsv(9)		'保管場所コード
			'管理状況コード
			If String.IsNullOrEmpty(oneCsv(10)) Then
				'空白の場合、管理物管理状況マスタより取得
				cliOneCsvData.MNGSTATUS_CD = cliLTM_MNGITEMMNGSTATUS.getDefaultMngStatus_Cd(cliOneCsvData.MNGITEM_CD, CType(clsConst.Enum_MngItemStat_Fix3.Imp, String))
			Else
				cliOneCsvData.MNGSTATUS_CD = oneCsv(10)
			End If
			cliOneCsvData.PERM_PRESERV_FLG = oneCsv(11)	'永久保存フラグ
			cliOneCsvData.BYOREKI_NO = oneCsv(12)		'物番号
			cliOneCsvData.DATE1 = oneCsv(13)			'日付１
			cliOneCsvData.DATE2 = oneCsv(14)			'日付２
			cliOneCsvData.DOCTOR_CD = oneCsv(15)		'医師コード
			cliOneCsvData.MNGITEMCMB1 = oneCsv(16)		'コンボ１コード
			cliOneCsvData.MNGITEMCMB2 = oneCsv(17)		'コンボ２コード
			cliOneCsvData.MNGITEMTEXT1 = oneCsv(18)		'テキスト１
			cliOneCsvData.MNGITEMTEXT2 = oneCsv(19)		'テキスト２
			cliOneCsvData.REMARKS = oneCsv(20)			'テキスト３
			cliOneCsvData.MNGITEMCHK1 = oneCsv(21)		'チェック１
			cliOneCsvData.MNGITEMCHK2 = oneCsv(22)		'チェック２
			cliOneCsvData.MNGITEMCHK3 = oneCsv(23)		'チェック３
			cliOneCsvData.MNGITEMCHK4 = oneCsv(24)		'チェック４
			cliOneCsvData.YOBI1 = String.Empty			'予備１
			cliOneCsvData.YOBI2 = String.Empty			'予備２
			cliOneCsvData.YOBI3 = String.Empty			'予備３
			cliOneCsvData.YOBI4 = String.Empty			'予備４
			cliOneCsvData.YOBI5 = String.Empty			'予備５
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物情報】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="pDb">D/B</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_L_MNGITEMINFO, ByVal pDb As clsDB) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char						'データ種別パターン
		Dim iIdx As Integer = -1
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATATYPE)			'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)		'患者番号
			oneCsv.Add(cliOneCsvData.MNGITEM_CD)		'管理物コード
			oneCsv.Add(cliOneCsvData.DIV1_CD)			'区分１
			oneCsv.Add(cliOneCsvData.DIV2_CD)			'区分２
			oneCsv.Add(cliOneCsvData.VOLUMEKEY)			'分冊連番
			oneCsv.Add(cliOneCsvData.FIRSTRECEIVING_DT)	'初回受領日
			oneCsv.Add(cliOneCsvData.LASTRECEIVING_DT)	'最終受領日
			oneCsv.Add(cliOneCsvData.RECIPIENT_CD)		'受領者コード
			oneCsv.Add(cliOneCsvData.KEEPLCT_CD)		'保管場所コード
			oneCsv.Add(cliOneCsvData.MNGSTATUS_CD)		'管理状況コード
			oneCsv.Add(cliOneCsvData.PERM_PRESERV_FLG)	'永久保存フラグ
			oneCsv.Add(cliOneCsvData.BYOREKI_NO)		'物番号
			oneCsv.Add(cliOneCsvData.DATE1)				'日付１
			oneCsv.Add(cliOneCsvData.DATE2)				'日付２
			oneCsv.Add(cliOneCsvData.DOCTOR_CD)			'医師コード
			oneCsv.Add(cliOneCsvData.MNGITEMCMB1)		'コンボ１コード
			oneCsv.Add(cliOneCsvData.MNGITEMCMB2)		'コンボ２コード
			oneCsv.Add(cliOneCsvData.MNGITEMTEXT1)		'テキスト１
			oneCsv.Add(cliOneCsvData.MNGITEMTEXT2)		'テキスト２
			oneCsv.Add(cliOneCsvData.REMARKS)			'テキスト３
			oneCsv.Add(cliOneCsvData.MNGITEMCHK1)		'チェック１
			oneCsv.Add(cliOneCsvData.MNGITEMCHK2)		'チェック２
			oneCsv.Add(cliOneCsvData.MNGITEMCHK3)		'チェック３
			oneCsv.Add(cliOneCsvData.MNGITEMCHK4)		'チェック４

			'名称設定
			Dim IName As List(Of String) = Me.getItemName()
			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE, IName) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0 To 2 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 2 '管理物コード（存在チェック）
							iIdx = Me.chkCsvMNGITEM_CD(dtLTM_MNGITEM_ALL, oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE)
							If iIdx = -1 Then
								Return False
							End If
						Case 6, 7, 13, 14  '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 21 To 24		'フラグチェック
							Select Case oneCsv(idx)
								Case "0", "1"
								Case Else
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0030"
									'基本情報が存在しません。。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"チェック項目", "対象外のデータ", Nothing}) & "[" & oneCsv(idx) & "]"
									Return False
							End Select
					End Select
				End If
			Next
			'区分１が日付の場合
			If Not String.IsNullOrEmpty(dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmDIV1TITLE).ToString) Then
				If dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmDIV1TEXT_FLG).ToString = CType(clsConst.Enum_DivType_Flg.Date_Type, String) Then
					If String.IsNullOrEmpty(cliOneCsvData.DIV1_CD) = False AndAlso (IsDate(cliOneCsvData.DIV1_CD) = False Or cliOneCsvData.DIV1_CD <= "1868/10/22") Then
						'エラー情報セット
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0030"
						'日付項目に日付以外のデータが入っています。[データ内容]
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"日付項目", "日付以外のデータ", Nothing}) & "[" & cliOneCsvData.DIV1_CD & "]"
						Return False
					End If
				End If
			End If
			'区分２が日付の場合
			If Not String.IsNullOrEmpty(dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmDIV2TITLE).ToString) Then
				If dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmDIV2TEXT_FLG).ToString = CType(clsConst.Enum_DivType_Flg.Date_Type, String) Then
					If String.IsNullOrEmpty(cliOneCsvData.DIV2_CD) = False AndAlso (IsDate(cliOneCsvData.DIV2_CD) = False Or cliOneCsvData.DIV2_CD <= "1868/10/22") Then
						'エラー情報セット
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0030"
						'日付項目に日付以外のデータが入っています。[データ内容]
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"日付項目", "日付以外のデータ", Nothing}) & "[" & cliOneCsvData.DIV2_CD & "]"
						Return False
					End If
				End If
			End If
			'患者番号存在チェック
			If Not existBasicInfo(pDb, cliOneCsvData.PATIENT_NO) Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0015"
				'基本情報が存在しません。。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"基本情報", Nothing})
				Return False
			End If
			'管理物マスタ必須チェック
			'日付１
			If dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmDATE1NEED_FLG).ToString = clsConst.Enum_CheckBox_Flg.CheckOn Then
				If String.IsNullOrEmpty(cliOneCsvData.DATE1) Then
					'エラー情報セット
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0001"
					'未入力の必須項目があります。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD) & "[日付１]"
					Return False
				End If
			End If
			'日付２
			If dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmDATE2NEED_FLG).ToString = clsConst.Enum_CheckBox_Flg.CheckOn Then
				If String.IsNullOrEmpty(cliOneCsvData.DATE2) Then
					'エラー情報セット
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0001"
					'未入力の必須項目があります。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD) & "[日付２]"
					Return False
				End If
			End If
			'病歴番号（物番号）
			If dtLTM_MNGITEM_ALL.Rows(iIdx)(sqlLTM_MNGITEM.itmBYOREKINONEED_FLG).ToString = clsConst.Enum_CheckBox_Flg.CheckOn Then
				If String.IsNullOrEmpty(cliOneCsvData.BYOREKI_NO) Then
					'エラー情報セット
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0001"
					'未入力の必須項目があります。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD) & "[物番号]"
					Return False
				End If
			End If
			'管理状況
			If String.IsNullOrEmpty(cliOneCsvData.MNGSTATUS_CD) Then
				'エラー情報セット
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0001"
				'未入力の必須項目があります。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD) & "[管理状況コード]"
				Return False
			End If
			'初回受領日と最終受領日
			If Not String.IsNullOrEmpty(cliOneCsvData.FIRSTRECEIVING_DT) AndAlso
				Not String.IsNullOrEmpty(cliOneCsvData.LASTRECEIVING_DT) AndAlso
				Me.dateCompare(cliOneCsvData.FIRSTRECEIVING_DT, cliOneCsvData.LASTRECEIVING_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0035"
				'初回受領日と最終受領日の大小関係が不正です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"初回受領日と最終受領日の大小関係", Nothing})
				Return False
			End If
			'管理物情報存在チェック（分冊親）
			If Not String.IsNullOrEmpty(cliOneCsvData.VOLUMEKEY) Then
				'分冊キー入力有り
				If Not existMngItemInfo_Vol_Null(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.MNGITEM_CD, cliOneCsvData.DIV1_CD, cliOneCsvData.DIV2_CD) Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'管理物情報に親データが存在しません。[データ内容]
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"管理物情報に親データ", Nothing}) & "[" & cliOneCsvData.VOLUMEKEY & "]"
					Return False
				End If
			End If
			'管理物情報存在チェック
			If existMngItemInfo(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.MNGITEM_CD, cliOneCsvData.DIV1_CD, cliOneCsvData.DIV2_CD, cliOneCsvData.VOLUMEKEY) Then
				cliOneCsvData.ERR_FLG = "2"
				cliOneCsvData.ERR_CD = "W0001"
				'既に登録されています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物情報】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)		'データ種別
			disit.Add(10)		'患者番号
			disit.Add(2)		'管理物コード
			disit.Add(10)		'区分１
			disit.Add(10)		'区分２
			disit.Add(1)		'分冊連番
			disit.Add(10)		'初回受領日
			disit.Add(10)		'最終受領日
			disit.Add(8)		'受領者コード
			disit.Add(2)		'保管場所コード
			disit.Add(2)		'管理状況コード
			disit.Add(1)		'永久保存フラグ
			disit.Add(10)		'物番号
			disit.Add(10)		'日付１
			disit.Add(10)		'日付２
			disit.Add(8)		'医師コード
			disit.Add(5)		'コンボ１コード
			disit.Add(5)		'コンボ２コード
			disit.Add(10)		'テキスト１
			disit.Add(10)		'テキスト２
			disit.Add(100)		'テキスト３
			disit.Add(1)		'チェック１
			disit.Add(1)		'チェック２
			disit.Add(1)		'チェック３
			disit.Add(1)		'チェック４
			disit.Add(1)		'予備１
			disit.Add(1)		'予備２
			disit.Add(1)		'予備３
			disit.Add(1)		'予備４
			disit.Add(1)		'予備５

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物情報】名称設定
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/07/01 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getItemName() As List(Of String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】名称設定 Start")
		Dim IName As New List(Of String)
		Try
			IName.Add("データ種別")
			IName.Add("患者番号")
			IName.Add("管理物コード")
			IName.Add("区分１")
			IName.Add("区分２")
			IName.Add("分冊連番")
			IName.Add("初回受領日")
			IName.Add("最終受領日")
			IName.Add("受領者コード")
			IName.Add("保管場所コード")
			IName.Add("管理状況コード")
			IName.Add("永久保存フラグ")
			IName.Add("物番号")
			IName.Add("日付１")
			IName.Add("日付２")
			IName.Add("医師コード")
			IName.Add("コンボ１コード")
			IName.Add("コンボ２コード")
			IName.Add("テキスト１")
			IName.Add("テキスト２")
			IName.Add("テキスト３")
			IName.Add("チェック１")
			IName.Add("チェック２")
			IName.Add("チェック３")
			IName.Add("チェック４")

			Return IName
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物明細情報】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_L_MNGITEMINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【管理物明細情報】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI030F010.sqlIns_LTT_IMP_LOG_MNGITEMINFO)
			'パラメータ設定
			pDb.setParam(sqlXSI030F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)				'登録日時
			pDb.setParam(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				'連番
			pDb.setParam(sqlXSI030F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)					'エラーフラグ
			pDb.setParam(sqlXSI030F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)			'データ種別
			pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
			pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード
			pDb.setParam(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)			'区分１
			pDb.setParam(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)			'区分２
			pDb.setParam(sqlXSI030F010.prmVOLUME_SERIAL_NO, clsDB.Enum_dbType.dbNVarChar)	'分冊連番
			pDb.setParam(sqlXSI030F010.prmFIRSTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)	'初回受領日
			pDb.setParam(sqlXSI030F010.prmLASTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)	'最終受領日
			pDb.setParam(sqlXSI030F010.prmRECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)		'受領者コード
			pDb.setParam(sqlXSI030F010.prmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)			'保管場所コード
			pDb.setParam(sqlXSI030F010.prmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)		'管理状況コード
			pDb.setParam(sqlXSI030F010.prmPERM_PRESERV_FLG, clsDB.Enum_dbType.dbNVarChar)	'永久保存フラグ
			pDb.setParam(sqlXSI030F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)			'物番号
			pDb.setParam(sqlXSI030F010.prmDATE1, clsDB.Enum_dbType.dbNVarChar)				'日付１
			pDb.setParam(sqlXSI030F010.prmDATE2, clsDB.Enum_dbType.dbNVarChar)				'日付２
			pDb.setParam(sqlXSI030F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)			'医師コード
			pDb.setParam(sqlXSI030F010.prmMNGITEMCMB1, clsDB.Enum_dbType.dbNVarChar)		'コンボ１コード
			pDb.setParam(sqlXSI030F010.prmMNGITEMCMB2, clsDB.Enum_dbType.dbNVarChar)		'コンボ２コード
			pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT1, clsDB.Enum_dbType.dbNVarChar)		'テキスト１
			pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT2, clsDB.Enum_dbType.dbNVarChar)		'テキスト２
			pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT3, clsDB.Enum_dbType.dbNVarChar)		'テキスト３
			pDb.setParam(sqlXSI030F010.prmMNGITEMCHK1, clsDB.Enum_dbType.dbNVarChar)		'チェック１
			pDb.setParam(sqlXSI030F010.prmMNGITEMCHK2, clsDB.Enum_dbType.dbNVarChar)		'チェック２
			pDb.setParam(sqlXSI030F010.prmMNGITEMCHK3, clsDB.Enum_dbType.dbNVarChar)		'チェック３
			pDb.setParam(sqlXSI030F010.prmMNGITEMCHK4, clsDB.Enum_dbType.dbNVarChar)		'チェック４
			pDb.setParam(sqlXSI030F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)			'予備１
			pDb.setParam(sqlXSI030F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)			'予備２
			pDb.setParam(sqlXSI030F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)			'予備３
			pDb.setParam(sqlXSI030F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)			'予備４
			pDb.setParam(sqlXSI030F010.prmSPARE05, clsDB.Enum_dbType.dbNVarChar)			'予備５
			pDb.setParam(sqlXSI030F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)			'モジュールコード
			pDb.setParam(sqlXSI030F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)				'エラーコード
			pDb.setParam(sqlXSI030F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)			'メッセージ
			pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
			pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
			'値設定
			pDb.setVal(sqlXSI030F010.prmREG_DT, DateTime.Now)								'登録日
			pDb.setVal(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)					'連番
			pDb.setVal(sqlXSI030F010.prmERR_FLG, cliOneCsvData.ERR_FLG)						'エラーフラグ
			pDb.setVal(sqlXSI030F010.prmDATA_TYPE, cliOneCsvData.DATATYPE)					'データ種別
			pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)				'患者番号
			pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)				'管理物コード
			pDb.setVal(sqlXSI030F010.prmDIV1_CD, cliOneCsvData.DIV1_CD)						'区分１
			pDb.setVal(sqlXSI030F010.prmDIV2_CD, cliOneCsvData.DIV2_CD)						'区分２
			pDb.setVal(sqlXSI030F010.prmVOLUME_SERIAL_NO, cliOneCsvData.VOLUMEKEY)			'分冊連番
			pDb.setVal(sqlXSI030F010.prmFIRSTRECEIVING_DT, cliOneCsvData.FIRSTRECEIVING_DT)	'初回受領日
			pDb.setVal(sqlXSI030F010.prmLASTRECEIVING_DT, cliOneCsvData.LASTRECEIVING_DT)	'最終受領日
			pDb.setVal(sqlXSI030F010.prmRECIPIENT_CD, cliOneCsvData.RECIPIENT_CD)			'受領者コード
			pDb.setVal(sqlXSI030F010.prmKEEPLCT_CD, cliOneCsvData.KEEPLCT_CD)				'保管場所コード
			pDb.setVal(sqlXSI030F010.prmMNGSTATUS_CD, cliOneCsvData.MNGSTATUS_CD)			'管理状況コード
			pDb.setVal(sqlXSI030F010.prmPERM_PRESERV_FLG, cliOneCsvData.PERM_PRESERV_FLG)	'永久保存フラグ
			pDb.setVal(sqlXSI030F010.prmBYOREKI_NO, cliOneCsvData.BYOREKI_NO)				'物番号
			pDb.setVal(sqlXSI030F010.prmDATE1, cliOneCsvData.DATE1)							'日付１
			pDb.setVal(sqlXSI030F010.prmDATE2, cliOneCsvData.DATE2)							'日付２
			pDb.setVal(sqlXSI030F010.prmDOCTOR_CD, cliOneCsvData.DOCTOR_CD)					'医師コード
			pDb.setVal(sqlXSI030F010.prmMNGITEMCMB1, cliOneCsvData.MNGITEMCMB1)				'コンボ１コード
			pDb.setVal(sqlXSI030F010.prmMNGITEMCMB2, cliOneCsvData.MNGITEMCMB2)				'コンボ２コード
			pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT1, cliOneCsvData.MNGITEMTEXT1)			'テキスト１
			pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT2, cliOneCsvData.MNGITEMTEXT2)			'テキスト２
			pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT3, cliOneCsvData.REMARKS)				'テキスト３
			pDb.setVal(sqlXSI030F010.prmMNGITEMCHK1, cliOneCsvData.MNGITEMCHK1)				'チェック１
			pDb.setVal(sqlXSI030F010.prmMNGITEMCHK2, cliOneCsvData.MNGITEMCHK2)				'チェック２
			pDb.setVal(sqlXSI030F010.prmMNGITEMCHK3, cliOneCsvData.MNGITEMCHK3)				'チェック３
			pDb.setVal(sqlXSI030F010.prmMNGITEMCHK4, cliOneCsvData.MNGITEMCHK4)				'チェック４
			pDb.setVal(sqlXSI030F010.prmSPARE01, cliOneCsvData.YOBI1)						'予備１
			pDb.setVal(sqlXSI030F010.prmSPARE02, cliOneCsvData.YOBI2)						'予備２
			pDb.setVal(sqlXSI030F010.prmSPARE03, cliOneCsvData.YOBI3)						'予備３
			pDb.setVal(sqlXSI030F010.prmSPARE04, cliOneCsvData.YOBI4)						'予備４
			pDb.setVal(sqlXSI030F010.prmSPARE05, cliOneCsvData.YOBI5)						'予備５
			pDb.setVal(sqlXSI030F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)					'モジュールコード
			pDb.setVal(sqlXSI030F010.prmERR_CD, cliOneCsvData.ERR_CD)						'エラーコード
			pDb.setVal(sqlXSI030F010.prmMESSAGE, cliOneCsvData.MESSAGE)						'メッセージ
			pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)				'更新者コード
			pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)							'更新日
			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報存在チェック
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strDiv1_Cd"></param>
	''' <param name="strDiv2_Cd"></param>
	''' <param name="strVolumeKey"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existMngItemInfo(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strDiv1_Cd As String, ByVal strDiv2_Cd As String, ByVal strVolumeKey As String) As Boolean
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'管理物情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.sqlSel_LTI_MNGITEMINFO
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
			End If
			'分冊キー
			If Not String.IsNullOrEmpty(strVolumeKey) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY
			End If
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'管理物コード
			pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV1_CD, strDiv1_Cd)
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV2_CD, strDiv2_Cd)
			End If
			'分冊キー
			If Not String.IsNullOrEmpty(strVolumeKey) Then
				pDb.setParamDa(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmVOLUMEKEY, strVolumeKey)
			End If
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return False
			End If
			'データ有り
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報存在チェック（分冊キーNULL）
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strDiv1_Cd"></param>
	''' <param name="strDiv2_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existMngItemInfo_Vol_Null(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strDiv1_Cd As String, ByVal strDiv2_Cd As String) As Boolean
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'管理物情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.sqlSel_LTI_MNGITEMINFO
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
			End If
			'分冊キーNULL
			strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY_NULL
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'管理物コード
			pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV1_CD, strDiv1_Cd)
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV2_CD, strDiv2_Cd)
			End If
			'分冊キーNULL
			strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY_NULL
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return False
			End If
			'データ有り
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

#End Region

End Class
