﻿Imports XCM
Imports System.Reflection
''' ---------------------------------------------
''' <summary>
''' 患者登録
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP070F010

#Region "変数"

	'IN項目引き継ぎ用変数
	Private _setstatus As Boolean = False				'IN項目.排他管理する場合のみ
	Private _frm As frmBase = Nothing					'IN項目.フォームベース

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pMode">参照モード:0 登録モード:1 更新モード:2</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pGeneral">汎用（rcvData時に返す値）</param>	
	''' <param name="pSetStatus">排他を管理する場合のみTrue</param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pMode As Enum_XSP000F030_ExeMode, ByVal pPatientNo As String, Optional ByVal pGeneral As String = Nothing, Optional ByVal pSetStatus As Boolean = True)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		MyBase._patientno = pPatientNo										'患者番碁
		MyBase._prdmode = Enum_XSP000F030_PrdMode.prdL						'製品モード
		If String.IsNullOrEmpty(pPatientNo) Then							'オープンモード
			MyBase._openmode = Enum_XSP000F030_OpenMode.NoPatientNo
		Else
			MyBase._openmode = Enum_XSP000F030_OpenMode.PatientNo
		End If
		MyBase._exemode = pMode												'処理モード
		Me._general = pGeneral												'汎用（rcvData時に返す値）
		Me._setstatus = pSetStatus											'排他管理用変数
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP070F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me._errloadflg Then
			Exit Sub
		End If
		log(XCM.clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "画面ロード START")
		Try
			Me._frm = Me.Owner
			'排他処理
			If MyBase._exemode = Enum_XSP000F030_ExeMode.Upd OrElse MyBase._exemode = Enum_XSP000F030_ExeMode.Ref Then
				If Me._setstatus AndAlso Not String.IsNullOrEmpty(MyBase._patientno) AndAlso Not Me.setStartStatus(MyBase._patientno) Then
					Me.setReturnValues(clsXSP000F030.Enum_ExeFlg.eNotRun)
					'画面を閉じる
					Me._frm.setCancelFlg(True)		'Load時にエラー処理をする場合に必要
					'排他中フラグ設定
					MyBase.pbExclusive = True
					Me.EndProc()
					Exit Sub
				End If
			Else
				If Me._setstatus AndAlso String.IsNullOrEmpty(MyBase._patientno) AndAlso Me.setStartStatus(True) = False Then
					Me.setReturnValues(clsXSP000F030.Enum_ExeFlg.eNotRun)
					'画面を閉じる
					Me._frm.setCancelFlg(True)		'Load時にエラー処理をする場合に必要
					'排他中フラグ設定
					MyBase.pbExclusive = True
					Me.EndProc()
					Exit Sub
				End If
			End If

			'データソースなどの画面初期化
			Me.setInitScreen()

			'デフォルトは登録モード（ヘッダー部設定）
			Me.btn004XSP000F030.Enabled = True				'登録OR更新ボタンを使用可能
			Me.btn004XSP000F030.Text = CST_ADD_TEXT			'登録OR更新ボタンの名称を「患者登録（F7）」に変更
			Me.btn005XSP000F030.Enabled = False				'患者削除ボタンを使用不可
			Me.btn006XSP000F030.Text = CST_EXIT_TEXT		'閉じる（F12）ボタンの名称に設定する

			'参照モードなら入力フォールドを入力不可にする
			If Me._exemode = Enum_XSP000F030_ExeMode.Ref Then
				Me.Text = "【参照】" & Me.Text
				Me.txt011XSP000F030.CanInput = False	'氏名
				Me.txt013XSP000F030.CanInput = False	'旧氏名１
				Me.txt015XSP000F030.CanInput = False	'旧氏名２
				Me.txt017XSP000F030.CanInput = False	'カナ
				Me.txt019XSP000F030.CanInput = False	'旧カナ１
				Me.txt021XSP000F030.CanInput = False	'旧カナ２
				Me.cmb023XSP000F030.CanInput = False	'性別コード
				Me.dte026XSP000F030.CanInput = False	'生年月日
				Me.txt028XSP000F030.CanInput = False	'コメント
				Me.dte030XSP000F030.CanInput = False	'初回来院日
				Me.dte032XSP000F030.CanInput = False	'最終来院日
				Me.dte034XSP000F030.CanInput = False	'最終退院日
				Me.btn004XSP000F030.Visible = False		'更新ボタン
				Me.btn005XSP000F030.Visible = False		'削除ボタン
			End If
		Catch ex As Exception
			ErrorProc(ex)
			If Me._frm IsNot Nothing Then Me._frm.setCancelFlg(True)
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP070F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me._errloadflg Then
			Exit Sub
		End If
		If String.IsNullOrEmpty(Me._patientno) Then
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "画面表示 START")
		Else
			log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "患者番号：" & Me._patientno & " 画面表示 START")
		End If
		Try
			If String.IsNullOrEmpty(Me._patientno) Then
				'患者番号が空白の場合
				Me.btn006XSP000F030.Text = CST_EXIT_TEXT			'閉じるボタンを取消ボタンに変更

				'患者番号入力画面を展開し、選択する
				frmXSP170F010 = Nothing
				frmXSP170F010 = New XSP170F010(XSP170F010.Enum_ExeMode.eLendIns)
				Me.nextForm(frmXSP170F010)
				frmXSP170F010.Select()
			Else
				'患者番号が空白でない場合
				Me.lbl009XSP000F030.Text = Me._patientno
				Me.setUpdScreen()
				Me.txt011XSP000F030.Select()

				'閉じるボタンに名称設定
				Me.btn006XSP000F030.Text = CST_EXIT_TEXT
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP070F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod.Name, "フォームクロージング START")
		Dim retDictionaryEntry As DictionaryEntry = Nothing
		Try
			'排他中なら排他解除
			If Not Me.pbExclusive Then
				delStartStatus()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Try
				'処理フラグと戻り値クラス
				retDictionaryEntry = New DictionaryEntry(Me.Name, Me._retData)
				Me.setCloseFlg()
				If Me._frm Is Nothing Then Me._frm = Me.Owner
				If Me._errloadflg Then Me._frm.setCancelFlg(True)
				Me._frm.Select()
				If Me._retFlg = CStr(Enum_FormReturn.OK) Then
					'処理済みならRepaintを実施させる
					Me._frm.backForm(True, Me._retFlg, retDictionaryEntry)
				Else
					'未処理ならRepaintは実施させない
					Me._frm.backForm(False, Me._retFlg, retDictionaryEntry)
				End If
			Catch ex As Exception
			End Try
			retDictionaryEntry = Nothing
			'解放（Nothing）
			Me._setstatus = Nothing
			Me._frm = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 戻り処理
	''' </summary>
	''' <param name="ret">処理フラグ</param>
	''' <param name="de">処理データ（Key、Data）</param>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "戻り処理 START")
		Try
			Select Case de.Key
				Case CST_XSP170F010
					If Me.frmXSP170F010 IsNot Nothing Then Me.frmXSP170F010.Dispose()
					Me.frmXSP170F010 = Nothing

					If ret = Enum_FormReturn.OK Then
						If Me._setstatus AndAlso Not Me.updStartStatus(CType(de.Value, datXTI_BASICINFO_OneRec).PATIENT_NO) Then
							'排他失敗もう一度患者番号入力画面を展開する
							frmXSP170F010 = New XSP170F010(XSP170F010.Enum_ExeMode.eLendIns)
							Me.nextForm(frmXSP170F010)
							frmXSP170F010.Select()
							Exit Sub
						End If

						'デフォルトは登録モード（ヘッダー部設定）
						Me.btn004XSP000F030.Enabled = True				'登録OR更新ボタンを使用可能
						Me.btn004XSP000F030.Text = CST_ADD_TEXT			'登録OR更新ボタンの名称を「患者登録（F7）」に変更
						Me.btn005XSP000F030.Enabled = False				'患者削除ボタンを使用不可

						'患者番号入力画面で決定したIDを元に画面を構成する
						Me.lbl009XSP000F030.Text = CType(de.Value, datXTI_BASICINFO_OneRec).PATIENT_NO
						Me.setUpdScreen()
						Me.txt011XSP000F030.Select()
					ElseIf ret = Enum_FormReturn.CANSEL Then
						Me.EndProc()
					End If
				Case Else
			End Select
		Catch ex As Exception
			Throw
		Finally
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面情報初期化
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setClearScreen()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "画面情報初期化 START")
		Try
			Me.lbl009XSP000F030.Text = Nothing						'患者番号
			Me.txt011XSP000F030.Text = Nothing						'氏名
			Me.txt013XSP000F030.Text = Nothing						'旧氏名１
			Me.txt015XSP000F030.Text = Nothing						'旧氏名２
			Me.txt017XSP000F030.Text = Nothing						'カナ
			Me.txt019XSP000F030.Text = Nothing						'旧カナ１
			Me.txt021XSP000F030.Text = Nothing						'旧カナ２
			Me.cliCom.setComboValue(Me.cmb023XSP000F030, Nothing)	'性別コード
			Me.dte026XSP000F030.DateValue = Nothing					'生年月日
			Me.txt028XSP000F030.Text = Nothing						'備考
			Me.dte030XSP000F030.DateValue = Nothing					'初回来院日
			Me.dte032XSP000F030.DateValue = Nothing					'最終来院日
			Me.dte034XSP000F030.DateValue = Nothing					'最終退院日
			Me.lbl036XSP000F030.Text = Nothing						'最終更新日
			Me.lbl038XSP000F030.Text = Nothing						'データ取り込み日
			Me.lbl040XSP000F030.Text = Nothing						'新規登録日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面の内容を保存メモリに保持
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setMemoryData(ByRef datBasic As datXSP000F030_Basicinfo, ByRef datDeath As datXSP000F030_Death)
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, " 画面の内容を保存メモリに保持 START")
		Try
			datBasic = New datXSP000F030_Basicinfo					'基本情報インスタンス化
			datDeath = Nothing										'死亡情報は登録しないためNothing

			'貸出管理は基本情報のみ更新する
			With datBasic
				.PATIENT_NO = Me.lbl009XSP000F030.Text				'患者番号
				.PATIENT_NM = Me.txt011XSP000F030.Text				'氏名
				.PREVIOUS1_NM = Me.txt013XSP000F030.Text			'旧氏名１
				.PREVIOUS2_NM = Me.txt015XSP000F030.Text			'旧氏名２
				.PATIENT_KNM = Me.txt017XSP000F030.Text				'カナ
				.PREVIOUS1_KNM = Me.txt019XSP000F030.Text			'旧カナ１
				.PREVIOUS2_KNM = Me.txt021XSP000F030.Text			'旧カナ２

				.GENDER_CD = Me.cmb023XSP000F030.Text				'性別コード
				.BIRTH_DT = Me.dte026XSP000F030.DateValue			'生年月日

				.REMARKS = Me.txt028XSP000F030.Text					'備考

				.FIRSTHSPVST_DT = Me.dte030XSP000F030.DateValue		'初回来院日
				.LASTHSPVST_DT = Me.dte032XSP000F030.DateValue		'最終来院日
				.LASTLEFTHSP_DT = Me.dte034XSP000F030.DateValue		'最終退院日
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DB情報で画面内容を更新する
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setUpdScreen()
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "DB情報で画面内容を更新する START")
		Dim datBasic As datXTI_BASICINFO_OneRec = Nothing
		Try
			'患者番号が指定されている場合は患者情報を設定
			datBasic = Me.cliXTI_BASICINFO.getPatientOneRec(Me.lbl009XSP000F030.Text)

			If datBasic Is Nothing Then
				'データがなければ必ず新規モードとする
				Me._exemode = Enum_XSP000F030_ExeMode.Ins

				datBasic = New datXTI_BASICINFO_OneRec
				datBasic.PATIENT_NO = Me.lbl009XSP000F030.Text
				datBasic.PATIENT_NM = Nothing
			Else
				'参照モードで無い場合はデータが存在すればかならず更新モードとする
				If Me._exemode <> Enum_XSP000F030_ExeMode.Ref Then
					Me._exemode = Enum_XSP000F030_ExeMode.Upd
				End If

				'更新モード（ヘッダー部設定）
				Me.btn004XSP000F030.Enabled = True														'更新ボタン有効
				Me.btn004XSP000F030.Text = CST_UPD_TEXT													'更新ボタン名称変更「患者更新(F7)」
				Me.btn005XSP000F030.Enabled = True														'削除ボタン有効
			End If

			'取得したデータクラスで画面を構成する
			With datBasic
				Me.txt011XSP000F030.Text = .PATIENT_NM												'氏名
				Me.txt013XSP000F030.Text = .PREVIOUS1_NM											'旧氏名１
				Me.txt015XSP000F030.Text = .PREVIOUS2_NM											'旧氏名２
				Me.txt017XSP000F030.Text = .PATIENT_KNM												'カナ	
				Me.txt019XSP000F030.Text = .PREVIOUS1_KNM											'旧カナ１
				Me.txt021XSP000F030.Text = .PREVIOUS2_KNM											'旧カナ２
				Me.cliCom.setComboValue(Me.cmb023XSP000F030, .GENDER_CD)							'性別コード
				Me.dte026XSP000F030.DateValue = .BIRTH_DT											'生年月日
				Me.txt028XSP000F030.Text = .REMARKS													'コメント
				Me.dte030XSP000F030.DateValue = .FIRSTHSPVST_DT										'初回来院日
				Me.dte032XSP000F030.DateValue = .LASTHSPVST_DT										'最終来院日
				Me.dte034XSP000F030.DateValue = .LASTLEFTHSP_DT										'最終退院日
				If .LASTUPD_DT.Equals(Nothing) Then													'最終更新日
					Me.lbl036XSP000F030.Text = Nothing
				Else
					Me.lbl036XSP000F030.Text = .LASTUPD_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
				End If
				If .DATA_CAPTURE_DT.Equals(Nothing) Then											'データ取込日
					Me.lbl038XSP000F030.Text = Nothing
				Else
					Me.lbl038XSP000F030.Text = .DATA_CAPTURE_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
				End If
				If .NEW_REG_DT.Equals(Nothing) Then													'初回登録日
					Me.lbl040XSP000F030.Text = Nothing
				Else
					Me.lbl040XSP000F030.Text = .NEW_REG_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
				End If
			End With

			'一度画面に反映した内容をメモリに設定する
			Me.setMemoryData(Me.datSAVE_BASICINFO, Me.datSAVE_DEATH)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>TRUE:正常 FALSE:異常</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod.Name, "入力チェック START")
		Try
			' コントロール値確定
			If Not Me.ValidateChildren() Then
				Return False
			End If

			' 氏名
			If String.IsNullOrEmpty(Me.txt011XSP000F030.Text) Then
				addErrList("E0001", Me.txt011XSP000F030.Name, Me.lbl010XSP000F030.Text, Nothing)
			End If

			' 氏名カナ
			If String.IsNullOrEmpty(Me.txt017XSP000F030.Text) Then
				addErrList("E0001", Me.txt017XSP000F030.Name, Me.lbl016XSP000F030.Text, Nothing)
			End If

			' 性別
			If String.IsNullOrEmpty(Me.cmb023XSP000F030.Text) Then
				addErrList("E0001", Me.cmb023XSP000F030.Name, Me.lbl022XSP000F030.Text, Nothing)
			End If

			' 生年月日
			If Me.dte026XSP000F030.DateValue.Equals(Nothing) Then
				addErrList("E0001", Me.dte026XSP000F030.Name, Me.lbl025XSP000F030.Text, Nothing)
			End If

			' 生年月日＞初回来院日
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte030XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte026XSP000F030.DateValue > Me.dte030XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte026XSP000F030.Name, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl029XSP000F030.Text, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl029XSP000F030.Text, _
					  Nothing)
				End If
			End If

			' 生年月日＞最終来院日
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte032XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte026XSP000F030.DateValue > Me.dte032XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte026XSP000F030.Name, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Nothing)
				End If
			End If

			' 生年月日＞最終退院日
			If Not Me.dte026XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte034XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte026XSP000F030.DateValue > Me.dte034XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte026XSP000F030.Name, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl033XSP000F030.Text, _
					  Me.lbl025XSP000F030.Text & "、" & Me.lbl033XSP000F030.Text, _
					  Nothing)
				End If
			End If

			'初回来院日＞最終来院日
			If Not Me.dte030XSP000F030.DateValue.Equals(Nothing) AndAlso Not Me.dte032XSP000F030.DateValue.Equals(Nothing) Then
				If Me.dte030XSP000F030.DateValue > Me.dte032XSP000F030.DateValue Then
					Me.addErrList("E0006", _
					  Me.dte030XSP000F030.Name, _
					  Me.lbl029XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Me.lbl029XSP000F030.Text & "、" & Me.lbl031XSP000F030.Text, _
					  Nothing)
				End If
			End If

			If Me.getErrCount() > 0 Then
				'エラー画面表示
				Me.nextErrForm()
				Return False
			Else
				'正常
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
