﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 共通処理_受領・更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080F020

#Region "変数"
    ' 引数保存
    Private penumUpdateMode As XSP080F010.Enum_UpdateMode
    Private penumMode As XSP080F010.Enum_Mode
    Private pstrPatient_No As String
    Private piHsp_History_No As Integer
    Private piCh_No As Integer
    Private penumLendItem_Cd As clsConst.Enum_Lenditem
    Private pstrLendItem_Nm As String
    Private pstrSummary_Maker_Cd As String
    Private pstrSummary_Approval_Dt As String
    ' クラス
	Private cliCom As clsCom
	Private cliComboCom As clsComboCom
	Private cliLendItem_MngStatus As clsMTM_LENDITEM_MNGSTATUS
	Private cliLendItem_KeepLct As clsMTM_LENDITEM_KEEPLCT
	Private cliLendItem_ArgStatus As clsMTM_LENDITEM_ARG_STATUS
	Private cliMtm_LendItem As clsMTM_LENDITEM
	Private cliMti_LendItm As clsMTI_LENDITM
	Private cliMain_Doctor As clsMAIN_DOCTOR
	Private cliStaff As clsStaff
	Private cliXTM_User As clsXTM_USER
    ' コンボ候補
    Private pdtLendItem_MngStatus As DataTable
    Private pdtLendItem_KeepLct As DataTable
    Private pdtLendItem_Arg_Status As DataTable
    Private pdtStaff As DataTable
    Private pdtDoctor As DataTable
    ' サマリ作成者
    Private pstrSummary_Maker_Kbn As String
    ' 戻り値
    Private pRetFormValue As Enum_FormReturn
	Private pRetData As datLENDITM
    ' データ
    ' 貸出物マスタ
    Private parLendItem As ArrayList
    ' 代表医師
    Dim pstrDoctor_Cd As String
#End Region

#Region "コンスタント"
    ' タイトル
    Private Const C_TITLE_RECEIPT As String = "受 領 処 理"
    Private Const C_TITLE_UPDATE As String = "更 新 処 理"
    Private Const C_TEXT_RECEIPT As String = "受領処理"
    Private Const C_TEXT_UPDATE As String = "更新処理"
    Private Const C_BTN_RECEIPT As String = "受領" & ControlChars.CrLf & "(F7)"
    Private Const C_BTN_UPDATE As String = "更新" & ControlChars.CrLf & "(F7)"
    Private Const C_INIT_COUNT As Integer = 1
    'メッセージ
    Private Const C_MSG_LENDITM As String = "貸出物情報"
    Private Const C_MSG_RECIPT As String = "受領"
    Private Const C_MSG_DOCTOR_DIV_NOTFOUND As String = "医師区分マスタ"
    Private Const C_MSG_CH_NOTFOUND As String = "科歴情報"
	Private Const C_MSG_HSP_NOTFOUND As String = "入退院情報"

	' サマリ作成者を主治医にする。
	Private Const C_MAIN_DOCTOR_KBN As String = "1"
	Private Const C_INIT_VALUE As String = "0"
#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="enumUpdateMode">登録・参照モード</param>
    ''' <param name="enumMode">処理モード</param>
    ''' <param name="strPatient_No">患者番号</param>
    ''' <param name="iHsp_History_No">入退院歴番号</param>
    ''' <param name="iCh_No">科歴番号</param>
    ''' <param name="enumLendItem_Cd">貸出物コード</param>
    ''' <param name="strLendItem_Nm">貸出物</param>
    ''' <param name="strSummary_Maker_Cd">サマリ作成者コード</param>
    ''' <param name="strSummary_Approval_Dt">サマリ承認日</param>
    ''' <remarks>
    ''' 2010/10/19 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Public Sub New(ByVal enumUpdateMode As XSP080F010.Enum_UpdateMode,
				   ByVal enumMode As XSP080F010.Enum_Mode,
				   ByVal strPatient_No As String,
				   ByVal iHsp_History_No As Integer,
				   ByVal iCh_No As Integer,
				   ByVal enumLendItem_Cd As clsConst.Enum_Lenditem,
				   ByVal strLendItem_Nm As String,
				   Optional ByVal strSummary_Maker_Cd As String = "",
				   Optional ByVal strSummary_Approval_Dt As String = "")

		InitializeComponent()

		' 引数保存
		penumUpdateMode = enumUpdateMode
		penumMode = enumMode
		pstrPatient_No = strPatient_No
		piHsp_History_No = iHsp_History_No
		piCh_No = iCh_No
		penumLendItem_Cd = enumLendItem_Cd
		pstrLendItem_Nm = strLendItem_Nm
		pstrSummary_Maker_Cd = strSummary_Maker_Cd
		pstrSummary_Approval_Dt = strSummary_Approval_Dt
	End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが開くイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub XSP080F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(clsSysMst.logLevel.NRM, "XSP080F020_Load", "フォームが開くイベント")
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliComboCom = New clsComboCom
			cliLendItem_MngStatus = New clsMTM_LENDITEM_MNGSTATUS
			cliLendItem_KeepLct = New clsMTM_LENDITEM_KEEPLCT
			cliLendItem_ArgStatus = New clsMTM_LENDITEM_ARG_STATUS
			cliMtm_LendItem = New clsMTM_LENDITEM
			cliMti_LendItm = New clsMTI_LENDITM
			cliMain_Doctor = New clsMAIN_DOCTOR
			cliStaff = New clsStaff
			cliXTM_User = New clsXTM_USER
			' サマリ作成者
			pstrSummary_Maker_Kbn = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00033)
			' コンボ候補設定
			Dim dr() As DataRow
			' 管理状況
			pdtLendItem_MngStatus = cliLendItem_MngStatus.getAll()
			dr = pdtLendItem_MngStatus.Select(sqlXSP080F020.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(penumLendItem_Cd, String)) & "'")
			pdtLendItem_MngStatus = cliCom.getTableFromRows(pdtLendItem_MngStatus, dr)
			' 保管場所
			pdtLendItem_KeepLct = cliLendItem_KeepLct.getAll()
			dr = pdtLendItem_KeepLct.Select(sqlXSP080F020.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(penumLendItem_Cd, String)) & "'")
			pdtLendItem_KeepLct = cliCom.getTableFromRows(pdtLendItem_KeepLct, dr)
			' 整理状況
			pdtLendItem_Arg_Status = cliLendItem_ArgStatus.getAll()
			dr = pdtLendItem_Arg_Status.Select(sqlXSP080F020.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(penumLendItem_Cd, String)) & "'")
			pdtLendItem_Arg_Status = cliCom.getTableFromRows(pdtLendItem_Arg_Status, dr)
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Select Case penumLendItem_Cd
					Case clsConst.Enum_Lenditem.MedicalRecord
						pdtStaff = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Staff_Dsp)
						Me.cmb017XSP080F020.DataSource = pdtLendItem_Arg_Status
						Me.cmb020XSP080F020.DataSource = pdtStaff
					Case clsConst.Enum_Lenditem.Summary
						pdtDoctor = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk_Dsp)
						Me.cmb023XSP080F020.DataSource = pdtDoctor
					Case clsConst.Enum_Lenditem.LendItem3
					Case clsConst.Enum_Lenditem.LendItem4
					Case clsConst.Enum_Lenditem.LendItem5
					Case Else
				End Select
				Me.cmb011XSP080F020.DataSource = pdtLendItem_MngStatus
				Me.cmb014XSP080F020.DataSource = pdtLendItem_KeepLct

			End Using
			' コンボ幅設定
			Me.cmb011XSP080F020.setDropDownWidth()
			Me.cmb014XSP080F020.setDropDownWidth()
			Me.cmb017XSP080F020.setDropDownWidth()
			Me.cmb020XSP080F020.setDropDownWidth()
			Me.cmb023XSP080F020.setDropDownWidth()
			' コントロール設定
			setControl()
			' 貸出物マスタ取得
			parLendItem = cliMtm_LendItem.getAll()
			' 初期値設定
			Me.lbl005XSP080F020.Text = pstrLendItem_Nm
			If penumMode = XSP080F010.Enum_Mode.RECEIPT Then
				Me.nud009XSP080F020.Value = C_INIT_COUNT
				Me.dte007XSP080F020.DateValue = Now
				Me.cmb011XSP080F020.Text = cliLendItem_MngStatus.getDefaultCdFromFix1(penumLendItem_Cd, clsConst.Enum_LendStat_Fix1.Receiving)
				Me.cmb014XSP080F020.Text = cliLendItem_KeepLct.getDefaultCdFromFix(penumLendItem_Cd, clsConst.Enum_LendItemKeepLct_Fix1.Receiving)
				If penumLendItem_Cd = clsConst.Enum_Lenditem.MedicalRecord Then
					' カルテ時
					Me.cmb017XSP080F020.Text = cliLendItem_ArgStatus.getDefaultCdFromFix(penumLendItem_Cd, clsConst.Enum_LendITemArgStatus_Fix1.Receiving)
					cliCom.setComboValue(Me.cmb020XSP080F020, Me._userID)
				ElseIf penumLendItem_Cd = clsConst.Enum_Lenditem.Summary Then
					' サマリ時
					' 主治医取得処理
					pstrDoctor_Cd = cliMain_Doctor.getMain_Doctor(pstrPatient_No,
					   piHsp_History_No,
					   cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No))
					If pstrSummary_Maker_Kbn = C_MAIN_DOCTOR_KBN Then
						' 主治医をサマリ作成者にする。
						Me.cmb023XSP080F020.Text = pstrDoctor_Cd
					End If
					' 全画面に入力有りの場合（サマリ作成者）
					If Not String.IsNullOrEmpty(pstrSummary_Maker_Cd) Then
						Me.cmb023XSP080F020.Text = pstrSummary_Maker_Cd
					End If
					' 全画面に入力有りの場合（サマリ承認日）
					If String.IsNullOrEmpty(pstrSummary_Approval_Dt) Then
						Me.dte027XSP080F020.DateValue = Nothing
					Else
						Me.dte027XSP080F020.DateValue = pstrSummary_Approval_Dt
					End If
				End If
			Else
				Me.nud009XSP080F020.ResetText()
				Me.dte007XSP080F020.DateValue = Nothing
				Me.cmb011XSP080F020.Text = Nothing
				Me.cmb014XSP080F020.Text = Nothing
				If penumLendItem_Cd = clsConst.Enum_Lenditem.MedicalRecord Then
					Me.cmb017XSP080F020.Text = Nothing
					Me.cmb020XSP080F020.Text = Nothing
				End If
				' 主治医取得処理
				pstrDoctor_Cd = cliMain_Doctor.getMain_Doctor(pstrPatient_No,
				   piHsp_History_No,
				   cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No))
			End If
			If penumLendItem_Cd = clsConst.Enum_Lenditem.Summary Then
				If String.IsNullOrEmpty(pstrDoctor_Cd) Then
					If cliXTM_User.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Touroku) Then
						' 登録権限有り
						Me.btn025XSP080F020.Text = sqlMAIN_DOCTOR.C_TO_MAIN_DOCTOR
						Me.btn025XSP080F020.ForeColor = clsConst.CST_TO_MAINDOCTOR_COLOR
					Else
						' 登録権限なし
						Me.btn025XSP080F020.Visible = False
					End If
				Else
					Me.btn025XSP080F020.Text = sqlMAIN_DOCTOR.C_FROM_MAIN_DOCTOR
					Me.btn025XSP080F020.ForeColor = clsConst.CST_FROM_MAINDOCTOR_COLOR
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			EndProc()
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが閉じるイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub XSP080F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "XSP080F020_FormClosing", "フォームが閉じるイベント")
        Try
			Me.setCloseFlg()
            CType(Me.Owner, frmBase).backForm(False, pRetFormValue, New DictionaryEntry(Me.Name, pRetData))
            ' DataTable解放
            If pdtLendItem_MngStatus IsNot Nothing Then
                pdtLendItem_MngStatus.Dispose()
            End If
            If pdtLendItem_KeepLct IsNot Nothing Then
                pdtLendItem_KeepLct.Dispose()
            End If
            If pdtLendItem_Arg_Status IsNot Nothing Then
                pdtLendItem_Arg_Status.Dispose()
            End If
            If pdtStaff IsNot Nothing Then
                pdtStaff.Dispose()
            End If
            If pdtDoctor IsNot Nothing Then
                pdtDoctor.Dispose()
            End If

        Catch ex As Exception
			ErrorProc(ex)
			EndProc()
		Finally
			cliComboCom = Nothing
			cliLendItem_MngStatus = Nothing
			cliLendItem_KeepLct = Nothing
			cliLendItem_ArgStatus = Nothing
			cliMtm_LendItem = Nothing
			cliCom = Nothing
			cliMti_LendItm = Nothing
			cliMain_Doctor = Nothing
			cliStaff = Nothing
			cliXTM_User = Nothing

			parLendItem = Nothing

			pdtLendItem_MngStatus = Nothing
			pdtLendItem_KeepLct = Nothing
			pdtLendItem_Arg_Status = Nothing
			pdtStaff = Nothing
			pdtDoctor = Nothing
		End Try

    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 閉じるボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
        log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリックイベント")
        Try
            pRetFormValue = Enum_FormReturn.CANSEL
			EndProc()
        Catch ex As Exception
			ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 確定ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
        log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "確定ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			' 更新処理
            If Not updProc() Then
                Exit Sub
            End If
			EndProc()
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 代表医師ボタンクリック処理
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn025XSP080F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn025XSP080F020.Click
        log(clsSysMst.logLevel.NRM, "btn025XSP080F020_Click", "代表医師ボタンクリック処理")
        Try
			Me.Cursor = Cursors.WaitCursor
			If Me.btn025XSP080F020.Text = sqlMAIN_DOCTOR.C_FROM_MAIN_DOCTOR Then
				' 代表医師から
				Me.cmb023XSP080F020.Text = pstrDoctor_Cd
			Else
				If String.IsNullOrEmpty(Me.cmb023XSP080F020.Text) Then
					showMsg("E0001")
					Me.cmb023XSP080F020.Focus()
					Exit Sub
				End If
				' 代表医師へ
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					Try
						db.ctlTran(clsDB.Enum_TranMode.Begin)

						Dim iRet As Integer = cliMain_Doctor.updMain_Doctor(db,
																			pstrPatient_No,
																			piHsp_History_No,
																			piCh_No,
																			Me.cmb023XSP080F020.Text,
																			Me._userID)
						' エラー処理
						If iRet = 1 Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							showMsg("E0015", C_MSG_DOCTOR_DIV_NOTFOUND, Nothing)
							Exit Sub
						ElseIf iRet = 2 Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							showMsg("E0015", C_MSG_CH_NOTFOUND, Nothing)
							Exit Sub
						ElseIf iRet = 3 Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							showMsg("E0015", C_MSG_HSP_NOTFOUND, Nothing)
							Exit Sub
						ElseIf iRet = 9 Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Sub
						End If

						db.ctlTran(clsDB.Enum_TranMode.Commit)

						Me.btn025XSP080F020.Enabled = False

					Catch ex As SqlClient.SqlException
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						ErrorProc(ex)
					Catch ex As Exception
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						ErrorProc(ex)
					End Try
				End Using
			End If
			Me.cmb023XSP080F020.Focus()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領者ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn019XSP080F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019XSP080F020.Click
		log(clsSysMst.logLevel.NRM, "btn019XSP080F020_Click", "受領者ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			cliStaff.dspStaffForm(Me, Me.cmb020XSP080F020.Name, Me.lbl021XSP080F020.Name, clsStaff.Enum_DspMode.eIns, Me.cmb020XSP080F020.DoctorFlg)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 作成者ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn022XSP080F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn022XSP080F020.Click
        log(clsSysMst.logLevel.NRM, "btn022XSP080F020_Click", "作成者ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			cliStaff.dspStaffForm(Me, Me.cmb023XSP080F020.Name, Me.lbl024XSP080F020.Name, clsStaff.Enum_DspMode.eIns, Me.cmb023XSP080F020.DoctorFlg)
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 更新処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function updProc() As Boolean
        log(clsSysMst.logLevel.DBG, "updProc", "更新処理")
        Try
            ' 入力チェック
            If Not chkInput(penumMode) Then
                Return False
            End If
            If penumMode = XSP080F010.Enum_Mode.RECEIPT Then
				' ■受領処理
                If Not updRecept() Then
                    pRetFormValue = Enum_FormReturn.CANSEL
                    Return True
                End If
            Else
				' ■更新処理
				If Me.rdo004XSP080F020.Checked Then
					' 空白更新する。
					If Not updRecept() Then
						pRetFormValue = Enum_FormReturn.CANSEL
						Return True
					End If
				Else
					' 空白更新しない。
					If Not updUpdate() Then
						pRetFormValue = Enum_FormReturn.CANSEL
						Return True
					End If
				End If
			End If
			pRetFormValue = Enum_FormReturn.OK
			Return True
		Catch ex As Exception
			ErrorProc(ex)
		End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 入力チェック処理
    ''' </summary>
    ''' <param name="eMode"></param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function chkInput(ByVal eMode As XSP080F010.Enum_Mode) As Boolean
        log(clsSysMst.logLevel.DBG, "chkInput", "入力チェック処理")
        Try
			If Not Me.ValidateChildren(ValidationConstraints.Visible) Then
				Return False
			End If
            ' 受領　または更新で空白更新する場合
            If eMode = XSP080F010.Enum_Mode.RECEIPT Then
                ' 受領日
                If String.IsNullOrEmpty(Me.dte007XSP080F020.Text) Then
					addErrList("E0001", Me.dte007XSP080F020.Name, Me.lbl006XSP080F020.Text, Nothing)
                End If
                ' 数
                If String.IsNullOrEmpty(Me.nud009XSP080F020.Text) Then
					addErrList("E0001", Me.nud009XSP080F020.Name, Me.lbl008XSP080F020.Text, Nothing)
                End If
                ' 管理状況
                If String.IsNullOrEmpty(Me.cmb011XSP080F020.Text) Then
					addErrList("E0001", Me.cmb011XSP080F020.Name, Me.lbl010XSP080F020.Text, Nothing)
                End If
                ' エラー存在チェック
                If getErrCount() > 0 Then
                    ' エラー時
					nextErrForm()
                    Return False
                End If
            End If

            Return True

        Catch ex As Exception
            Throw
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 受領登録処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function updRecept() As Boolean
        log(clsSysMst.logLevel.DBG, "updRecept", "受領登録処理")
		Dim dat As datMTI_LENDITM
		Try
			dat = New datMTI_LENDITM
			Dim iHsp_History_No As Integer = Nothing
			Dim iCh_No As Integer = Nothing
			Dim strMngStatus_Rnm As String = Nothing
			Dim strArg_Status_Rnm As String = Nothing
			Dim strKeepLct_Rnm As String = Nothing

			Dim iIdx As Integer
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)
						' 存在チェック
						Dim iRet As Integer
						Dim arData As ArrayList = New ArrayList()
						.setSQL(sqlXSP080F020.sqlSelExist)
						' 患者番号
						.setParam(sqlXSP080F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F020.prmPATIENT_NO, pstrPatient_No)
						' 入退院歴番号
						iHsp_History_No = cliMtm_LendItem.getHsp_History_No(parLendItem, penumLendItem_Cd, piHsp_History_No)
						.setParam(sqlXSP080F020.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F020.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
						' 科歴番号
						iCh_No = cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No)
						.setParam(sqlXSP080F020.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F020.prmCH_NO, iCh_No.ToString)

						iRet = .execQuery(GetType(datMTI_LENDITM_CHK), arData)

						' データなし
						If arData.Count <= 0 Then
							showMsg("E0015", C_MSG_LENDITM, Nothing)
							Return False
						End If
						' 受領処理
						If penumMode = XSP080F010.Enum_Mode.RECEIPT Then
							' 受領済みチェック
							Select Case penumLendItem_Cd
								Case clsConst.Enum_Lenditem.MedicalRecord
									' カルテ
									If Not String.IsNullOrEmpty(CType(arData(0), datMTI_LENDITM_CHK).RECORD_RECEIPT_DT) Then
										showMsg("E0012", C_MSG_RECIPT, Nothing)
										Return False
									End If
								Case clsConst.Enum_Lenditem.Summary
									' サマリ
									If Not String.IsNullOrEmpty(CType(arData(0), datMTI_LENDITM_CHK).SUMMARY_RECEIPT_DT) Then
										showMsg("E0012", C_MSG_RECIPT, Nothing)
										Return False
									End If
								Case clsConst.Enum_Lenditem.LendItem3
									' 他１
									If Not String.IsNullOrEmpty(CType(arData(0), datMTI_LENDITM_CHK).OTHER1_RECEIPT_DT) Then
										showMsg("E0012", C_MSG_RECIPT, Nothing)
										Return False
									End If
								Case clsConst.Enum_Lenditem.LendItem4
									' 他２
									If Not String.IsNullOrEmpty(CType(arData(0), datMTI_LENDITM_CHK).OTHER2_RECEIPT_DT) Then
										showMsg("E0012", C_MSG_RECIPT, Nothing)
										Return False
									End If
								Case clsConst.Enum_Lenditem.LendItem5
									' 他３
									If Not String.IsNullOrEmpty(CType(arData(0), datMTI_LENDITM_CHK).OTHER3_RECEIPT_DT) Then
										showMsg("E0012", C_MSG_RECIPT, Nothing)
										Return False
									End If
							End Select
						End If
						' データ編集
						dat.PATIENT_NO = pstrPatient_No
						dat.HSP_HISTORY_NO = iHsp_History_No
						dat.CH_NO = iCh_No
						If Not String.IsNullOrEmpty(Me.nud009XSP080F020.Text) Then
							dat.COUNT = Me.nud009XSP080F020.Text
						Else
							dat.COUNT = C_INIT_VALUE
						End If
						dat.RECEIPT_DT = Me.dte007XSP080F020.Text
						dat.KEEPLCT_CD = Me.cmb014XSP080F020.Text
						dat.MNGSTATUS_CD = Me.cmb011XSP080F020.Text
						If penumLendItem_Cd = clsConst.Enum_Lenditem.MedicalRecord Then
							dat.RECORD_ARG_STATUS_CD = Me.cmb017XSP080F020.Text
							dat.RECORD_RECIPIENT_CD = Me.cmb020XSP080F020.Text
						ElseIf penumLendItem_Cd = clsConst.Enum_Lenditem.Summary Then
							dat.SUMMARY_MAKER_CD = Me.cmb023XSP080F020.Text
							dat.SUMMARY_APPROVAL_DT = Me.dte027XSP080F020.Text
						End If
'(A) STR V4-12014-000 003 2012/01/24 旧バーコードデータメンテ対応
						dat.OLD_BARCODE = Me.txt029XSP080F020.Text
'(A) END V4-12014-000 003 2012/01/24 旧バーコードデータメンテ対応
						dat.LASTUPDUSER_CD = Me._userID
						' 管理状況略称名１取得
						iIdx = cliCom.getIndexFromDataTable(pdtLendItem_MngStatus, sqlXSP080F020.itmMNGSTATUS_CD, dat.MNGSTATUS_CD)
						If iIdx > -1 Then
							strMngStatus_Rnm = pdtLendItem_MngStatus.Rows(iIdx)(sqlXSP080F020.itmMNGSTATUS1_RNM).ToString
						End If
						' 整理状況略称名取得
						If penumLendItem_Cd = clsConst.Enum_Lenditem.MedicalRecord Then
							iIdx = cliCom.getIndexFromDataTable(pdtLendItem_Arg_Status, sqlXSP080F020.itmARG_STATUS_CD, dat.RECORD_ARG_STATUS_CD)
							If iIdx > -1 Then
								strArg_Status_Rnm = pdtLendItem_Arg_Status.Rows(iIdx)(sqlXSP080F020.itmARG_STATUS_RNM).ToString
							End If
						End If
						' 保管場所略称名取得
						iIdx = cliCom.getIndexFromDataTable(pdtLendItem_KeepLct, sqlXSP080F020.itmKEEPLCT_CD, dat.KEEPLCT_CD)
						If iIdx > -1 Then
							strKeepLct_Rnm = pdtLendItem_KeepLct.Rows(iIdx)(sqlXSP080F020.itmKEEPLCT_RNM).ToString
						End If
						Select Case penumLendItem_Cd
							Case clsConst.Enum_Lenditem.MedicalRecord
								' ■カルテ更新
								iRet = cliMti_LendItm.updLendItm1(db, dat)
							Case clsConst.Enum_Lenditem.Summary
								' ■サマリ更新
								iRet = cliMti_LendItm.updLendItm2(db, dat)
							Case clsConst.Enum_Lenditem.LendItem3
								' ■他１更新
								iRet = cliMti_LendItm.updLendItm3(db, dat)
							Case clsConst.Enum_Lenditem.LendItem4
								' ■他２更新
								iRet = cliMti_LendItm.updLendItm4(db, dat)
							Case clsConst.Enum_Lenditem.LendItem5
								' ■他３更新
								iRet = cliMti_LendItm.updLendItm5(db, dat)
						End Select

						.ctlTran(clsDB.Enum_TranMode.Commit)

					Catch ex As SqlClient.SqlException
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						ErrorProc(ex)
						Throw
					Catch ex As Exception
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
			' 戻り値保存
			pRetData = New datLENDITM
			pRetData.enumMode = penumMode
			pRetData.PATIENT_NO = dat.PATIENT_NO
			pRetData.HSP_HISTORY_NO = dat.HSP_HISTORY_NO
			pRetData.CH_NO = dat.CH_NO
			pRetData.LENDITEM_CD = CType(penumLendItem_Cd, String)
			pRetData.CNT = dat.COUNT
			pRetData.MNGSTATUS_CD = dat.MNGSTATUS_CD
			pRetData.MNGSTATUS_RNM = strMngStatus_Rnm
			pRetData.ARG_STATUS_CD = dat.RECORD_ARG_STATUS_CD
			pRetData.ARG_STATUS_RNM = strArg_Status_Rnm
			pRetData.KEEPLCT_CD = dat.KEEPLCT_CD
			pRetData.KEEPLCT_RNM = strKeepLct_Rnm
			pRetData.RECEIPT_DT = dat.RECEIPT_DT
			pRetData.SELECTUPDATE = False
			pRetData.clsLEND = Nothing

			Return True

		Catch ex As Exception
			Throw
		Finally
			dat = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updUpdate() As Boolean
		log(clsSysMst.logLevel.DBG, "updUpdate", "更新処理")
		Dim dat As datMTI_LENDITM
		Try
			dat = New datMTI_LENDITM
			Dim iHsp_History_No As Integer = Nothing
			Dim iCh_No As Integer = Nothing
			Dim strMngStatus_Rnm As String = Nothing
			Dim strArg_Status_Rnm As String = Nothing
			Dim strKeepLct_Rnm As String = Nothing

			Dim iIdx As Integer
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)
						' 存在チェック
						Dim iRet As Integer
						Dim arData As ArrayList = New ArrayList()
						.setSQL(sqlXSP080F020.sqlSelExist)
						' 患者番号
						.setParam(sqlXSP080F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F020.prmPATIENT_NO, pstrPatient_No)
						' 入退院歴番号
						iHsp_History_No = cliMtm_LendItem.getHsp_History_No(parLendItem, penumLendItem_Cd, piHsp_History_No)
						.setParam(sqlXSP080F020.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F020.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
						' 科歴番号
						iCh_No = cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No)
						.setParam(sqlXSP080F020.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F020.prmCH_NO, iCh_No.ToString)

						iRet = .execQuery(GetType(datMTI_LENDITM_CHK), arData)

						' データなし
						If arData.Count <= 0 Then
							showMsg("E0015", C_MSG_LENDITM, Nothing)
							Return False
						End If
						' データ保存
						' データ編集
						dat.PATIENT_NO = pstrPatient_No
						dat.HSP_HISTORY_NO = iHsp_History_No
						dat.CH_NO = iCh_No
						If Not String.IsNullOrEmpty(Me.nud009XSP080F020.Text) Then
							dat.COUNT = Me.nud009XSP080F020.Text
						End If
						dat.RECEIPT_DT = Me.dte007XSP080F020.Text
						dat.KEEPLCT_CD = Me.cmb014XSP080F020.Text
						dat.MNGSTATUS_CD = Me.cmb011XSP080F020.Text
						If penumLendItem_Cd = clsConst.Enum_Lenditem.MedicalRecord Then
							dat.RECORD_ARG_STATUS_CD = Me.cmb017XSP080F020.Text
							dat.RECORD_RECIPIENT_CD = Me.cmb020XSP080F020.Text
						ElseIf penumLendItem_Cd = clsConst.Enum_Lenditem.Summary Then
							dat.SUMMARY_MAKER_CD = Me.cmb023XSP080F020.Text
							dat.SUMMARY_APPROVAL_DT = Me.dte027XSP080F020.Text
						End If
'(A) STR V4-12014-000 003 2012/01/24 旧バーコードデータメンテ対応
						dat.OLD_BARCODE = Me.txt029XSP080F020.Text
'(A) END V4-12014-000 003 2012/01/24 旧バーコードデータメンテ対応
						dat.LASTUPDUSER_CD = Me._userID
						' 管理状況略称名１取得
						iIdx = cliCom.getIndexFromDataTable(pdtLendItem_MngStatus, sqlXSP080F020.itmMNGSTATUS_CD, dat.MNGSTATUS_CD)
						If iIdx > -1 Then
							strMngStatus_Rnm = pdtLendItem_MngStatus.Rows(iIdx)(sqlXSP080F020.itmMNGSTATUS1_RNM).ToString
						End If
						' 整理状況略称名取得
						If penumLendItem_Cd = clsConst.Enum_Lenditem.MedicalRecord Then
							iIdx = cliCom.getIndexFromDataTable(pdtLendItem_Arg_Status, sqlXSP080F020.itmARG_STATUS_CD, dat.RECORD_ARG_STATUS_CD)
							If iIdx > -1 Then
								strArg_Status_Rnm = pdtLendItem_Arg_Status.Rows(iIdx)(sqlXSP080F020.itmARG_STATUS_RNM).ToString
							End If
						End If
						' 保管場所略称名取得
						iIdx = cliCom.getIndexFromDataTable(pdtLendItem_KeepLct, sqlXSP080F020.itmKEEPLCT_CD, dat.KEEPLCT_CD)
						If iIdx > -1 Then
							strKeepLct_Rnm = pdtLendItem_KeepLct.Rows(iIdx)(sqlXSP080F020.itmKEEPLCT_RNM).ToString
						End If
						' 空白更新しない。
						Select Case penumLendItem_Cd
							Case clsConst.Enum_Lenditem.MedicalRecord
								' ■カルテ更新
								iRet = cliMti_LendItm.updVarLendItm1(db, dat)
							Case clsConst.Enum_Lenditem.Summary
								' ■サマリ更新
								iRet = cliMti_LendItm.updVarLendItm2(db, dat)
							Case clsConst.Enum_Lenditem.LendItem3
								' ■他１更新
								iRet = cliMti_LendItm.updVarLendItm3(db, dat)
							Case clsConst.Enum_Lenditem.LendItem4
								' ■他２更新
								iRet = cliMti_LendItm.updVarLendItm4(db, dat)
							Case clsConst.Enum_Lenditem.LendItem5
								' ■他３更新
								iRet = cliMti_LendItm.updVarLendItm5(db, dat)
						End Select
						'End If
						.ctlTran(clsDB.Enum_TranMode.Commit)

					Catch ex As SqlClient.SqlException
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						ErrorProc(ex)
						Throw
					Catch ex As Exception
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
			' 戻り値保存
			pRetData = New datLENDITM
			pRetData.enumMode = penumMode
			pRetData.PATIENT_NO = dat.PATIENT_NO
			pRetData.HSP_HISTORY_NO = dat.HSP_HISTORY_NO
			pRetData.CH_NO = dat.CH_NO
			pRetData.LENDITEM_CD = CType(penumLendItem_Cd, String)
			pRetData.CNT = dat.COUNT
			pRetData.MNGSTATUS_CD = dat.MNGSTATUS_CD
			pRetData.MNGSTATUS_RNM = strMngStatus_Rnm
			pRetData.ARG_STATUS_CD = dat.RECORD_ARG_STATUS_CD
			pRetData.ARG_STATUS_RNM = strArg_Status_Rnm
			pRetData.KEEPLCT_CD = dat.KEEPLCT_CD
			pRetData.KEEPLCT_RNM = strKeepLct_Rnm
			pRetData.RECEIPT_DT = dat.RECEIPT_DT
			pRetData.SELECTUPDATE = True
			pRetData.clsLEND = Nothing

			Return True

		Catch ex As Exception
			Throw
		End Try
	End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' コントロール設定処理
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/20 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setControl()
        log(clsSysMst.logLevel.DBG, "setControl", "コントロール設定処理")
        Try
            ' 処理モード毎のタイトル関連変更
            Select Case penumMode
                Case XSP080F010.Enum_Mode.RECEIPT
                    Me.Title = C_TITLE_RECEIPT
                    Me.Text = C_TEXT_RECEIPT
                    Me.btn004XSP000F010.Text = C_BTN_RECEIPT
                    Me.lbl001XSP080F020.Visible = False
                    Me.grp002XSP080F020.Visible = False
                Case XSP080F010.Enum_Mode.UPDATE
                    Me.Title = C_TITLE_UPDATE
                    Me.Text = C_TEXT_UPDATE
                    Me.btn004XSP000F010.Text = C_BTN_UPDATE
                    Me.lbl001XSP080F020.Visible = True
                    Me.grp002XSP080F020.Visible = True
                Case Else
            End Select
            ' 必須色変更（受領）
            If penumMode = XSP080F010.Enum_Mode.RECEIPT Then
                Me.lbl006XSP080F020.ForeColor = clsConst.CST_REQUIRED_COLOR
                Me.lbl008XSP080F020.ForeColor = clsConst.CST_REQUIRED_COLOR
                Me.lbl010XSP080F020.ForeColor = clsConst.CST_REQUIRED_COLOR
            End If
            ' 貸出物で表示切替
            Select Case penumLendItem_Cd
                Case clsConst.Enum_Lenditem.MedicalRecord
                    Me.btn022XSP080F020.Visible = False
                    Me.cmb023XSP080F020.Visible = False
                    Me.lbl024XSP080F020.Visible = False
                    Me.btn025XSP080F020.Visible = False
                    Me.lbl026XSP080F020.Visible = False
                    Me.dte027XSP080F020.Visible = False
                Case clsConst.Enum_Lenditem.Summary
                    Me.btn019XSP080F020.Visible = False
                    Me.cmb020XSP080F020.Visible = False
                    Me.lbl021XSP080F020.Visible = False
                    Me.lbl016XSP080F020.Visible = False
                    Me.cmb017XSP080F020.Visible = False
                    Me.lbl018XSP080F020.Visible = False
                Case clsConst.Enum_Lenditem.LendItem3, clsConst.Enum_Lenditem.LendItem4, clsConst.Enum_Lenditem.LendItem5
                    Me.lbl016XSP080F020.Visible = False
                    Me.cmb017XSP080F020.Visible = False
                    Me.lbl018XSP080F020.Visible = False
                    Me.btn019XSP080F020.Visible = False
                    Me.cmb020XSP080F020.Visible = False
                    Me.lbl021XSP080F020.Visible = False
                    Me.btn022XSP080F020.Visible = False
                    Me.cmb023XSP080F020.Visible = False
                    Me.lbl024XSP080F020.Visible = False
                    Me.btn025XSP080F020.Visible = False
                    Me.lbl026XSP080F020.Visible = False
                    Me.dte027XSP080F020.Visible = False
                Case Else
            End Select
            ' 参照モード
            If penumUpdateMode = XSP080F010.Enum_UpdateMode.ReadOnlyMode Then
                Me.btn004XSP000F010.Visible = False
                Me.dte007XSP080F020.CanInput = False
                Me.nud009XSP080F020.CanInput = False
                Me.cmb011XSP080F020.CanInput = False
                Me.cmb014XSP080F020.CanInput = False
                Me.cmb017XSP080F020.CanInput = False
                Me.cmb020XSP080F020.CanInput = False
                Me.cmb023XSP080F020.CanInput = False
                Me.dte027XSP080F020.CanInput = False
                Me.btn019XSP080F020.CanInput = False
                Me.btn022XSP080F020.CanInput = False
                Me.btn025XSP080F020.Visible = False
            End If
        Catch ex As Exception
			ErrorProc(ex)
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' F7キー処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F7KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F7KeyProc", "F7キー処理")
        Try
            ' 更新処理
            If Not updProc() Then
                Exit Function
            End If
            pRetFormValue = Enum_FormReturn.OK
			EndProc()
        Catch ex As Exception
            Throw
        End Try
        Return False
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' F12キー処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/21 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キー処理")
        Try
            pRetFormValue = Enum_FormReturn.CANSEL
			EndProc()
        Catch ex As Exception
            Throw
        End Try
        Return False
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 職員検索処理（F1）
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function StaffFormProc() As Boolean
        log(clsSysMst.logLevel.NRM, "StaffFormProc", "職員検索処理（F1）")
        Try
            Dim myForm As frmBase = Me
            Dim cliXSP030F010 As XSP.XSP030F010
			cliXSP030F010 = New XSP.XSP030F010(Me.ActiveControl.Name, CType(Me.ActiveControl, BT_MultiComboBox).LinkControl, XSP030F010.Enum_ExeMode.eIns, CType(Me.ActiveControl, BT_MultiComboBox).DoctorFlg)
            myForm.nextForm(cliXSP030F010)
            Return MyBase.StaffFormProc()
        Catch ex As Exception
            Throw
        End Try
    End Function

#End Region

End Class
