﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出・返却・貸出更新処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080F030

#Region "変数"
    ' 引数保存
    Private penumUpdateMode As XSP080F010.Enum_UpdateMode
    Private penumMode As XSP080F010.Enum_Mode
    Private pstrPatient_No As String
    Private piHsp_History_No As Integer
    Private piCh_No As Integer
    Private penumLendItem_Cd As clsConst.Enum_Lenditem
    Private piLendSerial_No As Integer
    ' クラス定義
	Private cliCom As clsCom
	Private cliStaff As clsStaff
	Private cliComboCom As clsComboCom
	Private cliMain_Doctor As clsMAIN_DOCTOR
	Private cliMtm_LendItem As clsMTM_LENDITEM
	Private cliMti_Lend As clsMTI_LEND
	Private cliMti_LendItm As clsMTI_LENDITM
	Private cliMtm_LendItem_MngStatus As clsMTM_LENDITEM_MNGSTATUS
	Private cliMtm_LendAim As clsMTM_LENDAIM
	Private cliXTM_User As clsXTM_USER
    ' データテーブル
	Private pdtStaff As DataTable
	Private pdtStaffXDiv As DataTable
	Private pdtStaff_Taker_Cd As DataTable
	Private pdtStaff_Borrower_Cd As DataTable
	Private pdtStaff_LendClerk_Cd As DataTable
	Private pdtStaff_BackClerk_Cd As DataTable
	Private pdtStaffDiv As DataTable
	Private pdtStaffDiv_Taker_Cd As DataTable
	Private pdtStaffDiv_Borrower_Cd As DataTable
	Private pdtLendAim_Cd As DataTable
	Private pdtLct_Cd As DataTable
	Private pdtLendItem_MngStatus As DataTable
    Private parLendItem As ArrayList
    ' 所在場所必須
	Private pstrLct_Cd_Require As String
	' 戻り値
    Private pRetFormValue As Enum_FormReturn
	Private pRetData As datLENDITM = Nothing
	' 変更判定
	Private pbStaff_Borrower_Cd_Bind As Boolean = False
	Private pbStaff_Taker_Cd_Bind As Boolean = False
	Private pstrStaff_Borrower_Cd As String = Nothing
	Private pstrStaff_Taker_Cd As String = Nothing
	Private pstrStaff_Borrower_Nm As String = Nothing
	Private pstrStaff_Taker_Nm As String = Nothing
	Private pstrBorrowerDiv_CD As String = Nothing
	Private pstrTakerDiv_CD As String = Nothing
	' 画面終了フラグ
	Private bClose As Boolean = True
	' 貸出目的コード
	Private pstrLENDAIM_CD As String = Nothing
	' 貸出日
	Private pstrISSUE_DT As String = Nothing
#End Region

#Region "コンスタント"
	' 貸出
	Private Const C_TEXT_LEND As String = "貸出処理"
	Private Const C_TITLE_LEND As String = "貸 出 処 理"
	Private Const C_BTN_LEND As String = "貸出" & ControlChars.CrLf & "(F7)"
	' 返却
	Private Const C_TEXT_BACK As String = "返却処理"
	Private Const C_TITLE_BACK As String = "返 却 処 理"
	Private Const C_BTN_BACK As String = "返却" & ControlChars.CrLf & "(F7)"
	' 貸出更新
	Private Const C_TEXT_LENDUPD As String = "貸出更新処理"
	Private Const C_TITLE_LENDUPD As String = "貸 出 更 新 処 理"
	Private Const C_BTN_LENDUPD As String = "貸出更新" & ControlChars.CrLf & "(F7)"
	' メッセージ
	Private Const C_MSG_SLIP_CD_MAXOVER1 As String = "当月は貸出最大数(9999)に達した"
	Private Const C_MSG_SLIP_CD_MAXOVER2 As String = "これ以上貸出"
	Private Const C_MSG_SLIP_CD_MAXOVER3 As String = "開発元にお問い合わせください。"
	Private Const C_MSG_MTI_LENDITM As String = "貸出物情報"
	Private Const C_MSG_MTI_LEND As String = "貸出情報"
	Private Const C_MSG_MTM_LENDITEM As String = "貸出物マスタ"
	Private Const C_MSG_LENDITEM_MNGSTATUS As String = "貸出物管理状況マスタ"
	Private Const C_MSG_MNGSTATUS_LEND_ERR As String = "貸出物管理状況マスタに貸出時のデータ存在しない"
	Private Const C_MSG_MNGSTATUS_LENDABLE_ERR As String = "管理状況が貸出禁止かまたは管理状況が設定されていない"
	Private Const C_MSG_MNGSTATUS_BACK_ERR As String = "貸出物管理状況マスタに返却時、または受領時のデータが存在しない"
	'貸出日＜退院(終了)日のため、貸出できません。
	Private Const C_MSG_LNED_DATE_ERR As String = "貸出日＜退院(終了)日の"
	Private Const C_MSG_BACK_DATE_ERR As String = "返却日＜貸出日(終了)日の"
	Private Const C_MSG_LEND As String = "貸出"
	Private Const C_MSG_BACK As String = "返却"
	Private Const C_MSG_CODE As String = "コード"

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="enumUpdateMode"></param>
    ''' <param name="enumMode"></param>
    ''' <param name="strPatient_No"></param>
    ''' <param name="iHsp_History_No"></param>
    ''' <param name="iCh_No"></param>
    ''' <param name="enumLendItem_Cd"></param>
    ''' <param name="iLendSerial_No"></param>
    ''' <remarks>
    ''' 2010/10/19 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Public Sub New(ByVal enumUpdateMode As XSP080F010.Enum_UpdateMode,
		ByVal enumMode As XSP080F010.Enum_Mode,
		ByVal strPatient_No As String,
		ByVal iHsp_History_No As Integer,
		ByVal iCh_No As Integer,
		ByVal enumLendItem_Cd As clsConst.Enum_Lenditem,
		Optional ByVal iLendSerial_No As Integer = 0)

		InitializeComponent()

		penumUpdateMode = enumUpdateMode
		penumMode = enumMode
		pstrPatient_No = strPatient_No
		piHsp_History_No = iHsp_History_No
		piCh_No = iCh_No
		penumLendItem_Cd = enumLendItem_Cd
		piLendSerial_No = iLendSerial_No
	End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが開くイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub XSP080F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(clsSysMst.logLevel.NRM, "XSP080F030_Load", "フォームが開くイベント")
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliStaff = New clsStaff
			cliComboCom = New clsComboCom
			cliMain_Doctor = New clsMAIN_DOCTOR
			cliMtm_LendItem = New clsMTM_LENDITEM
			cliMti_Lend = New clsMTI_LEND
			cliMti_LendItm = New clsMTI_LENDITM
			cliMtm_LendItem_MngStatus = New clsMTM_LENDITEM_MNGSTATUS
			cliMtm_LendAim = New clsMTM_LENDAIM
			cliXTM_User = New clsXTM_USER
			' 所在場所必須
			pstrLct_Cd_Require = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00072)
			' 貸出物マスタ全件取得
			parLendItem = cliMtm_LendItem.getAll()
			' コントロール設定
			setControl()
			' コンボ候補取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				pdtStaff = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Staff_Dsp)
				pdtStaffXDiv = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXDiv_Dsp)
				pdtStaffDiv = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffDiv_Dsp)
				pdtLendAim_Cd = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendAimXDays)
				pdtLct_Cd = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemLct)
			End Using
			' 貸出目的
			Me.cmb009XSP080F030.DataSource = pdtLendAim_Cd
			' 所在場所
			Me.cmb012XSP080F030.DataSource = pdtLct_Cd
			' 職員関連
			pdtStaff_Borrower_Cd = pdtStaffXDiv.Copy
			Me.cmb020XSP080F030.DataSource = pdtStaff_Borrower_Cd
			pdtStaff_Taker_Cd = pdtStaffXDiv.Copy
			Me.cmb026XSP080F030.DataSource = pdtStaff_Taker_Cd
			pdtStaff_LendClerk_Cd = pdtStaff.Copy
			Me.cmb034XSP080F030.DataSource = pdtStaff_LendClerk_Cd
			If penumMode = XSP080F010.Enum_Mode.BACK Then
				pdtStaff_BackClerk_Cd = pdtStaff.Copy
				Me.cmb040XSP080F030.DataSource = pdtStaff_BackClerk_Cd
			End If
			' 職員部門関連
			pdtStaffDiv_Borrower_Cd = pdtStaffDiv.Copy
			Me.cmb023XSP080F030.DataSource = pdtStaffDiv_Borrower_Cd
			pdtStaffDiv_Taker_Cd = pdtStaffDiv.Copy
			Me.cmb029XSP080F030.DataSource = pdtStaffDiv_Taker_Cd
			' コンボ幅設定
			Me.cmb009XSP080F030.setDropDownWidth()
			Me.cmb012XSP080F030.setDropDownWidth()
			Me.cmb020XSP080F030.setDropDownWidth()
			Me.cmb023XSP080F030.setDropDownWidth()
			Me.cmb026XSP080F030.setDropDownWidth()
			Me.cmb029XSP080F030.setDropDownWidth()
			Me.cmb034XSP080F030.setDropDownWidth()
			Me.cmb040XSP080F030.setDropDownWidth()
			' 貸出物情報取得
			Dim dtMTM_LendItem As datMTM_LENDITEM = cliMtm_LendItem.getLendItem_Rec(parLendItem, penumLendItem_Cd)
			If Not dtMTM_LendItem IsNot Nothing Then
				showMsg("E0004")
				pRetFormValue = Enum_FormReturn.CANSEL
				CType(Me.Owner, frmBase).setCancelFlg(True)
				EndProc()
				Exit Sub
			End If
			' 貸出物名称設定
			Me.lbl004XSP080F030.Text = CType(penumLendItem_Cd, String)
			Me.lbl005XSP080F030.Text = dtMTM_LendItem.LENDITEM_NM
			If penumMode = XSP080F010.Enum_Mode.BACK Then
				' 返却取扱者
				cliCom.setComboValue(Me.cmb040XSP080F030, Me._userID)
			ElseIf penumMode = XSP080F010.Enum_Mode.LEND Then
				' 貸出取扱者
				cliCom.setComboValue(Me.cmb034XSP080F030, Me._userID)
			End If
			If penumMode = XSP080F010.Enum_Mode.BACK OrElse
			 penumMode = XSP080F010.Enum_Mode.LENDUPD Then
				' データ取得・設定
				If Not setData() Then
					pRetFormValue = Enum_FormReturn.CANSEL
					showMsg("E0004")
					CType(Me.Owner, frmBase).setCancelFlg(True)
					EndProc()
					Exit Sub
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			EndProc()
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが開いたイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/26 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub XSP080F030_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        log(clsSysMst.logLevel.NRM, "XSP080F030_Shown", "フォームが開いたイベント")
        Try
        Catch ex As Exception
			ErrorProc(ex)
			EndProc()
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが閉じるイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub XSP080F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "XSP080F030_FormClosing", "フォームが閉じるイベント")
        Try
			Me.setCloseFlg()
            CType(Me.Owner, frmBase).Select()
            CType(Me.Owner, frmBase).backForm(False, pRetFormValue, New DictionaryEntry(Me.Name, pRetData))
            ' DataTable解放
            If pdtStaff IsNot Nothing Then
                pdtStaff.Dispose()
			End If
			If pdtStaffXDiv IsNot Nothing Then
				pdtStaffXDiv.Dispose()
			End If
            If pdtStaff_Borrower_Cd IsNot Nothing Then
                pdtStaff_Borrower_Cd.Dispose()
            End If
            If pdtStaff_Taker_Cd IsNot Nothing Then
                pdtStaff_Taker_Cd.Dispose()
            End If
            If pdtStaff_LendClerk_Cd IsNot Nothing Then
                pdtStaff_LendClerk_Cd.Dispose()
            End If
            If pdtStaff_BackClerk_Cd IsNot Nothing Then
                pdtStaff_BackClerk_Cd.Dispose()
            End If
            If pdtStaffDiv IsNot Nothing Then
                pdtStaffDiv.Dispose()
            End If

            If pdtStaffDiv_Taker_Cd IsNot Nothing Then
                pdtStaffDiv_Taker_Cd.Dispose()
            End If
            If pdtStaffDiv_Borrower_Cd IsNot Nothing Then
                pdtStaffDiv_Borrower_Cd.Dispose()
            End If

            If pdtLendAim_Cd IsNot Nothing Then
                pdtLendAim_Cd.Dispose()
            End If
            If pdtLct_Cd IsNot Nothing Then
                pdtLct_Cd.Dispose()
            End If
			If pdtLendItem_MngStatus IsNot Nothing Then
				pdtLendItem_MngStatus.Dispose()
			End If

        Catch ex As Exception
			ErrorProc(ex)
		Finally
			' 解放処理
			pdtStaff = Nothing
			pdtStaffXDiv = Nothing
			pdtStaff_Borrower_Cd = Nothing
			pdtStaff_Taker_Cd = Nothing
			pdtStaff_LendClerk_Cd = Nothing
			pdtStaff_BackClerk_Cd = Nothing
			pdtStaffDiv = Nothing
			pdtStaffDiv_Taker_Cd = Nothing
			pdtStaffDiv_Borrower_Cd = Nothing
			pdtLendAim_Cd = Nothing
			pdtLct_Cd = Nothing
			pdtLendItem_MngStatus = Nothing

			parLendItem = Nothing

			cliCom = Nothing
			cliStaff = Nothing
			cliComboCom = Nothing
			cliMain_Doctor = Nothing
			cliMtm_LendItem = Nothing
			cliMti_Lend = Nothing
			cliMti_LendItm = Nothing
			cliMtm_LendItem_MngStatus = Nothing
			cliMtm_LendAim = Nothing
			cliXTM_User = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 閉じるボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
        log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリックイベント")
        Try
			EndProc()
        Catch ex As Exception
			ErrorProc(ex)
        End Try
    End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出中一覧起動処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001XSP080F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001XSP080F030.Click
		log(clsSysMst.logLevel.NRM, "btn001XSP080F030_Click", "貸出中一覧起動処理")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F070(Me.cmb020XSP080F030.Text, Me.txt021XSP080F030.Text, Me.cmb023XSP080F030.Text))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 借用者ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn019XSP080F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019XSP080F030.Click
        log(clsSysMst.logLevel.NRM, "btn019XSP080F030_Click", "借用者ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			cliStaff.dspStaffForm(Me, cmb020XSP080F030.Name, txt021XSP080F030.Name, clsStaff.Enum_DspMode.eIns, Me.cmb020XSP080F030.DoctorFlg)
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 帯出者ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn025XSP080F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn025XSP080F030.Click
        log(clsSysMst.logLevel.NRM, "btn025XSP080F030_Click", "帯出者ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			cliStaff.dspStaffForm(Me, cmb026XSP080F030.Name, txt027XSP080F030.Name, clsStaff.Enum_DspMode.eIns, cmb026XSP080F030.DoctorFlg)
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出取扱者ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn033XSP080F030_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn033XSP080F030.Click
        log(clsSysMst.logLevel.NRM, "btn033XSP080F030_click", "貸出取扱者ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			cliStaff.dspStaffForm(Me, cmb034XSP080F030.Name, lbl035XSP080F030.Name, clsStaff.Enum_DspMode.eIns, cmb034XSP080F030.DoctorFlg)
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 返却取扱者ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn039XSP080F030_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn039XSP080F030.Click
        log(clsSysMst.logLevel.NRM, "btn039XSP080F030_click", "返却取扱者ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			cliStaff.dspStaffForm(Me, cmb040XSP080F030.Name, lbl041XSP080F030.Name, clsStaff.Enum_DspMode.eIns, cmb040XSP080F030.DoctorFlg)
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 主治医に貸出ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/26 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn018XSP080F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn018XSP080F030.Click
        log(clsSysMst.logLevel.NRM, "btn018XSP080F030_Click", "主治医に貸出ボタンクリックイベント")
        Try
			Me.Cursor = Cursors.WaitCursor
			' 医師コード取得
			Dim strDoctor_Cd As String = cliMain_Doctor.getMain_Doctor(pstrPatient_No,
			  piHsp_History_No,
			  cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No))
            If Not String.IsNullOrEmpty(strDoctor_Cd) Then
				Me.cmb020XSP080F030.Text = strDoctor_Cd
            End If
        Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
    End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的検証後イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb009XSP080F030_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb009XSP080F030.Validated
		log(clsSysMst.logLevel.NRM, "cmb009XSP080F030_Validated", "貸出目的検証後イベント")
		Try
			If pstrLENDAIM_CD <> Me.cmb009XSP080F030.Text Then
				' 返却予定日計算
				setExpectBack_Dt(pdtLendAim_Cd, Me.cmb009XSP080F030, Me.dte015XSP080F030, Me.dte017XSP080F030)
				pstrLENDAIM_CD = Me.cmb009XSP080F030.Text
				pstrISSUE_DT = Me.dte015XSP080F030.Text
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出日検証後イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte015XSP080F030_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dte015XSP080F030.Validated
		log(clsSysMst.logLevel.NRM, "dte015XSP080F030_Validated", "貸出日検証後イベント")
		Try
			If pstrISSUE_DT <> Me.dte015XSP080F030.Text Then
				' 返却予定日計算
				setExpectBack_Dt(pdtLendAim_Cd, Me.cmb009XSP080F030, Me.dte015XSP080F030, Me.dte017XSP080F030)
				pstrLENDAIM_CD = Me.cmb009XSP080F030.Text
				pstrISSUE_DT = Me.dte015XSP080F030.Text
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 借用者コード変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb020XSP080F030_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb020XSP080F030.SelectedIndexChanged
		log(clsSysMst.logLevel.NRM, "cmb020XSP080F030_SelectedIndexChanged", "借用者コード変更イベント")
		Try
			If pdtStaffDiv_Borrower_Cd Is Nothing OrElse pdtStaffDiv_Borrower_Cd.Rows.Count <= 0 Then Exit Sub
			If pbStaff_Borrower_Cd_Bind Then
				' DataSource変更時はスキップ
				Exit Sub
			End If
			Dim iIdx As Integer = cliCom.getIndexFromDataTable(pdtStaff_Borrower_Cd, sqlXSP080F030.itmSTAFF_CD, Me.cmb020XSP080F030.Text)
			If iIdx > -1 Then
				iIdx = cliCom.getIndexFromDataTable(pdtStaffDiv_Borrower_Cd, sqlXSP080F030.itmSTAFFDIV_CD, pdtStaff_Borrower_Cd.Rows(iIdx)(sqlXSP080F030.itmSTAFFDIV_CD).ToString)
				If iIdx > -1 Then
					Me.cmb023XSP080F030.Text = pdtStaffDiv_Borrower_Cd.Rows(iIdx)(sqlXSP080F030.itmSTAFFDIV_CD).ToString()
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 借用者部門コード検証後イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb023XSP080F030_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb023XSP080F030.Validated
		log(clsSysMst.logLevel.NRM, "cmb023XSP080F030_Validated", "借用者部門コード検証後イベント")
		Try
			If Me.cmb023XSP080F030.Text = pstrBorrowerDiv_CD Then Exit Sub
			pstrStaff_Borrower_Cd = Me.cmb020XSP080F030.Text
			pstrStaff_Borrower_Nm = Me.txt021XSP080F030.Text
			' 借用者コード絞り込み
			pbStaff_Borrower_Cd_Bind = True
			setBorrower_Cd()
			' 候補内に存在する場合、値を戻す。
			Me.cmb020XSP080F030.Text = pstrStaff_Borrower_Cd
			Me.txt021XSP080F030.Text = pstrStaff_Borrower_Nm
			pbStaff_Borrower_Cd_Bind = False
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 借用者部門コードENTER時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb023XSP080F030_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb023XSP080F030.Enter
		log(clsSysMst.logLevel.NRM, "cmb023XSP080F030_Enter", "借用者部門コードENTER時イベント")
		Try
			pstrBorrowerDiv_CD = Me.cmb023XSP080F030.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帯出者コード変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb026XSP080F030_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb026XSP080F030.SelectedIndexChanged
		log(clsSysMst.logLevel.NRM, "cmb026XSP080F030_SelectedIndexChanged", "帯出者コード変更イベント")
		Try
			If pdtStaffDiv_Taker_Cd Is Nothing OrElse pdtStaffDiv_Taker_Cd.Rows.Count <= 0 Then Exit Sub
			If pbStaff_Taker_Cd_Bind Then
				' DataSource変更時はスキップ
				Exit Sub
			End If
			Dim iIdx As Integer = cliCom.getIndexFromDataTable(pdtStaff_Taker_Cd, sqlXSP080F030.itmSTAFF_CD, Me.cmb026XSP080F030.Text)
			If iIdx > -1 Then
				iIdx = cliCom.getIndexFromDataTable(pdtStaffDiv_Taker_Cd, sqlXSP080F030.itmSTAFFDIV_CD, pdtStaff_Taker_Cd.Rows(iIdx)(sqlXSP080F030.itmSTAFFDIV_CD).ToString)
				If iIdx > -1 Then
					Me.cmb029XSP080F030.Text = pdtStaffDiv_Taker_Cd.Rows(iIdx)(sqlXSP080F030.itmSTAFFDIV_CD).ToString()
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帯出者部門コード検証後イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb029XSP080F030_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb029XSP080F030.Validated
		log(clsSysMst.logLevel.NRM, "cmb029XSP080F030_Validated", "帯出者部門コード検証後イベント")
		Try
			If Me.cmb029XSP080F030.Text = pstrTakerDiv_CD Then Exit Sub
			pstrStaff_Taker_Cd = Me.cmb026XSP080F030.Text
			pstrStaff_Taker_Nm = Me.txt027XSP080F030.Text
			' 帯出者コード絞り込み
			pbStaff_Taker_Cd_Bind = True
			setTaker_Cd()
			' 候補内に存在する場合、値を戻す。
			Me.cmb026XSP080F030.Text = pstrStaff_Taker_Cd
			Me.txt027XSP080F030.Text = pstrStaff_Taker_Nm
			pbStaff_Taker_Cd_Bind = False
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帯出者部門コードENTER時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb029XSP080F030_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb029XSP080F030.Enter
		log(clsSysMst.logLevel.NRM, "cmb029XSP080F030_Enter", "帯出者部門コードENTER時イベント")
		Try
			pstrTakerDiv_CD = Me.cmb029XSP080F030.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出・返却・貸出更新ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "貸出・返却・貸出更新ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			exeUpdate()
		Catch ex As Exception
			ErrorProc(ex)
			' ロック中のエラー時、画面を終了する。
			If TypeOf ex Is SqlClient.SqlException AndAlso
			 CType(ex, SqlClient.SqlException).Number = clsSysMst.sqlErrCode.RowLock Then
				pRetFormValue = Enum_FormReturn.CANSEL
				EndProc()
			End If
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理実行
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeUpdate()
		log(clsSysMst.logLevel.DBG, "exeUpdate", "更新処理実行")
		Try
			' 入退院歴番号、科歴番号　取得
			Dim iHsp_History_No As Integer = cliMtm_LendItem.getHsp_History_No(parLendItem, penumLendItem_Cd, piHsp_History_No)
			Dim iCh_No As Integer = cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No)
			Select Case Me.btn004XSP000F010.Text
				Case C_BTN_LEND
					' ■貸出
					' チェック
					If Not chkLend() Then
						Exit Sub
					End If
					' 貸出処理
					bClose = True
					addLend(iHsp_History_No, iCh_No)
					If Not bClose Then
						' チェックエラーの場合、画面を閉じない
						Exit Sub
					End If
					pRetFormValue = Enum_FormReturn.OK
					EndProc()
				Case C_BTN_BACK
					' ■返却
					' チェック
					If Not chkBack() Then
						Exit Sub
					End If
					' 返却処理
					updBack(iHsp_History_No, iCh_No)
					pRetFormValue = Enum_FormReturn.OK
					EndProc()
				Case C_BTN_LENDUPD
					' ■貸出更新
					' チェック
					If Not chkLend() Then
						Exit Sub
					End If
					' 貸出更新処理
					updLendUpd(iHsp_History_No, iCh_No)
					' 貸出更新処理
					pRetFormValue = Enum_FormReturn.OK
					EndProc()
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出処理
	''' </summary>
	''' <param name="iCh_No">clsDB</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function addLend(ByVal iHsp_History_No As Integer,
	 ByVal iCh_No As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "addLend", "貸出処理")
		Dim cliUpdMng As clsXTI_UPDMNG
		Try
			' ■管理状況マスタ取得
			pdtLendItem_MngStatus = cliMtm_LendItem_MngStatus.getAll()
			If pdtLendItem_MngStatus Is Nothing OrElse
			 pdtLendItem_MngStatus.Rows.Count <= 0 Then
				showMsg("E0015", C_MSG_LENDITEM_MNGSTATUS, Nothing)
				Return False
			End If
			' 貸出時デフォルト管理状況コード取得
			Dim strLendItem_MngStatus As String = cliMtm_LendItem_MngStatus.getDefaultCdFromFix1(penumLendItem_Cd, clsConst.Enum_LendStat_Fix1.Lending, pdtLendItem_MngStatus)
			' 存在しない場合
			If String.IsNullOrEmpty(strLendItem_MngStatus) Then
				showMsg("E0003", C_MSG_MNGSTATUS_LEND_ERR, C_MSG_LEND, Nothing)
				Return False
			End If

			Dim iRet As Integer
			Dim datLI As New datMTI_LEND
			Dim datLendItmMngStatus As datMTI_LENDITM_MNGSTATUS
			Dim datLMS As New datLENDITM_MNGSTATUS
			Dim iLendSerial_No As Integer
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					' ■貸出物情報取得（管理状況 Record Lock）
					datLendItmMngStatus = cliMti_LendItm.getLendItmMngStatus(db, pstrPatient_No, iHsp_History_No, iCh_No)
					If datLendItmMngStatus Is Nothing Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0015", C_MSG_MTI_LENDITM, Nothing)
						Return False
					End If
					Dim dr As DataRow = Nothing
					Select Case penumLendItem_Cd
						Case clsConst.Enum_Lenditem.MedicalRecord
							dr = cliMtm_LendItem_MngStatus.getDataRow(penumLendItem_Cd, datLendItmMngStatus.RECORD_MNGSTATUS_CD, pdtLendItem_MngStatus)
						Case clsConst.Enum_Lenditem.Summary
							dr = cliMtm_LendItem_MngStatus.getDataRow(penumLendItem_Cd, datLendItmMngStatus.SUMMARY_MNGSTATUS_CD, pdtLendItem_MngStatus)
						Case clsConst.Enum_Lenditem.LendItem3
							dr = cliMtm_LendItem_MngStatus.getDataRow(penumLendItem_Cd, datLendItmMngStatus.OTHER1_MNGSTATUS_CD, pdtLendItem_MngStatus)
						Case clsConst.Enum_Lenditem.LendItem4
							dr = cliMtm_LendItem_MngStatus.getDataRow(penumLendItem_Cd, datLendItmMngStatus.OTHER2_MNGSTATUS_CD, pdtLendItem_MngStatus)
						Case clsConst.Enum_Lenditem.LendItem5
							dr = cliMtm_LendItem_MngStatus.getDataRow(penumLendItem_Cd, datLendItmMngStatus.OTHER3_MNGSTATUS_CD, pdtLendItem_MngStatus)
					End Select
					' 管理状況が貸出不可の場合
					If dr Is Nothing OrElse
					 dr(sqlMTM_LENDITEM_MNGSTATUS.itmFIXED_CD2).ToString = CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
						showMsg("E0003", C_MSG_MNGSTATUS_LENDABLE_ERR, C_MSG_LEND, Nothing)
						Return False
					End If
					' ■入退院情報 OR 科歴情報　取得
					If iHsp_History_No > 0 Then
						' 患者単位以外
						Dim datSE_DT As datSTARTEND_DT = cliMti_LendItm.getStartEnd_Dt(db, pstrPatient_No, piHsp_History_No, iCh_No)
						If datSE_DT Is Nothing Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							showMsg("E0004")
							Return False
						End If
						' 退院日と貸出日　比較チェック
						If datSE_DT.END_DT > Me.dte015XSP080F030.DateValue.ToString("yyyy/MM/dd") Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							showMsg("E0003", C_MSG_LNED_DATE_ERR, C_MSG_LEND, Nothing)
							' 画面は閉じない
							bClose = False
							Return False
						End If
					End If
					' ■貸出物情報更新
					datLMS.PATIENT_NO = pstrPatient_No
					datLMS.HSP_HISTORY_NO = iHsp_History_No
					datLMS.CH_NO = iCh_No
					datLMS.LENDITEM_CD = penumLendItem_Cd
					datLMS.MNGSTATUS_CD = strLendItem_MngStatus
					datLMS.LASTUPDUSER_CD = Me._userID
					iRet = cliMti_LendItm.updLendItmMngStatus(db, datLMS)
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Return False
					End If
					' ■貸出情報登録
					' 伝票コードロックチェック
					cliUpdMng = New clsXTI_UPDMNG
					If Not cliUpdMng.chkUpdMng(db, clsXTI_UPDMNG.Enum_UpdMngCd.SLIP_CD) Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0003", "他の端末で実行中の", "貸出", "しばらくしてから再度実行して下さい。")
						bClose = False
						Return False
					End If
					cliUpdMng = Nothing
					' 伝票コード取得
					Dim strSlip_Cd As String = cliMti_Lend.getSlip_Cd(db)
					' 最大貸出連番取得
					Dim datLSNo As datLendSerialNo = cliMti_Lend.getLendSerialNo(db, pstrPatient_No, iHsp_History_No, iCh_No, CType(penumLendItem_Cd, String))
					' 貸出済みチェック
					If datLSNo IsNot Nothing AndAlso
					 String.IsNullOrEmpty(datLSNo.BACK_DT) Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0012", C_MSG_LEND, Nothing)
						Return False
					End If
					If datLSNo Is Nothing Then
						iLendSerial_No = 1
					Else
						iLendSerial_No = datLSNo.LENDSERIAL_NO + 1
					End If
					' 伝票コード最大オーバー
					If strSlip_Cd = sqlMTI_LEND.C_SLIP_CD_MAXOVER Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0003", C_MSG_SLIP_CD_MAXOVER1, C_MSG_SLIP_CD_MAXOVER2, C_MSG_SLIP_CD_MAXOVER3)
						Return False
					End If
					' 引数編集
					datLI.PATIENT_NO = pstrPatient_No
					datLI.HSP_HISTORY_NO = iHsp_History_No
					datLI.CH_NO = iCh_No
					datLI.LENDITEM_CD = CType(penumLendItem_Cd, String)
					datLI.LENDSERIAL_NO = iLendSerial_No
					datLI.SLIP_CD = strSlip_Cd
					datLI.LENDAIM_CD = Me.cmb009XSP080F030.Text
					datLI.LCT_CD = Me.cmb012XSP080F030.Text
					If Not Me.dte015XSP080F030.DateValue.Equals(Nothing) Then
						datLI.ISSUE_DT = Me.dte015XSP080F030.Text
					End If
					If Not Me.dte017XSP080F030.DateValue.Equals(Nothing) Then
						datLI.EXPECTBACK_DT = Me.dte017XSP080F030.Text
					End If
					datLI.BORROWER_DIV = Me.cmb023XSP080F030.Text
					datLI.BORROWER_CD = Me.cmb020XSP080F030.Text
					datLI.BORROWER_NM = Me.txt021XSP080F030.Text
					datLI.TAKER_DIV = Me.cmb029XSP080F030.Text
					datLI.TAKER_CD = Me.cmb026XSP080F030.Text
					datLI.TAKER_NM = Me.txt027XSP080F030.Text
					datLI.LENDCLERK_CD = Me.cmb034XSP080F030.Text
					datLI.REMARKS = Me.txt032XSP080F030.Text
					datLI.LASTUPDUSER_CD = Me._userID
					' 貸出情報登録
					iRet = cliMti_Lend.addLend(db, datLI)
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Return False
					End If

					db.ctlTran(clsDB.Enum_TranMode.Commit)

					' 戻り値保存
					' 管理状況データ取得
					dr = cliMtm_LendItem_MngStatus.getDefaultDataRowFromFix1(penumLendItem_Cd, clsConst.Enum_LendStat_Fix1.Lending, pdtLendItem_MngStatus)
					Dim strMngStatus_Rnm1 As String = Nothing
					If dr IsNot Nothing Then
						' 略１取得
						strMngStatus_Rnm1 = dr(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS1_RNM).ToString
					End If
					' 貸出目的データ取得
					Dim strLendAim_Rnm As String = Nothing
					If Not String.IsNullOrEmpty(Me.cmb009XSP080F030.Text) Then
						dr = cliMtm_LendAim.getDataRow(datLI.LENDAIM_CD)
						If dr IsNot Nothing Then
							strLendAim_Rnm = dr(sqlMTM_LENDAIM.itmLENDAIM_RNM).ToString
						End If
					End If
					' 貸出情報設定
					Dim datLEND As New datLEND
					datLEND.LENDSERIAL_NO = iLendSerial_No
					datLEND.BACK_DT = Nothing
					datLEND.EXPECTBACK_DT = datLI.EXPECTBACK_DT
					datLEND.LENDAIM_CD = datLI.LENDAIM_CD
					datLEND.LENDAIM_RNM = strLendAim_Rnm
					datLEND.ISSUE_DT = datLI.ISSUE_DT
					datLEND.LCT_CD = datLI.LCT_CD
					datLEND.BORROWER_DIV = datLI.BORROWER_DIV
					datLEND.BORROWER_CD = datLI.BORROWER_CD
					' 貸出物情報設定
					pRetData = New datLENDITM
					pRetData.enumMode = penumMode
					pRetData.PATIENT_NO = datLI.PATIENT_NO
					pRetData.HSP_HISTORY_NO = datLI.HSP_HISTORY_NO
					pRetData.CH_NO = datLI.CH_NO
					pRetData.LENDITEM_CD = CType(penumLendItem_Cd, String)
					pRetData.MNGSTATUS_CD = datLMS.MNGSTATUS_CD
					pRetData.MNGSTATUS_RNM = strMngStatus_Rnm1
					pRetData.ARG_STATUS_CD = Nothing
					pRetData.ARG_STATUS_RNM = Nothing
					pRetData.KEEPLCT_CD = Nothing
					pRetData.KEEPLCT_RNM = Nothing
					pRetData.RECEIPT_DT = Nothing
					pRetData.clsLEND = datLEND

				Catch ex As SqlClient.SqlException
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Catch ex As Exception
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
					datLI = Nothing
					datLendItmMngStatus = Nothing
					datLMS = Nothing
				End Try
			End Using

			Return True

		Catch ex As Exception
			Throw
		Finally
			cliUpdMng = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 返却処理
	''' </summary>
	''' <param name="iCh_No">clsDB</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updBack(ByVal iHsp_History_No As Integer,
	 ByVal iCh_No As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "updBack", "返却処理")
		Try
			' ■管理状況マスタ取得
			pdtLendItem_MngStatus = cliMtm_LendItem_MngStatus.getAll()
			If pdtLendItem_MngStatus Is Nothing OrElse
			 pdtLendItem_MngStatus.Rows.Count <= 0 Then
				showMsg("E0015", C_MSG_LENDITEM_MNGSTATUS, Nothing)
				Return False
			End If
			' 返却時デフォルト管理状況コード取得
			' 返却済
			Dim strLendItem_MngStatus As String = cliMtm_LendItem_MngStatus.getDefaultCdFromFix1(penumLendItem_Cd, clsConst.Enum_LendStat_Fix1.Returning, pdtLendItem_MngStatus)
			If String.IsNullOrEmpty(strLendItem_MngStatus) Then
				' 保管中
				strLendItem_MngStatus = cliMtm_LendItem_MngStatus.getDefaultCdFromFix1(penumLendItem_Cd, clsConst.Enum_LendStat_Fix1.Receiving, pdtLendItem_MngStatus)
			End If
			' 存在しない場合
			If String.IsNullOrEmpty(strLendItem_MngStatus) Then
				showMsg("E0003", C_MSG_MNGSTATUS_BACK_ERR, C_MSG_BACK, Nothing)
				Return False
			End If
			Dim iRet As Integer
			Dim datLI As New datMTI_LEND
			Dim datLendItmMngStatus As datMTI_LENDITM_MNGSTATUS
			Dim datLMS As New datLENDITM_MNGSTATUS
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					' ■貸出物情報取得（管理状況 Record Lock）
					datLendItmMngStatus = cliMti_LendItm.getLendItmMngStatus(db, pstrPatient_No, iHsp_History_No, iCh_No)
					If datLendItmMngStatus Is Nothing Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0015", C_MSG_MTI_LENDITM, Nothing)
						Return False
					End If
					' ■貸出情報更新
					datLMS.PATIENT_NO = pstrPatient_No
					datLMS.HSP_HISTORY_NO = iHsp_History_No
					datLMS.CH_NO = iCh_No
					datLMS.LENDITEM_CD = penumLendItem_Cd
					datLMS.MNGSTATUS_CD = strLendItem_MngStatus
					datLMS.LASTUPDUSER_CD = Me._userID
					iRet = cliMti_LendItm.updLendItmMngStatus(db, datLMS)
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Return False
					End If
					' ■貸出情報更新（返却日）
					' 最大貸出連番取得
					Dim datLSNo As datLendSerialNo = cliMti_Lend.getLendSerialNo(db, pstrPatient_No, iHsp_History_No, iCh_No, CType(penumLendItem_Cd, String))
					' 返却済みチェック
					If datLSNo IsNot Nothing AndAlso
					 Not String.IsNullOrEmpty(datLSNo.BACK_DT) Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0012", C_MSG_BACK, Nothing)
						Return False
					End If
					If datLSNo Is Nothing Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0015", C_MSG_MTI_LEND, Nothing)
						Return False
					End If
					' 引数編集
					datLI.PATIENT_NO = pstrPatient_No
					datLI.HSP_HISTORY_NO = iHsp_History_No
					datLI.CH_NO = iCh_No
					datLI.LENDITEM_CD = CType(penumLendItem_Cd, String)
					datLI.LENDSERIAL_NO = datLSNo.LENDSERIAL_NO
					datLI.BACK_DT = Me.dte038XSP080F030.Text
					datLI.BACKCLERK_CD = Me.cmb040XSP080F030.Text
					datLI.LASTUPDUSER_CD = Me._userID
					' 貸出情報登録
					iRet = cliMti_Lend.updBack(db, datLI)
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Return False
					End If

					db.ctlTran(clsDB.Enum_TranMode.Commit)

					' 戻り値保存
					' 管理状況データ取得
					Dim dr As DataRow = cliMtm_LendItem_MngStatus.getDataRow(penumLendItem_Cd, strLendItem_MngStatus, pdtLendItem_MngStatus)
					Dim strMngStatus_Rnm1 As String = Nothing
					If dr IsNot Nothing Then
						' 略１取得
						strMngStatus_Rnm1 = dr(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS1_RNM).ToString
					End If
					' 貸出目的データ取得
					Dim strLendAim_Rnm As String = Nothing
					If Not String.IsNullOrEmpty(Me.cmb009XSP080F030.Text) Then
						dr = cliMtm_LendAim.getDataRow(datLI.LENDAIM_CD)
						If dr IsNot Nothing Then
							strLendAim_Rnm = dr(sqlMTM_LENDAIM.itmLENDAIM_RNM).ToString
						End If
					End If
					' 貸出情報設定
					Dim datLEND As New datLEND
					datLEND.LENDSERIAL_NO = datLSNo.LENDSERIAL_NO
					datLEND.BACK_DT = datLI.BACK_DT
					' 貸出物情報設定
					pRetData = New datLENDITM
					pRetData.enumMode = penumMode
					pRetData.PATIENT_NO = datLI.PATIENT_NO
					pRetData.HSP_HISTORY_NO = datLI.HSP_HISTORY_NO
					pRetData.CH_NO = datLI.CH_NO
					pRetData.LENDITEM_CD = CType(penumLendItem_Cd, String)
					pRetData.MNGSTATUS_CD = datLMS.MNGSTATUS_CD
					pRetData.MNGSTATUS_RNM = strMngStatus_Rnm1
					pRetData.ARG_STATUS_CD = Nothing
					pRetData.ARG_STATUS_RNM = Nothing
					pRetData.KEEPLCT_CD = Nothing
					pRetData.KEEPLCT_RNM = Nothing
					pRetData.RECEIPT_DT = Nothing
					pRetData.clsLEND = datLEND

				Catch ex As SqlClient.SqlException
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Catch ex As Exception
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
					datLI = Nothing
					datLendItmMngStatus = Nothing
					datLMS = Nothing
				End Try
			End Using

			Return True

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出更新処理
	''' </summary>
	''' <param name="iCh_No">clsDB</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updLendUpd(ByVal iHsp_History_No As Integer,
	 ByVal iCh_No As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "updLendUpd", "貸出更新処理")
		Try
			Dim iRet As Integer
			Dim datLI As New datMTI_LEND
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					' ■貸出情報取得
					iRet = cliMti_Lend.getDataFromPrimaryKeyLock(pstrPatient_No,
					 iHsp_History_No,
					 iCh_No,
					 penumLendItem_Cd,
					 piLendSerial_No)
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0015", C_MSG_MTI_LEND, Nothing)
						Return False
					End If
					' ■貸出情報更新
					' 引数編集
					datLI.PATIENT_NO = pstrPatient_No
					datLI.HSP_HISTORY_NO = iHsp_History_No
					datLI.CH_NO = iCh_No
					datLI.LENDITEM_CD = CType(penumLendItem_Cd, String)
					datLI.LENDSERIAL_NO = piLendSerial_No
					datLI.LENDAIM_CD = Me.cmb009XSP080F030.Text
					datLI.LCT_CD = Me.cmb012XSP080F030.Text
					If Not Me.dte015XSP080F030.DateValue.Equals(Nothing) Then
						datLI.ISSUE_DT = Me.dte015XSP080F030.Text
					End If
					If Not Me.dte017XSP080F030.DateValue.Equals(Nothing) Then
						datLI.EXPECTBACK_DT = Me.dte017XSP080F030.Text
					End If
					datLI.BORROWER_DIV = Me.cmb023XSP080F030.Text
					datLI.BORROWER_CD = Me.cmb020XSP080F030.Text
					datLI.BORROWER_NM = Me.txt021XSP080F030.Text
					datLI.TAKER_DIV = Me.cmb029XSP080F030.Text
					datLI.TAKER_CD = Me.cmb026XSP080F030.Text
					datLI.TAKER_NM = Me.txt027XSP080F030.Text
					datLI.LENDCLERK_CD = Me.cmb034XSP080F030.Text
					datLI.REMARKS = Me.txt032XSP080F030.Text
					datLI.LASTUPDUSER_CD = Me._userID
					' 貸出情報更新
					iRet = cliMti_Lend.updLendUpd(db, datLI)
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Return False
					End If

					db.ctlTran(clsDB.Enum_TranMode.Commit)

					' 戻り値保存
					' 貸出目的データ取得
					Dim strLendAim_Rnm As String = Nothing
					Dim dr As DataRow
					If Not String.IsNullOrEmpty(Me.cmb009XSP080F030.Text) Then
						dr = cliMtm_LendAim.getDataRow(datLI.LENDAIM_CD)
						If dr IsNot Nothing Then
							strLendAim_Rnm = dr(sqlMTM_LENDAIM.itmLENDAIM_RNM).ToString
						End If
					End If
					' 貸出情報設定
					Dim datLEND As New datLEND
					datLEND.LENDSERIAL_NO = piLendSerial_No
					datLEND.EXPECTBACK_DT = datLI.EXPECTBACK_DT
					datLEND.LENDAIM_CD = datLI.LENDAIM_CD
					datLEND.LENDAIM_RNM = strLendAim_Rnm
					datLEND.ISSUE_DT = datLI.ISSUE_DT
					datLEND.LCT_CD = datLI.LCT_CD
					datLEND.BORROWER_DIV = datLI.BORROWER_DIV
					datLEND.BORROWER_CD = datLI.BORROWER_CD
					' 貸出物情報設定
					pRetData = New datLENDITM
					pRetData.enumMode = penumMode
					pRetData.PATIENT_NO = datLI.PATIENT_NO
					pRetData.HSP_HISTORY_NO = datLI.HSP_HISTORY_NO
					pRetData.CH_NO = datLI.CH_NO
					pRetData.LENDITEM_CD = CType(penumLendItem_Cd, String)
					pRetData.MNGSTATUS_CD = Nothing
					pRetData.MNGSTATUS_RNM = Nothing
					pRetData.ARG_STATUS_CD = Nothing
					pRetData.ARG_STATUS_RNM = Nothing
					pRetData.KEEPLCT_CD = Nothing
					pRetData.KEEPLCT_RNM = Nothing
					pRetData.RECEIPT_DT = Nothing
					pRetData.clsLEND = datLEND

				Catch ex As SqlClient.SqlException
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Catch ex As Exception
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
					datLI = Nothing
				End Try
			End Using

			Return True

		Catch ex As Exception
			Throw
		End Try
	End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' コントロール設定処理
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setControl()
        log(clsSysMst.logLevel.DBG, "setControl", "コントロール設定処理")
        Try
			Me.dte015XSP080F030.DateValue = Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)
			' 更新モード　または　貸出関連更新可能ユーザ
			If penumUpdateMode = XSP080F010.Enum_UpdateMode.UpdatableMode OrElse _
			 cliXTM_User.getAuthority(clsXTM_USER.Enum_Authority.DETI_SansyouKousinKa) = CType(clsConst.Enum_Chk.ChkOn, String) Then
				Dim strDoctor_Cd As String = cliMain_Doctor.getMain_Doctor(pstrPatient_No,
				  piHsp_History_No,
				  cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No))
				' 登録モード
				Select Case penumMode
					Case XSP080F010.Enum_Mode.LEND
						Me.Text = C_TEXT_LEND
						Me.Title = C_TITLE_LEND
						Me.btn004XSP000F010.Text = C_BTN_LEND
						Me.btn001XSP080F030.Visible = True
						Me.pnl036XSP080F030.Visible = False
						Me.Size = New Size(Me.Width, Me.Height - Me.pnl036XSP080F030.Height)
						' 所在場所コード必須
						If pstrLct_Cd_Require = clsConst.Enum_Required_Flg.Required Then
							Me.lbl011XSP080F030.ForeColor = clsConst.CST_REQUIRED_COLOR
						End If
						Me.lbl022XSP080F030.ForeColor = clsConst.CST_REQUIRED_COLOR
						Me.lbl014XSP080F030.ForeColor = clsConst.CST_REQUIRED_COLOR
						If String.IsNullOrEmpty(strDoctor_Cd) Then
							Me.btn018XSP080F030.Enabled = False
						End If
						Me.cmb020XSP080F030.FindChk = True
						Me.cmb026XSP080F030.FindChk = True
						setCanInput(True)
					Case XSP080F010.Enum_Mode.BACK
						Me.Text = C_TEXT_BACK
						Me.Title = C_TITLE_BACK
						Me.btn004XSP000F010.Text = C_BTN_BACK
						Me.btn001XSP080F030.Visible = False
						Me.btn018XSP080F030.Visible = False
						Me.pnl036XSP080F030.Visible = True
						Me.cmb020XSP080F030.FindChk = False
						Me.cmb026XSP080F030.FindChk = False
						setCanInput(False)
						Me.dte038XSP080F030.DateValue = Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)
					Case XSP080F010.Enum_Mode.LENDUPD
						Me.Text = C_TEXT_LENDUPD
						Me.Title = C_TEXT_LENDUPD
						Me.btn004XSP000F010.Text = C_BTN_LENDUPD
						Me.btn001XSP080F030.Visible = False
						Me.pnl036XSP080F030.Visible = False
						Me.Size = New Size(Me.Width, Me.Height - Me.pnl036XSP080F030.Height)
						' 所在場所コード必須
						If pstrLct_Cd_Require = clsConst.Enum_Required_Flg.Required Then
							Me.lbl011XSP080F030.ForeColor = clsConst.CST_REQUIRED_COLOR
						End If
						Me.lbl022XSP080F030.ForeColor = clsConst.CST_REQUIRED_COLOR
						Me.lbl014XSP080F030.ForeColor = clsConst.CST_REQUIRED_COLOR
						Me.btn018XSP080F030.Visible = False
						Me.cmb020XSP080F030.FindChk = True
						Me.cmb026XSP080F030.FindChk = True
						setCanInput(True)
				End Select
			Else
				' 参照モード
				Select Case penumMode
					Case XSP080F010.Enum_Mode.LEND
						Me.Title = "【参照】" & C_TITLE_LEND
						Me.btn004XSP000F010.Visible = False
						Me.btn001XSP080F030.Visible = False
						Me.btn018XSP080F030.Visible = False
						Me.pnl036XSP080F030.Visible = False
						Me.Size = New Size(Me.Width, Me.Height - Me.pnl036XSP080F030.Height)
						setCanInput(False)
					Case XSP080F010.Enum_Mode.BACK
						Me.Text = "【参照】" & C_TEXT_BACK
						Me.Title = C_TITLE_BACK
						Me.btn004XSP000F010.Visible = False
						Me.btn001XSP080F030.Visible = False
						Me.btn018XSP080F030.Visible = False
						Me.pnl036XSP080F030.Visible = False
						Me.Size = New Size(Me.Width, Me.Height - Me.pnl036XSP080F030.Height)
						setCanInput(False)
						Me.dte038XSP080F030.DateValue = Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)
					Case XSP080F010.Enum_Mode.LENDUPD
						Me.Text = "【参照】" & C_TEXT_LENDUPD
						Me.Title = C_TITLE_LENDUPD
						Me.btn004XSP000F010.Visible = False
						Me.btn001XSP080F030.Visible = False
						Me.btn018XSP080F030.Visible = False
						Me.pnl036XSP080F030.Visible = False
						Me.Size = New Size(Me.Width, Me.Height - Me.pnl036XSP080F030.Height)
						setCanInput(False)
				End Select
			End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' モード設定処理
    ''' </summary>
    ''' <param name="bFlag"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setCanInput(ByVal bFlag As Boolean)
        log(clsSysMst.logLevel.DBG, "setCanInput", "モード設定処理")
        Try
            Me.cmb009XSP080F030.CanInput = bFlag
            Me.cmb012XSP080F030.CanInput = bFlag
            Me.dte015XSP080F030.CanInput = bFlag
            Me.dte017XSP080F030.CanInput = bFlag
            Me.btn019XSP080F030.CanInput = bFlag
            Me.cmb020XSP080F030.CanInput = bFlag
            Me.txt021XSP080F030.CanInput = bFlag
            Me.cmb023XSP080F030.CanInput = bFlag
            Me.btn025XSP080F030.CanInput = bFlag
            Me.cmb026XSP080F030.CanInput = bFlag
            Me.txt027XSP080F030.CanInput = bFlag
            Me.cmb029XSP080F030.CanInput = bFlag
            Me.txt032XSP080F030.CanInput = bFlag
            Me.btn033XSP080F030.CanInput = bFlag
            Me.cmb034XSP080F030.CanInput = bFlag
        Catch ex As Exception
            Throw
        End Try

    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' データ取得・設定処理
    ''' </summary>
	''' <returns></returns>
	''' <remarks>
    ''' 2010/10/26 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function setData() As Boolean
        log(clsSysMst.logLevel.DBG, "setData", "データ取得・設定処理")
        Try
            ' 貸出情報取得
            Dim dtLend As datMTI_Lend = cliMti_Lend.getDataFromPrimaryKey(pstrPatient_No,
                                                                          cliMtm_LendItem.getHsp_History_No(parLendItem, penumLendItem_Cd, piHsp_History_No),
                                                                          cliMtm_LendItem.getCh_No(parLendItem, penumLendItem_Cd, piCh_No),
                                                                          penumLendItem_Cd,
                                                                          piLendSerial_No)
            If dtLend Is Nothing Then
                Return False
            End If
            ' 画面編集
            Me.lbl007XSP080F030.Text = dtLend.SLIP_CD
			cliCom.setComboValue(Me.cmb009XSP080F030, dtLend.LENDAIM_CD)
			pstrLENDAIM_CD = Me.cmb009XSP080F030.Text
            cliCom.setComboValue(Me.cmb012XSP080F030, dtLend.LCT_CD)
            If Not String.IsNullOrEmpty(dtLend.ISSUE_DT) Then
                Me.dte015XSP080F030.DateValue = dtLend.ISSUE_DT
				pstrISSUE_DT = Me.dte015XSP080F030.Text
			End If
			If Not String.IsNullOrEmpty(dtLend.EXPECTBACK_DT) Then
				Me.dte017XSP080F030.DateValue = dtLend.EXPECTBACK_DT
			End If
			cliCom.setComboValue(Me.cmb023XSP080F030, dtLend.BORROWER_DIV)
			pbStaff_Borrower_Cd_Bind = True
			setBorrower_Cd()
			pbStaff_Borrower_Cd_Bind = False
			cliCom.setComboValue(Me.cmb020XSP080F030, dtLend.BORROWER_CD)
			Me.txt021XSP080F030.Text = dtLend.BORROWER_NM
			cliCom.setComboValue(Me.cmb029XSP080F030, dtLend.TAKER_DIV)
			pbStaff_Taker_Cd_Bind = True
			setTaker_Cd()
			pbStaff_Taker_Cd_Bind = False
			cliCom.setComboValue(Me.cmb026XSP080F030, dtLend.TAKER_CD)
            Me.txt027XSP080F030.Text = dtLend.TAKER_NM
			Me.txt032XSP080F030.Text = dtLend.REMARKS
			cliCom.setComboValue(Me.cmb034XSP080F030, dtLend.LENDCLERK_CD)

            Return True

        Catch ex As Exception
            Throw
        End Try
    End Function

	''' ---------------------------------------------
	''' <summary>
	''' 借用者コード絞り込み処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBorrower_Cd()
		log(clsSysMst.logLevel.DBG, "setBorrower_Cd", "借用者コード絞り込み処理")
		Try
			If String.IsNullOrEmpty(Me.cmb023XSP080F030.Text) Then
				pdtStaff_Borrower_Cd = pdtStaffXDiv.Copy
			Else
				Dim dr() As DataRow = pdtStaffXDiv.Select(sqlXSP080F030.itmSTAFFDIV_CD & " = '" & cliCom.getDtItmValue(Me.cmb023XSP080F030.Text) & "'")
				pdtStaff_Borrower_Cd = cliCom.getTableFromRows(pdtStaff_Borrower_Cd, dr)
			End If
			' 既に借用者が選択されている場合、
			If Not String.IsNullOrEmpty(Me.cmb020XSP080F030.Text) Then
				cliCom.setComboValue(Me.cmb020XSP080F030, Me.cmb020XSP080F030.Text)
			End If
			Me.cmb020XSP080F030.DataSource = pdtStaff_Borrower_Cd
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帯出者コード絞り込み処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setTaker_Cd()
		log(clsSysMst.logLevel.DBG, "setTaker_Cd", "帯出者コード絞り込み処理")
		Try
			If String.IsNullOrEmpty(Me.cmb029XSP080F030.Text) Then
				pdtStaff_Taker_Cd = pdtStaffXDiv.Copy
			Else
				Dim dr() As DataRow = pdtStaffXDiv.Select(sqlXSP080F030.itmSTAFFDIV_CD & " = '" & cliCom.getDtItmValue(Me.cmb029XSP080F030.Text) & "'")
				pdtStaff_Taker_Cd = cliCom.getTableFromRows(pdtStaff_Taker_Cd, dr)
			End If
			' 既に帯出者が選択されている場合、
			If Not String.IsNullOrEmpty(Me.cmb026XSP080F030.Text) Then
				cliCom.setComboValue(Me.cmb026XSP080F030, Me.cmb026XSP080F030.Text)
			End If
			Me.cmb026XSP080F030.DataSource = pdtStaff_Taker_Cd
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 返却予定日設定処理
	''' </summary>
	''' <param name="dt"></param>
	''' <param name="cmb"></param>
	''' <param name="dte"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setExpectBack_Dt(ByVal dt As DataTable,
	 ByVal cmb As BT_MultiComboBox,
	 ByVal dte As BT_Date,
	 ByVal dteExpectBack_Dt As BT_Date)
		log(clsSysMst.logLevel.NRM, "setExpectBack_Dt", "返却予定日設定処理")
		Try
			Dim iIdx As Integer = cliCom.getIndexFromDataTable(dt, sqlMTI_Lend.itmLENDAIM_CD, cmb.Text)
			If iIdx > -1 Then
				Dim strDate As String = cliMti_Lend.getExpectBack_Dt(cmb.Text, dte.Text, pdtLendAim_Cd.Rows(iIdx)(sqlMTI_Lend.itmLENDDAYS).ToString)
				If Not String.IsNullOrEmpty(strDate) Then
					If IsDate(strDate) Then
						dteExpectBack_Dt.DateValue = CDate(strDate)
					Else
						dteExpectBack_Dt.DateValue = Nothing
					End If
				Else
					dteExpectBack_Dt.DateValue = Nothing
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try

	End Sub

	''' <summary>
	''' 貸出・貸出更新チェック処理
	''' </summary>
	''' <returns></returns>
	''' <remarks></remarks>
	Private Function chkLend() As Boolean
		log(clsSysMst.logLevel.DBG, "chkLend", "貸出・貸出更新チェック処理")
		Try
			If Not Me.ValidateChildren(ValidationConstraints.Visible) Then
				Return False
			End If
			' 所在場所
			If pstrLct_Cd_Require = clsConst.Enum_Required_Flg.Required Then
				If String.IsNullOrEmpty(Me.cmb012XSP080F030.Text) Then
					addErrList("E0001", Me.cmb012XSP080F030.Name, Me.lbl011XSP080F030.Text, Nothing)
				End If
			End If
			' 貸出日
			If String.IsNullOrEmpty(Me.dte015XSP080F030.Text) Then
				addErrList("E0001", Me.dte015XSP080F030.Name, Me.lbl014XSP080F030.Text, Nothing)
			End If
			' 借用者部門
			If String.IsNullOrEmpty(Me.cmb023XSP080F030.Text) Then
				addErrList("E0001", Me.cmb023XSP080F030.Name, Me.lbl022XSP080F030.Text, Nothing)
			End If
			' エラー存在チェック
			If getErrCount() > 0 Then
				' エラー時
				nextErrForm()
				Return False
			End If

			Return True

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' <summary>
	''' 返却チェック処理
	''' </summary>
	''' <returns></returns>
	''' <remarks></remarks>
	Private Function chkBack() As Boolean
		log(clsSysMst.logLevel.DBG, "chkBack", "返却チェック処理")
		Try
			If Not Me.ValidateChildren(ValidationConstraints.Visible) Then
				Return False
			End If
			' 返却日
			If String.IsNullOrEmpty(Me.dte038XSP080F030.Text) Then
				addErrList("E0001", Me.dte038XSP080F030.Name, Me.lbl037XSP080F030.Text, Nothing)
			End If
			' 返却日と貸出日のチェック
			If Me.dte015XSP080F030.Text > Me.dte038XSP080F030.Text Then
				addErrList("E0003", Me.dte038XSP080F030.Name, Me.lbl037XSP080F030.Text, "返却日＜貸出日の", "返却", Nothing)
			End If
			' エラー存在チェック
			If getErrCount() > 0 Then
				' エラー時
				nextErrForm()
				Return False
			End If

			Return True

		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F7キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "F7キー処理")
		Try
			If Not Me.btn004XSP000F010.Visible OrElse Not Me.btn004XSP000F010.Enabled Then Exit Function
			exeUpdate()
		Catch ex As Exception
			ErrorProc(ex)
			' ロック中のエラー時、画面を終了する。
			If TypeOf ex Is SqlClient.SqlException AndAlso
			 CType(ex, SqlClient.SqlException).Number = clsSysMst.sqlErrCode.RowLock Then
				pRetFormValue = Enum_FormReturn.CANSEL
				EndProc()
			End If
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F12キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キー処理")
		Try
			pRetFormValue = Enum_FormReturn.CANSEL
			EndProc()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索処理（F1）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function StaffFormProc() As Boolean
		log(clsSysMst.logLevel.NRM, "StaffFormProc", "職員検索処理（F1）")
		Try
			Dim myForm As frmBase = Me
			Dim cliXSP030F010 As XSP.XSP030F010
			cliXSP030F010 = New XSP.XSP030F010(Me.ActiveControl.Name, CType(Me.ActiveControl, BT_MultiComboBox).LinkControl, XSP030F010.Enum_ExeMode.eIns, CType(Me.ActiveControl, BT_MultiComboBox).DoctorFlg)
			myForm.nextForm(cliXSP030F010)
			Return MyBase.StaffFormProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
