﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 手術名検索マスタ参照画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class XSP140F020

#Region "コンスタント"

#End Region

#Region "変数"
	Private _MNG_DIV As String								'管理記号
	Private _MNG_NO As Integer								'管理番号
	Private OwnerForm As frmBase							'OwnerFormを取得
	Private _pPrint As clsConst.Enum_NonPrt_Flg				'印刷フラグ
	Private cliBmp As clsBmp								'画像クラス
	Private PRINTMode As String								'画面モード
	Private DataMTM_OPE_NM As DataTable						'手術名マスタ検索結果テーブル(全件用)
	Private DataMTM_OPE_NM_DIV_DSP_ITM As DataTable			'手術名分類表示項目マスタ検索結果テーブル
#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal MNG_DIV As String, ByVal MNG_NO As Integer, ByVal pPrint As clsConst.Enum_NonPrt_Flg)

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		_MNG_DIV = MNG_DIV
		_MNG_NO = MNG_NO
		_pPrint = pPrint

	End Sub
#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ参照画面＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP140F020_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(clsSysMst.logLevel.NRM, "XSP140F020_Load", "手術名検索画面＿初期表示 Start")
		Try
			OwnerForm = Me.Owner		'OwnerFormを取得
			DataMTM_OPE_NM = getDataMTM_OPE_NM()
			DataMTM_OPE_NM_DIV_DSP_ITM = getDataMTM_OPE_NM_DIV_DSP_ITM()
			cliBmp = New clsBmp

			Me.btn001XSP140F020.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.PrintPreview)
			Me.btn002XSP140F020.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Print)

			Select Case _pPrint
				Case clsConst.Enum_NonPrt_Flg.NonPrt
					btn001XSP140F020.Visible = False
					btn002XSP140F020.Visible = False
				Case clsConst.Enum_NonPrt_Flg.Prt
					btn001XSP140F020.Visible = True
					btn002XSP140F020.Visible = True
			End Select

		Catch ex As Exception
            ErrorProc(ex)                       'エラー処理
            Me.OwnerForm.setCancelFlg(True)     'Load時に強制的に画面を閉じる場合に必要
            EndProc()                           '終了処理
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ参照画面＿初期値表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP140F020_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		log(clsSysMst.logLevel.NRM, "XSP140F020_Shown", "手術名マスタ参照画面＿初期値表示 Start")
		Try
			Dim count As Integer = DataMTM_OPE_NM_DIV_DSP_ITM.Rows.Count

			Dim Rowscounter As Long

			chk049XSP140F020.Visible = False
			chk050XSP140F020.Visible = False
			chk051XSP140F020.Visible = False
			chk052XSP140F020.Visible = False
			chk053XSP140F020.Visible = False

			If count <> 0 Then
				For Rowscounter = 0 To count - 1
					Select Case True
                        Case Rowscounter = 0
                            chk049XSP140F020.Visible = True
                            chk049XSP140F020.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
                        Case Rowscounter = 1
                            chk050XSP140F020.Visible = True
                            chk050XSP140F020.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
                        Case Rowscounter = 2
                            chk051XSP140F020.Visible = True
                            chk051XSP140F020.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
                        Case Rowscounter = 3
                            chk052XSP140F020.Visible = True
                            chk052XSP140F020.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
                        Case Rowscounter = 4
                            chk053XSP140F020.Visible = True
                            chk053XSP140F020.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Else
					End Select
				Next Rowscounter
			End If

			lbl004XSP140F020.Text = _MNG_DIV
			lbl005XSP140F020.Text = _MNG_NO
			lbl007XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(2).ToString
			lbl008XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(3).ToString
			lbl009XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(4).ToString
			lbl010XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(5).ToString
			lbl011XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(6).ToString
			lbl013XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(7).ToString
			lbl015XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(8).ToString
			lbl017XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(9).ToString
			lbl019XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(10).ToString
			lbl021XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(11).ToString
			lbl022XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(30).ToString
			lbl024XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(12).ToString
			lbl025XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(31).ToString
			lbl027XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(13).ToString
			lbl028XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(32).ToString
			lbl030XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(14).ToString
			lbl032XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(15).ToString
			lbl034XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(16).ToString
			lbl036XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(17).ToString
			lbl038XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(18).ToString
			lbl040XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(19).ToString
			lbl042XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(20).ToString
			lbl044XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(21).ToString
			lbl046XSP140F020.Text = DataMTM_OPE_NM.Rows(0).Item(22).ToString
			If Not String.IsNullOrEmpty(DataMTM_OPE_NM.Rows(0).Item(23).ToString) AndAlso TypeOf DataMTM_OPE_NM.Rows(0).Item(23) Is DateTime Then
				lbl048XSP140F020.Text = DirectCast(DataMTM_OPE_NM.Rows(0).Item(23), DateTime).ToString(clsConst.CST_YYYYMMDD_FORMAT)
			End If

			If chk049XSP140F020.Visible = True Then
                If DataMTM_OPE_NM.Rows(0).Item(25) = clsConst.Enum_CheckBox_Flg.CheckOff Then
                    chk049XSP140F020.Checked = False
                Else
                    chk049XSP140F020.Checked = True
                End If
			End If
			If chk050XSP140F020.Visible = True Then
                If DataMTM_OPE_NM.Rows(0).Item(26) = clsConst.Enum_CheckBox_Flg.CheckOff Then
                    chk050XSP140F020.Checked = False
                Else
                    chk050XSP140F020.Checked = True
                End If
			End If
			If chk051XSP140F020.Visible = True Then
                If DataMTM_OPE_NM.Rows(0).Item(27) = clsConst.Enum_CheckBox_Flg.CheckOff Then
                    chk051XSP140F020.Checked = False
                Else
                    chk051XSP140F020.Checked = True
                End If
			End If
			If chk052XSP140F020.Visible = True Then
                If DataMTM_OPE_NM.Rows(0).Item(28) = clsConst.Enum_CheckBox_Flg.CheckOff Then
                    chk052XSP140F020.Checked = False
                Else
                    chk052XSP140F020.Checked = True
                End If
			End If
			If chk053XSP140F020.Visible = True Then
                If DataMTM_OPE_NM.Rows(0).Item(29) = clsConst.Enum_CheckBox_Flg.CheckOff Then
                    chk053XSP140F020.Checked = False
                Else
                    chk053XSP140F020.Checked = True
                End If
			End If
		Catch ex As Exception
            ErrorProc(ex)                       'エラー処理	
            EndProc()                           '終了処理	
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ参照画面＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP140F020_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP140F020_FormClosing", "手術名マスタ参照画面＿終了処理 Start")
		Try
			If DataMTM_OPE_NM IsNot Nothing Then DataMTM_OPE_NM.Dispose()
			If DataMTM_OPE_NM_DIV_DSP_ITM IsNot Nothing Then DataMTM_OPE_NM_DIV_DSP_ITM.Dispose()
			OwnerForm.backForm(False)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			DataMTM_OPE_NM = Nothing
			DataMTM_OPE_NM_DIV_DSP_ITM = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' プレビューボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn001XSP140F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001XSP140F020.Click
		log(clsSysMst.logLevel.NRM, "btn001XSP140F020_Click", "プレビューボタンクリック Start")
		Try
            'プレビュー処理
            Using eXSP140R020 As New XSP140R020(Me)
                '印刷・プレビュー処理（手術名マスタ参照検索）
				eXSP140R020.Prn_OPE_NM_details(_MNG_DIV, _MNG_NO, False)
            End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 印刷ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn002XSP140F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002XSP140F020.Click
		log(clsSysMst.logLevel.NRM, "btn002XSP140F020_Click", "印刷ボタンクリック Start")
		Try
            '印刷処理
            Using eXSP140R020 As New XSP140R020(Me)
                '印刷・プレビュー処理（手術名マスタ参照検索）
				eXSP140R020.Prn_OPE_NM_details(_MNG_DIV, _MNG_NO, True)
            End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub
#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getDataMTM_OPE_NM() As DataTable
		log(clsSysMst.logLevel.DBG, "getDataMTM_OPE_NM", "手術名マスタ一覧データ取得 Start")
        Dim dtData As DataTable
        Try
            dtData = New DataTable
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                db.setSQLDa(sqlXSP140F020.sqlMTM_OPE_NM)
                setSqlPara(db)            'SQLパラメータセット
                db.execQueryDa(dtData)
            End Using
        Catch ex As Exception
            Throw
        End Try
		Return dtData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータをセットする
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlPara(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setSqlPara", "SQLパラメータをセットする Start")
		Dim NmBackwardChar As String = Nothing
		Dim MUNFowardChar As String = Nothing
		Dim DISFowardChar As String = Nothing
		Dim MUNBackwardChar As String = Nothing
		Dim DISBackwardChar As String = Nothing

		Try
			'パラメータ文字列設定
			db.setParamDa(sqlXSP110F020.prmMNG_DIV, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP110F020.prmMNG_NO, clsDB.Enum_dbType.dbInt)

			'検索値設定
			db.setValDa(sqlXSP110F020.prmMNG_DIV, _MNG_DIV, String.IsNullOrEmpty(_MNG_DIV))
			db.setValDa(sqlXSP110F020.prmMNG_NO, _MNG_NO, String.IsNullOrEmpty(_MNG_NO))
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 手術名分類表示項目マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getDataMTM_OPE_NM_DIV_DSP_ITM() As DataTable
		log(clsSysMst.logLevel.DBG, "getDataMTM_OPE_NM_DIV_DSP_ITM", "手術名分類表示項目マスタ一覧データ取得 Start")
        Dim dtData As DataTable
        Try
            dtData = New DataTable
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                db.setSQLDa(sqlXSP140F020.sqlMTM_OPE_NM_DIV_DSP_ITM)
                db.execQueryDa(dtData)
            End Using
        Catch ex As Exception
            Throw
        End Try
		Return dtData
	End Function

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function
#End Region

End Class