﻿Imports XCM
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 手術マスタ詳細　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP140R020

#Region "解放処理"
    '確実な解放処理を実行するために指定
    Inherits CriticalFinalizerObject
    '解放処理を実装する為に指定
    Implements IDisposable

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
	''' 2010/11/30 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
			pFrm = Nothing							'フォーム
		End If
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
	''' 2010/11/30 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        MyBase.Finalize()
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
	''' 2010/11/30 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

#Region "変数"

    'IN項目
    Private pFrm As frmBase = Nothing                                   'フォーム

#End Region

#Region "コンスタント"

    '帳票タイトル(頭書コメントトップが空白時使用)
    Private Const LEDGERSHEET_TITLE As String = "手術名マスタ詳細"

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="pForm">frmBase</param>
    ''' <remarks>
	''' 2010/11/30 新規作成 CS)徳増<BR/>
	''' </remarks>
    ''' ---------------------------------------------
    Sub New(ByVal pForm As Form)
        'IN項目引き継ぎ
        pFrm = pForm                    '画面ID
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 印刷・プレビュー処理（手術名マスタ詳細）
    ''' </summary>
	''' <param name="pMng_Div">管理記号</param>
	''' <param name="pMng_No">管理番号</param>
	''' <param name="pValuePrint">TRUE:印刷 FALSE:プレビュー</param>	
    ''' <remarks>
    ''' 2010/11/30 新規作成 CS)徳増<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Public Function Prn_OPE_NM_details(ByVal pMng_Div As String, ByVal pMng_No As Integer, ByVal pValuePrint As Boolean) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "Prn_DISEASE_details", "印刷・プレビュー処理（手術名マスタ詳細） START")

		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim datHeader As datHeader = Nothing							'ヘッダーデータクラス
		Dim cliCom As clsCom = Nothing									'共通クラス

		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom

			'ヘッダー情報作成
			datHeader = Me.getHeaderData(pMng_Div, pMng_No)

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(Me.pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)

				'ヘッダーワークテーブルの削除
				Call cliReportFunc.exeHeaderDel(db, datAccess.REPORT_NM, True)

				'ヘッダーワークテーブルの追加
				Call cliReportFunc.exeHeaderIns(db, datHeader, True)

				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダーデータ取得
	''' </summary>
	''' <returns>ヘッダーデータ</returns>
	''' <remarks>
	''' 2010/11/30 新規作成 CS)徳増<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHeaderData(ByVal MNG_DIV As String, ByVal MNG_NO As Integer) As datHeader
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "getHeaderData", "手術名マスタ参照", "手術名マスタ詳細（Report）", "ヘッダーデータ取得 START")
		Dim retHeader As New datHeader

		Try
			With retHeader
				'帳票ID
				.PRT_ID = Me.GetType.Name
				'タイトル	
				.TITLE_NM = LEDGERSHEET_TITLE
				'管理記号
				.STR1 = MNG_DIV
				'管理番号
				.STR2 = MNG_NO
			End With

			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class