﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 区分グループ検索クラス（新規作成：V4-14047）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP250F010

#Region "コンスタント"
	Public Const C_NONE_GRP_NM As String = "グループなし"
	Public Const C_NONE_GRP_RNM As String = "ｸﾞﾙｰﾌﾟなし"
#End Region

#Region "変数"

	Private dtDiv As DataTable									'区分マスタ
	Private dtGrp As DataTable									'区分グループマスタ
	Private fret As Enum_FormReturn = Enum_FormReturn.CANSEL	'画面戻りフラグ
	Private _DivFlg As ENUM_DIV_FLG								'画面呼び出し元区分フラグ（１ Or ２）
	Private _MngItem_Cd As String = String.Empty				'管理物コード

	''' <summary>
	''' 区分フラグ（１＝区分１、２＝区分２）
	''' </summary>
	''' <remarks></remarks>
	Public Enum ENUM_DIV_FLG As Integer
		DIV1 = 1
		DIV2 = 2
	End Enum

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="enumDivFlg"></param>
	''' <param name="MngItem_Cd"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal enumDivFlg As ENUM_DIV_FLG, ByVal MngItem_Cd As String)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_DivFlg = enumDivFlg
		_MngItem_Cd = MngItem_Cd
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開く時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP250F010_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "XSP250F010_Load", "フォームを開く時 Start")
		Dim cliGridStyle As clsGridStyle
		Try
			' 管理物コードチェック
			If String.IsNullOrEmpty(_MngItem_Cd) Then
				' 引数不正
				showMsg("E0003", "管理物コードが未設定の", "検索", Nothing)
				CType(Me.Owner, frmBase).setCancelFlg(True)
				EndProc()
				Exit Sub
			End If
			' グリッド設定
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv001XSP250F010)
			Me.dgv001XSP250F010.ReadOnly = True
			Me.dgv001XSP250F010.AutoGenerateColumns = False
			cliGridStyle.setGridHeight(Me.dgv002XSP250F010)
			Me.dgv002XSP250F010.ReadOnly = True
			Me.dgv002XSP250F010.AutoGenerateColumns = False

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				dtGrp = New DataTable
				'区分グループマスタ全件取得
				dtGrp = getDivGrpListAll(db)
				'区分マスタ全件取得
				dtDiv = New DataTable
				dtDiv = getDivListAll(db)
				' 区分グループマスタに存在しないか、区分グループコードが未入力の場合、空白を設定
				Dim bEmpty As Boolean = False
				For Each dr As DataRow In dtDiv.Rows
					If String.IsNullOrEmpty(dr(sqlXSP250F010.itmDIV_GRP_CD).ToString) Then
						dr(sqlXSP250F010.itmDIV_GRP_CD) = String.Empty
						bEmpty = True
					ElseIf dtGrp.Select(sqlXSP250F010.itmDIV_GRP_CD & " = '" & dr(sqlXSP250F010.itmDIV_GRP_CD).ToString & "'").Length <= 0 Then
						dr(sqlXSP250F010.itmDIV_GRP_CD) = String.Empty
						bEmpty = True
					End If
				Next
				' 区分グループマスタに存在しないか、区分グループコードが未入力の場合、「グループなし」を設定
				If bEmpty Then
					Dim dr As DataRow = dtGrp.NewRow
					dr(sqlXSP250F010.itmDIV_GRP_CD) = String.Empty
					dr(sqlXSP250F010.itmDIV_GRP_NM) = C_NONE_GRP_NM
					dr(sqlXSP250F010.itmDIV_GRP_RNM) = C_NONE_GRP_RNM
					dtGrp.Rows.Add(dr)
					dtGrp.DefaultView.Sort = sqlXSP250F010.itmDSPORDER & "," & sqlXSP250F010.itmDIV_GRP_CD
					dtGrp = dtGrp.DefaultView.ToTable
				End If
			End Using

			Me.dgv001XSP250F010.DataSource = dtGrp
			Me.dgv002XSP250F010.DataSource = dtDiv.Clone
			Me.dgv001XSP250F010.ClearSelection()
		Catch ex As Exception
			Me.ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)		 'Load時に強制的に画面を閉じる場合に必要
			EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが閉じる時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP250F010_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Try
			setCloseFlg()	'Close許可
			If fret = Enum_FormReturn.CANSEL Then
				CType(Me.Owner, frmBase).backForm(False)
			Else
				CType(Me.Owner, frmBase).backForm(False, fret, New DictionaryEntry(Me.Name, New DictionaryEntry(_DivFlg, Me.dgv002XSP250F010.CurrentRow.Cells(Me.c02002XSP250F010.Name).Value.ToString)))
			End If

			Me.dgv001XSP250F010.DataSource = Nothing
			Me.dgv002XSP250F010.DataSource = Nothing

			If dtGrp IsNot Nothing Then dtGrp.Dispose()
			If dtDiv IsNot Nothing Then dtDiv.Dispose()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			dtGrp = Nothing
			dtDiv = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			fret = Enum_FormReturn.CANSEL
			' 終了処理
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "確定ボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 確定処理
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 区分グループ選択時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001XSP250F010_SelectionChanged(sender As Object, e As System.EventArgs) Handles dgv001XSP250F010.SelectionChanged
		log(clsSysMst.logLevel.NRM, "dgv001XSP250F010_SelectionChanged", "区分グループ選択時 Start")
		Dim cliCom As clsCom
		Try
			Dim dr() As DataRow
			cliCom = New clsCom
			If dgv001XSP250F010.CurrentRow Is Nothing OrElse dgv001XSP250F010.CurrentRow.Index < 0 Then Exit Sub

			If dgv001XSP250F010.SelectedRows Is Nothing OrElse dgv001XSP250F010.SelectedRows.Count <= 0 Then
				Me.dgv002XSP250F010.DataSource = dtDiv.Clone
			Else
				dr = dtDiv.Select("DIV_GRP_CD = '" & cliCom.getDtItmValue(dgv001XSP250F010.CurrentRow.Cells(Me.c01001XSP250F010.Name).Value.ToString) & "'")
				Me.dgv002XSP250F010.DataSource = cliCom.getTableFromRows(dtDiv, dr)
			End If
			Me.dgv002XSP250F010.ClearSelection()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 区分一覧ダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/30 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv002XSP250F010_CellDoubleClick(sender As Object, e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv002XSP250F010.CellDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv002XSP250F010_CellDoubleClick", "区分一覧ダブルクリック Start")
		Try
			If e.RowIndex < 0 Then Exit Sub
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Try
			If Me.dgv002XSP250F010.SelectedRows Is Nothing OrElse Me.dgv002XSP250F010.SelectedRows.Count <= 0 Then
				fret = Enum_FormReturn.NONE
				showMsg("E0020", "区分を選択", Nothing)
			Else
				If String.IsNullOrEmpty(Me.dgv002XSP250F010.CurrentRow.Cells(Me.c02002XSP250F010.Name).Value.ToString) Then
					fret = Enum_FormReturn.NONE
					showMsg("E0020", "区分を選択", Nothing)
					Exit Try
				End If
				fret = Enum_FormReturn.OK
				Me.Close()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 区分グループを全件取得（データテーブル）
	''' </summary>
	''' <param name="db"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/07/30 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDivGrpListAll(ByVal db As clsDB) As DataTable
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			If _DivFlg = ENUM_DIV_FLG.DIV1 Then
				db.setSQLDa(sqlXSP250F010.sqlSelDiv1GrpListAll)	 'SELECT文設定
			ElseIf _DivFlg = ENUM_DIV_FLG.DIV2 Then
				db.setSQLDa(sqlXSP250F010.sqlSelDiv2GrpListAll)	 'SELECT文設定
			Else
				Return Nothing
			End If
			db.setParamDa(sqlXSP250F010.itmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setValDa(sqlXSP250F010.itmMNGITEM_CD, _MngItem_Cd)
			db.execQueryDa(dtData)	'値取得

			Return dtData

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 区分を全件取得（データテーブル）
	''' </summary>
	''' <param name="db"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/07/30 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDivListAll(ByVal db As clsDB) As DataTable
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			If _DivFlg = ENUM_DIV_FLG.DIV1 Then
				db.setSQLDa(sqlXSP250F010.sqlSelDiv1ListAll)	 'SELECT文設定
			ElseIf _DivFlg = ENUM_DIV_FLG.DIV2 Then
				db.setSQLDa(sqlXSP250F010.sqlSelDiv2ListAll)	 'SELECT文設定
			Else
				Return Nothing
			End If
			db.setParamDa(sqlXSP250F010.itmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setValDa(sqlXSP250F010.itmMNGITEM_CD, _MngItem_Cd)
			db.execQueryDa(dtData)	'値取得

			Return dtData

		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			MyBase.F7KeyProc()
			UpdProc()	'確定処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキーによる医療機関確定
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv002XSP250F010.Name Then
				If Me.dgv002XSP250F010.CurrentCell Is Nothing OrElse Me.dgv002XSP250F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv002XSP250F010.CurrentCell.RowIndex < 0 Then
					Return MyBase.EnterProc()
				Else
					UpdProc()	'確定処理
					Return True
				End If
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class