﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 明細一括作成マスタクラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsLTM_MNGITEM_DEFINITION
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "コンスタント"

	'メソッド名（値取得）
	Public Const C_FUNC_GET_DEFDATE As String = "FuncGetDefDate"			'明細一括作成マスタの日付取得
	Public Const C_FUNC_GET_STAFF_CD As String = "FuncGetStaffCd"			'明細一括作成マスタの職員（医師、受領者）取得
	Public Const C_FUNC_GET_KEEPLCT_CD As String = "FuncGetKeepLctCd"		'明細一括作成マスタの保管場所取得
	Public Const C_FUNC_GET_MNGSTATUS_CD As String = "FuncGetMngStatusCd"	'明細一括作成マスタの管理状況取得
	'メソッド名（分岐メソッド）
	Public Const C_FUNC_SEL_DIV_TITLE As String = "FuncSelDivTitle"			'管理物マスタ　区分の分岐処理
	Public Const C_FUNC_SEL_UNIT_CD As String = "FuncSelUnitCd"				'明細一括作成マスタ　管理単位の分岐処理
	Public Const C_FUNC_SEL_TEXTFLAG As String = "FuncSelTextFlag"			'管理物マスタ　テキストフラグの分岐処理
	Public Const C_FUNC_SEL_CMB As String = "FuncSelCmb"					'コンボの分岐処理
	Public Const C_FUNC_SEL_HSP_DATE As String = "FuncSelHspDate"			'日付（入退院）の分岐処理
	Public Const C_FUNC_SEL_CH_DATE As String = "FuncSelChDate"				'日付（科歴）の分岐処理
	Public Const C_FUNC_SEL_TEXT As String = "FuncSelText"					'テキストの分岐処理

#End Region

#Region "変数"

	Protected cliClsMsg As New clsMsg()										'メッセージ取得クラス
	Private UserID As String												'使用者ＩＤ
	Private rowLTM_MNGITEM_DEFINITION As DataRow							'管理物情報、明細一括作成マスタ DataRow
	Private rowMTI_HSP_CH As DataRow										'入退院情報、科歴情報 DataRow
	Private cliLTM_MNGITEMMNGSTATUS As clsLTM_MNGITEMMNGSTATUS				'管理物管理状況クラスインスタンス
	Private cliLTM_MNGITEMKEEPLCT As clsLTM_MNGITEMKEEPLCT					'管理物保管場所クラスインスタンス
	Private EnumMngItemStat_Fix3 As clsConst.Enum_MngItemStat_Fix3			'管理状況　固定コード３
	Private EnumMngItemKeepLct_Fix2 As clsConst.Enum_MngItemKeepLct_Fix2	'保管場所　固定コード２
	Private htCsvFileRec As Hashtable										'ＣＳＶファイル Hashtable

	'■明細一括作成マスタ特殊処理■
	''' <summary>
	''' 日付（本日あり）
	''' </summary>
	''' <remarks></remarks>
	Public Get_DefDate As clsFunc = New clsFunc(C_FUNC_GET_DEFDATE, Nothing)

	''' <summary>
	''' 職員
	''' </summary>
	''' <remarks></remarks>
	Public Get_Staff_Cd As clsFunc = New clsFunc(C_FUNC_GET_STAFF_CD, Nothing)

	''' <summary>
	''' 保管場所
	''' </summary>
	''' <remarks></remarks>
	Public Get_KeepLct_Cd As clsFunc = New clsFunc(C_FUNC_GET_KEEPLCT_CD, Nothing)

	''' <summary>
	''' 管理状況
	''' </summary>
	''' <remarks></remarks>
	Public Get_MngStatus_Cd As clsFunc = New clsFunc(C_FUNC_GET_MNGSTATUS_CD, Nothing)

	'■分岐処理■
	'■■■clsFuncの第２引数はコンストラクターで再設定■■■

	''' <summary>
	''' 区分タイトル（入力有りチェック）分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_Div_Title As clsFunc = New clsFunc(C_FUNC_SEL_DIV_TITLE, NextFunc_Div_Title)

	''' <summary>
	''' 管理単位 分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_Unit_Cd As clsFunc = New clsFunc(C_FUNC_SEL_UNIT_CD, NextFunc_Unit_Cd)

	''' <summary>
	''' テキストフラグ 分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_TextFlag As clsFunc = New clsFunc(C_FUNC_SEL_TEXTFLAG, NextFunc_TextFlag)

	''' <summary>
	''' コンボ 分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_Cmb As clsFunc = New clsFunc(C_FUNC_SEL_CMB, NextFunc_Cmb)

	''' <summary>
	''' 日付（入退院）分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_Hsp_Date As clsFunc = New clsFunc(C_FUNC_SEL_HSP_DATE, NextFunc_Hsp_Date)

	''' <summary>
	''' 日付（科歴）分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_Ch_Date As clsFunc = New clsFunc(C_FUNC_SEL_CH_DATE, NextFunc_Ch_Date)

	''' <summary>
	''' テキスト 分岐処理
	''' </summary>
	''' <remarks></remarks>
	Public Sel_Text As clsFunc = New clsFunc(C_FUNC_SEL_TEXT, NextFunc_Text)

	'■候補処理■

	''' <summary>
	''' 区分タイトル（入力有りチェック） 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_Div_Title As New List(Of clsNextFunc) From {New clsNextFunc(False, Nothing, String.Empty),
																New clsNextFunc(True, Sel_TextFlag, Nothing)}

	''' <summary>
	''' 管理単位 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_Unit_Cd As New List(Of clsNextFunc) From {New clsNextFunc(clsConst.Enum_LendUnit.Each_Patient, Sel_Hsp_Date, Nothing),
															  New clsNextFunc(clsConst.Enum_LendUnit.Each_Hosp, Sel_Hsp_Date, Nothing),
															  New clsNextFunc(clsConst.Enum_LendUnit.Each_Dept, Sel_Ch_Date, Nothing)}

	''' <summary>
	''' テキストフラグ 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_TextFlag As New List(Of clsNextFunc) From {New clsNextFunc(clsConst.Enum_DivType_Flg.Cmb_Type, Sel_Cmb, Nothing),
															   New clsNextFunc(clsConst.Enum_DivType_Flg.Txt_Type, Sel_Text, Nothing),
															   New clsNextFunc(clsConst.Enum_DivType_Flg.Date_Type, Sel_Unit_Cd, Nothing)}

	''' <summary>
	''' コンボ 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_Cmb As New List(Of clsNextFunc) From {New clsNextFunc(clsConst.Enum_MngDefMstGetFrom.Dept, Nothing, sqlMTI_HSP.itmDEPT_CD)}

	''' <summary>
	''' 日付（入退院） 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_Hsp_Date As New List(Of clsNextFunc) From {New clsNextFunc(clsConst.Enum_MngDefDate.Hsp, Nothing, sqlMTI_HSP.itmHSP_DT),
															   New clsNextFunc(clsConst.Enum_MngDefDate.HspOut, Nothing, sqlMTI_HSP.itmOUT_HSP_DT)}

	''' <summary>
	''' 日付（科歴） 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_Ch_Date As New List(Of clsNextFunc) From {New clsNextFunc(clsConst.Enum_MngDefDate.Hsp, Nothing, sqlMTI_CH.itmSTART_DT),
															  New clsNextFunc(clsConst.Enum_MngDefDate.HspOut, Nothing, sqlMTI_CH.itmEND_DT)}

	''' <summary>
	''' テキスト 候補
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc_Text As New List(Of clsNextFunc) From {New clsNextFunc(clsConst.Enum_MngDefText.Byoreki, Nothing, sqlMTI_HSP.itmBYOREKI_NO)}

	'■管理物情報■

	''' <summary>
	''' 管理物情報 配列
	''' </summary>
	''' <remarks></remarks>
	Public LTI_MngItem As New List(Of clsItems) From
	{
		New clsItems("病歴番号", sqlLTI_MNGITEMINFO.itmBYOREKI_NO, sqlLTM_MNGITEM_DEFINITION.itmBYOREKI_NO, sqlLTM_MNGITEM_DEFINITION.itmBYOREKI_FLG,
					Nothing, Nothing, Nothing, Nothing, sqlMTI_HSP.itmBYOREKI_NO),
		New clsItems("区分１コード", sqlLTI_MNGITEMINFO.itmDIV1_CD, sqlLTM_MNGITEM_DEFINITION.itmDIV1_CD, sqlLTM_MNGITEM_DEFINITION.itmDIV1_FLG,
					sqlLTM_MNGITEM.itmDIV1TEXT_FLG, sqlLTM_MNGITEM.itmDIV1TITLE, Nothing, Sel_Div_Title, Nothing),
		New clsItems("区分２コード", sqlLTI_MNGITEMINFO.itmDIV2_CD, sqlLTM_MNGITEM_DEFINITION.itmDIV2_CD, sqlLTM_MNGITEM_DEFINITION.itmDIV2_FLG,
					sqlLTM_MNGITEM.itmDIV2TEXT_FLG, sqlLTM_MNGITEM.itmDIV2TITLE, Nothing, Sel_Div_Title, Nothing),
		New clsItems("初回受領日", sqlLTI_MNGITEMINFO.itmFIRSTRECEIVING_DT, sqlLTM_MNGITEM_DEFINITION.itmFIRSTRECEIVING_DT, sqlLTM_MNGITEM_DEFINITION.itmFIRSTRECEIVING_FLG,
					Nothing, Nothing, Get_DefDate, Sel_Unit_Cd, Nothing),
		New clsItems("受領者コード", sqlLTI_MNGITEMINFO.itmRECIPIENT_CD, sqlLTM_MNGITEM_DEFINITION.itmRECIPIENT_CD, sqlLTM_MNGITEM_DEFINITION.itmRECIPIENT_FLG,
					Nothing, Nothing, Get_Staff_Cd, Nothing, Nothing),
		New clsItems("保管場所コード", sqlLTI_MNGITEMINFO.itmKEEPLCT_CD, sqlLTM_MNGITEM_DEFINITION.itmKEEPLCT_CD, Nothing,
					Nothing, Nothing, Get_KeepLct_Cd, Nothing, Nothing),
		New clsItems("管理状況コード", sqlLTI_MNGITEMINFO.itmMNGSTATUS_CD, sqlLTM_MNGITEM_DEFINITION.itmMNGSTATUS_CD, Nothing,
					Nothing, Nothing, Get_MngStatus_Cd, Nothing, Nothing),
		New clsItems("備考", sqlLTI_MNGITEMINFO.itmREMARKS, sqlLTM_MNGITEM_DEFINITION.itmREMARKS, sqlLTM_MNGITEM_DEFINITION.itmREMARKS_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing),
		New clsItems("日付１", sqlLTI_MNGITEMINFO.itmDATE1, sqlLTM_MNGITEM_DEFINITION.itmDATE1, sqlLTM_MNGITEM_DEFINITION.itmDATE1_FLG,
					Nothing, Nothing, Get_DefDate, Sel_Unit_Cd, Nothing),
		New clsItems("日付２", sqlLTI_MNGITEMINFO.itmDATE2, sqlLTM_MNGITEM_DEFINITION.itmDATE2, sqlLTM_MNGITEM_DEFINITION.itmDATE2_FLG,
					Nothing, Nothing, Get_DefDate, Sel_Unit_Cd, Nothing),
		New clsItems("医師コード", sqlLTI_MNGITEMINFO.itmDOCTOR_CD, sqlLTM_MNGITEM_DEFINITION.itmDOCTOR_CD, sqlLTM_MNGITEM_DEFINITION.itmDOCTOR_FLG,
					Nothing, Nothing, Get_Staff_Cd, Nothing, sqlMTI_HSP.itmDOCTOR_CD),
		New clsItems("管理物コンボ１", sqlLTI_MNGITEMINFO.itmMNGITEMCMB1, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCMB1, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCMB1_FLG,
					Nothing, Nothing, Nothing, Sel_Cmb, Nothing),
		New clsItems("管理物コンボ２", sqlLTI_MNGITEMINFO.itmMNGITEMCMB2, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCMB2, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCMB2_FLG,
					Nothing, Nothing, Nothing, Sel_Cmb, Nothing),
		New clsItems("管理物テキスト１", sqlLTI_MNGITEMINFO.itmMNGITEMTEXT1, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMTEXT1, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMTEXT1_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing),
		New clsItems("管理物テキスト２", sqlLTI_MNGITEMINFO.itmMNGITEMTEXT2, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMTEXT2, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMTEXT2_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing),
		New clsItems("管理物チェック１", sqlLTI_MNGITEMINFO.itmMNGITEMCHK1, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK1, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK1_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing),
		New clsItems("管理物チェック２", sqlLTI_MNGITEMINFO.itmMNGITEMCHK2, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK2, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK2_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing),
		New clsItems("管理物チェック３", sqlLTI_MNGITEMINFO.itmMNGITEMCHK3, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK3, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK3_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing),
		New clsItems("管理物チェック４", sqlLTI_MNGITEMINFO.itmMNGITEMCHK4, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK4, sqlLTM_MNGITEM_DEFINITION.itmMNGITEMCHK4_FLG,
					Nothing, Nothing, Nothing, Nothing, Nothing)
	}

#End Region

#Region "プロパティ"

	Private _CurrentItems As clsItems
	''' ---------------------------------------------
	''' <summary>
	''' カレント項目（連携用）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property CurrentItems As clsItems
		Get
			Return _CurrentItems
		End Get
		Set(value As clsItems)
			_CurrentItems = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' ＣＳＶファイルレコードプロパティ（連携用）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property CSVFILEREC As Hashtable
		Get
			Return htCsvFileRec
		End Get
		Set(value As Hashtable)
			htCsvFileRec = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' 管理物管理状況クラス　プロパティ（連携用）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property CLS_MNGITEMMNGSTATUS As clsLTM_MNGITEMMNGSTATUS
		Get
			Return cliLTM_MNGITEMMNGSTATUS
		End Get
		Set(value As clsLTM_MNGITEMMNGSTATUS)
			cliLTM_MNGITEMMNGSTATUS = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' 管理物保管場所クラス　プロパティ（連携用）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property CLS_MNGITEMKEEPLCT As clsLTM_MNGITEMKEEPLCT
		Get
			Return cliLTM_MNGITEMKEEPLCT
		End Get
		Set(value As clsLTM_MNGITEMKEEPLCT)
			cliLTM_MNGITEMKEEPLCT = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' 管理物マスタ、明細一括作成マスタ DataRow　プロパティ（連携用）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property MNGITEM_DEFINITION As DataRow
		Get
			Return rowLTM_MNGITEM_DEFINITION
		End Get
		Set(value As DataRow)
			rowLTM_MNGITEM_DEFINITION = value
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pUserID">ユーザＩＤ</param>
	''' <remarks>
	''' 2013/06/21 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pUserID As String)
		UserID = pUserID
		'区分タイトル
		Sel_Div_Title.NextFunc = NextFunc_Div_Title
		'管理単位
		Sel_Unit_Cd.NextFunc = NextFunc_Unit_Cd
		'テキストフラグ
		Sel_TextFlag.NextFunc = NextFunc_TextFlag
		'コンボ
		Sel_Cmb.NextFunc = NextFunc_Cmb
		'日付（入退院）
		Sel_Hsp_Date.NextFunc = NextFunc_Hsp_Date
		'日付（科歴）
		Sel_Ch_Date.NextFunc = NextFunc_Ch_Date
		'テキスト
		Sel_Text.NextFunc = NextFunc_Text
	End Sub

#End Region

#Region "メソッド"

#Region "メソッド名前で呼び出し"

	''' ---------------------------------------------
	''' <summary>
	''' メソッド名称で値取得メソッド実行
	''' </summary>
	''' <param name="strFuncName"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/27 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function execFuncValue(ByVal strFuncName As String) As String
		Try
			Dim t As Type = GetType(clsLTM_MNGITEM_DEFINITION)

			Dim mi As MethodInfo = t.GetMethod(strFuncName, New Type() {})
			Dim strRet As String = CStr(mi.Invoke(Me, New Object() {}))

			Return strRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' メソッド名称で分岐メソッド実行
	''' </summary>
	''' <param name="strFuncName"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/27 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function execFunc(ByVal strFuncName As String) As clsNextFunc
		Try
			Dim t As Type = GetType(clsLTM_MNGITEM_DEFINITION)
			Dim mi As MethodInfo = t.GetMethod(strFuncName, New Type() {})
			Dim cliNF As clsNextFunc = CType(mi.Invoke(Me, New Object() {}), clsNextFunc)

			Return cliNF
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "値取得メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 日付（本日あり）取得メソッド
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncGetDefDate() As String
		Try
			If rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString = CType(clsConst.Enum_MngDefToday.SystemToday, String) Then
				Return DateTime.Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)
			Else
				Return rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 職員取得メソッド
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncGetStaffCd() As String
		Try
			If rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString = CType(clsConst.Enum_MngDefRecipient.UserId, String) Then
				Return Me.UserID
			Else
				Return rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 保管場所取得メソッド
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncGetKeepLctCd() As String
		Try
			If String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString) Then
				Return cliLTM_MNGITEMKEEPLCT.getDefaultKeepLct_Cd(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM_DEFINITION.itmMNGITEM_CD).ToString, EnumMngItemKeepLct_Fix2)
			Else
				Return rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況取得メソッド
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncGetMngStatusCd() As String
		Try
			If String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString) Then
				Return cliLTM_MNGITEMMNGSTATUS.getDefaultMngStatus_Cd(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM_DEFINITION.itmMNGITEM_CD).ToString, EnumMngItemStat_Fix3)
			Else
				Return rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "分岐処理メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 区分タイトル　分岐
	''' </summary>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelDivTitle() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_Div_Title.NextFunc
				If cliNF.SelValue = Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.MngItemDivTitleName).ToString) Then
					Return cliNF
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理単位　分岐
	''' </summary>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelUnitCd() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_Unit_Cd.NextFunc
				If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD).ToString) Then
					If cliNF.SelValue = CType(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD).ToString, clsConst.Enum_LendUnit) Then
						Return cliNF
					End If
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' テキストフラグ　分岐
	''' </summary>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelTextFlag() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_TextFlag.NextFunc
				If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.MngItemTextFlagName).ToString) Then
					If cliNF.SelValue = CType(rowLTM_MNGITEM_DEFINITION(_CurrentItems.MngItemTextFlagName).ToString, clsConst.Enum_DivType_Flg) Then
						Return cliNF
					End If
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コンボ　　分岐
	''' </summary>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelCmb() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_Cmb.NextFunc
				If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString) Then
					If cliNF.SelValue = CType(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString, clsConst.Enum_MngDefMstGetFrom) Then
						Return cliNF
					End If
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 日付（入退院）　分岐
	''' </summary>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelHspDate() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_Hsp_Date.NextFunc
				If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString) Then
					If cliNF.SelValue = CType(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString, clsConst.Enum_MngDefDate) Then
						Return cliNF
					End If
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 日付（科歴）　分岐
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelChDate() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_Ch_Date.NextFunc
				If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString) Then
					If cliNF.SelValue = CType(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString, clsConst.Enum_MngDefDate) Then
						Return cliNF
					End If
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' テキスト　分岐
	''' </summary>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shadows Function FuncSelText() As clsNextFunc
		Try
			For Each cliNF As clsNextFunc In Sel_Text.NextFunc
				If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString) Then
					If cliNF.SelValue = CType(rowLTM_MNGITEM_DEFINITION(_CurrentItems.DefItemName).ToString, clsConst.Enum_MngDefText) Then
						Return cliNF
					End If
				End If
			Next
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "パブリックメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 管理物マスタ、明細一括作成マスタ取得
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2013/06/04 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMNGITEM_DEFINITION_ALL(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "明細一括作成マスタアクセスクラス", "管理物マスタ、明細一括作成マスタ取得 Start")
		Dim dtRet As DataTable = Nothing
		Try
			'管理物マスタ、明細一括作成マスタ取得
			dtRet = New DataTable
			db.setSQLDa(sqlLTM_MNGITEM_DEFINITION.sqlSel_LTM_MNGITEM_ALL)
			db.execQueryDa(dtRet)
			Return dtRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 明細一括作成マスタより管理物情報を作成
	''' </summary>
	''' <param name="MngItemStat_Fix3">管理状況固定コード３</param>
	''' <param name="MngItemKeepLct_Fix2">保管場所固定コード２</param>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="rowMngItem_Definition">管理物情報＋明細一括作成マスタ</param>
	''' <param name="rowHSP_CH">入退院情報 OR 科歴情報</param>
	''' <param name="cliError">戻り値（エラークラス）</param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/21 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMngItemInfo_FromDefinition(ByVal MngItemStat_Fix3 As clsConst.Enum_MngItemStat_Fix3,
												ByVal MngItemKeepLct_Fix2 As clsConst.Enum_MngItemKeepLct_Fix2,
												ByVal strPatient_No As String,
												ByVal rowMngItem_Definition As DataRow,
												ByVal rowHSP_CH As DataRow,
												ByRef cliError As clsError) As datLTI_MNGITEMINFO_IMP
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "明細一括作成マスタアクセスクラス", "明細一括作成マスタより管理物情報を作成 Start")
		Dim datMngItemInfo As datLTI_MNGITEMINFO_IMP = Nothing
		Dim strItemName As String = String.Empty
		Dim cliNF As clsNextFunc
		Dim strMngStatus_Cd As String = String.Empty
		Try
			'管理物管理状況マスタインスタンス作成
			If cliLTM_MNGITEMMNGSTATUS Is Nothing Then
				cliLTM_MNGITEMMNGSTATUS = New clsLTM_MNGITEMMNGSTATUS
			End If
			'管理物保管場所マスタインスタンス作成
			If cliLTM_MNGITEMMNGSTATUS Is Nothing Then
				cliLTM_MNGITEMKEEPLCT = New clsLTM_MNGITEMKEEPLCT
			End If
			'固定コード３保存
			EnumMngItemStat_Fix3 = MngItemStat_Fix3
			EnumMngItemKeepLct_Fix2 = MngItemKeepLct_Fix2
			rowLTM_MNGITEM_DEFINITION = rowMngItem_Definition
			rowMTI_HSP_CH = rowHSP_CH
			datMngItemInfo = New datLTI_MNGITEMINFO_IMP
			datMngItemInfo(sqlLTI_MNGITEMINFO.itmPATIENT_NO) = strPatient_No
			datMngItemInfo(sqlLTI_MNGITEMINFO.itmMNGITEM_CD) = rowMngItem_Definition(sqlLTI_MNGITEMINFO.itmMNGITEM_CD).ToString
			cliError.clear()
			For Each cliMngItem As clsItems In LTI_MngItem
				CurrentItems = cliMngItem
				If cliMngItem.DefFlagName Is Nothing OrElse
					rowMngItem_Definition(cliMngItem.DefFlagName).ToString = CType(clsConst.Enum_MngDefGetFrom.Constant, String) OrElse
					String.IsNullOrEmpty(rowMngItem_Definition(cliMngItem.DefFlagName).ToString) Then
					'明細一括作成マスタより
					If cliMngItem.DefNextFunc Is Nothing Then
						datMngItemInfo(cliMngItem.ItemName) = rowMngItem_Definition(cliMngItem.DefItemName).ToString
					Else
						datMngItemInfo(cliMngItem.ItemName) = execFuncValue(cliMngItem.DefNextFunc.FuncName)
					End If
				Else
					Dim bCsvFlag As Boolean = False
					'ＣＳＶファイルデータ有りの場合（連携用）
					If htCsvFileRec IsNot Nothing Then
						'CSVファイルの項目名取得
						strItemName = GetCsvItemName(cliMngItem.ItemName)
						'対象外？
						If strItemName IsNot Nothing Then
							If strItemName <> String.Empty Then
								'CSVファイルの項目が入力有りの場合
								If Not String.IsNullOrEmpty(htCsvFileRec(strItemName)) Then
									datMngItemInfo(cliMngItem.ItemName) = htCsvFileRec(strItemName).ToString
									bCsvFlag = True
								End If
							End If
						End If
					End If
					' CSVファイルより設定出来た時以外
					If Not bCsvFlag Then
						'入退院情報、科歴情報より
						If cliMngItem.NextFunc Is Nothing Then
							'項目名
							strItemName = cliMngItem.HspChItemName
							If strItemName Is Nothing Then
								cliError.ERR_FLG = "9"
								cliError.ERR_CD = "E0016"
								'明細一括作成マスタの[項目名]が入力されていません。
								cliError.MESSAGE = cliClsMsg.getMessage(cliError.ERR_CD, New String() {"明細一括作成マスタ(" & rowMngItem_Definition(sqlLTM_MNGITEM.itmMNGITEM_NM).ToString & ")の" & cliMngItem.JItemName & "は正しい値が", Nothing})
								Return Nothing
							Else
								If rowHSP_CH Is Nothing Then
									datMngItemInfo(cliMngItem.ItemName) = Nothing
								Else
									If IsDate(rowHSP_CH(strItemName).ToString) Then
										datMngItemInfo(cliMngItem.ItemName) = CDate(rowHSP_CH(strItemName).ToString).ToString(clsConst.CST_YYYYMMDD_FORMAT)
									Else
										datMngItemInfo(cliMngItem.ItemName) = rowHSP_CH(strItemName).ToString
									End If
								End If
							End If
						Else
							cliNF = execFunc(cliMngItem.NextFunc.FuncName)
							If cliNF Is Nothing Then
								cliError.ERR_FLG = "9"
								cliError.ERR_CD = "E0016"
								'明細一括作成マスタの[項目名]が入力されていません。
								cliError.MESSAGE = cliClsMsg.getMessage(cliError.ERR_CD, New String() {"明細一括作成マスタ(" & rowMngItem_Definition(sqlLTM_MNGITEM.itmMNGITEM_NM).ToString & ")の" & cliMngItem.JItemName & "は正しい値が", Nothing})
								Return Nothing
							End If
							Do Until cliNF.NextFunc Is Nothing
								cliNF = execFunc(cliNF.NextFunc.FuncName)
								If cliNF Is Nothing Then
									cliError.ERR_FLG = "9"
									cliError.ERR_CD = "E0016"
									'明細一括作成マスタの[項目名]が入力されていません。
									cliError.MESSAGE = cliClsMsg.getMessage(cliError.ERR_CD, New String() {"明細一括作成マスタ(" & rowMngItem_Definition(sqlLTM_MNGITEM.itmMNGITEM_NM).ToString & ")の" & cliMngItem.JItemName & "は正しい値が", Nothing})
									Return Nothing
								End If
							Loop
							If cliNF.ItemName Is Nothing Then
								cliError.ERR_FLG = "9"
								cliError.ERR_CD = "E0016"
								'明細一括作成マスタの[項目名]が入力されていません。
								cliError.MESSAGE = cliClsMsg.getMessage(cliError.ERR_CD, New String() {"明細一括作成マスタ(" & rowMngItem_Definition(sqlLTM_MNGITEM.itmMNGITEM_NM).ToString & ")の" & cliMngItem.JItemName & "は正しい値が", Nothing})
								Return Nothing
							Else
								If rowHSP_CH Is Nothing Then
									'データなし
									datMngItemInfo(cliMngItem.ItemName) = Nothing
								Else
									If String.IsNullOrEmpty(cliNF.ItemName) Then
										'設定なし
										datMngItemInfo(cliMngItem.ItemName) = Nothing
									Else
										'値設定
										If IsDate(rowHSP_CH(cliNF.ItemName).ToString) Then
											datMngItemInfo(cliMngItem.ItemName) = CDate(rowHSP_CH(cliNF.ItemName).ToString).ToString(clsConst.CST_YYYYMMDD_FORMAT)
										Else
											datMngItemInfo(cliMngItem.ItemName) = rowHSP_CH(cliNF.ItemName).ToString
										End If
									End If
								End If
							End If
						End If
					End If
				End If
			Next
			'区分１が空白の場合（CSVなし、入退院情報 OR 科歴情報　なし）
			If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDIV1TITLE).ToString) Then
				If String.IsNullOrEmpty(datMngItemInfo.DIV1_CD) Then
					'エラー情報セット
					cliError.ERR_FLG = "1"
					cliError.ERR_CD = "E0003"
					'区分１が空白のため、登録できません。[データ内容]
					cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD, New String() {"区分１が空白の", "登録", Nothing})
					Return datMngItemInfo
				End If
			End If
			'区分２が空白の場合（CSVなし、入退院情報 OR 科歴情報　なし）
			If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDIV2TITLE).ToString) Then
				If String.IsNullOrEmpty(datMngItemInfo.DIV2_CD) Then
					'エラー情報セット
					cliError.ERR_FLG = "1"
					cliError.ERR_CD = "E0003"
					'区分２が空白のため、登録できません。[データ内容]
					cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD, New String() {"区分２が空白の", "登録", Nothing})
					Return datMngItemInfo
				End If
			End If
			'区分１が日付の場合
			If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDIV1TITLE).ToString) Then
				If rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDIV1TEXT_FLG).ToString = CType(clsConst.Enum_DivType_Flg.Date_Type, String) Then
					If String.IsNullOrEmpty(datMngItemInfo.DIV1_CD) = False AndAlso (IsDate(datMngItemInfo.DIV1_CD) = False Or datMngItemInfo.DIV1_CD <= "1868/10/22") Then
						'エラー情報セット
						cliError.ERR_FLG = "1"
						cliError.ERR_CD = "E0030"
						'日付項目に日付以外のデータが入っています。[データ内容]
						cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD, New String() {"日付項目", "日付以外のデータ", Nothing}) & "[" & datMngItemInfo.DIV1_CD & "]"
						Return datMngItemInfo
					End If
				End If
			End If
			'区分２が日付の場合
			If Not String.IsNullOrEmpty(rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDIV2TITLE).ToString) Then
				If rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDIV2TEXT_FLG).ToString = CType(clsConst.Enum_DivType_Flg.Date_Type, String) Then
					If String.IsNullOrEmpty(datMngItemInfo.DIV2_CD) = False AndAlso (IsDate(datMngItemInfo.DIV2_CD) = False Or datMngItemInfo.DIV2_CD <= "1868/10/22") Then
						'エラー情報セット
						cliError.ERR_FLG = "1"
						cliError.ERR_CD = "E0030"
						'日付項目に日付以外のデータが入っています。[データ内容]
						cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD, New String() {"日付項目", "日付以外のデータ", Nothing}) & "[" & datMngItemInfo.DIV2_CD & "]"
						Return datMngItemInfo
					End If
				End If
			End If
			'管理物マスタ必須チェック
			'日付１
			If rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDATE1NEED_FLG).ToString = clsConst.Enum_CheckBox_Flg.CheckOn Then
				If String.IsNullOrEmpty(datMngItemInfo.DATE1) Then
					'エラー情報セット
					cliError.ERR_FLG = "1"
					cliError.ERR_CD = "E0001"
					'未入力の必須項目があります。
					cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD) & "[日付１]"
					Return datMngItemInfo
				End If
			End If
			'日付２
			If rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmDATE2NEED_FLG).ToString = clsConst.Enum_CheckBox_Flg.CheckOn Then
				If String.IsNullOrEmpty(datMngItemInfo.DATE2) Then
					'エラー情報セット
					cliError.ERR_FLG = "1"
					cliError.ERR_CD = "E0001"
					'未入力の必須項目があります。
					cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD) & "[日付２]"
					Return datMngItemInfo
				End If
			End If
			'病歴番号（物番号）
			If rowLTM_MNGITEM_DEFINITION(sqlLTM_MNGITEM.itmBYOREKINONEED_FLG).ToString = clsConst.Enum_CheckBox_Flg.CheckOn Then
				If String.IsNullOrEmpty(datMngItemInfo.BYOREKI_NO) Then
					'エラー情報セット
					cliError.ERR_FLG = "1"
					cliError.ERR_CD = "E0001"
					'未入力の必須項目があります。
					cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD) & "[物番号]"
					Return datMngItemInfo
				End If
			End If
			'管理状況
			If String.IsNullOrEmpty(datMngItemInfo.MNGSTATUS_CD) Then
				'エラー情報セット
				cliError.ERR_FLG = "1"
				cliError.ERR_CD = "E0003"
				'管理状況コードが設定できないため、登録できません。
				cliError.MESSAGE = Me.cliClsMsg.getMessage(cliError.ERR_CD, New String() {"管理状況コードが設定できない", "登録", Nothing})
				Return datMngItemInfo
			End If
			'初回受領日
			If String.IsNullOrEmpty(datMngItemInfo.FIRSTRECEIVING_DT) Then
				'管理物管理状況マスタ．固定コード２≠１：「貸出不可」　または
				'管理物管理状況マスタ．固定コード１＝２：「貸出中」の物は、初回受領日が空白はエラー
				Dim drMngStatus As DataRow = cliLTM_MNGITEMMNGSTATUS.getDataRowFromMngStatus_Cd(datMngItemInfo.MNGITEM_CD, datMngItemInfo.MNGSTATUS_CD)
				If drMngStatus Is Nothing OrElse
					(drMngStatus(sqlLTM_MNGITEMMNGSTATUS.itmFIXED_CD2).ToString <> CType(clsConst.Enum_MngItemStat_Fix2.NotLendable, String) OrElse
					drMngStatus(sqlLTM_MNGITEMMNGSTATUS.itmFIXED_CD1).ToString = CType(clsConst.Enum_MngItemStat_Fix1.WhenLending, String)) Then
					cliError.ERR_FLG = "1"
					cliError.ERR_CD = "E0003"
					'貸出不可でないか貸出中のため、初回受領日を空白で登録できません。
					cliError.MESSAGE = cliClsMsg.getMessage(cliError.ERR_CD, New String() {"貸出不可でないか貸出中の", "初回受領日を空白では登録", Nothing})
					Return datMngItemInfo
				End If
			Else
				'管理物管理状況マスタ．固定コード３＝３：「未納」の物は、初回受領日を空白に設定
				strMngStatus_Cd = cliLTM_MNGITEMMNGSTATUS.getDefaultMngStatus_Cd(datMngItemInfo.MNGITEM_CD, clsConst.Enum_MngItemStat_Fix3.NotReciving)
				If datMngItemInfo.MNGSTATUS_CD = strMngStatus_Cd Then
					datMngItemInfo.FIRSTRECEIVING_DT = String.Empty
				End If
			End If
			'最終受領日（初回受領日と同じ値）
			datMngItemInfo.LASTRECEIVING_DT = datMngItemInfo.FIRSTRECEIVING_DT

			Return datMngItemInfo
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報項目名よりＣＳＶファイル項目名称取得
	''' </summary>
	''' <param name="strItemName">管理物情報項目名</param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/26 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetCsvItemName(ByVal strItemName As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "共通基盤", "明細一括作成マスタアクセスクラス", "管理物情報項目名よりＣＳＶファイル項目名称取得 Start")
		Dim cliNextFunc As clsNextFunc = Nothing
		Try

			Select Case strItemName
				Case sqlLTI_MNGITEMINFO.itmBYOREKI_NO	'病歴番号（CSVはデータ種別で項目名が変動）
					If htCsvFileRec(sqlLTM_MNGITEM_DEFINITION.CSV_DATA_TYPE) <> sqlLTM_MNGITEM_DEFINITION.CSV_DATA_TYPE_MOVE Then
						Return sqlLTM_MNGITEM_DEFINITION.CSV_BYOREKI_NO
					Else
						Return sqlLTM_MNGITEM_DEFINITION.CSV_TO_DEPT_BYOREKI_NO
					End If
				Case sqlLTI_MNGITEMINFO.itmDOCTOR_CD	'医師コード（CSVはデータ種別で項目名が変動）
					If htCsvFileRec(sqlLTM_MNGITEM_DEFINITION.CSV_DATA_TYPE) <> sqlLTM_MNGITEM_DEFINITION.CSV_DATA_TYPE_MOVE Then
						Return sqlLTM_MNGITEM_DEFINITION.CSV_DOCTOR_CD
					Else
						Return sqlLTM_MNGITEM_DEFINITION.CSV_TO_DEPT_DOCTOR_CD
					End If
				Case sqlLTI_MNGITEMINFO.itmDIV1_CD,
					 sqlLTI_MNGITEMINFO.itmDIV2_CD		'区分１コード、区分２コード
					cliNextFunc = FuncSelTextFlag()
					If cliNextFunc Is Nothing Then
						Return String.Empty
					End If
					Select Case cliNextFunc.SelValue
						Case clsConst.Enum_DivType_Flg.Cmb_Type
							'コンボ
							cliNextFunc = FuncSelCmb()
							If cliNextFunc Is Nothing Then
								Return String.Empty
							End If
							Select Case cliNextFunc.SelValue
								Case clsConst.Enum_MngDefMstGetFrom.Dept
									Return sqlLTM_MNGITEM_DEFINITION.CSV_DEPT_CD
								Case Else
									Return String.Empty
							End Select
						Case clsConst.Enum_DivType_Flg.Date_Type
							'日付
							Return GetCsvItemName(sqlLTI_MNGITEMINFO.itmDATE1)	'日付１，２は同じ結果
						Case clsConst.Enum_DivType_Flg.Txt_Type
							'テキスト
							cliNextFunc = FuncSelText()
							If cliNextFunc Is Nothing Then
								Return String.Empty
							End If
							Select Case cliNextFunc.SelValue
								Case clsConst.Enum_MngDefText.Byoreki
									Return GetCsvItemName(sqlLTI_MNGITEMINFO.itmBYOREKI_NO)
								Case Else
									Return String.Empty
							End Select
					End Select
				Case sqlLTI_MNGITEMINFO.itmDATE1,
					 sqlLTI_MNGITEMINFO.itmDATE2,
					 sqlLTI_MNGITEMINFO.itmFIRSTRECEIVING_DT	'日付１コード、日付２コード、初回受領日
					'日付
					cliNextFunc = FuncSelHspDate()
					If cliNextFunc Is Nothing Then
						Return String.Empty
					End If
					'CSVは管理単位で項目名差異なし
					If cliNextFunc.SelValue = clsConst.Enum_MngDefDate.Hsp Then
						Return sqlLTM_MNGITEM_DEFINITION.CSV_HSP_DT
					ElseIf cliNextFunc.SelValue = clsConst.Enum_MngDefDate.HspOut Then
						Return sqlLTM_MNGITEM_DEFINITION.CSV_OUT_HSP_DT
					Else
						Return String.Empty
					End If
				Case sqlLTI_MNGITEMINFO.itmMNGITEMCMB1,
					 sqlLTI_MNGITEMINFO.itmMNGITEMCMB2	'管理物コンボ１、管理物コンボ２
					Return sqlLTM_MNGITEM_DEFINITION.CSV_DEPT_CD
				Case Else
					'ＣＳＶ対象外
					Return Nothing
			End Select
			Return String.Empty
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#End Region

End Class

#Region "メソッドクラス"

''' ---------------------------------------------
''' <summary>
''' メソッドクラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsFunc

	''' <summary>
	''' ①メソッド名
	''' </summary>
	''' <remarks></remarks>
	Public FuncName As String

	''' <summary>
	''' ②候補クラス配列
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc As List(Of clsNextFunc)

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' ①メソッド名、②候補クラス配列
	''' </summary>
	''' <param name="pFuncName"></param>
	''' <param name="pNextFunc"></param>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pFuncName As String, ByVal pNextFunc As List(Of clsNextFunc))
		FuncName = pFuncName
		NextFunc = pNextFunc
	End Sub

End Class

#End Region

#Region "候補クラス"

''' ---------------------------------------------
''' <summary>
''' 候補クラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsNextFunc
	''' <summary>
	''' ①候補値
	''' </summary>
	''' <remarks></remarks>
	Public SelValue As Integer

	''' <summary>
	''' ②次メソッド
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc As clsFunc

	''' <summary>
	''' ③入退院情報、科歴情報　項目名
	''' </summary>
	''' <remarks></remarks>
	Public ItemName As String

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' ①候補値、②次メソッド、③入退院情報、科歴情報　項目名
	''' </summary>
	''' <param name="pSelValue"></param>
	''' <param name="pNextFunc"></param>
	''' <param name="pItemName"></param>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pSelValue As Integer, ByVal pNextFunc As clsFunc, ByVal pItemName As String)
		SelValue = pSelValue
		NextFunc = pNextFunc
		ItemName = pItemName
	End Sub

End Class

#End Region

#Region "管理物情報項目クラス"

''' ---------------------------------------------
''' <summary>
''' 管理物情報項目クラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsItems

	''' <summary>
	''' ①日本語項目名
	''' </summary>
	''' <remarks></remarks>
	Public JItemName As String

	''' <summary>
	''' ②管理物情報項目名
	''' </summary>
	''' <remarks></remarks>
	Public ItemName As String

	''' <summary>
	''' ③明細一括作成マスタ項目名
	''' </summary>
	''' <remarks></remarks>
	Public DefItemName As String

	''' <summary>
	''' ④明細一括作成マスタフラグ項目名
	''' </summary>
	''' <remarks></remarks>
	Public DefFlagName As String

	''' <summary>
	''' ⑤管理物マスタテキストフラグ項目名
	''' </summary>
	''' <remarks></remarks>
	Public MngItemTextFlagName As String

	''' <summary>
	''' ⑥管理物マスタ区分タイトル項目名
	''' </summary>
	''' <remarks></remarks>
	Public MngItemDivTitleName As String

	''' <summary>
	''' ⑦明細一括作成マスタデータ取得特殊メソッド
	''' </summary>
	''' <remarks></remarks>
	Public DefNextFunc As clsFunc

	''' <summary>
	''' ⑧入退院情報、科歴情報取得メソッド
	''' </summary>
	''' <remarks></remarks>
	Public NextFunc As clsFunc

	''' <summary>
	''' ⑨入退院情報、科歴情報　項目名
	''' </summary>
	''' <remarks></remarks>
	Public HspChItemName As String

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' ①日本語項目名、②管理物情報項目名、③明細一括作成マスタ項目名、④明細一括作成マスタフラグ項目名、
	''' ⑤管理物マスタテキストフラグ項目名、⑥管理物マスタ区分タイトル項目名、⑦明細一括作成マスタデータ取得特殊メソッド、⑧入退院情報、科歴情報取得メソッド、⑨入退院情報、科歴情報　項目名
	''' </summary>
	''' <param name="pJItemName"></param>
	''' <param name="pItemName"></param>
	''' <param name="pDefItemName"></param>
	''' <param name="pDefFlagName"></param>
	''' <param name="pMngItemTextFlagName"></param>
	''' <param name="pDefNextFunc"></param>
	''' <param name="pNextFunc"></param>
	''' <param name="pHspChItemName"></param>
	''' <remarks>
	''' 2013/06/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pJItemName As String, ByVal pItemName As String, ByVal pDefItemName As String, ByVal pDefFlagName As String, ByVal pMngItemTextFlagName As String, ByVal pMngItemDivTitleName As String, ByVal pDefNextFunc As clsFunc, ByVal pNextFunc As clsFunc, ByVal pHspChItemName As String)
		JItemName = pJItemName
		ItemName = pItemName
		DefItemName = pDefItemName
		DefFlagName = pDefFlagName
		MngItemTextFlagName = pMngItemTextFlagName
		MngItemDivTitleName = pMngItemDivTitleName
		DefNextFunc = pDefNextFunc
		NextFunc = pNextFunc
		HspChItemName = pHspChItemName
	End Sub

End Class

#End Region

#Region "エラークラス"

''' ---------------------------------------------
''' <summary>
''' 管理物情報項目クラス　新規作成（修正番号：V4-14030）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsError

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' エラーフラグ
	''' </summary>
	''' ---------------------------------------------
	Property ERR_FLG As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーコード
	''' </summary>
	''' ---------------------------------------------
	Property ERR_CD As String

	''' ---------------------------------------------
	''' <summary>
	''' エラーメッセージ
	''' </summary>
	''' ---------------------------------------------
	Property MESSAGE As String

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' クリア
	''' </summary>
	''' <remarks>
	''' 2013/06/17 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub clear()

		Me.ERR_FLG = "0"					'エラーフラグ
		Me.ERR_CD = String.Empty			'エラーコード
		Me.MESSAGE = String.Empty			'エラーメッセージ

	End Sub

#End Region

End Class

#End Region
