﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 管理物グループクラス（新規作成：V4-14047）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsLTM_MNGITEM_GRP
    Implements IDisposable

#Region "解放処理"

    '解放処理時使用＊＊
    Protected disposed As Boolean = False

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
    ''' 2013/07/30 新規作成　ID)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If Not Me.disposed Then
        End If
        Me.disposed = True
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
    ''' 2013/07/30 新規作成　ID)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
    ''' 2013/07/30 新規作成　ID)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

    ''' ---------------------------------------------
    ''' <summary>
    ''' 管理物グループを全件取得（データテーブル）
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2013/07/30 新規作成　ID)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function getMngItemListAll() As DataTable
        Dim dtData As DataTable
        Try
            dtData = New DataTable
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                db.setSQLDa(XSP.sqlLTM_MNGITEM_GRP.sqlSelListAll)  'SELECT文設定
                db.execQueryDa(dtData)  '値取得
            End Using

            Return dtData

        Catch ex As Exception
            Throw
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 管理物グループを全件取得（データテーブル）
    ''' </summary>
    ''' <param name="db"></param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2013/07/30 新規作成　ID)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function getMngItemListAll(ByVal db As clsDB) As DataTable
        Dim dtData As DataTable
        Try
            dtData = New DataTable
            db.setSQLDa(XSP.sqlLTM_MNGITEM_GRP.sqlSelListAll)  'SELECT文設定
            db.execQueryDa(dtData)  '値取得

            Return dtData

        Catch ex As Exception
            Throw
        End Try
    End Function

End Class
