﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' ＤＰＣ　登録／参照　共通メソッド
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTI_DPC
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/17 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ項目マスタの取得
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCItemInfo(ByVal ptnNo As sqlMTI_DPC.Enum_SqlNo) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getDPCItemInfo(db, ptnNo)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ項目マスタの取得
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCItemInfo(ByVal db As clsDB, ByVal ptnNo As sqlMTI_DPC.Enum_SqlNo) As ArrayList
		Dim retData As ArrayList = Nothing
		Dim iRet As Integer
		Try
			retData = New ArrayList()
			With db
				' SELECT文設定
				Select Case ptnNo
					Case sqlMTI_DPC.Enum_SqlNo.sqlSelDPCItemInfo2006
						'ＤＰＣ２００６
						.setSQL(sqlMTI_DPC.strSqlSelDPCItemInfo2006)
					Case sqlMTI_DPC.Enum_SqlNo.sqlSelDPCItemInfo2008
						'ＤＰＣ２００８
						.setSQL(sqlMTI_DPC.strSqlSelDPCItemInfo2008)
					Case sqlMTI_DPC.Enum_SqlNo.sqlSelDPCItemInfo2010
						'ＤＰＣ２０１０
						.setSQL(sqlMTI_DPC.strSqlSelDPCItemInfo2010)
'(A) STR V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
					Case sqlMTI_DPC.Enum_SqlNo.sqlSelDPCItemInfo2012
						'ＤＰＣ２０１２
						.setSQL(sqlMTI_DPC.strSqlSelDPCItemInfo2012)
'(A) END V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
				End Select
				'SQL実行
				iRet = .execQuery(GetType(datMTI_DPC_DPCITEMINFO), retData)
			End With
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得(患者、入院日、診療科コード、年度)
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfo(ByVal patientNo As String, ByVal hspDate As String, ByVal deptCode As String, ByVal modelYear As String) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getDPCInfo(db, patientNo, hspDate, deptCode, modelYear)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得(患者、入院日、診療科コード、年度)
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfo(ByVal db As clsDB, ByVal patientNo As String, ByVal hspDate As String, ByVal deptCode As String, ByVal modelYear As String) As ArrayList
		Dim retData As ArrayList = Nothing
		Dim iRet As Integer
		Try
			retData = New ArrayList()
			With db
				.setSQL(sqlMTI_DPC.strSqlSelDPCInfo)
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setVal(sqlMTI_DPC.prmHSP_DT, DateTime.Parse(hspDate))
				.setVal(sqlMTI_DPC.prmDEPT_CD, deptCode)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, modelYear)
				'SQL実行
				iRet = .execQuery(GetType(datMTI_DPC_DPCINFO), retData)
			End With
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得(患者、入院日、診療科コード、年度)（データクラス）
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfoOneRec(ByVal patientNo As String, ByVal hspDate As String, ByVal deptCode As String, ByVal modelYear As String) As datMTI_DPC_DPCINFO
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getDPCInfoOneRec(db, patientNo, hspDate, deptCode, modelYear)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得(患者、入院日、診療科コード、年度)（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfoOneRec(ByVal db As clsDB, ByVal patientNo As String, ByVal hspDate As String, ByVal deptCode As String, ByVal modelYear As String) As datMTI_DPC_DPCINFO
		Dim retDat As datMTI_DPC_DPCINFO = Nothing
		Dim arData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			arData = New ArrayList()
			With db
				.setSQL(sqlMTI_DPC.strSqlSelDPCInfo)
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setVal(sqlMTI_DPC.prmHSP_DT, DateTime.Parse(hspDate))
				.setVal(sqlMTI_DPC.prmDEPT_CD, deptCode)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, modelYear)
				'SQL実行
				iRet = db.execQuery(GetType(datMTI_DPC_DPCINFO), arData)	'値取得
				If iRet > 0 Then										'レコードあり
					retDat = DirectCast(arData(0), datMTI_DPC_DPCINFO)
				End If
			End With
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
		End Try
		'返り値設定
		Return retDat
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報＋名称の取得(患者、年度)
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfoPlus(ByVal patientNo As String, ByVal modelYear As String) As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getDPCInfoPlus(db, patientNo, modelYear)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報＋名称の取得(患者、年度)
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfoPlus(ByVal db As clsDB, ByVal patientNo As String, ByVal modelYear As String) As ArrayList
		Dim retData As ArrayList = Nothing
		Dim iRet As Integer
		Try
			retData = New ArrayList()
			With db
				.setSQL(sqlMTI_DPC.strSqlSelDPC_Plus_ModelYear)
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, modelYear)
				'SQL実行
				iRet = .execQuery(GetType(datMTI_DPC_DPCINFO_PLUS), retData)
			End With
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報＋名称の取得(患者、年度)（データテーブル）
	''' </summary>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfoPlusDa(ByVal patientNo As String, ByVal modelYear As String) As DataTable
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getDPCInfoPlusDa(db, patientNo, modelYear)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報＋名称の取得(患者、年度)（データテーブル）
	''' </summary>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDPCInfoPlusDa(ByVal db As clsDB, ByVal patientNo As String, ByVal modelYear As String) As DataTable
		Dim retDat As DataTable = Nothing
		Try
			retDat = New DataTable
			With db
				.setSQLDa(sqlMTI_DPC.strSqlSelDPC_Plus_ModelYear)
				.setParamDa(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setValDa(sqlMTI_DPC.prmMODEL_YEAR, modelYear)
				'SQL実行
				db.execQueryDa(retDat)
			End With
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retDat
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の削除(患者番号)
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function delDPCInfo(ByVal db As clsDB, ByVal patientNo As String) As Integer
		Dim iRet As Integer = 0
		Try
			With db
				'レコードの削除
				.setSQL(sqlMTI_DPC.strSqlDelDPC_Patient)
				'パラメータセット
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				'削除SQL実行
				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の削除(患者番号、入院日、診療科コード、年度)
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function delDPCInfo(ByVal db As clsDB, ByVal patientNo As String, ByVal hspDate As String, ByVal deptCode As String, ByVal modelYear As String) As Integer
		Dim iRet As Integer = 0
		Try
			With db
				'レコードの削除
				.setSQL(sqlMTI_DPC.strSqlDelDPC_Hsp_Dt)
				'パラメータセット
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setVal(sqlMTI_DPC.prmHSP_DT, DateTime.Parse(hspDate))
				.setVal(sqlMTI_DPC.prmDEPT_CD, deptCode)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, modelYear)
				'削除SQL実行
				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の登録
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <param name="dpcInfo">DPC001～DPC100</param>
	''' <param name="userID">利用者番号</param>
	''' <remarks>
	''' 2010/11/17 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function addDPCInfo(ByVal db As clsDB, ByVal patientNo As String, ByVal historyNo As Integer, _
	 ByVal hspDate As String, ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String, _
	 ByVal dpcInfo() As String, ByVal userID As String) As Integer
		Dim iRet As Integer = 0
		Dim wkHspDate As Date = Nothing
		Dim wkOutHspDate As Date = Nothing
		Try
			With db
				'レコード登録
				.setSQL(sqlMTI_DPC.strSqlInsDPCInfo)
				'パラメータセット
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setParam(sqlMTI_DPC.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_001, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_002, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_003, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_004, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_005, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_006, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_007, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_008, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_009, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_010, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_011, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_012, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_013, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_014, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_015, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_016, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_017, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_018, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_019, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_020, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_021, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_022, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_023, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_024, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_025, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_026, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_027, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_028, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_029, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_030, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_031, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_032, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_033, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_034, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_035, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_036, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_037, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_038, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_039, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_040, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_041, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_042, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_043, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_044, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_045, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_046, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_047, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_048, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_049, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_050, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_051, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_052, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_053, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_054, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_055, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_056, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_057, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_058, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_059, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_060, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_061, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_062, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_063, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_064, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_065, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_066, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_067, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_068, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_069, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_070, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_071, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_072, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_073, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_074, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_075, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_076, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_077, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_078, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_079, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_080, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_081, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_082, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_083, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_084, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_085, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_086, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_087, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_088, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_089, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_090, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_091, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_092, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_093, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_094, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_095, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_096, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_097, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_098, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_099, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_100, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setVal(sqlMTI_DPC.prmHSP_HISTORY_NO, historyNo)
				If Not Date.TryParse(hspDate, wkHspDate) Then
					wkHspDate = Nothing
				End If
				.setVal(sqlMTI_DPC.prmHSP_DT, wkHspDate)
				If Not Date.TryParse(outHspDate, wkOutHspDate) Then
					wkOutHspDate = Nothing
				End If
				.setVal(sqlMTI_DPC.prmOUT_HSP_DT, wkOutHspDate)
				.setVal(sqlMTI_DPC.prmDEPT_CD, deptCode)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, modelYear)
				.setVal(sqlMTI_DPC.prmDPC_001, dpcInfo(0))
				.setVal(sqlMTI_DPC.prmDPC_002, dpcInfo(1))
				.setVal(sqlMTI_DPC.prmDPC_003, dpcInfo(2))
				.setVal(sqlMTI_DPC.prmDPC_004, dpcInfo(3))
				.setVal(sqlMTI_DPC.prmDPC_005, dpcInfo(4))
				.setVal(sqlMTI_DPC.prmDPC_006, dpcInfo(5))
				.setVal(sqlMTI_DPC.prmDPC_007, dpcInfo(6))
				.setVal(sqlMTI_DPC.prmDPC_008, dpcInfo(7))
				.setVal(sqlMTI_DPC.prmDPC_009, dpcInfo(8))
				.setVal(sqlMTI_DPC.prmDPC_010, dpcInfo(9))
				.setVal(sqlMTI_DPC.prmDPC_011, dpcInfo(10))
				.setVal(sqlMTI_DPC.prmDPC_012, dpcInfo(11))
				.setVal(sqlMTI_DPC.prmDPC_013, dpcInfo(12))
				.setVal(sqlMTI_DPC.prmDPC_014, dpcInfo(13))
				.setVal(sqlMTI_DPC.prmDPC_015, dpcInfo(14))
				.setVal(sqlMTI_DPC.prmDPC_016, dpcInfo(15))
				.setVal(sqlMTI_DPC.prmDPC_017, dpcInfo(16))
				.setVal(sqlMTI_DPC.prmDPC_018, dpcInfo(17))
				.setVal(sqlMTI_DPC.prmDPC_019, dpcInfo(18))
				.setVal(sqlMTI_DPC.prmDPC_020, dpcInfo(19))
				.setVal(sqlMTI_DPC.prmDPC_021, dpcInfo(20))
				.setVal(sqlMTI_DPC.prmDPC_022, dpcInfo(21))
				.setVal(sqlMTI_DPC.prmDPC_023, dpcInfo(22))
				.setVal(sqlMTI_DPC.prmDPC_024, dpcInfo(23))
				.setVal(sqlMTI_DPC.prmDPC_025, dpcInfo(24))
				.setVal(sqlMTI_DPC.prmDPC_026, dpcInfo(25))
				.setVal(sqlMTI_DPC.prmDPC_027, dpcInfo(26))
				.setVal(sqlMTI_DPC.prmDPC_028, dpcInfo(27))
				.setVal(sqlMTI_DPC.prmDPC_029, dpcInfo(28))
				.setVal(sqlMTI_DPC.prmDPC_030, dpcInfo(29))
				.setVal(sqlMTI_DPC.prmDPC_031, dpcInfo(30))
				.setVal(sqlMTI_DPC.prmDPC_032, dpcInfo(31))
				.setVal(sqlMTI_DPC.prmDPC_033, dpcInfo(32))
				.setVal(sqlMTI_DPC.prmDPC_034, dpcInfo(33))
				.setVal(sqlMTI_DPC.prmDPC_035, dpcInfo(34))
				.setVal(sqlMTI_DPC.prmDPC_036, dpcInfo(35))
				.setVal(sqlMTI_DPC.prmDPC_037, dpcInfo(36))
				.setVal(sqlMTI_DPC.prmDPC_038, dpcInfo(37))
				.setVal(sqlMTI_DPC.prmDPC_039, dpcInfo(38))
				.setVal(sqlMTI_DPC.prmDPC_040, dpcInfo(39))
				.setVal(sqlMTI_DPC.prmDPC_041, dpcInfo(40))
				.setVal(sqlMTI_DPC.prmDPC_042, dpcInfo(41))
				.setVal(sqlMTI_DPC.prmDPC_043, dpcInfo(42))
				.setVal(sqlMTI_DPC.prmDPC_044, dpcInfo(43))
				.setVal(sqlMTI_DPC.prmDPC_045, dpcInfo(44))
				.setVal(sqlMTI_DPC.prmDPC_046, dpcInfo(45))
				.setVal(sqlMTI_DPC.prmDPC_047, dpcInfo(46))
				.setVal(sqlMTI_DPC.prmDPC_048, dpcInfo(47))
				.setVal(sqlMTI_DPC.prmDPC_049, dpcInfo(48))
				.setVal(sqlMTI_DPC.prmDPC_050, dpcInfo(49))
				.setVal(sqlMTI_DPC.prmDPC_051, dpcInfo(50))
				.setVal(sqlMTI_DPC.prmDPC_052, dpcInfo(51))
				.setVal(sqlMTI_DPC.prmDPC_053, dpcInfo(52))
				.setVal(sqlMTI_DPC.prmDPC_054, dpcInfo(53))
				.setVal(sqlMTI_DPC.prmDPC_055, dpcInfo(54))
				.setVal(sqlMTI_DPC.prmDPC_056, dpcInfo(55))
				.setVal(sqlMTI_DPC.prmDPC_057, dpcInfo(56))
				.setVal(sqlMTI_DPC.prmDPC_058, dpcInfo(57))
				.setVal(sqlMTI_DPC.prmDPC_059, dpcInfo(58))
				.setVal(sqlMTI_DPC.prmDPC_060, dpcInfo(59))
				.setVal(sqlMTI_DPC.prmDPC_061, dpcInfo(60))
				.setVal(sqlMTI_DPC.prmDPC_062, dpcInfo(61))
				.setVal(sqlMTI_DPC.prmDPC_063, dpcInfo(62))
				.setVal(sqlMTI_DPC.prmDPC_064, dpcInfo(63))
				.setVal(sqlMTI_DPC.prmDPC_065, dpcInfo(64))
				.setVal(sqlMTI_DPC.prmDPC_066, dpcInfo(65))
				.setVal(sqlMTI_DPC.prmDPC_067, dpcInfo(66))
				.setVal(sqlMTI_DPC.prmDPC_068, dpcInfo(67))
				.setVal(sqlMTI_DPC.prmDPC_069, dpcInfo(68))
				.setVal(sqlMTI_DPC.prmDPC_070, dpcInfo(69))
				.setVal(sqlMTI_DPC.prmDPC_071, dpcInfo(70))
				.setVal(sqlMTI_DPC.prmDPC_072, dpcInfo(71))
				.setVal(sqlMTI_DPC.prmDPC_073, dpcInfo(72))
				.setVal(sqlMTI_DPC.prmDPC_074, dpcInfo(73))
				.setVal(sqlMTI_DPC.prmDPC_075, dpcInfo(74))
				.setVal(sqlMTI_DPC.prmDPC_076, dpcInfo(75))
				.setVal(sqlMTI_DPC.prmDPC_077, dpcInfo(76))
				.setVal(sqlMTI_DPC.prmDPC_078, dpcInfo(77))
				.setVal(sqlMTI_DPC.prmDPC_079, dpcInfo(78))
				.setVal(sqlMTI_DPC.prmDPC_080, dpcInfo(79))
				.setVal(sqlMTI_DPC.prmDPC_081, dpcInfo(80))
				.setVal(sqlMTI_DPC.prmDPC_082, dpcInfo(81))
				.setVal(sqlMTI_DPC.prmDPC_083, dpcInfo(82))
				.setVal(sqlMTI_DPC.prmDPC_084, dpcInfo(83))
				.setVal(sqlMTI_DPC.prmDPC_085, dpcInfo(84))
				.setVal(sqlMTI_DPC.prmDPC_086, dpcInfo(85))
				.setVal(sqlMTI_DPC.prmDPC_087, dpcInfo(86))
				.setVal(sqlMTI_DPC.prmDPC_088, dpcInfo(87))
				.setVal(sqlMTI_DPC.prmDPC_089, dpcInfo(88))
				.setVal(sqlMTI_DPC.prmDPC_090, dpcInfo(89))
				.setVal(sqlMTI_DPC.prmDPC_091, dpcInfo(90))
				.setVal(sqlMTI_DPC.prmDPC_092, dpcInfo(91))
				.setVal(sqlMTI_DPC.prmDPC_093, dpcInfo(92))
				.setVal(sqlMTI_DPC.prmDPC_094, dpcInfo(93))
				.setVal(sqlMTI_DPC.prmDPC_095, dpcInfo(94))
				.setVal(sqlMTI_DPC.prmDPC_096, dpcInfo(95))
				.setVal(sqlMTI_DPC.prmDPC_097, dpcInfo(96))
				.setVal(sqlMTI_DPC.prmDPC_098, dpcInfo(97))
				.setVal(sqlMTI_DPC.prmDPC_099, dpcInfo(98))
				.setVal(sqlMTI_DPC.prmDPC_100, dpcInfo(99))
				.setVal(sqlMTI_DPC.prmLASTUPDUSER_CD, userID)
				.setVal(sqlMTI_DPC.prmLASTUPD_DT, Now)
				'登録SQL実行
				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の登録
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="dat">ＤＰＣ情報データクラス</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function addDPCInfo(ByVal db As clsDB, ByVal dat As datMTI_DPC_DPCINFO) As Integer
		Dim iRet As Integer = 0
		Try
			With db
				'レコード登録
				.setSQL(sqlMTI_DPC.strSqlInsDPCInfo)
				'パラメータセット
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setParam(sqlMTI_DPC.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_001, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_002, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_003, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_004, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_005, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_006, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_007, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_008, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_009, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_010, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_011, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_012, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_013, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_014, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_015, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_016, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_017, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_018, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_019, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_020, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_021, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_022, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_023, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_024, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_025, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_026, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_027, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_028, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_029, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_030, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_031, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_032, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_033, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_034, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_035, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_036, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_037, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_038, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_039, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_040, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_041, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_042, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_043, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_044, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_045, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_046, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_047, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_048, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_049, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_050, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_051, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_052, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_053, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_054, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_055, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_056, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_057, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_058, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_059, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_060, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_061, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_062, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_063, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_064, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_065, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_066, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_067, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_068, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_069, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_070, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_071, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_072, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_073, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_074, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_075, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_076, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_077, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_078, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_079, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_080, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_081, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_082, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_083, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_084, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_085, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_086, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_087, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_088, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_089, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_090, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_091, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_092, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_093, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_094, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_095, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_096, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_097, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_098, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_099, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmDPC_100, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

				.setVal(sqlMTI_DPC.prmPATIENT_NO, dat.PATIENT_NO)
				.setVal(sqlMTI_DPC.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO)
				.setVal(sqlMTI_DPC.prmHSP_DT, dat.HSP_DT)
				.setVal(sqlMTI_DPC.prmOUT_HSP_DT, dat.OUT_HSP_DT)
				.setVal(sqlMTI_DPC.prmDEPT_CD, dat.DEPT_CD)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, dat.MODEL_YEAR)
				.setVal(sqlMTI_DPC.prmDPC_001, dat.DPC_001)
				.setVal(sqlMTI_DPC.prmDPC_002, dat.DPC_002)
				.setVal(sqlMTI_DPC.prmDPC_003, dat.DPC_003)
				.setVal(sqlMTI_DPC.prmDPC_004, dat.DPC_004)
				.setVal(sqlMTI_DPC.prmDPC_005, dat.DPC_005)
				.setVal(sqlMTI_DPC.prmDPC_006, dat.DPC_006)
				.setVal(sqlMTI_DPC.prmDPC_007, dat.DPC_007)
				.setVal(sqlMTI_DPC.prmDPC_008, dat.DPC_008)
				.setVal(sqlMTI_DPC.prmDPC_009, dat.DPC_009)
				.setVal(sqlMTI_DPC.prmDPC_010, dat.DPC_010)
				.setVal(sqlMTI_DPC.prmDPC_011, dat.DPC_011)
				.setVal(sqlMTI_DPC.prmDPC_012, dat.DPC_012)
				.setVal(sqlMTI_DPC.prmDPC_013, dat.DPC_013)
				.setVal(sqlMTI_DPC.prmDPC_014, dat.DPC_014)
				.setVal(sqlMTI_DPC.prmDPC_015, dat.DPC_015)
				.setVal(sqlMTI_DPC.prmDPC_016, dat.DPC_016)
				.setVal(sqlMTI_DPC.prmDPC_017, dat.DPC_017)
				.setVal(sqlMTI_DPC.prmDPC_018, dat.DPC_018)
				.setVal(sqlMTI_DPC.prmDPC_019, dat.DPC_019)
				.setVal(sqlMTI_DPC.prmDPC_020, dat.DPC_020)
				.setVal(sqlMTI_DPC.prmDPC_021, dat.DPC_021)
				.setVal(sqlMTI_DPC.prmDPC_022, dat.DPC_022)
				.setVal(sqlMTI_DPC.prmDPC_023, dat.DPC_023)
				.setVal(sqlMTI_DPC.prmDPC_024, dat.DPC_024)
				.setVal(sqlMTI_DPC.prmDPC_025, dat.DPC_025)
				.setVal(sqlMTI_DPC.prmDPC_026, dat.DPC_026)
				.setVal(sqlMTI_DPC.prmDPC_027, dat.DPC_027)
				.setVal(sqlMTI_DPC.prmDPC_028, dat.DPC_028)
				.setVal(sqlMTI_DPC.prmDPC_029, dat.DPC_029)
				.setVal(sqlMTI_DPC.prmDPC_030, dat.DPC_030)
				.setVal(sqlMTI_DPC.prmDPC_031, dat.DPC_031)
				.setVal(sqlMTI_DPC.prmDPC_032, dat.DPC_032)
				.setVal(sqlMTI_DPC.prmDPC_033, dat.DPC_033)
				.setVal(sqlMTI_DPC.prmDPC_034, dat.DPC_034)
				.setVal(sqlMTI_DPC.prmDPC_035, dat.DPC_035)
				.setVal(sqlMTI_DPC.prmDPC_036, dat.DPC_036)
				.setVal(sqlMTI_DPC.prmDPC_037, dat.DPC_037)
				.setVal(sqlMTI_DPC.prmDPC_038, dat.DPC_038)
				.setVal(sqlMTI_DPC.prmDPC_039, dat.DPC_039)
				.setVal(sqlMTI_DPC.prmDPC_040, dat.DPC_040)
				.setVal(sqlMTI_DPC.prmDPC_041, dat.DPC_041)
				.setVal(sqlMTI_DPC.prmDPC_042, dat.DPC_042)
				.setVal(sqlMTI_DPC.prmDPC_043, dat.DPC_043)
				.setVal(sqlMTI_DPC.prmDPC_044, dat.DPC_044)
				.setVal(sqlMTI_DPC.prmDPC_045, dat.DPC_045)
				.setVal(sqlMTI_DPC.prmDPC_046, dat.DPC_046)
				.setVal(sqlMTI_DPC.prmDPC_047, dat.DPC_047)
				.setVal(sqlMTI_DPC.prmDPC_048, dat.DPC_048)
				.setVal(sqlMTI_DPC.prmDPC_049, dat.DPC_049)
				.setVal(sqlMTI_DPC.prmDPC_050, dat.DPC_050)
				.setVal(sqlMTI_DPC.prmDPC_051, dat.DPC_051)
				.setVal(sqlMTI_DPC.prmDPC_052, dat.DPC_052)
				.setVal(sqlMTI_DPC.prmDPC_053, dat.DPC_053)
				.setVal(sqlMTI_DPC.prmDPC_054, dat.DPC_054)
				.setVal(sqlMTI_DPC.prmDPC_055, dat.DPC_055)
				.setVal(sqlMTI_DPC.prmDPC_056, dat.DPC_056)
				.setVal(sqlMTI_DPC.prmDPC_057, dat.DPC_057)
				.setVal(sqlMTI_DPC.prmDPC_058, dat.DPC_058)
				.setVal(sqlMTI_DPC.prmDPC_059, dat.DPC_059)
				.setVal(sqlMTI_DPC.prmDPC_060, dat.DPC_060)
				.setVal(sqlMTI_DPC.prmDPC_061, dat.DPC_061)
				.setVal(sqlMTI_DPC.prmDPC_062, dat.DPC_062)
				.setVal(sqlMTI_DPC.prmDPC_063, dat.DPC_063)
				.setVal(sqlMTI_DPC.prmDPC_064, dat.DPC_064)
				.setVal(sqlMTI_DPC.prmDPC_065, dat.DPC_065)
				.setVal(sqlMTI_DPC.prmDPC_066, dat.DPC_066)
				.setVal(sqlMTI_DPC.prmDPC_067, dat.DPC_067)
				.setVal(sqlMTI_DPC.prmDPC_068, dat.DPC_068)
				.setVal(sqlMTI_DPC.prmDPC_069, dat.DPC_069)
				.setVal(sqlMTI_DPC.prmDPC_070, dat.DPC_070)
				.setVal(sqlMTI_DPC.prmDPC_071, dat.DPC_071)
				.setVal(sqlMTI_DPC.prmDPC_072, dat.DPC_072)
				.setVal(sqlMTI_DPC.prmDPC_073, dat.DPC_073)
				.setVal(sqlMTI_DPC.prmDPC_074, dat.DPC_074)
				.setVal(sqlMTI_DPC.prmDPC_075, dat.DPC_075)
				.setVal(sqlMTI_DPC.prmDPC_076, dat.DPC_076)
				.setVal(sqlMTI_DPC.prmDPC_077, dat.DPC_077)
				.setVal(sqlMTI_DPC.prmDPC_078, dat.DPC_078)
				.setVal(sqlMTI_DPC.prmDPC_079, dat.DPC_079)
				.setVal(sqlMTI_DPC.prmDPC_080, dat.DPC_080)
				.setVal(sqlMTI_DPC.prmDPC_081, dat.DPC_081)
				.setVal(sqlMTI_DPC.prmDPC_082, dat.DPC_082)
				.setVal(sqlMTI_DPC.prmDPC_083, dat.DPC_083)
				.setVal(sqlMTI_DPC.prmDPC_084, dat.DPC_084)
				.setVal(sqlMTI_DPC.prmDPC_085, dat.DPC_085)
				.setVal(sqlMTI_DPC.prmDPC_086, dat.DPC_086)
				.setVal(sqlMTI_DPC.prmDPC_087, dat.DPC_087)
				.setVal(sqlMTI_DPC.prmDPC_088, dat.DPC_088)
				.setVal(sqlMTI_DPC.prmDPC_089, dat.DPC_089)
				.setVal(sqlMTI_DPC.prmDPC_090, dat.DPC_090)
				.setVal(sqlMTI_DPC.prmDPC_091, dat.DPC_091)
				.setVal(sqlMTI_DPC.prmDPC_092, dat.DPC_092)
				.setVal(sqlMTI_DPC.prmDPC_093, dat.DPC_093)
				.setVal(sqlMTI_DPC.prmDPC_094, dat.DPC_094)
				.setVal(sqlMTI_DPC.prmDPC_095, dat.DPC_095)
				.setVal(sqlMTI_DPC.prmDPC_096, dat.DPC_096)
				.setVal(sqlMTI_DPC.prmDPC_097, dat.DPC_097)
				.setVal(sqlMTI_DPC.prmDPC_098, dat.DPC_098)
				.setVal(sqlMTI_DPC.prmDPC_099, dat.DPC_099)
				.setVal(sqlMTI_DPC.prmDPC_100, dat.DPC_100)
				.setVal(sqlMTI_DPC.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				.setVal(sqlMTI_DPC.prmLASTUPD_DT, dat.LASTUPD_DT)
				'登録SQL実行
				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の更新
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <param name="dat">ＤＰＣ情報データクラス</param>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updDPCInfo(ByVal db As clsDB, ByVal patientNo As String, ByVal hspDate As String, _
	ByVal deptCode As String, ByVal modelYear As String, ByVal dat As datMTI_DPC_DPCINFO) As Integer
		Dim iRet As Integer = 0
		Try
			With db
				'SQL設定
				.setSQL(sqlMTI_DPC.strSqlUpdDPCInfo)
				'パラメータセット
				.setParam(sqlMTI_DPC.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmHSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmMODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)

				.setParam(sqlMTI_DPC.prmUPD_HSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setParam(sqlMTI_DPC.prmUPD_HSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmUPD_OUT_HSP_DT, clsDB.Enum_dbType.dbDateTime)
				.setParam(sqlMTI_DPC.prmUPD_DEPT_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmUPD_MODEL_YEAR, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setParam(sqlMTI_DPC.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

				.setVal(sqlMTI_DPC.prmPATIENT_NO, patientNo)
				.setVal(sqlMTI_DPC.prmHSP_DT, DateTime.Parse(hspDate))
				.setVal(sqlMTI_DPC.prmDEPT_CD, deptCode)
				.setVal(sqlMTI_DPC.prmMODEL_YEAR, modelYear)

				.setVal(sqlMTI_DPC.prmUPD_HSP_HISTORY_NO, dat.HSP_HISTORY_NO)
				.setVal(sqlMTI_DPC.prmUPD_HSP_DT, dat.HSP_DT)
				.setVal(sqlMTI_DPC.prmUPD_OUT_HSP_DT, dat.OUT_HSP_DT)
				.setVal(sqlMTI_DPC.prmUPD_DEPT_CD, dat.DEPT_CD)
				.setVal(sqlMTI_DPC.prmUPD_MODEL_YEAR, dat.MODEL_YEAR)
				.setVal(sqlMTI_DPC.prmLASTUPDUSER_CD, dat.LASTUPDUSER_CD)
				.setVal(sqlMTI_DPC.prmLASTUPD_DT, dat.LASTUPD_DT)

				'削除SQL実行
				iRet = .execNonQuery(False)
			End With
			Return iRet
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try
	End Function

End Class
