﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 補足項目１項目マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_ASST1_ITM
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------	
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタの取得
	''' </summary>
	''' <returns>補足項目１項目マスタ</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAsst1ItmInfo() As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getAsst1ItmInfo(db)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタの取得
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <returns>補足項目１項目マスタ</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAsst1ItmInfo(ByVal db As clsDB) As ArrayList
        Dim retData As ArrayList
		Dim iRet As Integer
        Try
            retData = New ArrayList()
            db.setSQL(sqlMTM_ASST1_ITM.sqlSelAsst1Itm)
            'SQL実行
            iRet = db.execQuery(GetType(datMTM_ASST1_ITM), retData)
        Catch ex As Exception
            Throw
        End Try
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタを表示順で取得（ArrayList）
	''' </summary>
	''' <returns>補足項目１項目マスタ</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAsst1ItmDspOrder() As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getAsst1ItmDspOrder(db)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタを表示順で取得（ArrayList）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <returns>補足項目１項目マスタ</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAsst1ItmDspOrder(ByVal db As clsDB) As ArrayList
        Dim retData As ArrayList
		Dim iRet As Integer
        Try
            retData = New ArrayList()
            db.setSQL(sqlMTM_ASST1_ITM.sqlSelAsst1ItmDspOrder)
            'SQL実行
            iRet = db.execQuery(GetType(datMTM_ASST1_ITM), retData)
        Catch ex As Exception
            Throw
        End Try
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタを表示順で取得（SortedList）
	''' </summary>
	''' <returns>表示順をキーとした SortedList（値はdatMTM_ASST1_ITM型）</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAsst1ItmSortedList() As SortedList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getAsst1ItmSortedList(db)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタを表示順で取得（SortedList）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <returns>表示順をキーとした SortedList（値はdatMTM_ASST1_ITM型）</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAsst1ItmSortedList(ByVal db As clsDB) As SortedList
        Dim retData As SortedList
		Dim arData As ArrayList = Nothing
		Dim iKey As Integer = 0
        Try
            retData = New SortedList
            arData = getAsst1ItmDspOrder(db)
            If arData IsNot Nothing Then
                For Each dbData As datMTM_ASST1_ITM In arData
                    iKey += 1
                    retData.Add(iKey, dbData)
                Next
            End If
        Catch ex As Exception
            Throw
        Finally
            arData = Nothing
        End Try
		Return retData
	End Function

End Class
