﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_治療処置情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_CARE_OneRec
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public CARE_SERIAL_NO As Integer = Nothing					'治療処置連番
	Public CARE_DIV As String = Nothing							'治療処置区分コード
	Public CARE_NM As String = Nothing							'治療処置名
	Public CARE_DT As Date = Nothing							'実施日
	Public ASST_DIV As String = Nothing							'補助区分コード
	Public REMARKS1 As String = Nothing							'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing			'備考２
	Public ICD9CM_CD As String = Nothing						'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing							'大分類コード
	Public M_GRP_CD As String = Nothing							'中分類コード
	Public DIGS3_GRP_CD As String = Nothing						'３桁分類コード
	Public MNG_DIV As String = Nothing							'管理記号
	Public MNG_NO As Integer = Nothing							'管理番号
	Public SCORE_CD As String = Nothing							'点数表コード
	Public HSP_OPE_CD As String = Nothing						'院内手術コード
	Public DATA_CAPTURE_DT As Date = Nothing					'データ取込日
	Public NEW_REG_DT As Date = Nothing							'新規登録日
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_CARE_OneRec(治療処置情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_CARE_OneRec
		Dim ret As datMTI_CARE_OneRec = New datMTI_CARE_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CARE_SERIAL_NO = Me.CARE_SERIAL_NO
			.CARE_DIV = Me.CARE_DIV
			.CARE_NM = Me.CARE_NM
			.CARE_DT = Me.CARE_DT
			.ASST_DIV = Me.ASST_DIV
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.ICD9CM_CD = Me.ICD9CM_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.DIGS3_GRP_CD = Me.DIGS3_GRP_CD
			.MNG_DIV = Me.MNG_DIV
			.MNG_NO = Me.MNG_NO
			.SCORE_CD = Me.SCORE_CD
			.HSP_OPE_CD = Me.HSP_OPE_CD
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_治療処置情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_CARE_PLUS_OneRec
	' 治療処置情報
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public CARE_SERIAL_NO As Integer = Nothing					'治療処置連番
	Public CARE_DIV As String = Nothing							'治療処置区分コード
	Public CARE_NM As String = Nothing							'治療処置名
	Public CARE_DT As Date = Nothing							'実施日
	Public ASST_DIV As String = Nothing							'補助区分コード
	Public REMARKS1 As String = Nothing							'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing			'備考２
	Public ICD9CM_CD As String = Nothing						'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing							'大分類コード
	Public M_GRP_CD As String = Nothing							'中分類コード
	Public DIGS3_GRP_CD As String = Nothing						'３桁分類コード
	Public MNG_DIV As String = Nothing							'管理記号
	Public MNG_NO As Integer = Nothing							'管理番号
	Public SCORE_CD As String = Nothing							'点数表コード
	Public HSP_OPE_CD As String = Nothing						'院内手術コード
	Public DATA_CAPTURE_DT As Date = Nothing					'データ取込日
	Public NEW_REG_DT As Date = Nothing							'新規登録日
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日
	' 治療処置区分マスタ
	Public CARE_DIV_NM As String = Nothing						'治療処置区分名
	Public CARE_DIV_RNM As String = Nothing						'治療処置区分略称名
	Public CARE_DIV_FIXED_CD As String = Nothing				'固定コード
	Public CARE_DIV_DSPORDER As Nullable(Of Integer) = Nothing	'表示順

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_CARE_PLUS_OneRec(治療処置情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_CARE_PLUS_OneRec
		Dim ret As datMTI_CARE_PLUS_OneRec = New datMTI_CARE_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CARE_SERIAL_NO = Me.CARE_SERIAL_NO
			.CARE_DIV = Me.CARE_DIV
			.CARE_NM = Me.CARE_NM
			.CARE_DT = Me.CARE_DT
			.ASST_DIV = Me.ASST_DIV
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.ICD9CM_CD = Me.ICD9CM_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.DIGS3_GRP_CD = Me.DIGS3_GRP_CD
			.MNG_DIV = Me.MNG_DIV
			.MNG_NO = Me.MNG_NO
			.SCORE_CD = Me.SCORE_CD
			.HSP_OPE_CD = Me.HSP_OPE_CD
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.CARE_DIV_NM = Me.CARE_DIV_NM
			.CARE_DIV_RNM = Me.CARE_DIV_RNM
			.CARE_DIV_FIXED_CD = Me.CARE_DIV_FIXED_CD
			.CARE_DIV_DSPORDER = Me.CARE_DIV_DSPORDER
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（治療処置情報）
	''' </summary>
	''' <returns>datMTI_CARE_OneRec(治療処置情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_CARE_OneRec
		Dim ret As datMTI_CARE_OneRec = New datMTI_CARE_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CARE_SERIAL_NO = Me.CARE_SERIAL_NO
			.CARE_DIV = Me.CARE_DIV
			.CARE_NM = Me.CARE_NM
			.CARE_DT = Me.CARE_DT
			.ASST_DIV = Me.ASST_DIV
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.ICD9CM_CD = Me.ICD9CM_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.DIGS3_GRP_CD = Me.DIGS3_GRP_CD
			.MNG_DIV = Me.MNG_DIV
			.MNG_NO = Me.MNG_NO
			.SCORE_CD = Me.SCORE_CD
			.HSP_OPE_CD = Me.HSP_OPE_CD
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 治療処置情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_CARE
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"				'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"		'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"							'科歴番号
	Public Const prmCARE_SERIAL_NO As String = "@CARE_SERIAL_NO"		'治療処置連番
	Public Const prmCARE_DIV As String = "@CARE_DIV"					'治療処置区分コード
	Public Const prmCARE_NM As String = "@CARE_NM"						'治療処置名
	Public Const prmCARE_DT As String = "@CARE_DT"						'実施日
	Public Const prmASST_DIV As String = "@ASST_DIV"					'補助区分コード
	Public Const prmREMARKS1 As String = "@REMARKS1"					'備考１
	Public Const prmREMARKS2 As String = "@REMARKS2"					'備考２
	Public Const prmICD9CM_CD As String = "@ICD9CM_CD"					'ＩＣＤ９ＣＭコード
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"					'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"					'中分類コード
	Public Const prmDIGS3_GRP_CD As String = "@DIGS3_GRP_CD"			'３桁分類コード
	Public Const prmMNG_DIV As String = "@MNG_DIV"						'管理記号
	Public Const prmMNG_NO As String = "@MNG_NO"						'管理番号
	Public Const prmSCORE_CD As String = "@SCORE_CD"					'点数表コード
	Public Const prmHSP_OPE_CD As String = "@HSP_OPE_CD"				'院内手術コード
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"		'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"				'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"		'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"				'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"					'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"			'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"							'科歴番号
	Public Const itmCARE_SERIAL_NO As String = "CARE_SERIAL_NO"			'治療処置連番
	Public Const itmCARE_DIV As String = "CARE_DIV"						'治療処置区分コード
	Public Const itmCARE_NM As String = "CARE_NM"						'治療処置名
	Public Const itmCARE_DT As String = "CARE_DT"						'実施日
	Public Const itmASST_DIV As String = "ASST_DIV"						'補助区分コード
	Public Const itmREMARKS1 As String = "REMARKS1"						'備考１
	Public Const itmREMARKS2 As String = "REMARKS2"						'備考２
	Public Const itmICD9CM_CD As String = "ICD9CM_CD"					'ＩＣＤ９ＣＭコード
	Public Const itmL_GRP_CD As String = "L_GRP_CD"						'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"						'中分類コード
	Public Const itmDIGS3_GRP_CD As String = "DIGS3_GRP_CD"				'３桁分類コード
	Public Const itmMNG_DIV As String = "MNG_DIV"						'管理記号
	Public Const itmMNG_NO As String = "MNG_NO"							'管理番号
	Public Const itmSCORE_CD As String = "SCORE_CD"						'点数表コード
	Public Const itmHSP_OPE_CD As String = "HSP_OPE_CD"					'院内手術コード
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"		'データ取込日
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"					'新規登録日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"			'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"					'最終更新日

	Public Const itmCARE_DIV_NM As String = "CARE_DIV_NM"				'治療処置区分名
	Public Const itmCARE_DIV_RNM As String = "CARE_DIV_RNM"				'治療処置区分略称名
	Public Const itmCARE_DIV_FIXED_CD As String = "CARE_DIV_FIXED_CD"	'固定コード
	Public Const itmCARE_DIV_DSPORDER As String = "CARE_DIV_DSPORDER"	'表示順

	' 追加条件
	Public Const strORDER_BY As String = "/* ORDER_BY */"		'追加ORDER BY句の文字列

	' 標準のORDER BY句
	Public Const sqlOrder_By_Default As String = _
	 "A.CARE_SERIAL_NO"

	' ソートなしのORDER BY句
	Public Const sqlOrder_By_NoSort As String = _
	 "A.CARE_SERIAL_NO"

	' ソートありのORDER BY句（実施日順・区分順）
	Public Const sqlOrder_By_Sort As String = _
	 "A.CARE_DT, B.DSPORDER, A.CARE_DIV, A.CARE_SERIAL_NO"

	' ソートありのORDER BY句（区分順・実施日順）
	Public Const sqlOrder_By_SortDivDt As String = _
	 "B.DSPORDER, A.CARE_DIV, A.CARE_DT, A.CARE_SERIAL_NO"

	' 治療処置情報取得用SQLのSELECT句
	Private Const sqlSelect_Care As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.CARE_SERIAL_NO," _
	  & " A.CARE_DIV, A.CARE_NM, A.CARE_DT, A.ASST_DIV, A.REMARKS1, A.REMARKS2," _
	  & " A.ICD9CM_CD, A.L_GRP_CD, A.M_GRP_CD, A.DIGS3_GRP_CD, A.MNG_DIV, A.MNG_NO, A.SCORE_CD, A.HSP_OPE_CD," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT" _
	  & " FROM MTI_CARE AS A" _
	  & " LEFT JOIN MTM_CARE_DIV AS B ON A.CARE_DIV = B.CARE_DIV_CD"

	' 治療処置情報＋名称取得用SQLのSELECT句
	Private Const sqlSelect_Care_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.CARE_SERIAL_NO," _
	  & " A.CARE_DIV, A.CARE_NM, A.CARE_DT, A.ASST_DIV, A.REMARKS1, A.REMARKS2," _
	  & " A.ICD9CM_CD, A.L_GRP_CD, A.M_GRP_CD, A.DIGS3_GRP_CD, A.MNG_DIV, A.MNG_NO, A.SCORE_CD, A.HSP_OPE_CD," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.CARE_DIV_NM, B.CARE_DIV_RNM, B.FIXED_CD AS CARE_DIV_FIXED_CD, B.DSPORDER AS CARE_DIV_DSPORDER" _
	  & " FROM MTI_CARE AS A" _
	  & " LEFT JOIN MTM_CARE_DIV AS B ON A.CARE_DIV = B.CARE_DIV_CD"

	' １患者分の治療処置情報を取得
	Public Const sqlSelCare_Patient As String = sqlSelect_Care _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.HSP_HISTORY_NO DESC, A.CH_NO DESC, " & strORDER_BY

	' １入退院分の治療処置情報を取得
	Public Const sqlSelCare_Hsp As String = sqlSelect_Care _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO DESC, " & strORDER_BY

	' １科歴分の治療処置情報を取得
	Public Const sqlSelCare_Ch As String = sqlSelect_Care _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY " & strORDER_BY

	' 治療処置情報１データを取得
	Public Const sqlSelCare_OneRec As String = sqlSelect_Care _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.CARE_SERIAL_NO = " & prmCARE_SERIAL_NO

	' １患者分の治療処置情報＋名称を取得
	Public Const sqlSelCare_Plus_Patient As String = sqlSelect_Care_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.HSP_HISTORY_NO DESC, A.CH_NO DESC, " & strORDER_BY

	' １入退院分の治療処置情報＋名称を取得
	Public Const sqlSelCare_Plus_Hsp As String = sqlSelect_Care_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO DESC, " & strORDER_BY

	' １科歴分の治療処置情報＋名称を取得
	Public Const sqlSelCare_Plus_Ch As String = sqlSelect_Care_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY " & strORDER_BY

	' 治療処置情報＋名称１データを取得
	Public Const sqlSelCare_Plus_OneRec As String = sqlSelect_Care_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.CARE_SERIAL_NO = " & prmCARE_SERIAL_NO

	' １患者分の治療処置情報を削除
	Public Const sqlDelCare_Patient As String = _
	 "DELETE FROM MTI_CARE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の治療処置情報を削除
	Public Const sqlDelCare_Hsp As String = _
	 "DELETE FROM MTI_CARE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の治療処置情報を削除
	Public Const sqlDelCare_Ch As String = _
	 "DELETE FROM MTI_CARE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 治療処置情報１データを削除
	Public Const sqlDelCare_OneRec As String = _
	 "DELETE FROM MTI_CARE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND CARE_SERIAL_NO = " & prmCARE_SERIAL_NO

	' 治療処置情報１データを追加
	Public Const sqlInsCare_OneRec As String = _
	 "INSERT INTO MTI_CARE (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, CARE_SERIAL_NO," _
	  & " CARE_DIV, CARE_NM, CARE_DT, ASST_DIV, REMARKS1, REMARKS2," _
	  & " ICD9CM_CD, L_GRP_CD, M_GRP_CD, DIGS3_GRP_CD, MNG_DIV,MNG_NO, SCORE_CD, HSP_OPE_CD," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmCARE_SERIAL_NO & "," _
	  & prmCARE_DIV & "," _
	  & prmCARE_NM & "," _
	  & prmCARE_DT & "," _
	  & prmASST_DIV & "," _
	  & prmREMARKS1 & "," _
	  & prmREMARKS2 & "," _
	  & prmICD9CM_CD & "," _
	  & prmL_GRP_CD & "," _
	  & prmM_GRP_CD & "," _
	  & prmDIGS3_GRP_CD & "," _
	  & prmMNG_DIV & "," _
	  & prmMNG_NO & "," _
	  & prmSCORE_CD & "," _
	  & prmHSP_OPE_CD & "," _
	  & prmDATA_CAPTURE_DT & "," _
	  & prmNEW_REG_DT & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
