﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_分娩情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_CB_OneRec
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号
	Public CB_DT As Date = Nothing										'分娩日
	Public CB_AGE As Integer = Nothing									'分娩時年齢
	Public CB_MONTH_AGE As Integer = Nothing							'分娩時月齢
	Public GESTATIONAL_WEEK_COUNT As Nullable(Of Integer) = Nothing		'在胎週数
	Public GESTATIONAL_DAY_COUNT As Nullable(Of Integer) = Nothing		'在胎日数
	Public CHD_COUNT As Integer = Nothing								'児数
	Public CB_DIV1 As String = Nothing									'分娩区分コード１
	Public CB_DIV2 As String = Nothing									'分娩区分コード２
	Public CB_DIV3 As String = Nothing									'分娩区分コード３
	Public CB_DIV4 As String = Nothing									'分娩区分コード４
	Public PREMATURE_BIRTH As Integer = Nothing							'早産
	Public MISCARRIAGE As Integer = Nothing								'流産
	Public BLEEDING_VOLUME As Nullable(Of Integer) = Nothing			'出血量
	Public CAESAREAN_OPE_CD As String = Nothing							'帝王切開有無コード
	Public CB_CHK1 As Integer = Nothing									'分娩チェック項目１
	Public CB_CHK2 As Integer = Nothing									'分娩チェック項目２
	Public CB_CHK3 As Integer = Nothing									'分娩チェック項目３
	Public REMARKS As String = Nothing									'備考
	Public DATA_CAPTURE_DT As Date = Nothing							'データ取込日
	Public NEW_REG_DT As Date = Nothing									'新規登録日
	Public LASTUPDUSER_CD As String = Nothing							'更新者コード
	Public LASTUPD_DT As Date = Nothing									'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_CB_OneRec(分娩情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_CB_OneRec
		Dim ret As datMTI_CB_OneRec = New datMTI_CB_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CB_DT = Me.CB_DT
			.CB_AGE = Me.CB_AGE
			.CB_MONTH_AGE = Me.CB_MONTH_AGE
			.GESTATIONAL_WEEK_COUNT = Me.GESTATIONAL_WEEK_COUNT
			.GESTATIONAL_DAY_COUNT = Me.GESTATIONAL_DAY_COUNT
			.CHD_COUNT = Me.CHD_COUNT
			.CB_DIV1 = Me.CB_DIV1
			.CB_DIV2 = Me.CB_DIV2
			.CB_DIV3 = Me.CB_DIV3
			.CB_DIV4 = Me.CB_DIV4
			.PREMATURE_BIRTH = Me.PREMATURE_BIRTH
			.MISCARRIAGE = Me.MISCARRIAGE
			.BLEEDING_VOLUME = Me.BLEEDING_VOLUME
			.CAESAREAN_OPE_CD = Me.CAESAREAN_OPE_CD
			.CB_CHK1 = Me.CB_CHK1
			.CB_CHK2 = Me.CB_CHK2
			.CB_CHK3 = Me.CB_CHK3
			.REMARKS = Me.REMARKS
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 分娩情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_CB
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"							'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"					'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"										'科歴番号
	Public Const prmCB_DT As String = "@CB_DT"										'分娩日
	Public Const prmCB_AGE As String = "@CB_AGE"									'分娩時年齢
	Public Const prmCB_MONTH_AGE As String = "@CB_MONTH_AGE"						'分娩時月齢
	Public Const prmGESTATIONAL_WEEK_COUNT As String = "@GESTATIONAL_WEEK_COUNT"	'在胎週数
	Public Const prmGESTATIONAL_DAY_COUNT As String = "@GESTATIONAL_DAY_COUNT"		'在胎日数
	Public Const prmCHD_COUNT As String = "@CHD_COUNT"								'児数
	Public Const prmCB_DIV1 As String = "@CB_DIV1"									'分娩区分コード１
	Public Const prmCB_DIV2 As String = "@CB_DIV2"									'分娩区分コード２
	Public Const prmCB_DIV3 As String = "@CB_DIV3"									'分娩区分コード３
	Public Const prmCB_DIV4 As String = "@CB_DIV4"									'分娩区分コード４
	Public Const prmPREMATURE_BIRTH As String = "@PREMATURE_BIRTH"					'早産
	Public Const prmMISCARRIAGE As String = "@MISCARRIAGE"							'流産
	Public Const prmBLEEDING_VOLUME As String = "@BLEEDING_VOLUME"					'出血量
	Public Const prmCAESAREAN_OPE_CD As String = "@CAESAREAN_OPE_CD"				'帝王切開有無コード
	Public Const prmCB_CHK1 As String = "@CB_CHK1"									'分娩チェック項目１
	Public Const prmCB_CHK2 As String = "@CB_CHK2"									'分娩チェック項目２
	Public Const prmCB_CHK3 As String = "@CB_CHK3"									'分娩チェック項目３
	Public Const prmREMARKS As String = "@REMARKS"									'備考
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"					'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"							'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"					'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"							'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"								'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"						'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"										'科歴番号
	Public Const itmCB_DT As String = "CB_DT"										'分娩日
	Public Const itmCB_AGE As String = "CB_AGE"										'分娩時年齢
	Public Const itmCB_MONTH_AGE As String = "CB_MONTH_AGE"							'分娩時月齢
	Public Const itmGESTATIONAL_WEEK_COUNT As String = "GESTATIONAL_WEEK_COUNT"		'在胎週数
	Public Const itmGESTATIONAL_DAY_COUNT As String = "GESTATIONAL_DAY_COUNT"		'在胎日数
	Public Const itmCHD_COUNT As String = "CHD_COUNT"								'児数
	Public Const itmCB_DIV1 As String = "CB_DIV1"									'分娩区分コード１
	Public Const itmCB_DIV2 As String = "CB_DIV2"									'分娩区分コード２
	Public Const itmCB_DIV3 As String = "CB_DIV3"									'分娩区分コード３
	Public Const itmCB_DIV4 As String = "CB_DIV4"									'分娩区分コード４
	Public Const itmPREMATURE_BIRTH As String = "PREMATURE_BIRTH"					'早産
	Public Const itmMISCARRIAGE As String = "MISCARRIAGE"							'流産
	Public Const itmBLEEDING_VOLUME As String = "BLEEDING_VOLUME"					'出血量
	Public Const itmCAESAREAN_OPE_CD As String = "CAESAREAN_OPE_CD"					'帝王切開有無コード
	Public Const itmCB_CHK1 As String = "CB_CHK1"									'分娩チェック項目１
	Public Const itmCB_CHK2 As String = "CB_CHK2"									'分娩チェック項目２
	Public Const itmCB_CHK3 As String = "CB_CHK3"									'分娩チェック項目３
	Public Const itmREMARKS As String = "REMARKS"									'備考
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"					'データ取込日
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"								'新規登録日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"						'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"								'最終更新日

	' 分娩情報取得用SQLのSELECT句
	Private Const sqlSelect_Cb As String = _
	 "SELECT" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO," _
	  & " CB_DT, CB_AGE, CB_MONTH_AGE, GESTATIONAL_WEEK_COUNT, GESTATIONAL_DAY_COUNT, CHD_COUNT," _
	  & " CB_DIV1, CB_DIV2, CB_DIV3, CB_DIV4, PREMATURE_BIRTH, MISCARRIAGE, BLEEDING_VOLUME, CAESAREAN_OPE_CD," _
	  & " CB_CHK1, CB_CHK2, CB_CHK3, REMARKS," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_CB"

'(A) STR V4-12031-000 012 2012/06/07 ID)平井 DPC2012対応
	' １患者分の分娩情報を取得
	Public Const sqlSelCb_Patient As String = sqlSelect_Cb _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY HSP_HISTORY_NO DESC, CH_NO DESC"

	' １入退院分の分娩情報を取得
	Public Const sqlSelCb_Hsp As String = sqlSelect_Cb _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY CH_NO DESC"
'(A) END V4-12031-000 012 2012/06/07 ID)平井 DPC2012対応

	' 分娩情報１データを取得
	Public Const sqlSelCb_OneRec As String = sqlSelect_Cb _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' １患者分の分娩情報を削除
	Public Const sqlDelCb_Patient As String = _
	 "DELETE FROM MTI_CB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の分娩情報を削除
	Public Const sqlDelCb_Hsp As String = _
	 "DELETE FROM MTI_CB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' 分娩情報１データを削除
	Public Const sqlDelCb_OneRec As String = _
	 "DELETE FROM MTI_CB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 分娩情報１データを追加
	Public Const sqlInsCb_OneRec As String = _
	 "INSERT INTO MTI_CB (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO," _
	  & " CB_DT, CB_AGE, CB_MONTH_AGE, GESTATIONAL_WEEK_COUNT, GESTATIONAL_DAY_COUNT, CHD_COUNT," _
	  & " CB_DIV1, CB_DIV2, CB_DIV3, CB_DIV4, PREMATURE_BIRTH, MISCARRIAGE, BLEEDING_VOLUME, CAESAREAN_OPE_CD," _
	  & " CB_CHK1, CB_CHK2, CB_CHK3, REMARKS," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmCB_DT & "," _
	  & prmCB_AGE & "," _
	  & prmCB_MONTH_AGE & "," _
	  & prmGESTATIONAL_WEEK_COUNT & "," _
	  & prmGESTATIONAL_DAY_COUNT & "," _
	  & prmCHD_COUNT & "," _
	  & prmCB_DIV1 & "," _
	  & prmCB_DIV2 & "," _
	  & prmCB_DIV3 & "," _
	  & prmCB_DIV4 & "," _
	  & prmPREMATURE_BIRTH & "," _
	  & prmMISCARRIAGE & "," _
	  & prmBLEEDING_VOLUME & "," _
	  & prmCAESAREAN_OPE_CD & "," _
	  & prmCB_CHK1 & "," _
	  & prmCB_CHK2 & "," _
	  & prmCB_CHK3 & "," _
	  & prmREMARKS & "," _
	  & prmDATA_CAPTURE_DT & "," _
	  & prmNEW_REG_DT & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
