﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_病名情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_DISEASE_OneRec
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing						'入退院歴番号
	Public CH_NO As Integer = Nothing								'科歴番号
	Public DISEASE_SERIAL_NO As Integer = Nothing					'病名連番
	Public HSP_CHANCE_DISEASE_FLG As Integer = Nothing				'入院契機病名フラグ
	Public DISEASE_MED_RES_FLG1 As Integer = Nothing				'医療資源投入病名フラグ１
	Public DISEASE_MED_RES_FLG2 As Integer = Nothing				'医療資源投入病名フラグ２
	Public DEATH_DISEASE_FLG As Integer = Nothing					'死因病名フラグ
	Public DISEASE_DIV As String = Nothing							'病名区分コード
	Public DISEASE As String = Nothing								'病名
	Public DIAGNOSIS_DT As Date = Nothing							'診断日
	Public ONSET_DT As Date = Nothing								'発症日
	Public END_DT As Date = Nothing									'終了日
	Public ICD10_CD As String = Nothing								'ＩＣＤ１０コード
	Public DISEASE_OUTCOME_CD As String = Nothing					'病名転帰コード
	Public PLURAL_GRP_CD As String = Nothing						'複数分類コード
	Public REMARKS1 As String = Nothing								'備考１
	Public REMARKS2 As String = Nothing								'備考２
	Public HSP_DISEASE_CD As String = Nothing						'院内病名コード
	Public ICD9_CD As String = Nothing								'ＩＣＤ９コード
	Public CAUSE_GRP_CD As String = Nothing							'外因分類コード
	Public DEATH_CAUSE_FLG As Integer = Nothing						'死因外因フラグ
	Public SPECIMEN_NO As String = Nothing							'標本番号
	Public ICDO_FORM_CD As String = Nothing							'ＩＣＤＯ１
	Public ICDO_FORM_6DIGS_CD As String = Nothing					'ＩＣＤＯ１２
	Public L_GRP_CD As String = Nothing								'大分類コード
	Public M_GRP_CD As String = Nothing								'中分類コード
	Public S_GRP_CD As String = Nothing								'小分類コード
	Public GRP300_CD As String = Nothing							'３００分類コード
	Public A_GRP_CD As String = Nothing								'ａ分類コード
	Public B_GRP_CD As String = Nothing								'ｂ分類コード
	Public C_GRP_CD As String = Nothing								'ｃ分類コード
	Public DEATH_GRP_CD As String = Nothing							'死因分類コード
	Public CAUSE_L_GRP_CD As String = Nothing						'外因大分類コード
	Public CAUSE_DEATH_GRP_CD As String = Nothing					'外因死因分類コード
	Public CAUSE_4GRP_PTN As String = Nothing						'外因４桁細分類パターン
	Public CAUSE_4DIGS_CD As String = Nothing						'外因４桁目コード
	Public ICD9_L_GRP_CD As String = Nothing						'ＩＣＤ９大分類コード
	Public ICD9_M_GRP_CD As String = Nothing						'ＩＣＤ９中分類コード
	Public ICD9_ASST_GRP1_CD As String = Nothing					'ＩＣＤ９補助分類コード１
	Public ICD9_ASST_GRP2_CD As String = Nothing					'ＩＣＤ９補助分類コード２
	Public ICD9_ASST_GRP3_CD As String = Nothing					'ＩＣＤ９補助分類コード３
	Public DISEASE_MNG_DIV As String = Nothing						'管理記号
	Public DISEASE_MNG_NO As Integer = Nothing						'管理番号
	Public HSP_DISEASE_FLG As Integer = Nothing						'入院時併存症名フラグ
	Public AFTER_HSP_DISEASE_FLG As Integer = Nothing				'入院後発症疾患名フラグ
	Public CNR_REG_STATUS_CD As String = Nothing					'がん登録状況コード
	Public CNR_REG_EXTRACT_DT As Date = Nothing						'がん登録抽出日
	Public ICDO_MNG_DIV As String = Nothing							'ＩＣＤＯ１管理記号
	Public ICDO_MNG_NO As Integer = Nothing							'ＩＣＤＯ１管理番号
	Public ICDO_FORM_NM As String = Nothing							'ＩＣＤＯ１形態名
	Public DIRECT_DEATH_DISEASE_FLG As Integer = Nothing			'直接死因病名フラグ
	Public DIRECT_DEATH_CAUSE_FLG_V3 As Integer = Nothing			'直接死因外因フラグ
	Public CAUSE_GRP_NM As String = Nothing							'外因分類名
	Public CAUSE_4GRP_NM As String = Nothing						'外因４桁細分類名
	Public DATA_CAPTURE_DT As Date = Nothing						'データ取込日
	Public NEW_REG_DT As Date = Nothing								'新規登録日
	Public LASTUPDUSER_CD As String = Nothing						'更新者コード
	Public LASTUPD_DT As Date = Nothing								'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_DISEASE_OneRec(病名情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/26 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_DISEASE_OneRec
		Dim ret As datMTI_DISEASE_OneRec = New datMTI_DISEASE_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.DISEASE_SERIAL_NO = Me.DISEASE_SERIAL_NO
			.HSP_CHANCE_DISEASE_FLG = Me.HSP_CHANCE_DISEASE_FLG
			.DISEASE_MED_RES_FLG1 = Me.DISEASE_MED_RES_FLG1
			.DISEASE_MED_RES_FLG2 = Me.DISEASE_MED_RES_FLG2
			.DEATH_DISEASE_FLG = Me.DEATH_DISEASE_FLG
			.DISEASE_DIV = Me.DISEASE_DIV
			.DISEASE = Me.DISEASE
			.DIAGNOSIS_DT = Me.DIAGNOSIS_DT
			.ONSET_DT = Me.ONSET_DT
			.END_DT = Me.END_DT
			.ICD10_CD = Me.ICD10_CD
			.DISEASE_OUTCOME_CD = Me.DISEASE_OUTCOME_CD
			.PLURAL_GRP_CD = Me.PLURAL_GRP_CD
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.HSP_DISEASE_CD = Me.HSP_DISEASE_CD
			.ICD9_CD = Me.ICD9_CD
			.CAUSE_GRP_CD = Me.CAUSE_GRP_CD
			.DEATH_CAUSE_FLG = Me.DEATH_CAUSE_FLG
			.SPECIMEN_NO = Me.SPECIMEN_NO
			.ICDO_FORM_CD = Me.ICDO_FORM_CD
			.ICDO_FORM_6DIGS_CD = Me.ICDO_FORM_6DIGS_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.S_GRP_CD = Me.S_GRP_CD
			.GRP300_CD = Me.GRP300_CD
			.A_GRP_CD = Me.A_GRP_CD
			.B_GRP_CD = Me.B_GRP_CD
			.C_GRP_CD = Me.C_GRP_CD
			.DEATH_GRP_CD = Me.DEATH_GRP_CD
			.CAUSE_L_GRP_CD = Me.CAUSE_L_GRP_CD
			.CAUSE_DEATH_GRP_CD = Me.CAUSE_DEATH_GRP_CD
			.CAUSE_4GRP_PTN = Me.CAUSE_4GRP_PTN
			.CAUSE_4DIGS_CD = Me.CAUSE_4DIGS_CD
			.ICD9_L_GRP_CD = Me.ICD9_L_GRP_CD
			.ICD9_M_GRP_CD = Me.ICD9_M_GRP_CD
			.ICD9_ASST_GRP1_CD = Me.ICD9_ASST_GRP1_CD
			.ICD9_ASST_GRP2_CD = Me.ICD9_ASST_GRP2_CD
			.ICD9_ASST_GRP3_CD = Me.ICD9_ASST_GRP3_CD
			.DISEASE_MNG_DIV = Me.DISEASE_MNG_DIV
			.DISEASE_MNG_NO = Me.DISEASE_MNG_NO
			.HSP_DISEASE_FLG = Me.HSP_DISEASE_FLG
			.AFTER_HSP_DISEASE_FLG = Me.AFTER_HSP_DISEASE_FLG
			.CNR_REG_STATUS_CD = Me.CNR_REG_STATUS_CD
			.CNR_REG_EXTRACT_DT = Me.CNR_REG_EXTRACT_DT
			.ICDO_MNG_DIV = Me.ICDO_MNG_DIV
			.ICDO_MNG_NO = Me.ICDO_MNG_NO
			.ICDO_FORM_NM = Me.ICDO_FORM_NM
			.DIRECT_DEATH_DISEASE_FLG = Me.DIRECT_DEATH_DISEASE_FLG
			.DIRECT_DEATH_CAUSE_FLG_V3 = Me.DIRECT_DEATH_CAUSE_FLG_V3
			.CAUSE_GRP_NM = Me.CAUSE_GRP_NM
			.CAUSE_4GRP_NM = Me.CAUSE_4GRP_NM
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_病名情報＋名称取得＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_DISEASE_PLUS_OneRec
	' 病名情報
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing						'入退院歴番号
	Public CH_NO As Integer = Nothing								'科歴番号
	Public DISEASE_SERIAL_NO As Integer = Nothing					'病名連番
	Public HSP_CHANCE_DISEASE_FLG As Integer = Nothing				'入院契機病名フラグ
	Public DISEASE_MED_RES_FLG1 As Integer = Nothing				'医療資源投入病名フラグ１
	Public DISEASE_MED_RES_FLG2 As Integer = Nothing				'医療資源投入病名フラグ２
	Public DEATH_DISEASE_FLG As Integer = Nothing					'死因病名フラグ
	Public DISEASE_DIV As String = Nothing							'病名区分コード
	Public DISEASE As String = Nothing								'病名
	Public DIAGNOSIS_DT As Date = Nothing							'診断日
	Public ONSET_DT As Date = Nothing								'発症日
	Public END_DT As Date = Nothing									'終了日
	Public ICD10_CD As String = Nothing								'ＩＣＤ１０コード
	Public DISEASE_OUTCOME_CD As String = Nothing					'病名転帰コード
	Public PLURAL_GRP_CD As String = Nothing						'複数分類コード
	Public REMARKS1 As String = Nothing								'備考１
	Public REMARKS2 As String = Nothing								'備考２
	Public HSP_DISEASE_CD As String = Nothing						'院内病名コード
	Public ICD9_CD As String = Nothing								'ＩＣＤ９コード
	Public CAUSE_GRP_CD As String = Nothing							'外因分類コード
	Public DEATH_CAUSE_FLG As Integer = Nothing						'死因外因フラグ
	Public SPECIMEN_NO As String = Nothing							'標本番号
	Public ICDO_FORM_CD As String = Nothing							'ＩＣＤＯ１
	Public ICDO_FORM_6DIGS_CD As String = Nothing					'ＩＣＤＯ１２
	Public L_GRP_CD As String = Nothing								'大分類コード
	Public M_GRP_CD As String = Nothing								'中分類コード
	Public S_GRP_CD As String = Nothing								'小分類コード
	Public GRP300_CD As String = Nothing							'３００分類コード
	Public A_GRP_CD As String = Nothing								'ａ分類コード
	Public B_GRP_CD As String = Nothing								'ｂ分類コード
	Public C_GRP_CD As String = Nothing								'ｃ分類コード
	Public DEATH_GRP_CD As String = Nothing							'死因分類コード
	Public CAUSE_L_GRP_CD As String = Nothing						'外因大分類コード
	Public CAUSE_DEATH_GRP_CD As String = Nothing					'外因死因分類コード
	Public CAUSE_4GRP_PTN As String = Nothing						'外因４桁細分類パターン
	Public CAUSE_4DIGS_CD As String = Nothing						'外因４桁目コード
	Public ICD9_L_GRP_CD As String = Nothing						'ＩＣＤ９大分類コード
	Public ICD9_M_GRP_CD As String = Nothing						'ＩＣＤ９中分類コード
	Public ICD9_ASST_GRP1_CD As String = Nothing					'ＩＣＤ９補助分類コード１
	Public ICD9_ASST_GRP2_CD As String = Nothing					'ＩＣＤ９補助分類コード２
	Public ICD9_ASST_GRP3_CD As String = Nothing					'ＩＣＤ９補助分類コード３
	Public DISEASE_MNG_DIV As String = Nothing						'管理記号
	Public DISEASE_MNG_NO As Integer = Nothing						'管理番号
	Public HSP_DISEASE_FLG As Integer = Nothing						'入院時併存症名フラグ
	Public AFTER_HSP_DISEASE_FLG As Integer = Nothing				'入院後発症疾患名フラグ
	Public CNR_REG_STATUS_CD As String = Nothing					'がん登録状況コード
	Public CNR_REG_EXTRACT_DT As Date = Nothing						'がん登録抽出日
	Public ICDO_MNG_DIV As String = Nothing							'ＩＣＤＯ１管理記号
	Public ICDO_MNG_NO As Integer = Nothing							'ＩＣＤＯ１管理番号
	Public ICDO_FORM_NM As String = Nothing							'ＩＣＤＯ１形態名
	Public DIRECT_DEATH_DISEASE_FLG As Integer = Nothing			'直接死因病名フラグ
	Public DIRECT_DEATH_CAUSE_FLG_V3 As Integer = Nothing			'直接死因外因フラグ
	Public CAUSE_GRP_NM As String = Nothing							'外因分類名
	Public CAUSE_4GRP_NM As String = Nothing						'外因４桁細分類名
	Public DATA_CAPTURE_DT As Date = Nothing						'データ取込日
	Public NEW_REG_DT As Date = Nothing								'新規登録日
	Public LASTUPDUSER_CD As String = Nothing						'更新者コード
	Public LASTUPD_DT As Date = Nothing								'最終更新日
	' 病名区分マスタ
	Public DISEASE_DIV_NM As String = Nothing						'病名区分名
	Public DISEASE_DIV_RNM As String = Nothing						'病名区分略称名
	Public DISEASE_DIV_FIXED_CD As String = Nothing					'固定コード
	Public DISEASE_DIV_DSPORDER As Nullable(Of Integer) = Nothing	'表示順
	' 病名転帰マスタ
	Public DISEASE_OUTCOME_NM As String = Nothing					'病名転帰
	Public DISEASE_OUTCOME_RNM As String = Nothing					'病名転帰略称名
	Public DISEASE_OUTCOME_FIXED_CD As String = Nothing				'固定コード
	' 外因大分類マスタ
	Public CAUSE_L_GRP_NM As String = Nothing						'外因大分類名
	' がん登録状況マスタ
	Public CNR_REG_STATUS_NM As String = Nothing					'登録状況
	Public CNR_REG_STATUS_RNM As String = Nothing					'登録状況略称名
	Public CNR_REG_STATUS_FIXED_CD As String = Nothing				'固定コード
	' チェックボックス表示
	Public HSP_CHANCE_DISEASE_FLG_DSP As String = Nothing			'入院契機病名フラグ
	Public DISEASE_MED_RES_FLG1_DSP As String = Nothing				'医療資源投入病名フラグ１
	Public DISEASE_MED_RES_FLG2_DSP As String = Nothing				'医療資源投入病名フラグ２
	Public DEATH_DISEASE_FLG_DSP As String = Nothing				'死因病名フラグ
	Public DEATH_CAUSE_FLG_DSP As String = Nothing					'死因外因フラグ
	Public HSP_DISEASE_FLG_DSP As String = Nothing					'入院時併存症名フラグ	
	Public AFTER_HSP_DISEASE_FLG_DSP As String = Nothing			'入院後発症疾患名フラグ
	Public DIRECT_DEATH_DISEASE_FLG_DSP As String = Nothing			'直接死因病名フラグ
	Public DIRECT_DEATH_CAUSE_FLG_V3_DSP As String = Nothing		'直接死因外因フラグ

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_DISEASE_PLUS_OneRec(病名情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_DISEASE_PLUS_OneRec
		Dim ret As datMTI_DISEASE_PLUS_OneRec = New datMTI_DISEASE_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.DISEASE_SERIAL_NO = Me.DISEASE_SERIAL_NO
			.HSP_CHANCE_DISEASE_FLG = Me.HSP_CHANCE_DISEASE_FLG
			.DISEASE_MED_RES_FLG1 = Me.DISEASE_MED_RES_FLG1
			.DISEASE_MED_RES_FLG2 = Me.DISEASE_MED_RES_FLG2
			.DEATH_DISEASE_FLG = Me.DEATH_DISEASE_FLG
			.DISEASE_DIV = Me.DISEASE_DIV
			.DISEASE = Me.DISEASE
			.DIAGNOSIS_DT = Me.DIAGNOSIS_DT
			.ONSET_DT = Me.ONSET_DT
			.END_DT = Me.END_DT
			.ICD10_CD = Me.ICD10_CD
			.DISEASE_OUTCOME_CD = Me.DISEASE_OUTCOME_CD
			.PLURAL_GRP_CD = Me.PLURAL_GRP_CD
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.HSP_DISEASE_CD = Me.HSP_DISEASE_CD
			.ICD9_CD = Me.ICD9_CD
			.CAUSE_GRP_CD = Me.CAUSE_GRP_CD
			.DEATH_CAUSE_FLG = Me.DEATH_CAUSE_FLG
			.SPECIMEN_NO = Me.SPECIMEN_NO
			.ICDO_FORM_CD = Me.ICDO_FORM_CD
			.ICDO_FORM_6DIGS_CD = Me.ICDO_FORM_6DIGS_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.S_GRP_CD = Me.S_GRP_CD
			.GRP300_CD = Me.GRP300_CD
			.A_GRP_CD = Me.A_GRP_CD
			.B_GRP_CD = Me.B_GRP_CD
			.C_GRP_CD = Me.C_GRP_CD
			.DEATH_GRP_CD = Me.DEATH_GRP_CD
			.CAUSE_L_GRP_CD = Me.CAUSE_L_GRP_CD
			.CAUSE_DEATH_GRP_CD = Me.CAUSE_DEATH_GRP_CD
			.CAUSE_4GRP_PTN = Me.CAUSE_4GRP_PTN
			.CAUSE_4DIGS_CD = Me.CAUSE_4DIGS_CD
			.ICD9_L_GRP_CD = Me.ICD9_L_GRP_CD
			.ICD9_M_GRP_CD = Me.ICD9_M_GRP_CD
			.ICD9_ASST_GRP1_CD = Me.ICD9_ASST_GRP1_CD
			.ICD9_ASST_GRP2_CD = Me.ICD9_ASST_GRP2_CD
			.ICD9_ASST_GRP3_CD = Me.ICD9_ASST_GRP3_CD
			.DISEASE_MNG_DIV = Me.DISEASE_MNG_DIV
			.DISEASE_MNG_NO = Me.DISEASE_MNG_NO
			.HSP_DISEASE_FLG = Me.HSP_DISEASE_FLG
			.AFTER_HSP_DISEASE_FLG = Me.AFTER_HSP_DISEASE_FLG
			.CNR_REG_STATUS_CD = Me.CNR_REG_STATUS_CD
			.CNR_REG_EXTRACT_DT = Me.CNR_REG_EXTRACT_DT
			.ICDO_MNG_DIV = Me.ICDO_MNG_DIV
			.ICDO_MNG_NO = Me.ICDO_MNG_NO
			.ICDO_FORM_NM = Me.ICDO_FORM_NM
			.DIRECT_DEATH_DISEASE_FLG = Me.DIRECT_DEATH_DISEASE_FLG
			.DIRECT_DEATH_CAUSE_FLG_V3 = Me.DIRECT_DEATH_CAUSE_FLG_V3
			.CAUSE_GRP_NM = Me.CAUSE_GRP_NM
			.CAUSE_4GRP_NM = Me.CAUSE_4GRP_NM
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.DISEASE_DIV_NM = Me.DISEASE_DIV_NM
			.DISEASE_DIV_RNM = Me.DISEASE_DIV_RNM
			.DISEASE_DIV_FIXED_CD = Me.DISEASE_DIV_FIXED_CD
			.DISEASE_DIV_DSPORDER = Me.DISEASE_DIV_DSPORDER
			.DISEASE_OUTCOME_NM = Me.DISEASE_OUTCOME_NM
			.DISEASE_OUTCOME_RNM = Me.DISEASE_OUTCOME_RNM
			.DISEASE_OUTCOME_FIXED_CD = Me.DISEASE_OUTCOME_FIXED_CD
			.CAUSE_L_GRP_NM = Me.CAUSE_L_GRP_NM
			.CNR_REG_STATUS_NM = Me.CNR_REG_STATUS_NM
			.CNR_REG_STATUS_RNM = Me.CNR_REG_STATUS_RNM
			.CNR_REG_STATUS_FIXED_CD = Me.CNR_REG_STATUS_FIXED_CD
			.HSP_CHANCE_DISEASE_FLG_DSP = Me.HSP_CHANCE_DISEASE_FLG_DSP
			.DISEASE_MED_RES_FLG1_DSP = Me.DISEASE_MED_RES_FLG1_DSP
			.DISEASE_MED_RES_FLG2_DSP = Me.DISEASE_MED_RES_FLG2_DSP
			.DEATH_DISEASE_FLG_DSP = Me.DEATH_DISEASE_FLG_DSP
			.DEATH_CAUSE_FLG_DSP = Me.DEATH_CAUSE_FLG_DSP
			.HSP_DISEASE_FLG_DSP = Me.HSP_DISEASE_FLG_DSP
			.AFTER_HSP_DISEASE_FLG_DSP = Me.AFTER_HSP_DISEASE_FLG_DSP
			.DIRECT_DEATH_DISEASE_FLG_DSP = Me.DIRECT_DEATH_DISEASE_FLG_DSP
			.DIRECT_DEATH_CAUSE_FLG_V3_DSP = Me.DIRECT_DEATH_CAUSE_FLG_V3_DSP
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（病名情報）
	''' </summary>
	''' <returns>datMTI_DISEASE_OneRec(病名情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/26 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_DISEASE_OneRec
		Dim ret As datMTI_DISEASE_OneRec = New datMTI_DISEASE_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.DISEASE_SERIAL_NO = Me.DISEASE_SERIAL_NO
			.HSP_CHANCE_DISEASE_FLG = Me.HSP_CHANCE_DISEASE_FLG
			.DISEASE_MED_RES_FLG1 = Me.DISEASE_MED_RES_FLG1
			.DISEASE_MED_RES_FLG2 = Me.DISEASE_MED_RES_FLG2
			.DEATH_DISEASE_FLG = Me.DEATH_DISEASE_FLG
			.DISEASE_DIV = Me.DISEASE_DIV
			.DISEASE = Me.DISEASE
			.DIAGNOSIS_DT = Me.DIAGNOSIS_DT
			.ONSET_DT = Me.ONSET_DT
			.END_DT = Me.END_DT
			.ICD10_CD = Me.ICD10_CD
			.DISEASE_OUTCOME_CD = Me.DISEASE_OUTCOME_CD
			.PLURAL_GRP_CD = Me.PLURAL_GRP_CD
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.HSP_DISEASE_CD = Me.HSP_DISEASE_CD
			.ICD9_CD = Me.ICD9_CD
			.CAUSE_GRP_CD = Me.CAUSE_GRP_CD
			.DEATH_CAUSE_FLG = Me.DEATH_CAUSE_FLG
			.SPECIMEN_NO = Me.SPECIMEN_NO
			.ICDO_FORM_CD = Me.ICDO_FORM_CD
			.ICDO_FORM_6DIGS_CD = Me.ICDO_FORM_6DIGS_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.S_GRP_CD = Me.S_GRP_CD
			.GRP300_CD = Me.GRP300_CD
			.A_GRP_CD = Me.A_GRP_CD
			.B_GRP_CD = Me.B_GRP_CD
			.C_GRP_CD = Me.C_GRP_CD
			.DEATH_GRP_CD = Me.DEATH_GRP_CD
			.CAUSE_L_GRP_CD = Me.CAUSE_L_GRP_CD
			.CAUSE_DEATH_GRP_CD = Me.CAUSE_DEATH_GRP_CD
			.CAUSE_4GRP_PTN = Me.CAUSE_4GRP_PTN
			.CAUSE_4DIGS_CD = Me.CAUSE_4DIGS_CD
			.ICD9_L_GRP_CD = Me.ICD9_L_GRP_CD
			.ICD9_M_GRP_CD = Me.ICD9_M_GRP_CD
			.ICD9_ASST_GRP1_CD = Me.ICD9_ASST_GRP1_CD
			.ICD9_ASST_GRP2_CD = Me.ICD9_ASST_GRP2_CD
			.ICD9_ASST_GRP3_CD = Me.ICD9_ASST_GRP3_CD
			.DISEASE_MNG_DIV = Me.DISEASE_MNG_DIV
			.DISEASE_MNG_NO = Me.DISEASE_MNG_NO
			.HSP_DISEASE_FLG = Me.HSP_DISEASE_FLG
			.AFTER_HSP_DISEASE_FLG = Me.AFTER_HSP_DISEASE_FLG
			.CNR_REG_STATUS_CD = Me.CNR_REG_STATUS_CD
			.CNR_REG_EXTRACT_DT = Me.CNR_REG_EXTRACT_DT
			.ICDO_MNG_DIV = Me.ICDO_MNG_DIV
			.ICDO_MNG_NO = Me.ICDO_MNG_NO
			.ICDO_FORM_NM = Me.ICDO_FORM_NM
			.DIRECT_DEATH_DISEASE_FLG = Me.DIRECT_DEATH_DISEASE_FLG
			.DIRECT_DEATH_CAUSE_FLG_V3 = Me.DIRECT_DEATH_CAUSE_FLG_V3
			.CAUSE_GRP_NM = Me.CAUSE_GRP_NM
			.CAUSE_4GRP_NM = Me.CAUSE_4GRP_NM
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 病名情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_DISEASE
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"								'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"						'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"											'科歴番号
	Public Const prmDISEASE_SERIAL_NO As String = "@DISEASE_SERIAL_NO"					'病名連番
	Public Const prmHSP_CHANCE_DISEASE_FLG As String = "@HSP_CHANCE_DISEASE_FLG"		'入院契機病名フラグ
	Public Const prmDISEASE_MED_RES_FLG1 As String = "@DISEASE_MED_RES_FLG1"			'医療資源投入病名フラグ１
	Public Const prmDISEASE_MED_RES_FLG2 As String = "@DISEASE_MED_RES_FLG2"			'医療資源投入病名フラグ２
	Public Const prmDEATH_DISEASE_FLG As String = "@DEATH_DISEASE_FLG"					'死因病名フラグ
	Public Const prmDISEASE_DIV As String = "@DISEASE_DIV"								'病名区分コード
	Public Const prmDISEASE As String = "@DISEASE"										'病名
	Public Const prmDIAGNOSIS_DT As String = "@DIAGNOSIS_DT"							'診断日
	Public Const prmONSET_DT As String = "@ONSET_DT"									'発症日
	Public Const prmEND_DT As String = "@END_DT"										'終了日
	Public Const prmICD10_CD As String = "@ICD10_CD"									'ＩＣＤ１０コード
	Public Const prmDISEASE_OUTCOME_CD As String = "@DISEASE_OUTCOME_CD"				'病名転帰コード
	Public Const prmPLURAL_GRP_CD As String = "@PLURAL_GRP_CD"							'複数分類コード
	Public Const prmREMARKS1 As String = "@REMARKS1"									'備考１
	Public Const prmREMARKS2 As String = "@REMARKS2"									'備考２
	Public Const prmHSP_DISEASE_CD As String = "@HSP_DISEASE_CD"						'院内病名コード
	Public Const prmICD9_CD As String = "@ICD9_CD"										'ＩＣＤ９コード
	Public Const prmCAUSE_GRP_CD As String = "@CAUSE_GRP_CD"							'外因分類コード
	Public Const prmDEATH_CAUSE_FLG As String = "@DEATH_CAUSE_FLG"						'死因外因フラグ
	Public Const prmSPECIMEN_NO As String = "@SPECIMEN_NO"								'標本番号
	Public Const prmICDO_FORM_CD As String = "@ICDO_FORM_CD"							'ＩＣＤＯ１
	Public Const prmICDO_FORM_6DIGS_CD As String = "@ICDO_FORM_6DIGS_CD"				'ＩＣＤＯ１２
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"									'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"									'中分類コード
	Public Const prmS_GRP_CD As String = "@S_GRP_CD"									'小分類コード
	Public Const prmGRP300_CD As String = "@GRP300_CD"									'３００分類コード
	Public Const prmA_GRP_CD As String = "@A_GRP_CD"									'ａ分類コード
	Public Const prmB_GRP_CD As String = "@B_GRP_CD"									'ｂ分類コード
	Public Const prmC_GRP_CD As String = "@C_GRP_CD"									'ｃ分類コード
	Public Const prmDEATH_GRP_CD As String = "@DEATH_GRP_CD"							'死因分類コード
	Public Const prmCAUSE_L_GRP_CD As String = "@CAUSE_L_GRP_CD"						'外因大分類コード
	Public Const prmCAUSE_DEATH_GRP_CD As String = "@CAUSE_DEATH_GRP_CD"				'外因死因分類コード
	Public Const prmCAUSE_4GRP_PTN As String = "@CAUSE_4GRP_PTN"						'外因４桁細分類パターン
	Public Const prmCAUSE_4DIGS_CD As String = "@CAUSE_4DIGS_CD"						'外因４桁目コード
	Public Const prmICD9_L_GRP_CD As String = "@ICD9_L_GRP_CD"							'ＩＣＤ９大分類コード
	Public Const prmICD9_M_GRP_CD As String = "@ICD9_M_GRP_CD"							'ＩＣＤ９中分類コード
	Public Const prmICD9_ASST_GRP1_CD As String = "@ICD9_ASST_GRP1_CD"					'ＩＣＤ９補助分類コード１
	Public Const prmICD9_ASST_GRP2_CD As String = "@ICD9_ASST_GRP2_CD"					'ＩＣＤ９補助分類コード２
	Public Const prmICD9_ASST_GRP3_CD As String = "@ICD9_ASST_GRP3_CD"					'ＩＣＤ９補助分類コード３
	Public Const prmDISEASE_MNG_DIV As String = "@DISEASE_MNG_DIV"						'管理記号
	Public Const prmDISEASE_MNG_NO As String = "@DISEASE_MNG_NO"						'管理番号
	Public Const prmHSP_DISEASE_FLG As String = "@HSP_DISEASE_FLG"						'入院時併存症名フラグ
	Public Const prmAFTER_HSP_DISEASE_FLG As String = "@AFTER_HSP_DISEASE_FLG"			'入院後発症疾患名フラグ
	Public Const prmCNR_REG_STATUS_CD As String = "@CNR_REG_STATUS_CD"					'がん登録状況コード
	Public Const prmCNR_REG_EXTRACT_DT As String = "@CNR_REG_EXTRACT_DT"				'がん登録抽出日
	Public Const prmICDO_MNG_DIV As String = "@ICDO_MNG_DIV"							'ＩＣＤＯ１管理記号
	Public Const prmICDO_MNG_NO As String = "@ICDO_MNG_NO"								'ＩＣＤＯ１管理番号
	Public Const prmICDO_FORM_NM As String = "@ICDO_FORM_NM"							'ＩＣＤＯ１形態名
	Public Const prmDIRECT_DEATH_DISEASE_FLG As String = "@DIRECT_DEATH_DISEASE_FLG"	'直接死因病名フラグ
	Public Const prmDIRECT_DEATH_CAUSE_FLG_V3 As String = "@DIRECT_DEATH_CAUSE_FLG_V3"	'直接死因外因フラグ
	Public Const prmCAUSE_GRP_NM As String = "@CAUSE_GRP_NM"							'外因分類名
	Public Const prmCAUSE_4GRP_NM As String = "@CAUSE_4GRP_NM"							'外因４桁細分類名
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"						'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"								'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"						'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"								'最終更新日

	Public Const prmCheckOn As String = "@CheckOn"
	Public Const prmCheckOff As String = "@CheckOff"
	Public Const prmCheckOnDisp As String = "@CheckOnDisp"
	Public Const prmCheckOffDisp As String = "@CheckOffDisp"

	Public Const itmPATIENT_NO As String = "PATIENT_NO"											'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"									'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"													'科歴番号
	Public Const itmDISEASE_SERIAL_NO As String = "DISEASE_SERIAL_NO"							'病名連番
	Public Const itmHSP_CHANCE_DISEASE_FLG As String = "HSP_CHANCE_DISEASE_FLG"					'入院契機病名フラグ
	Public Const itmDISEASE_MED_RES_FLG1 As String = "DISEASE_MED_RES_FLG1"						'医療資源投入病名フラグ１
	Public Const itmDISEASE_MED_RES_FLG2 As String = "DISEASE_MED_RES_FLG2"						'医療資源投入病名フラグ２
	Public Const itmDEATH_DISEASE_FLG As String = "DEATH_DISEASE_FLG"							'死因病名フラグ
	Public Const itmDISEASE_DIV As String = "DISEASE_DIV"										'病名区分コード
	Public Const itmDISEASE As String = "DISEASE"												'病名
	Public Const itmDIAGNOSIS_DT As String = "DIAGNOSIS_DT"										'診断日
	Public Const itmONSET_DT As String = "ONSET_DT"												'発症日
	Public Const itmEND_DT As String = "END_DT"													'終了日
	Public Const itmICD10_CD As String = "ICD10_CD"												'ＩＣＤ１０コード
	Public Const itmDISEASE_OUTCOME_CD As String = "DISEASE_OUTCOME_CD"							'病名転帰コード
	Public Const itmPLURAL_GRP_CD As String = "PLURAL_GRP_CD"									'複数分類コード
	Public Const itmREMARKS1 As String = "REMARKS1"												'備考１
	Public Const itmREMARKS2 As String = "REMARKS2"												'備考２
	Public Const itmHSP_DISEASE_CD As String = "HSP_DISEASE_CD"									'院内病名コード
	Public Const itmICD9_CD As String = "ICD9_CD"												'ＩＣＤ９コード
	Public Const itmCAUSE_GRP_CD As String = "CAUSE_GRP_CD"										'外因分類コード
	Public Const itmDEATH_CAUSE_FLG As String = "DEATH_CAUSE_FLG"								'死因外因フラグ
	Public Const itmSPECIMEN_NO As String = "SPECIMEN_NO"										'標本番号
	Public Const itmICDO_FORM_CD As String = "ICDO_FORM_CD"										'ＩＣＤＯ１
	Public Const itmICDO_FORM_6DIGS_CD As String = "ICDO_FORM_6DIGS_CD"							'ＩＣＤＯ１２
	Public Const itmL_GRP_CD As String = "L_GRP_CD"												'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"												'中分類コード
	Public Const itmS_GRP_CD As String = "S_GRP_CD"												'小分類コード
	Public Const itmGRP300_CD As String = "GRP300_CD"											'３００分類コード
	Public Const itmA_GRP_CD As String = "A_GRP_CD"												'ａ分類コード
	Public Const itmB_GRP_CD As String = "B_GRP_CD"												'ｂ分類コード
	Public Const itmC_GRP_CD As String = "C_GRP_CD"												'ｃ分類コード
	Public Const itmDEATH_GRP_CD As String = "DEATH_GRP_CD"										'死因分類コード
	Public Const itmCAUSE_L_GRP_CD As String = "CAUSE_L_GRP_CD"									'外因大分類コード
	Public Const itmCAUSE_DEATH_GRP_CD As String = "CAUSE_DEATH_GRP_CD"							'外因死因分類コード
	Public Const itmCAUSE_4GRP_PTN As String = "CAUSE_4GRP_PTN"									'外因４桁細分類パターン
	Public Const itmCAUSE_4DIGS_CD As String = "CAUSE_4DIGS_CD"									'外因４桁目コード
	Public Const itmICD9_L_GRP_CD As String = "ICD9_L_GRP_CD"									'ＩＣＤ９大分類コード
	Public Const itmICD9_M_GRP_CD As String = "ICD9_M_GRP_CD"									'ＩＣＤ９中分類コード
	Public Const itmICD9_ASST_GRP1_CD As String = "ICD9_ASST_GRP1_CD"							'ＩＣＤ９補助分類コード１
	Public Const itmICD9_ASST_GRP2_CD As String = "ICD9_ASST_GRP2_CD"							'ＩＣＤ９補助分類コード２
	Public Const itmICD9_ASST_GRP3_CD As String = "ICD9_ASST_GRP3_CD"							'ＩＣＤ９補助分類コード３
	Public Const itmDISEASE_MNG_DIV As String = "DISEASE_MNG_DIV"								'管理記号
	Public Const itmDISEASE_MNG_NO As String = "DISEASE_MNG_NO"									'管理番号
	Public Const itmHSP_DISEASE_FLG As String = "HSP_DISEASE_FLG"								'入院時併存症名フラグ
	Public Const itmAFTER_HSP_DISEASE_FLG As String = "AFTER_HSP_DISEASE_FLG"					'入院後発症疾患名フラグ
	Public Const itmCNR_REG_STATUS_CD As String = "CNR_REG_STATUS_CD"							'がん登録状況コード
	Public Const itmCNR_REG_EXTRACT_DT As String = "CNR_REG_EXTRACT_DT"							'がん登録抽出日
	Public Const itmICDO_MNG_DIV As String = "ICDO_MNG_DIV"										'ＩＣＤＯ１管理記号
	Public Const itmICDO_MNG_NO As String = "ICDO_MNG_NO"										'ＩＣＤＯ１管理番号
	Public Const itmICDO_FORM_NM As String = "ICDO_FORM_NM"										'ＩＣＤＯ１形態名
	Public Const itmDIRECT_DEATH_DISEASE_FLG As String = "DIRECT_DEATH_DISEASE_FLG"				'直接死因病名フラグ
	Public Const itmDIRECT_DEATH_CAUSE_FLG_V3 As String = "DIRECT_DEATH_CAUSE_FLG_V3"			'直接死因外因フラグ
	Public Const itmCAUSE_GRP_NM As String = "CAUSE_GRP_NM"										'外因分類名
	Public Const itmCAUSE_4GRP_NM As String = "CAUSE_4GRP_NM"									'外因４桁細分類名
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"								'データ取込日
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"											'新規登録日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"									'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"											'最終更新日

	Public Const itmDISEASE_DIV_NM As String = "DISEASE_DIV_NM"									'病名区分名
	Public Const itmDISEASE_DIV_RNM As String = "DISEASE_DIV_RNM"								'病名区分略称名
	Public Const itmDISEASE_DIV_FIXED_CD As String = "DISEASE_DIV_FIXED_CD"						'固定コード
	Public Const itmDISEASE_DIV_DSPORDER As String = "DISEASE_DIV_DSPORDER"						'表示順
	Public Const itmDISEASE_OUTCOME_NM As String = "DISEASE_OUTCOME_NM"							'病名転帰
	Public Const itmDISEASE_OUTCOME_RNM As String = "DISEASE_OUTCOME_RNM"						'病名転帰略称名
	Public Const itmDISEASE_OUTCOME_FIXED_CD As String = "DISEASE_OUTCOME_FIXED_CD"				'固定コード
	Public Const itmCAUSE_L_GRP_NM As String = "CAUSE_L_GRP_NM"									'外因大分類名
	Public Const itmCNR_REG_STATUS_NM As String = "CNR_REG_STATUS_NM"							'登録状況
	Public Const itmCNR_REG_STATUS_RNM As String = "CNR_REG_STATUS_RNM"							'登録状況略称名
	Public Const itmCNR_REG_STATUS_FIXED_CD As String = "CNR_REG_STATUS_FIXED_CD"				'固定コード
	Public Const itmHSP_CHANCE_DISEASE_FLG_DSP As String = "HSP_CHANCE_DISEASE_FLG_DSP"			'入院契機病名フラグ
	Public Const itmDISEASE_MED_RES_FLG1_DSP As String = "DISEASE_MED_RES_FLG1_DSP"				'医療資源投入病名フラグ１
	Public Const itmDISEASE_MED_RES_FLG2_DSP As String = "DISEASE_MED_RES_FLG2_DSP"				'医療資源投入病名フラグ２
	Public Const itmDEATH_DISEASE_FLG_DSP As String = "DEATH_DISEASE_FLG_DSP"					'死因病名フラグ
	Public Const itmDEATH_CAUSE_FLG_DSP As String = "DEATH_CAUSE_FLG_DSP"						'死因外因フラグ
	Public Const itmHSP_DISEASE_FLG_DSP As String = "HSP_DISEASE_FLG_DSP"						'入院時併存症名フラグ	
	Public Const itmAFTER_HSP_DISEASE_FLG_DSP As String = "AFTER_HSP_DISEASE_FLG_DSP"			'入院後発症疾患名フラグ
	Public Const itmDIRECT_DEATH_DISEASE_FLG_DSP As String = "DIRECT_DEATH_DISEASE_FLG_DSP"		'直接死因病名フラグ
	Public Const itmDIRECT_DEATH_CAUSE_FLG_V3_DSP As String = "DIRECT_DEATH_CAUSE_FLG_V3_DSP"	'直接死因外因フラグ

	' 追加条件
	Public Const strORDER_BY As String = "/* ORDER_BY */"		'追加ORDER BY句の文字列

	' 標準のORDER BY句
	Public Const sqlOrder_By_Default As String = _
	 "A.DISEASE_DIV, A.DISEASE_SERIAL_NO"

	' ソートありのORDER BY句
	Public Const sqlOrder_By_Sort As String = _
	 "B.DSPORDER, A.DISEASE_DIV, A.DISEASE_SERIAL_NO"

	' ソートなしのORDER BY句
	Public Const sqlOrder_By_NoSort As String = _
	 "A.DISEASE_SERIAL_NO"

	' 病名情報取得用SQLのSELECT句
	Public Const sqlSelect_Disease As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.DISEASE_SERIAL_NO," _
	  & " A.HSP_CHANCE_DISEASE_FLG, A.DISEASE_MED_RES_FLG1, A.DISEASE_MED_RES_FLG2, A.DEATH_DISEASE_FLG," _
	  & " A.DISEASE_DIV, A.DISEASE, A.DIAGNOSIS_DT, A.ONSET_DT, A.END_DT, A.ICD10_CD, A.DISEASE_OUTCOME_CD, A.PLURAL_GRP_CD," _
	  & " A.REMARKS1, A.REMARKS2, A.HSP_DISEASE_CD, A.ICD9_CD, A.CAUSE_GRP_CD, A.DEATH_CAUSE_FLG, A.SPECIMEN_NO," _
	  & " A.ICDO_FORM_CD, A.ICDO_FORM_6DIGS_CD, A.L_GRP_CD, A.M_GRP_CD, A.S_GRP_CD, A.GRP300_CD, A.A_GRP_CD, A.B_GRP_CD, A.C_GRP_CD," _
	  & " A.DEATH_GRP_CD, A.CAUSE_L_GRP_CD, A.CAUSE_DEATH_GRP_CD, A.CAUSE_4GRP_PTN, A.CAUSE_4DIGS_CD," _
	  & " A.ICD9_L_GRP_CD, A.ICD9_M_GRP_CD, A.ICD9_ASST_GRP1_CD, A.ICD9_ASST_GRP2_CD, A.ICD9_ASST_GRP3_CD," _
	  & " A.DISEASE_MNG_DIV, A.DISEASE_MNG_NO, A.HSP_DISEASE_FLG, A.AFTER_HSP_DISEASE_FLG," _
	  & " A.CNR_REG_STATUS_CD, A.CNR_REG_EXTRACT_DT, A.ICDO_MNG_DIV, A.ICDO_MNG_NO, A.ICDO_FORM_NM," _
	  & " A.DIRECT_DEATH_DISEASE_FLG, A.DIRECT_DEATH_CAUSE_FLG_V3, A.CAUSE_GRP_NM, A.CAUSE_4GRP_NM," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT" _
	  & " FROM MTI_DISEASE AS A" _
	  & " LEFT JOIN MTM_DISEASE_DIV AS B ON A.DISEASE_DIV = B.DISEASE_DIV_CD"

	' 病名情報＋名称取得用SQLのSELECT句
	Public Const sqlSelect_Disease_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.DISEASE_SERIAL_NO," _
	  & " A.HSP_CHANCE_DISEASE_FLG, A.DISEASE_MED_RES_FLG1, A.DISEASE_MED_RES_FLG2, A.DEATH_DISEASE_FLG," _
	  & " A.DISEASE_DIV, A.DISEASE, A.DIAGNOSIS_DT, A.ONSET_DT, A.END_DT, A.ICD10_CD, A.DISEASE_OUTCOME_CD, A.PLURAL_GRP_CD," _
	  & " A.REMARKS1, A.REMARKS2, A.HSP_DISEASE_CD, A.ICD9_CD, A.CAUSE_GRP_CD, A.DEATH_CAUSE_FLG, A.SPECIMEN_NO," _
	  & " A.ICDO_FORM_CD, A.ICDO_FORM_6DIGS_CD, A.L_GRP_CD, A.M_GRP_CD, A.S_GRP_CD, A.GRP300_CD, A.A_GRP_CD, A.B_GRP_CD, A.C_GRP_CD," _
	  & " A.DEATH_GRP_CD, A.CAUSE_L_GRP_CD, A.CAUSE_DEATH_GRP_CD, A.CAUSE_4GRP_PTN, A.CAUSE_4DIGS_CD," _
	  & " A.ICD9_L_GRP_CD, A.ICD9_M_GRP_CD, A.ICD9_ASST_GRP1_CD, A.ICD9_ASST_GRP2_CD, A.ICD9_ASST_GRP3_CD," _
	  & " A.DISEASE_MNG_DIV, A.DISEASE_MNG_NO, A.HSP_DISEASE_FLG, A.AFTER_HSP_DISEASE_FLG," _
	  & " A.CNR_REG_STATUS_CD, A.CNR_REG_EXTRACT_DT, A.ICDO_MNG_DIV, A.ICDO_MNG_NO, A.ICDO_FORM_NM," _
	  & " A.DIRECT_DEATH_DISEASE_FLG, A.DIRECT_DEATH_CAUSE_FLG_V3, A.CAUSE_GRP_NM, A.CAUSE_4GRP_NM," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.DISEASE_DIV_NM, B.DISEASE_DIV_RNM, B.FIXED_CD AS DISEASE_DIV_FIXED_CD, B.DSPORDER AS DISEASE_DIV_DSPORDER," _
	  & " C.DISEASE_OUTCOME_NM, C.DISEASE_OUTCOME_RNM, C.FIXED_CD AS DISEASE_OUTCOME_FIXED_CD," _
	  & " D.CAUSE_L_GRP_NM," _
	  & " E.REG_STATUS_NM AS CNR_REG_STATUS_NM, E.REG_STATUS_RNM AS CNR_REG_STATUS_RNM, E.FIXED_CD AS CNR_REG_STATUS_FIXED_CD," _
	  & " CASE ISNULL(A.HSP_CHANCE_DISEASE_FLG, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS HSP_CHANCE_DISEASE_FLG_DSP," _
	  & " CASE ISNULL(A.DISEASE_MED_RES_FLG1, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DISEASE_MED_RES_FLG1_DSP," _
	  & " CASE ISNULL(A.DISEASE_MED_RES_FLG2, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DISEASE_MED_RES_FLG2_DSP," _
	  & " CASE ISNULL(A.DEATH_DISEASE_FLG, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DEATH_DISEASE_FLG_DSP," _
	  & " CASE ISNULL(A.DEATH_CAUSE_FLG, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DEATH_CAUSE_FLG_DSP," _
	  & " CASE ISNULL(A.HSP_DISEASE_FLG, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS HSP_DISEASE_FLG_DSP," _
	  & " CASE ISNULL(A.AFTER_HSP_DISEASE_FLG, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS AFTER_HSP_DISEASE_FLG_DSP," _
	  & " CASE ISNULL(A.DIRECT_DEATH_DISEASE_FLG, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DIRECT_DEATH_DISEASE_FLG_DSP," _
	  & " CASE ISNULL(A.DIRECT_DEATH_CAUSE_FLG_V3, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DIRECT_DEATH_CAUSE_FLG_V3_DSP" _
	  & " FROM MTI_DISEASE AS A" _
	  & " LEFT JOIN MTM_DISEASE_DIV AS B ON A.DISEASE_DIV = B.DISEASE_DIV_CD" _
	  & " LEFT JOIN MTM_DISEASE_OUTCOME AS C ON A.DISEASE_OUTCOME_CD = C.DISEASE_OUTCOME_CD" _
	  & " LEFT JOIN MTM_CAUSE_LGRP AS D ON A.CAUSE_L_GRP_CD = D.CAUSE_L_GRP_CD" _
	  & " LEFT JOIN MTM_CNR_REG_STATUS AS E ON A.CNR_REG_STATUS_CD = E.REG_STATUS_CD"

	' １患者分の病名情報を取得
	Public Const sqlSelDisease_Patient As String = sqlSelect_Disease _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.HSP_HISTORY_NO DESC, A.CH_NO DESC, " & strORDER_BY

	' １入退院分の病名情報を取得
	Public Const sqlSelDisease_Hsp As String = sqlSelect_Disease _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO DESC, " & strORDER_BY

	' １科歴分の病名情報を取得
	Public Const sqlSelDisease_Ch As String = sqlSelect_Disease _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY " & strORDER_BY

	' 病名情報１データを取得
	Public Const sqlSelDisease_OneRec As String = sqlSelect_Disease _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO

	' １患者分の病名情報＋名称を取得
	Public Const sqlSelDisease_Plus_Patient As String = sqlSelect_Disease_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.HSP_HISTORY_NO DESC, A.CH_NO DESC, " & strORDER_BY

	' １入退院分の病名情報＋名称を取得
	Public Const sqlSelDisease_Plus_Hsp As String = sqlSelect_Disease_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO DESC, " & strORDER_BY

	' １科歴分の病名情報＋名称を取得
	Public Const sqlSelDisease_Plus_Ch As String = sqlSelect_Disease_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY " & strORDER_BY

	' 病名情報＋名称１データを取得
	Public Const sqlSelDisease_Plus_OneRec As String = sqlSelect_Disease_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO

	' １患者分の病名情報を削除
	Public Const sqlDelDisease_Patient As String = _
	 "DELETE FROM MTI_DISEASE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の病名情報を削除
	Public Const sqlDelDisease_Hsp As String = _
	 "DELETE FROM MTI_DISEASE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の病名情報を削除
	Public Const sqlDelDisease_Ch As String = _
	 "DELETE FROM MTI_DISEASE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 病名情報１データを削除
	Public Const sqlDelDisease_OneRec As String = _
	 "DELETE FROM MTI_DISEASE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO

	' 病名情報１データを追加
	Public Const sqlInsDisease_OneRec As String = _
	 "INSERT INTO MTI_DISEASE (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO," _
	  & " HSP_CHANCE_DISEASE_FLG, DISEASE_MED_RES_FLG1, DISEASE_MED_RES_FLG2, DEATH_DISEASE_FLG," _
	  & " DISEASE_DIV, DISEASE, DIAGNOSIS_DT, ONSET_DT, END_DT, ICD10_CD, DISEASE_OUTCOME_CD, PLURAL_GRP_CD," _
	  & " REMARKS1, REMARKS2, HSP_DISEASE_CD, ICD9_CD, CAUSE_GRP_CD, DEATH_CAUSE_FLG, SPECIMEN_NO," _
	  & " ICDO_FORM_CD, ICDO_FORM_6DIGS_CD, L_GRP_CD, M_GRP_CD, S_GRP_CD, GRP300_CD, A_GRP_CD, B_GRP_CD, C_GRP_CD," _
	  & " DEATH_GRP_CD, CAUSE_L_GRP_CD, CAUSE_DEATH_GRP_CD, CAUSE_4GRP_PTN, CAUSE_4DIGS_CD," _
	  & " ICD9_L_GRP_CD, ICD9_M_GRP_CD, ICD9_ASST_GRP1_CD, ICD9_ASST_GRP2_CD, ICD9_ASST_GRP3_CD," _
	  & " DISEASE_MNG_DIV, DISEASE_MNG_NO, HSP_DISEASE_FLG, AFTER_HSP_DISEASE_FLG," _
	  & " CNR_REG_STATUS_CD, CNR_REG_EXTRACT_DT, ICDO_MNG_DIV, ICDO_MNG_NO, ICDO_FORM_NM," _
	  & " DIRECT_DEATH_DISEASE_FLG, DIRECT_DEATH_CAUSE_FLG_V3, CAUSE_GRP_NM, CAUSE_4GRP_NM," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmDISEASE_SERIAL_NO & "," _
	  & prmHSP_CHANCE_DISEASE_FLG & "," _
	  & prmDISEASE_MED_RES_FLG1 & "," _
	  & prmDISEASE_MED_RES_FLG2 & "," _
	  & prmDEATH_DISEASE_FLG & "," _
	  & prmDISEASE_DIV & "," _
	  & prmDISEASE & "," _
	  & prmDIAGNOSIS_DT & "," _
	  & prmONSET_DT & "," _
	  & prmEND_DT & "," _
	  & prmICD10_CD & "," _
	  & prmDISEASE_OUTCOME_CD & "," _
	  & prmPLURAL_GRP_CD & "," _
	  & prmREMARKS1 & "," _
	  & prmREMARKS2 & "," _
	  & prmHSP_DISEASE_CD & "," _
	  & prmICD9_CD & "," _
	  & prmCAUSE_GRP_CD & "," _
	  & prmDEATH_CAUSE_FLG & "," _
	  & prmSPECIMEN_NO & "," _
	  & prmICDO_FORM_CD & "," _
	  & prmICDO_FORM_6DIGS_CD & "," _
	  & prmL_GRP_CD & "," _
	  & prmM_GRP_CD & "," _
	  & prmS_GRP_CD & "," _
	  & prmGRP300_CD & "," _
	  & prmA_GRP_CD & "," _
	  & prmB_GRP_CD & "," _
	  & prmC_GRP_CD & "," _
	  & prmDEATH_GRP_CD & "," _
	  & prmCAUSE_L_GRP_CD & "," _
	  & prmCAUSE_DEATH_GRP_CD & "," _
	  & prmCAUSE_4GRP_PTN & "," _
	  & prmCAUSE_4DIGS_CD & "," _
	  & prmICD9_L_GRP_CD & "," _
	  & prmICD9_M_GRP_CD & "," _
	  & prmICD9_ASST_GRP1_CD & "," _
	  & prmICD9_ASST_GRP2_CD & "," _
	  & prmICD9_ASST_GRP3_CD & "," _
	  & prmDISEASE_MNG_DIV & "," _
	  & prmDISEASE_MNG_NO & "," _
	  & prmHSP_DISEASE_FLG & "," _
	  & prmAFTER_HSP_DISEASE_FLG & "," _
	  & prmCNR_REG_STATUS_CD & "," _
	  & prmCNR_REG_EXTRACT_DT & "," _
	  & prmICDO_MNG_DIV & "," _
	  & prmICDO_MNG_NO & "," _
	  & prmICDO_FORM_NM & "," _
	  & prmDIRECT_DEATH_DISEASE_FLG & "," _
	  & prmDIRECT_DEATH_CAUSE_FLG_V3 & "," _
	  & prmCAUSE_GRP_NM & "," _
	  & prmCAUSE_4GRP_NM & "," _
	  & prmDATA_CAPTURE_DT & "," _
	  & prmNEW_REG_DT & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
