﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 共通処理_伝票コードデータクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datSlip_Cd
	Public SLIP_CD As String = Nothing									'伝票コード
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_データクラス（貸出中存在チェック）
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_LEND_CheckLending
	Public PATIENT_NO As String = Nothing								'患者番号
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_データクラス（Record Lock用）
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_LEND_LOCK
	Public PATIENT_NO As String = Nothing								'患者番号
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_最大貸出連番、返却日データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datLendSerialNo
	Public LENDSERIAL_NO As Integer = Nothing							'貸出連番
	Public BACK_DT As String = Nothing									'返却日
End Class

'(A) STR V4-11044-000 011 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
''' ---------------------------------------------
''' <summary>
''' 共通処理_最大貸出準備連番、返却日データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datLendPrepareSerialNo
	Public LENDSERIAL_NO As Integer = Nothing							'貸出連番
	Public BACK_DT As String = Nothing									'返却日
End Class
'(A) END V4-11044-000 011 20110909
''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出情報データ受渡しクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_LEND
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号
	Public LENDITEM_CD As String = Nothing								'貸出物コード
	Public LENDSERIAL_NO As Integer = Nothing							'貸出連番
	Public SLIP_CD As String = Nothing									'伝票コード
	Public LENDAIM_CD As String = Nothing								'貸出目的コード
	Public LCT_CD As String = Nothing									'所在場所コード
	Public ISSUE_DT As String = Nothing									'貸出日
	Public EXPECTBACK_DT As String = Nothing							'返却予定日
	Public URGEDBACK_DT As String = Nothing								'返却督促日
	Public BACK_DT As String = Nothing									'返却日
	Public BORROWER_DIV As String = Nothing								'借用者部門コード
	Public BORROWER_CD As String = Nothing								'借用者コード
	Public BORROWER_NM As String = Nothing								'借用者名
	Public TAKER_DIV As String = Nothing								'帯出者部門コード
	Public TAKER_CD As String = Nothing									'帯出者コード
	Public TAKER_NM As String = Nothing									'帯出者名
	Public LENDCLERK_CD As String = Nothing								'貸出取扱者コード
	Public BACKCLERK_CD As String = Nothing								'返却取扱者コード
	Public REMARKS As String = Nothing									'備考
	Public IN_OUT_HSP_DIV As String = Nothing							'院内院外区分コード
	Public LASTUPDUSER_CD As String = Nothing							'更新者コード
	Public LASTUPD_DT As String = Nothing								'最終更新日
End Class

'(A) STR V4-11044-000 031 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出準備情報データ受渡しクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_LENDPREPARE
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号
	Public LENDITEM_CD As String = Nothing								'貸出物コード
	Public LENDSERIAL_NO As Integer = Nothing							'貸出連番
	Public SLIP_CD As String = Nothing									'伝票コード
	Public LENDAIM_CD As String = Nothing								'貸出目的コード
	Public LCT_CD As String = Nothing									'所在場所コード
	Public ISSUE_DT As String = Nothing									'貸出日
	Public EXPECTBACK_DT As String = Nothing							'返却予定日
	Public URGEDBACK_DT As String = Nothing								'返却督促日
	Public BACK_DT As String = Nothing									'返却日
	Public BORROWER_DIV As String = Nothing								'借用者部門コード
	Public BORROWER_CD As String = Nothing								'借用者コード
	Public BORROWER_NM As String = Nothing								'借用者名
	Public TAKER_DIV As String = Nothing								'帯出者部門コード
	Public TAKER_CD As String = Nothing									'帯出者コード
	Public TAKER_NM As String = Nothing									'帯出者名
	Public LENDCLERK_CD As String = Nothing								'貸出取扱者コード
	Public BACKCLERK_CD As String = Nothing								'返却取扱者コード
	Public REMARKS As String = Nothing									'備考
	Public IN_OUT_HSP_DIV As String = Nothing							'院内院外区分コード
	Public LASTUPDUSER_CD As String = Nothing							'更新者コード
	Public LASTUPD_DT As String = Nothing								'最終更新日
End Class
'(A) END V4-11044-000 031 20110909
''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出情報ＳＱＬクラス
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_LEND
	' 伝票コード先頭１桁
	Public Const C_SLIP_CD_1 As String = "D"
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const C_RSLIP_CD_1 As String = "R"
'(A) END V4-11044-000 003 20110909
	' 伝票コード月単位の初期値
	Public Const C_SLIP_CD_MAX As Integer = 9999
	' 伝票コード月単位の最大数
	Public Const C_SLIP_CD_MIN As String = "-0001"
	' 伝票コード月単位の最大オーバーエラー文字
	Public Const C_SLIP_CD_MAXOVER As String = "DXXXX-XXXX"
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const C_RSLIP_CD_MAXOVER As String = "RXXXX-XXXX"
'(A) END V4-11044-000 003 20110909
	' 項目名
	Public Const itmLENDAIM_CD As String = "LENDAIM_CD"						'貸出目的コード
	Public Const itmLENDDAYS As String = "LENDDAYS"							'貸出日数
	Public Const itmSLIP_CD As String = "SLIP_CD"							'伝票コード
	Public Const itmLENDSERIAL_NO As String = "LENDSERIAL_NO"				'貸出連番
	' パラメータ
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"								'科歴番号
	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"					'貸出物コード
	Public Const prmLENDSERIAL_NO As String = "@LENDSERIAL_NO"				'貸出連番

	Public Const prmSLIP_CD As String = "@SLIP_CD"							'伝票コード
	Public Const prmLENDAIM_CD As String = "@LENDAIM_CD"					'貸出目的コード
	Public Const prmLCT_CD As String = "@LCT_CD"							'所在場所コード
	Public Const prmISSUE_DT As String = "@ISSUE_DT"						'貸出日
	Public Const prmEXPECTBACK_DT As String = "@EXPECTBACK_DT"				'返却予定日
	Public Const prmURGEDBACK_DT As String = "@URGEDBACK_DT"				'返却督促日
	Public Const prmBACK_DT As String = "@BACK_DT"							'返却日
	Public Const prmBORROWER_DIV As String = "@BORROWER_DIV"				'借用者部門コード
	Public Const prmBORROWER_CD As String = "@BORROWER_CD"					'借用者コード
	Public Const prmBORROWER_NM As String = "@BORROWER_NM"					'借用者名
	Public Const prmTAKER_DIV As String = "@TAKER_DIV"						'帯出者部門コード
	Public Const prmTAKER_CD As String = "@TAKER_CD"						'帯出者コード
	Public Const prmTAKER_NM As String = "@TAKER_NM"						'帯出者名
	Public Const prmLENDCLERK_CD As String = "@LENDCLERK_CD"				'貸出取扱者コード
	Public Const prmBACKCLERK_CD As String = "@BACKCLERK_CD"				'返却取扱者コード
	Public Const prmREMARKS As String = "@REMARKS"							'備考
	Public Const prmIN_OUT_HSP_DIV As String = "@IN_OUT_HSP_DIV"			'院内院外区分コード
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日

	Public Const prmSLIP_CD_YYMM As String = "@SLIP_CD_YYMM"				'伝票コード(DYYMM)

	' 貸出情報取得用SQLのSELECT句
	Public Const sqlSelect_Lend As String = _
	 "SELECT" _
	  & "  PATIENT_NO," _
	  & "  HSP_HISTORY_NO," _
	  & "  CH_NO," _
	  & "  LENDITEM_CD," _
	  & "  LENDSERIAL_NO," _
	  & "  SLIP_CD," _
	  & "  LENDAIM_CD," _
	  & "  LCT_CD," _
	  & "  CASE WHEN ISSUE_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, ISSUE_DT, 111)" _
	  & "  END AS ISSUE_DT," _
	  & "  CASE WHEN EXPECTBACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, EXPECTBACK_DT, 111)" _
	  & "  END AS EXPECTBACK_DT," _
	  & "  CASE WHEN URGEDBACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, URGEDBACK_DT, 111)" _
	  & "  END AS URGEDBACK_DT," _
	  & "  CASE WHEN BACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, BACK_DT, 111)" _
	  & "  END AS BACK_DT," _
	  & "  BORROWER_DIV," _
	  & "  BORROWER_CD," _
	  & "  BORROWER_NM," _
	  & "  TAKER_DIV," _
	  & "  TAKER_CD," _
	  & "  TAKER_NM," _
	  & "  LENDCLERK_CD," _
	  & "  BACKCLERK_CD," _
	  & "  REMARKS," _
	  & "  IN_OUT_HSP_DIV," _
	  & "  LASTUPDUSER_CD," _
	  & "  CASE WHEN LASTUPD_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, LASTUPD_DT, 111)" _
	  & "  END AS LASTUPD_DT" _
	  & " FROM MTI_LEND L"

	' 貸出情報取得
	Public Const sqlSel As String = sqlSelect_Lend _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' １科歴分の貸出情報取得
	Public Const sqlSelChKey As String = sqlSelect_Lend _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & " ORDER BY LENDITEM_CD, LENDSERIAL_NO"

	' 貸出中チェック
	Public Const sqlSelCheckLending As String = _
	 "SELECT" _
	  & "  PATIENT_NO" _
	  & " FROM MTI_LEND L" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND BACK_DT IS NULL"

	' 最大伝票番号取得
	Public Const strSqlMaxSlipCD As String = _
	 "SELECT ISNULL(MAX(SLIP_CD), 'D0000') AS SLIP_CD" _
	  & " FROM MTI_LEND" _
	  & " WHERE SLIP_CD LIKE " & prmSLIP_CD_YYMM

'(A) STR V4-11044-000 007 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	' 最大準備番号取得
	Public Const strSqlMaxRSlipCD As String = _
	 "SELECT ISNULL(MAX(SLIP_CD), 'R0000') AS SLIP_CD" _
	  & " FROM MTI_LENDPREPARE" _
	  & " WHERE SLIP_CD LIKE " & prmSLIP_CD_YYMM
'(A) END V4-11044-000 007 20110909
	' 最大貸出連番取得
	Public Const strSqlMaxLendSerialNo As String = _
	 "SELECT" _
	  & "  L.LENDSERIAL_NO," _
	  & "  CASE WHEN LL.BACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, LL.BACK_DT, 111)" _
	  & "  END AS BACK_DT" _
	  & " FROM" _
	  & " (" _
	  & "  SELECT PATIENT_NO," _
	  & "    HSP_HISTORY_NO," _
	  & "    CH_NO," _
	  & "    LENDITEM_CD," _
	  & "    ISNULL(MAX(LENDSERIAL_NO), 0) AS LENDSERIAL_NO" _
	  & "  FROM MTI_LEND" _
	  & "  WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "    AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "    AND CH_NO = " & prmCH_NO _
	  & "    AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "  GROUP BY PATIENT_NO, HSP_HISTORY_NO, CH_NO, LENDITEM_CD" _
	  & " ) L" _
	  & " LEFT JOIN MTI_LEND LL" _
	  & "  ON L.PATIENT_NO = LL.PATIENT_NO" _
	  & "  AND L.HSP_HISTORY_NO = LL.HSP_HISTORY_NO" _
	  & "  AND L.CH_NO = LL.CH_NO" _
	  & "  AND L.LENDITEM_CD = LL.LENDITEM_CD" _
	  & "  AND L.LENDSERIAL_NO = LL.LENDSERIAL_NO "

'(A) STR V4-11044-000 029 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	' 最大貸出準備連番取得
	Public Const strSqlMaxLendPrepareSerialNo As String = _
	 "SELECT" _
	  & "  L.LENDSERIAL_NO," _
	  & "  CASE WHEN LL.BACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, LL.BACK_DT, 111)" _
	  & "  END AS BACK_DT" _
	  & " FROM" _
	  & " (" _
	  & "  SELECT PATIENT_NO," _
	  & "    HSP_HISTORY_NO," _
	  & "    CH_NO," _
	  & "    LENDITEM_CD," _
	  & "    ISNULL(MAX(LENDSERIAL_NO), 0) AS LENDSERIAL_NO" _
	  & "  FROM MTI_LENDPREPARE" _
	  & "  WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "    AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "    AND CH_NO = " & prmCH_NO _
	  & "    AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "  GROUP BY PATIENT_NO, HSP_HISTORY_NO, CH_NO, LENDITEM_CD" _
	  & " ) L" _
	  & " LEFT JOIN MTI_LENDPREPARE LL" _
	  & "  ON L.PATIENT_NO = LL.PATIENT_NO" _
	  & "  AND L.HSP_HISTORY_NO = LL.HSP_HISTORY_NO" _
	  & "  AND L.CH_NO = LL.CH_NO" _
	  & "  AND L.LENDITEM_CD = LL.LENDITEM_CD" _
	  & "  AND L.LENDSERIAL_NO = LL.LENDSERIAL_NO "
'(A) END V4-11044-000 029 20110909
	' 貸出情報取得（Record Lock）
	Public Const sqlSelLock As String = _
	 "SELECT" _
	  & "  PATIENT_NO" _
	  & " From MTI_LEND " & clsDB.forupdate _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' 貸出情報登録
	Public Const sqlAddLend As String = _
	 "INSERT INTO MTI_LEND" _
	  & " (" _
	  & "  PATIENT_NO," _
	  & "  HSP_HISTORY_NO," _
	  & "  CH_NO," _
	  & "  LENDITEM_CD," _
	  & "  LENDSERIAL_NO," _
	  & "  SLIP_CD," _
	  & "  LENDAIM_CD," _
	  & "  LCT_CD," _
	  & "  ISSUE_DT," _
	  & "  EXPECTBACK_DT," _
	  & "  BORROWER_DIV," _
	  & "  BORROWER_CD," _
	  & "  BORROWER_NM," _
	  & "  TAKER_DIV," _
	  & "  TAKER_CD," _
	  & "  TAKER_NM," _
	  & "  LENDCLERK_CD," _
	  & "  REMARKS," _
	  & "  LASTUPDUSER_CD," _
	  & "  LASTUPD_DT" _
	  & " )" _
	  & " VALUES" _
	  & " (" _
	  & "  " & prmPATIENT_NO & "," _
	  & "  " & prmHSP_HISTORY_NO & "," _
	  & "  " & prmCH_NO & "," _
	  & "  " & prmLENDITEM_CD & "," _
	  & "  " & prmLENDSERIAL_NO & "," _
	  & "  " & prmSLIP_CD & "," _
	  & "  " & prmLENDAIM_CD & "," _
	  & "  " & prmLCT_CD & "," _
	  & "  " & prmISSUE_DT & "," _
	  & "  " & prmEXPECTBACK_DT & "," _
	  & "  " & prmBORROWER_DIV & "," _
	  & "  " & prmBORROWER_CD & "," _
	  & "  " & prmBORROWER_NM & "," _
	  & "  " & prmTAKER_DIV & "," _
	  & "  " & prmTAKER_CD & "," _
	  & "  " & prmTAKER_NM & "," _
	  & "  " & prmLENDCLERK_CD & "," _
	  & "  " & prmREMARKS & "," _
	  & "  " & prmLASTUPDUSER_CD & "," _
	  & "  " & prmLASTUPD_DT _
	  & " )"
'(A) STR V4-11044-000 049 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	' 貸出準備情報登録
	Public Const sqlAddLendPrepare As String = _
	 "INSERT INTO MTI_LENDPREPARE" _
	  & " (" _
	  & "  PATIENT_NO," _
	  & "  HSP_HISTORY_NO," _
	  & "  CH_NO," _
	  & "  LENDITEM_CD," _
	  & "  LENDSERIAL_NO," _
	  & "  SLIP_CD," _
	  & "  LENDAIM_CD," _
	  & "  LCT_CD," _
	  & "  ISSUE_DT," _
	  & "  EXPECTBACK_DT," _
	  & "  BORROWER_DIV," _
	  & "  BORROWER_CD," _
	  & "  BORROWER_NM," _
	  & "  TAKER_DIV," _
	  & "  TAKER_CD," _
	  & "  TAKER_NM," _
	  & "  LENDCLERK_CD," _
	  & "  REMARKS," _
	  & "  LASTUPDUSER_CD," _
	  & "  LASTUPD_DT" _
	  & " )" _
	  & " VALUES" _
	  & " (" _
	  & "  " & prmPATIENT_NO & "," _
	  & "  " & prmHSP_HISTORY_NO & "," _
	  & "  " & prmCH_NO & "," _
	  & "  " & prmLENDITEM_CD & "," _
	  & "  " & prmLENDSERIAL_NO & "," _
	  & "  " & prmSLIP_CD & "," _
	  & "  " & prmLENDAIM_CD & "," _
	  & "  " & prmLCT_CD & "," _
	  & "  " & prmISSUE_DT & "," _
	  & "  " & prmEXPECTBACK_DT & "," _
	  & "  " & prmBORROWER_DIV & "," _
	  & "  " & prmBORROWER_CD & "," _
	  & "  " & prmBORROWER_NM & "," _
	  & "  " & prmTAKER_DIV & "," _
	  & "  " & prmTAKER_CD & "," _
	  & "  " & prmTAKER_NM & "," _
	  & "  " & prmLENDCLERK_CD & "," _
	  & "  " & prmREMARKS & "," _
	  & "  " & prmLASTUPDUSER_CD & "," _
	  & "  " & prmLASTUPD_DT _
	  & " )"
'(A) END V4-11044-000 049 20110909

	' 貸出情報更新（返却処理）
	Public Const sqlUpdBack As String = _
	 "UPDATE MTI_LEND" _
	  & " SET" _
	  & "  BACK_DT = " & prmBACK_DT & "," _
	  & "  BACKCLERK_CD = " & prmBACKCLERK_CD & "," _
	  & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
	  & "  LASTUPD_DT = " & prmLASTUPD_DT _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' 貸出情報更新（貸出更新処理）
	Public Const sqlLendUpd As String = _
	 "UPDATE MTI_LEND" _
	  & " SET" _
	  & "  LENDAIM_CD = " & prmLENDAIM_CD & "," _
	  & "  LCT_CD = " & prmLCT_CD & "," _
	  & "  ISSUE_DT = " & prmISSUE_DT & "," _
	  & "  EXPECTBACK_DT = " & prmEXPECTBACK_DT & "," _
	  & "  BORROWER_DIV = " & prmBORROWER_DIV & "," _
	  & "  BORROWER_CD = " & prmBORROWER_CD & "," _
	  & "  BORROWER_NM = " & prmBORROWER_NM & "," _
	  & "  TAKER_DIV = " & prmTAKER_DIV & "," _
	  & "  TAKER_CD = " & prmTAKER_CD & "," _
	  & "  TAKER_NM = " & prmTAKER_NM & "," _
	  & "  LENDCLERK_CD = " & prmLENDCLERK_CD & "," _
	  & "  REMARKS = " & prmREMARKS & "," _
	  & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
	  & "  LASTUPD_DT = " & prmLASTUPD_DT _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' 貸出情報取得
	Public Const sqlSelAllItmForLock As String = _
	 "SELECT" _
	  & "  PATIENT_NO," _
	  & "  HSP_HISTORY_NO," _
	  & "  CH_NO," _
	  & "  LENDITEM_CD," _
	  & "  LENDSERIAL_NO," _
	  & "  SLIP_CD," _
	  & "  LENDAIM_CD," _
	  & "  LCT_CD," _
	  & "  CASE WHEN ISSUE_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, ISSUE_DT, 111)" _
	  & "  END AS ISSUE_DT," _
	  & "  CASE WHEN EXPECTBACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, EXPECTBACK_DT, 111)" _
	  & "  END AS EXPECTBACK_DT," _
	  & "  CASE WHEN URGEDBACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, URGEDBACK_DT, 111)" _
	  & "  END AS URGEDBACK_DT," _
	  & "  CASE WHEN BACK_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, BACK_DT, 111)" _
	  & "  END AS BACK_DT," _
	  & "  BORROWER_DIV," _
	  & "  BORROWER_CD," _
	  & "  BORROWER_NM," _
	  & "  TAKER_DIV," _
	  & "  TAKER_CD," _
	  & "  TAKER_NM," _
	  & "  LENDCLERK_CD," _
	  & "  BACKCLERK_CD," _
	  & "  REMARKS," _
	  & "  IN_OUT_HSP_DIV," _
	  & "  LASTUPDUSER_CD," _
	  & "  CASE WHEN LASTUPD_DT IS NULL" _
	  & "   THEN ''" _
	  & "   ELSE CONVERT(varchar, LASTUPD_DT, 111)" _
	  & "  END AS LASTUPD_DT" _
	  & " FROM MTI_LEND L" & clsDB.forupdate _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' 貸出情報更新（返却督促処理）
	Public Const sqlUpdUrgedBack As String = _
	 "UPDATE MTI_LEND" _
	  & " SET" _
	  & "  URGEDBACK_DT = " & prmURGEDBACK_DT & "," _
	  & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
	  & "  LASTUPD_DT = " & prmLASTUPD_DT _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' 貸出情報更新（返却督促処理）
	Public Const sqlUpdExpectBack As String = _
	 "UPDATE MTI_LEND" _
	  & " SET" _
	  & "  EXPECTBACK_DT = " & prmEXPECTBACK_DT & "," _
	  & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
	  & "  LASTUPD_DT = " & prmLASTUPD_DT _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & "   AND CH_NO = " & prmCH_NO _
	  & "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	  & "   AND LENDSERIAL_NO = " & prmLENDSERIAL_NO

	' １患者分の貸出情報を削除
	Public Const sqlDelLend_Patient As String = _
	 "DELETE FROM MTI_LEND" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の貸出情報を削除
	Public Const sqlDelLend_Hsp As String = _
	 "DELETE FROM MTI_LEND" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の貸出情報を削除
	Public Const sqlDelLend_Ch As String = _
	 "DELETE FROM MTI_LEND" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

End Class
