﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 監査＿入力引数クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class clsIN_Inspect
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">v</param>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal strPatient_No As String, ByVal iHsp_History_No As Integer, ByVal iCh_No As Integer)
		PATIENT_NO = strPatient_No
		HSP_HISTORY_NO = iHsp_History_No
		CH_NO = iCh_No
	End Sub
End Class

'''---------------------------------------------
''' <summary>
''' 監査＿出力引数クラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class clsOUT_Inspect
	' キー情報
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号
	' 科歴（入退院）情報
	Public DOCTOR_CD As String = Nothing								'医師コード
	Public DOCTOR_NM As String = Nothing								'医師名
	' 監査情報
	Public INSPECT1_DT As String = Nothing								'監査日１
	Public FINISHING_FLG As Integer = Nothing							'完了フラグ
	Public INSPECT_FINISHING_DT As String = Nothing						'監査完了日
	' 貸出物情報
	Public RECORD_MNGSTATUS_CD As String = Nothing						'カルテ管理状況コード
	Public RECORD_MNGSTATUS_NM As String = Nothing						'カルテ管理状況名
	Public RECORD_MNGSTATUS1_RNM As String = Nothing					'カルテ管理状況略称名１
	Public RECORD_ARG_STATUS_CD As String = Nothing						'カルテ整理状況コード
	Public RECORD_ARG_STATUS_RNM As String = Nothing					'カルテ整理状況略称名
	Public RECORD_COUNT As String = Nothing								'カルテ数
	Public RECORD_KEEPLCT_CD As String = Nothing						'カルテ保管場所コード
	Public RECORD_KEEPLCT_RNM As String = Nothing						'カルテ保管場所略称名
	Public SUMMARY_MNGSTATUS_CD As String = Nothing						'サマリ管理状況コード
	Public SUMMARY_MNGSTATUS_NM As String = Nothing						'サマリ管理状況名
	Public SUMMARY_MNGSTATUS1_RNM As String = Nothing					'サマリ管理状況略称名１
	Public SUMMARY_COUNT As String = Nothing							'サマリ数
	Public SUMMARY_KEEPLCT_CD As String = Nothing						'サマリ保管場所コード
	Public SUMMARY_KEEPLCT_RNM As String = Nothing						'サマリ保管場所略称名

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/12/09 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		' キー情報
		PATIENT_NO = Nothing
		HSP_HISTORY_NO = Nothing
		CH_NO = Nothing
		' 科歴（入退院）情報
		DOCTOR_CD = Nothing
		DOCTOR_NM = Nothing
		' 監査情報
		INSPECT1_DT = Nothing
		FINISHING_FLG = Nothing
		INSPECT_FINISHING_DT = Nothing
		' 貸出物情報
		RECORD_MNGSTATUS_CD = Nothing
		RECORD_MNGSTATUS_NM = Nothing
		RECORD_MNGSTATUS1_RNM = Nothing
		RECORD_ARG_STATUS_CD = Nothing
		RECORD_ARG_STATUS_RNM = Nothing
		RECORD_COUNT = Nothing
		RECORD_KEEPLCT_CD = Nothing
		RECORD_KEEPLCT_RNM = Nothing
		SUMMARY_MNGSTATUS_CD = Nothing
		SUMMARY_MNGSTATUS_NM = Nothing
		SUMMARY_MNGSTATUS1_RNM = Nothing
		SUMMARY_COUNT = Nothing
		SUMMARY_KEEPLCT_CD = Nothing
		SUMMARY_KEEPLCT_RNM = Nothing
	End Sub
End Class

'''---------------------------------------------
''' <summary>
''' 監査＿貸出物情報データクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class datMTI_LENDITM_INFO
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing							'入退院歴番号
	Public CH_NO As Integer = Nothing									'科歴番号
	Public RECORD_RECEIPT_DT As String = Nothing						'カルテ受領日
	Public RECORD_ARG_STATUS_CD As String = Nothing						'カルテ整理状況コード
	Public RECORD_MNGSTATUS_CD As String = Nothing						'カルテ管理状況コード
	Public SUMMARY_RECEIPT_DT As String = Nothing						'サマリ受領日
	Public SUMMARY_MAKER_CD As String = Nothing							'サマリ作成者コード
	Public SUMMARY_MNGSTATUS_CD As String = Nothing						'サマリ管理状況コード
End Class

'''---------------------------------------------
''' <summary>
''' 監査＿ＳＱＬクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class sqlXSP160F010
	' 項目名
	Public Const itmPATIENT_NO As String = "PATIENT_NO"						'患者番号
	Public Const itmPATIENT_NM As String = "PATIENT_NM"						'氏名
	Public Const itmDEPT_RNM As String = "DEPT_RNM"							'診療科略称名
	Public Const itmSTART_DT As String = "START_DT"							'開始日
	Public Const itmEND_DT As String = "END_DT"								'終了日
	Public Const itmHSP_CNL_RNM As String = "HSP_CNL_RNM"					'入院経路略称名
	Public Const itmOUT_HSP_CNL_RNM As String = "OUT_HSP_CNL_RNM"			'退院経路略称名
	Public Const itmOUT_HSP_OUTCOME_RNM As String = "OUT_HSP_OUTCOME_RNM"	'退院転帰略称名
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"						'医師コード

	Public Const itmINSPECT1_DT As String = "INSPECT1_DT"					'監査日１
	Public Const itmINSPECT2_DT As String = "INSPECT2_DT"					'監査日２
	Public Const itmINSPECT3_DT As String = "INSPECT3_DT"					'監査日３
	Public Const itmAUDITOR_CD As String = "AUDITOR_CD"						'監査人コード
	Public Const itmFINISHING_FLG As String = "FINISHING_FLG"				'完了フラグ
	Public Const itmINSPECT_FINISHING_DT As String = "INSPECT_FINISHING_DT"	'監査完了日

	Public Const itmTAB_NM As String = "TAB_NM"								'タブ名

	' パラメータ
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"								'科歴番号
	Public Const prmINSPECT1_DT As String = "@INSPECT1_DT"					'監査日１
	Public Const prmINSPECT2_DT As String = "@INSPECT2_DT"					'監査日２
	Public Const prmINSPECT3_DT As String = "@INSPECT3_DT"					'監査日３
	Public Const prmINSPECT001_1 As String = "@INSPECT001_1"				'001監査１
	Public Const prmINSPECT001_2 As String = "@INSPECT001_2"				'001監査２
	Public Const prmINSPECT001_3 As String = "@INSPECT001_3"				'001監査３
	Public Const prmDOCTOR001_CD As String = "@DOCTOR001_CD"				'001医師コード
	Public Const prmINSPECT002_1 As String = "@INSPECT002_1"				'002監査１
	Public Const prmINSPECT002_2 As String = "@INSPECT002_2"				'002監査２
	Public Const prmINSPECT002_3 As String = "@INSPECT002_3"				'002監査３
	Public Const prmDOCTOR002_CD As String = "@DOCTOR002_CD"				'002医師コード
	Public Const prmINSPECT003_1 As String = "@INSPECT003_1"				'003監査１
	Public Const prmINSPECT003_2 As String = "@INSPECT003_2"				'003監査２
	Public Const prmINSPECT003_3 As String = "@INSPECT003_3"				'003監査３
	Public Const prmDOCTOR003_CD As String = "@DOCTOR003_CD"				'003医師コード
	Public Const prmINSPECT004_1 As String = "@INSPECT004_1"				'004監査１
	Public Const prmINSPECT004_2 As String = "@INSPECT004_2"				'004監査２
	Public Const prmINSPECT004_3 As String = "@INSPECT004_3"				'004監査３
	Public Const prmDOCTOR004_CD As String = "@DOCTOR004_CD"				'004医師コード
	Public Const prmINSPECT005_1 As String = "@INSPECT005_1"				'005監査１
	Public Const prmINSPECT005_2 As String = "@INSPECT005_2"				'005監査２
	Public Const prmINSPECT005_3 As String = "@INSPECT005_3"				'005監査３
	Public Const prmDOCTOR005_CD As String = "@DOCTOR005_CD"				'005医師コード
	Public Const prmINSPECT006_1 As String = "@INSPECT006_1"				'006監査１
	Public Const prmINSPECT006_2 As String = "@INSPECT006_2"				'006監査２
	Public Const prmINSPECT006_3 As String = "@INSPECT006_3"				'006監査３
	Public Const prmDOCTOR006_CD As String = "@DOCTOR006_CD"				'006医師コード
	Public Const prmINSPECT007_1 As String = "@INSPECT007_1"				'007監査１
	Public Const prmINSPECT007_2 As String = "@INSPECT007_2"				'007監査２
	Public Const prmINSPECT007_3 As String = "@INSPECT007_3"				'007監査３
	Public Const prmDOCTOR007_CD As String = "@DOCTOR007_CD"				'007医師コード
	Public Const prmINSPECT008_1 As String = "@INSPECT008_1"				'008監査１
	Public Const prmINSPECT008_2 As String = "@INSPECT008_2"				'008監査２
	Public Const prmINSPECT008_3 As String = "@INSPECT008_3"				'008監査３
	Public Const prmDOCTOR008_CD As String = "@DOCTOR008_CD"				'008医師コード
	Public Const prmINSPECT009_1 As String = "@INSPECT009_1"				'009監査１
	Public Const prmINSPECT009_2 As String = "@INSPECT009_2"				'009監査２
	Public Const prmINSPECT009_3 As String = "@INSPECT009_3"				'009監査３
	Public Const prmDOCTOR009_CD As String = "@DOCTOR009_CD"				'009医師コード
	Public Const prmINSPECT010_1 As String = "@INSPECT010_1"				'010監査１
	Public Const prmINSPECT010_2 As String = "@INSPECT010_2"				'010監査２
	Public Const prmINSPECT010_3 As String = "@INSPECT010_3"				'010監査３
	Public Const prmDOCTOR010_CD As String = "@DOCTOR010_CD"				'010医師コード
	Public Const prmINSPECT011_1 As String = "@INSPECT011_1"				'011監査１
	Public Const prmINSPECT011_2 As String = "@INSPECT011_2"				'011監査２
	Public Const prmINSPECT011_3 As String = "@INSPECT011_3"				'011監査３
	Public Const prmDOCTOR011_CD As String = "@DOCTOR011_CD"				'011医師コード
	Public Const prmINSPECT012_1 As String = "@INSPECT012_1"				'012監査１
	Public Const prmINSPECT012_2 As String = "@INSPECT012_2"				'012監査２
	Public Const prmINSPECT012_3 As String = "@INSPECT012_3"				'012監査３
	Public Const prmDOCTOR012_CD As String = "@DOCTOR012_CD"				'012医師コード
	Public Const prmINSPECT013_1 As String = "@INSPECT013_1"				'013監査１
	Public Const prmINSPECT013_2 As String = "@INSPECT013_2"				'013監査２
	Public Const prmINSPECT013_3 As String = "@INSPECT013_3"				'013監査３
	Public Const prmDOCTOR013_CD As String = "@DOCTOR013_CD"				'013医師コード
	Public Const prmINSPECT014_1 As String = "@INSPECT014_1"				'014監査１
	Public Const prmINSPECT014_2 As String = "@INSPECT014_2"				'014監査２
	Public Const prmINSPECT014_3 As String = "@INSPECT014_3"				'014監査３
	Public Const prmDOCTOR014_CD As String = "@DOCTOR014_CD"				'014医師コード
	Public Const prmINSPECT015_1 As String = "@INSPECT015_1"				'015監査１
	Public Const prmINSPECT015_2 As String = "@INSPECT015_2"				'015監査２
	Public Const prmINSPECT015_3 As String = "@INSPECT015_3"				'015監査３
	Public Const prmDOCTOR015_CD As String = "@DOCTOR015_CD"				'015医師コード
	Public Const prmINSPECT016_1 As String = "@INSPECT016_1"				'016監査１
	Public Const prmINSPECT016_2 As String = "@INSPECT016_2"				'016監査２
	Public Const prmINSPECT016_3 As String = "@INSPECT016_3"				'016監査３
	Public Const prmDOCTOR016_CD As String = "@DOCTOR016_CD"				'016医師コード
	Public Const prmINSPECT017_1 As String = "@INSPECT017_1"				'017監査１
	Public Const prmINSPECT017_2 As String = "@INSPECT017_2"				'017監査２
	Public Const prmINSPECT017_3 As String = "@INSPECT017_3"				'017監査３
	Public Const prmDOCTOR017_CD As String = "@DOCTOR017_CD"				'017医師コード
	Public Const prmINSPECT018_1 As String = "@INSPECT018_1"				'018監査１
	Public Const prmINSPECT018_2 As String = "@INSPECT018_2"				'018監査２
	Public Const prmINSPECT018_3 As String = "@INSPECT018_3"				'018監査３
	Public Const prmDOCTOR018_CD As String = "@DOCTOR018_CD"				'018医師コード
	Public Const prmINSPECT019_1 As String = "@INSPECT019_1"				'019監査１
	Public Const prmINSPECT019_2 As String = "@INSPECT019_2"				'019監査２
	Public Const prmINSPECT019_3 As String = "@INSPECT019_3"				'019監査３
	Public Const prmDOCTOR019_CD As String = "@DOCTOR019_CD"				'019医師コード
	Public Const prmINSPECT020_1 As String = "@INSPECT020_1"				'020監査１
	Public Const prmINSPECT020_2 As String = "@INSPECT020_2"				'020監査２
	Public Const prmINSPECT020_3 As String = "@INSPECT020_3"				'020監査３
	Public Const prmDOCTOR020_CD As String = "@DOCTOR020_CD"				'020医師コード
	Public Const prmINSPECT021_1 As String = "@INSPECT021_1"				'021監査１
	Public Const prmINSPECT021_2 As String = "@INSPECT021_2"				'021監査２
	Public Const prmINSPECT021_3 As String = "@INSPECT021_3"				'021監査３
	Public Const prmDOCTOR021_CD As String = "@DOCTOR021_CD"				'021医師コード
	Public Const prmINSPECT022_1 As String = "@INSPECT022_1"				'022監査１
	Public Const prmINSPECT022_2 As String = "@INSPECT022_2"				'022監査２
	Public Const prmINSPECT022_3 As String = "@INSPECT022_3"				'022監査３
	Public Const prmDOCTOR022_CD As String = "@DOCTOR022_CD"				'022医師コード
	Public Const prmINSPECT023_1 As String = "@INSPECT023_1"				'023監査１
	Public Const prmINSPECT023_2 As String = "@INSPECT023_2"				'023監査２
	Public Const prmINSPECT023_3 As String = "@INSPECT023_3"				'023監査３
	Public Const prmDOCTOR023_CD As String = "@DOCTOR023_CD"				'023医師コード
	Public Const prmINSPECT024_1 As String = "@INSPECT024_1"				'024監査１
	Public Const prmINSPECT024_2 As String = "@INSPECT024_2"				'024監査２
	Public Const prmINSPECT024_3 As String = "@INSPECT024_3"				'024監査３
	Public Const prmDOCTOR024_CD As String = "@DOCTOR024_CD"				'024医師コード
	Public Const prmINSPECT025_1 As String = "@INSPECT025_1"				'025監査１
	Public Const prmINSPECT025_2 As String = "@INSPECT025_2"				'025監査２
	Public Const prmINSPECT025_3 As String = "@INSPECT025_3"				'025監査３
	Public Const prmDOCTOR025_CD As String = "@DOCTOR025_CD"				'025医師コード
	Public Const prmINSPECT026_1 As String = "@INSPECT026_1"				'026監査１
	Public Const prmINSPECT026_2 As String = "@INSPECT026_2"				'026監査２
	Public Const prmINSPECT026_3 As String = "@INSPECT026_3"				'026監査３
	Public Const prmDOCTOR026_CD As String = "@DOCTOR026_CD"				'026医師コード
	Public Const prmINSPECT027_1 As String = "@INSPECT027_1"				'027監査１
	Public Const prmINSPECT027_2 As String = "@INSPECT027_2"				'027監査２
	Public Const prmINSPECT027_3 As String = "@INSPECT027_3"				'027監査３
	Public Const prmDOCTOR027_CD As String = "@DOCTOR027_CD"				'027医師コード
	Public Const prmINSPECT028_1 As String = "@INSPECT028_1"				'028監査１
	Public Const prmINSPECT028_2 As String = "@INSPECT028_2"				'028監査２
	Public Const prmINSPECT028_3 As String = "@INSPECT028_3"				'028監査３
	Public Const prmDOCTOR028_CD As String = "@DOCTOR028_CD"				'028医師コード
	Public Const prmINSPECT029_1 As String = "@INSPECT029_1"				'029監査１
	Public Const prmINSPECT029_2 As String = "@INSPECT029_2"				'029監査２
	Public Const prmINSPECT029_3 As String = "@INSPECT029_3"				'029監査３
	Public Const prmDOCTOR029_CD As String = "@DOCTOR029_CD"				'029医師コード
	Public Const prmINSPECT030_1 As String = "@INSPECT030_1"				'030監査１
	Public Const prmINSPECT030_2 As String = "@INSPECT030_2"				'030監査２
	Public Const prmINSPECT030_3 As String = "@INSPECT030_3"				'030監査３
	Public Const prmDOCTOR030_CD As String = "@DOCTOR030_CD"				'030医師コード
	Public Const prmINSPECT031_1 As String = "@INSPECT031_1"				'031監査１
	Public Const prmINSPECT031_2 As String = "@INSPECT031_2"				'031監査２
	Public Const prmINSPECT031_3 As String = "@INSPECT031_3"				'031監査３
	Public Const prmDOCTOR031_CD As String = "@DOCTOR031_CD"				'031医師コード
	Public Const prmINSPECT032_1 As String = "@INSPECT032_1"				'032監査１
	Public Const prmINSPECT032_2 As String = "@INSPECT032_2"				'032監査２
	Public Const prmINSPECT032_3 As String = "@INSPECT032_3"				'032監査３
	Public Const prmDOCTOR032_CD As String = "@DOCTOR032_CD"				'032医師コード
	Public Const prmINSPECT033_1 As String = "@INSPECT033_1"				'033監査１
	Public Const prmINSPECT033_2 As String = "@INSPECT033_2"				'033監査２
	Public Const prmINSPECT033_3 As String = "@INSPECT033_3"				'033監査３
	Public Const prmDOCTOR033_CD As String = "@DOCTOR033_CD"				'033医師コード
	Public Const prmINSPECT034_1 As String = "@INSPECT034_1"				'034監査１
	Public Const prmINSPECT034_2 As String = "@INSPECT034_2"				'034監査２
	Public Const prmINSPECT034_3 As String = "@INSPECT034_3"				'034監査３
	Public Const prmDOCTOR034_CD As String = "@DOCTOR034_CD"				'034医師コード
	Public Const prmINSPECT035_1 As String = "@INSPECT035_1"				'035監査１
	Public Const prmINSPECT035_2 As String = "@INSPECT035_2"				'035監査２
	Public Const prmINSPECT035_3 As String = "@INSPECT035_3"				'035監査３
	Public Const prmDOCTOR035_CD As String = "@DOCTOR035_CD"				'035医師コード
	Public Const prmINSPECT036_1 As String = "@INSPECT036_1"				'036監査１
	Public Const prmINSPECT036_2 As String = "@INSPECT036_2"				'036監査２
	Public Const prmINSPECT036_3 As String = "@INSPECT036_3"				'036監査３
	Public Const prmDOCTOR036_CD As String = "@DOCTOR036_CD"				'036医師コード
	Public Const prmINSPECT037_1 As String = "@INSPECT037_1"				'037監査１
	Public Const prmINSPECT037_2 As String = "@INSPECT037_2"				'037監査２
	Public Const prmINSPECT037_3 As String = "@INSPECT037_3"				'037監査３
	Public Const prmDOCTOR037_CD As String = "@DOCTOR037_CD"				'037医師コード
	Public Const prmINSPECT038_1 As String = "@INSPECT038_1"				'038監査１
	Public Const prmINSPECT038_2 As String = "@INSPECT038_2"				'038監査２
	Public Const prmINSPECT038_3 As String = "@INSPECT038_3"				'038監査３
	Public Const prmDOCTOR038_CD As String = "@DOCTOR038_CD"				'038医師コード
	Public Const prmINSPECT039_1 As String = "@INSPECT039_1"				'039監査１
	Public Const prmINSPECT039_2 As String = "@INSPECT039_2"				'039監査２
	Public Const prmINSPECT039_3 As String = "@INSPECT039_3"				'039監査３
	Public Const prmDOCTOR039_CD As String = "@DOCTOR039_CD"				'039医師コード
	Public Const prmINSPECT040_1 As String = "@INSPECT040_1"				'040監査１
	Public Const prmINSPECT040_2 As String = "@INSPECT040_2"				'040監査２
	Public Const prmINSPECT040_3 As String = "@INSPECT040_3"				'040監査３
	Public Const prmDOCTOR040_CD As String = "@DOCTOR040_CD"				'040医師コード
	Public Const prmAUDITOR_CD As String = "@AUDITOR_CD"					'監査人コード
	Public Const prmFINISHING_FLG As String = "@FINISHING_FLG"				'完了フラグ
	Public Const prmINSPECT_FINISHING_DT As String = "@INSPECT_FINISHING_DT" '監査完了日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日

	' 監査情報取得
	Public Const sqlSel As String = _
	 "SELECT" _
	 & "  PATIENT_NO, HSP_HISTORY_NO, CH_NO," _
	 & "  INSPECT1_DT, INSPECT2_DT, INSPECT3_DT," _
	 & "  INSPECT001_1, INSPECT001_2, INSPECT001_3, DOCTOR001_CD," _
	 & "  INSPECT002_1, INSPECT002_2, INSPECT002_3, DOCTOR002_CD," _
	 & "  INSPECT003_1, INSPECT003_2, INSPECT003_3, DOCTOR003_CD," _
	 & "  INSPECT004_1, INSPECT004_2, INSPECT004_3, DOCTOR004_CD," _
	 & "  INSPECT005_1, INSPECT005_2, INSPECT005_3, DOCTOR005_CD," _
	 & "  INSPECT006_1, INSPECT006_2, INSPECT006_3, DOCTOR006_CD," _
	 & "  INSPECT007_1, INSPECT007_2, INSPECT007_3, DOCTOR007_CD," _
	 & "  INSPECT008_1, INSPECT008_2, INSPECT008_3, DOCTOR008_CD," _
	 & "  INSPECT009_1, INSPECT009_2, INSPECT009_3, DOCTOR009_CD," _
	 & "  INSPECT010_1, INSPECT010_2, INSPECT010_3, DOCTOR010_CD," _
	 & "  INSPECT011_1, INSPECT011_2, INSPECT011_3, DOCTOR011_CD," _
	 & "  INSPECT012_1, INSPECT012_2, INSPECT012_3, DOCTOR012_CD," _
	 & "  INSPECT013_1, INSPECT013_2, INSPECT013_3, DOCTOR013_CD," _
	 & "  INSPECT014_1, INSPECT014_2, INSPECT014_3, DOCTOR014_CD," _
	 & "  INSPECT015_1, INSPECT015_2, INSPECT015_3, DOCTOR015_CD," _
	 & "  INSPECT016_1, INSPECT016_2, INSPECT016_3, DOCTOR016_CD," _
	 & "  INSPECT017_1, INSPECT017_2, INSPECT017_3, DOCTOR017_CD," _
	 & "  INSPECT018_1, INSPECT018_2, INSPECT018_3, DOCTOR018_CD," _
	 & "  INSPECT019_1, INSPECT019_2, INSPECT019_3, DOCTOR019_CD," _
	 & "  INSPECT020_1, INSPECT020_2, INSPECT020_3, DOCTOR020_CD," _
	 & "  INSPECT021_1, INSPECT021_2, INSPECT021_3, DOCTOR021_CD," _
	 & "  INSPECT022_1, INSPECT022_2, INSPECT022_3, DOCTOR022_CD," _
	 & "  INSPECT023_1, INSPECT023_2, INSPECT023_3, DOCTOR023_CD," _
	 & "  INSPECT024_1, INSPECT024_2, INSPECT024_3, DOCTOR024_CD," _
	 & "  INSPECT025_1, INSPECT025_2, INSPECT025_3, DOCTOR025_CD," _
	 & "  INSPECT026_1, INSPECT026_2, INSPECT026_3, DOCTOR026_CD," _
	 & "  INSPECT027_1, INSPECT027_2, INSPECT027_3, DOCTOR027_CD," _
	 & "  INSPECT028_1, INSPECT028_2, INSPECT028_3, DOCTOR028_CD," _
	 & "  INSPECT029_1, INSPECT029_2, INSPECT029_3, DOCTOR029_CD," _
	 & "  INSPECT030_1, INSPECT030_2, INSPECT030_3, DOCTOR030_CD," _
	 & "  INSPECT031_1, INSPECT031_2, INSPECT031_3, DOCTOR031_CD," _
	 & "  INSPECT032_1, INSPECT032_2, INSPECT032_3, DOCTOR032_CD," _
	 & "  INSPECT033_1, INSPECT033_2, INSPECT033_3, DOCTOR033_CD," _
	 & "  INSPECT034_1, INSPECT034_2, INSPECT034_3, DOCTOR034_CD," _
	 & "  INSPECT035_1, INSPECT035_2, INSPECT035_3, DOCTOR035_CD," _
	 & "  INSPECT036_1, INSPECT036_2, INSPECT036_3, DOCTOR036_CD," _
	 & "  INSPECT037_1, INSPECT037_2, INSPECT037_3, DOCTOR037_CD," _
	 & "  INSPECT038_1, INSPECT038_2, INSPECT038_3, DOCTOR038_CD," _
	 & "  INSPECT039_1, INSPECT039_2, INSPECT039_3, DOCTOR039_CD," _
	 & "  INSPECT040_1, INSPECT040_2, INSPECT040_3, DOCTOR040_CD," _
	 & "  AUDITOR_CD, FINISHING_FLG, INSPECT_FINISHING_DT" _
	 & " FROM MTI_INSPECT INS" _
	 & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	 & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	 & "   AND CH_NO = " & prmCH_NO

	'患者情報取得
	Public Const sqlSel_Patient_Info As String = _
	 "SELECT" _
	 & "  BI.PATIENT_NO," _
	 & "  BI.PATIENT_NM," _
	 & "  BI.BIRTH_DT," _
	 & "  GEN.GENDER_NM," _
	 & "  CH.HSP_HISTORY_NO," _
	 & "  CH.CH_NO," _
	 & "  CH.BYOREKI_NO," _
	 & "  DEP.DEPT_RNM," _
	 & "  WAR.WARD_NM," _
	 & "  CH.START_DT," _
	 & "  CH.END_DT," _
	 & "  OHC.OUT_HSP_CNL_RNM," _
	 & "  HSC.HSP_CNL_RNM," _
	 & "  OHO.OUT_HSP_OUTCOME_RNM," _
	 & "  CH.DOCTOR_CD," _
	 & "  SF.STAFF_NM" _
	 & " FROM XTI_BASICINFO BI" _
	 & " INNER JOIN MTI_CH CH" _
	 & "  ON BI.PATIENT_NO = CH.PATIENT_NO" _
	 & "  AND CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	 & "  AND CH.CH_NO = " & prmCH_NO _
	 & " LEFT JOIN MTM_DEPT DEP" _
	 & "  ON CH.DEPT_CD = DEP.DEPT_CD " _
	 & " LEFT JOIN MTM_OUT_HSP_CNL OHC" _
	 & "  ON CH.END_CNL_CD = OHC.OUT_HSP_CNL_CD " _
	 & " LEFT JOIN MTM_HSP_CNL HSC" _
	 & "  ON CH.START_CNL_CD = HSC.HSP_CNL_CD" _
	 & " LEFT JOIN MTM_OUT_HSP_OUTCOME	OHO" _
	 & "  ON CH.END_OUTCOME_CD = OHO.OUT_HSP_OUTCOME_CD " _
	 & " LEFT JOIN MTM_WARD	WAR" _
	 & "  On CH.WARD_CD = WAR.WARD_CD " _
	 & " LEFT JOIN XTM_GENDER GEN" _
	 & "  ON BI.GENDER_CD = GEN.GENDER_CD " _
	 & " LEFT JOIN XTM_STAFF SF" _
	 & "  ON CH.DOCTOR_CD = SF.STAFF_CD " _
	 & " WHERE BI.PATIENT_NO = " & prmPATIENT_NO

	' 貸出物情報取得
	Public Const sqlSelLendItem As String = _
	"SELECT" _
	& "  PATIENT_NO," _
	& "  HSP_HISTORY_NO," _
	& "  CH_NO," _
	& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
	& "  END AS RECORD_RECEIPT_DT," _
	& "  RECORD_ARG_STATUS_CD," _
	& "  RECORD_MNGSTATUS_CD," _
	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
	& "  END AS SUMMARY_RECEIPT_DT," _
	& "  SUMMARY_MNGSTATUS_CD," _
	& "  SUMMARY_MAKER_CD" _
	& " FROM MTI_LENDITM " & clsDB.forupdate _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO

	' 監査情報登録
	Public Const sqlInsInspect As String = _
	"INSERT INTO MTI_INSPECT" _
	& " (" _
	& "  PATIENT_NO," _
	& "  HSP_HISTORY_NO," _
	& "  CH_NO," _
	& "  INSPECT1_DT," _
	& "  FINISHING_FLG," _
	& "  LASTUPDUSER_CD," _
	& "  LASTUPD_DT" _
	& " )" _
	& " VALUES" _
	& " (" _
	& "  " & prmPATIENT_NO & "," _
	& "  " & prmHSP_HISTORY_NO & "," _
	& "  " & prmCH_NO & "," _
	& "  " & prmINSPECT1_DT & "," _
	& "  " & prmFINISHING_FLG & "," _
	& "  " & prmLASTUPDUSER_CD & "," _
	& "  " & prmLASTUPD_DT _
	& " )"

	' 監査情報更新処理
	Public Const sqlUpdInspect As String = _
	 "UPDATE MTI_INSPECT" _
	 & " SET" _
	 & "  INSPECT1_DT = " & prmINSPECT1_DT & "," _
	 & "  INSPECT2_DT = " & prmINSPECT2_DT & "," _
	 & "  INSPECT3_DT = " & prmINSPECT3_DT & "," _
	 & "  INSPECT001_1 = " & prmINSPECT001_1 & "," _
	 & "  INSPECT001_2 = " & prmINSPECT001_2 & "," _
	 & "  INSPECT001_3 = " & prmINSPECT001_3 & "," _
	 & "  DOCTOR001_CD = " & prmDOCTOR001_CD & "," _
	 & "  INSPECT002_1 = " & prmINSPECT002_1 & "," _
	 & "  INSPECT002_2 = " & prmINSPECT002_2 & "," _
	 & "  INSPECT002_3 = " & prmINSPECT002_3 & "," _
	 & "  DOCTOR002_CD = " & prmDOCTOR002_CD & "," _
	 & "  INSPECT003_1 = " & prmINSPECT003_1 & "," _
	 & "  INSPECT003_2 = " & prmINSPECT003_2 & "," _
	 & "  INSPECT003_3 = " & prmINSPECT003_3 & "," _
	 & "  DOCTOR003_CD = " & prmDOCTOR003_CD & "," _
	 & "  INSPECT004_1 = " & prmINSPECT004_1 & "," _
	 & "  INSPECT004_2 = " & prmINSPECT004_2 & "," _
	 & "  INSPECT004_3 = " & prmINSPECT004_3 & "," _
	 & "  DOCTOR004_CD = " & prmDOCTOR004_CD & "," _
	 & "  INSPECT005_1 = " & prmINSPECT005_1 & "," _
	 & "  INSPECT005_2 = " & prmINSPECT005_2 & "," _
	 & "  INSPECT005_3 = " & prmINSPECT005_3 & "," _
	 & "  DOCTOR005_CD = " & prmDOCTOR005_CD & "," _
	 & "  INSPECT006_1 = " & prmINSPECT006_1 & "," _
	 & "  INSPECT006_2 = " & prmINSPECT006_2 & "," _
	 & "  INSPECT006_3 = " & prmINSPECT006_3 & "," _
	 & "  DOCTOR006_CD = " & prmDOCTOR006_CD & "," _
	 & "  INSPECT007_1 = " & prmINSPECT007_1 & "," _
	 & "  INSPECT007_2 = " & prmINSPECT007_2 & "," _
	 & "  INSPECT007_3 = " & prmINSPECT007_3 & "," _
	 & "  DOCTOR007_CD = " & prmDOCTOR007_CD & "," _
	 & "  INSPECT008_1 = " & prmINSPECT008_1 & "," _
	 & "  INSPECT008_2 = " & prmINSPECT008_2 & "," _
	 & "  INSPECT008_3 = " & prmINSPECT008_3 & "," _
	 & "  DOCTOR008_CD = " & prmDOCTOR008_CD & "," _
	 & "  INSPECT009_1 = " & prmINSPECT009_1 & "," _
	 & "  INSPECT009_2 = " & prmINSPECT009_2 & "," _
	 & "  INSPECT009_3 = " & prmINSPECT009_3 & "," _
	 & "  DOCTOR009_CD = " & prmDOCTOR009_CD & "," _
	 & "  INSPECT010_1 = " & prmINSPECT010_1 & "," _
	 & "  INSPECT010_2 = " & prmINSPECT010_2 & "," _
	 & "  INSPECT010_3 = " & prmINSPECT010_3 & "," _
	 & "  DOCTOR010_CD = " & prmDOCTOR010_CD & "," _
	 & "  INSPECT011_1 = " & prmINSPECT011_1 & "," _
	 & "  INSPECT011_2 = " & prmINSPECT011_2 & "," _
	 & "  INSPECT011_3 = " & prmINSPECT011_3 & "," _
	 & "  DOCTOR011_CD = " & prmDOCTOR011_CD & "," _
	 & "  INSPECT012_1 = " & prmINSPECT012_1 & "," _
	 & "  INSPECT012_2 = " & prmINSPECT012_2 & "," _
	 & "  INSPECT012_3 = " & prmINSPECT012_3 & "," _
	 & "  DOCTOR012_CD = " & prmDOCTOR012_CD & "," _
	 & "  INSPECT013_1 = " & prmINSPECT013_1 & "," _
	 & "  INSPECT013_2 = " & prmINSPECT013_2 & "," _
	 & "  INSPECT013_3 = " & prmINSPECT013_3 & "," _
	 & "  DOCTOR013_CD = " & prmDOCTOR013_CD & "," _
	 & "  INSPECT014_1 = " & prmINSPECT014_1 & "," _
	 & "  INSPECT014_2 = " & prmINSPECT014_2 & "," _
	 & "  INSPECT014_3 = " & prmINSPECT014_3 & "," _
	 & "  DOCTOR014_CD = " & prmDOCTOR014_CD & "," _
	 & "  INSPECT015_1 = " & prmINSPECT015_1 & "," _
	 & "  INSPECT015_2 = " & prmINSPECT015_2 & "," _
	 & "  INSPECT015_3 = " & prmINSPECT015_3 & "," _
	 & "  DOCTOR015_CD = " & prmDOCTOR015_CD & "," _
	 & "  INSPECT016_1 = " & prmINSPECT016_1 & "," _
	 & "  INSPECT016_2 = " & prmINSPECT016_2 & "," _
	 & "  INSPECT016_3 = " & prmINSPECT016_3 & "," _
	 & "  DOCTOR016_CD = " & prmDOCTOR016_CD & "," _
	 & "  INSPECT017_1 = " & prmINSPECT017_1 & "," _
	 & "  INSPECT017_2 = " & prmINSPECT017_2 & "," _
	 & "  INSPECT017_3 = " & prmINSPECT017_3 & "," _
	 & "  DOCTOR017_CD = " & prmDOCTOR017_CD & "," _
	 & "  INSPECT018_1 = " & prmINSPECT018_1 & "," _
	 & "  INSPECT018_2 = " & prmINSPECT018_2 & "," _
	 & "  INSPECT018_3 = " & prmINSPECT018_3 & "," _
	 & "  DOCTOR018_CD = " & prmDOCTOR018_CD & "," _
	 & "  INSPECT019_1 = " & prmINSPECT019_1 & "," _
	 & "  INSPECT019_2 = " & prmINSPECT019_2 & "," _
	 & "  INSPECT019_3 = " & prmINSPECT019_3 & "," _
	 & "  DOCTOR019_CD = " & prmDOCTOR019_CD & "," _
	 & "  INSPECT020_1 = " & prmINSPECT020_1 & "," _
	 & "  INSPECT020_2 = " & prmINSPECT020_2 & "," _
	 & "  INSPECT020_3 = " & prmINSPECT020_3 & "," _
	 & "  DOCTOR020_CD = " & prmDOCTOR020_CD & "," _
	 & "  INSPECT021_1 = " & prmINSPECT021_1 & "," _
	 & "  INSPECT021_2 = " & prmINSPECT021_2 & "," _
	 & "  INSPECT021_3 = " & prmINSPECT021_3 & "," _
	 & "  DOCTOR021_CD = " & prmDOCTOR021_CD & "," _
	 & "  INSPECT022_1 = " & prmINSPECT022_1 & "," _
	 & "  INSPECT022_2 = " & prmINSPECT022_2 & "," _
	 & "  INSPECT022_3 = " & prmINSPECT022_3 & "," _
	 & "  DOCTOR022_CD = " & prmDOCTOR022_CD & "," _
	 & "  INSPECT023_1 = " & prmINSPECT023_1 & "," _
	 & "  INSPECT023_2 = " & prmINSPECT023_2 & "," _
	 & "  INSPECT023_3 = " & prmINSPECT023_3 & "," _
	 & "  DOCTOR023_CD = " & prmDOCTOR023_CD & "," _
	 & "  INSPECT024_1 = " & prmINSPECT024_1 & "," _
	 & "  INSPECT024_2 = " & prmINSPECT024_2 & "," _
	 & "  INSPECT024_3 = " & prmINSPECT024_3 & "," _
	 & "  DOCTOR024_CD = " & prmDOCTOR024_CD & "," _
	 & "  INSPECT025_1 = " & prmINSPECT025_1 & "," _
	 & "  INSPECT025_2 = " & prmINSPECT025_2 & "," _
	 & "  INSPECT025_3 = " & prmINSPECT025_3 & "," _
	 & "  DOCTOR025_CD = " & prmDOCTOR025_CD & "," _
	 & "  INSPECT026_1 = " & prmINSPECT026_1 & "," _
	 & "  INSPECT026_2 = " & prmINSPECT026_2 & "," _
	 & "  INSPECT026_3 = " & prmINSPECT026_3 & "," _
	 & "  DOCTOR026_CD = " & prmDOCTOR026_CD & "," _
	 & "  INSPECT027_1 = " & prmINSPECT027_1 & "," _
	 & "  INSPECT027_2 = " & prmINSPECT027_2 & "," _
	 & "  INSPECT027_3 = " & prmINSPECT027_3 & "," _
	 & "  DOCTOR027_CD = " & prmDOCTOR027_CD & "," _
	 & "  INSPECT028_1 = " & prmINSPECT028_1 & "," _
	 & "  INSPECT028_2 = " & prmINSPECT028_2 & "," _
	 & "  INSPECT028_3 = " & prmINSPECT028_3 & "," _
	 & "  DOCTOR028_CD = " & prmDOCTOR028_CD & "," _
	 & "  INSPECT029_1 = " & prmINSPECT029_1 & "," _
	 & "  INSPECT029_2 = " & prmINSPECT029_2 & "," _
	 & "  INSPECT029_3 = " & prmINSPECT029_3 & "," _
	 & "  DOCTOR029_CD = " & prmDOCTOR029_CD & "," _
	 & "  INSPECT030_1 = " & prmINSPECT030_1 & "," _
	 & "  INSPECT030_2 = " & prmINSPECT030_2 & "," _
	 & "  INSPECT030_3 = " & prmINSPECT030_3 & "," _
	 & "  DOCTOR030_CD = " & prmDOCTOR030_CD & "," _
	 & "  INSPECT031_1 = " & prmINSPECT031_1 & "," _
	 & "  INSPECT031_2 = " & prmINSPECT031_2 & "," _
	 & "  INSPECT031_3 = " & prmINSPECT031_3 & "," _
	 & "  DOCTOR031_CD = " & prmDOCTOR031_CD & "," _
	 & "  INSPECT032_1 = " & prmINSPECT032_1 & "," _
	 & "  INSPECT032_2 = " & prmINSPECT032_2 & "," _
	 & "  INSPECT032_3 = " & prmINSPECT032_3 & "," _
	 & "  DOCTOR032_CD = " & prmDOCTOR032_CD & "," _
	 & "  INSPECT033_1 = " & prmINSPECT033_1 & "," _
	 & "  INSPECT033_2 = " & prmINSPECT033_2 & "," _
	 & "  INSPECT033_3 = " & prmINSPECT033_3 & "," _
	 & "  DOCTOR033_CD = " & prmDOCTOR033_CD & "," _
	 & "  INSPECT034_1 = " & prmINSPECT034_1 & "," _
	 & "  INSPECT034_2 = " & prmINSPECT034_2 & "," _
	 & "  INSPECT034_3 = " & prmINSPECT034_3 & "," _
	 & "  DOCTOR034_CD = " & prmDOCTOR034_CD & "," _
	 & "  INSPECT035_1 = " & prmINSPECT035_1 & "," _
	 & "  INSPECT035_2 = " & prmINSPECT035_2 & "," _
	 & "  INSPECT035_3 = " & prmINSPECT035_3 & "," _
	 & "  DOCTOR035_CD = " & prmDOCTOR035_CD & "," _
	 & "  INSPECT036_1 = " & prmINSPECT036_1 & "," _
	 & "  INSPECT036_2 = " & prmINSPECT036_2 & "," _
	 & "  INSPECT036_3 = " & prmINSPECT036_3 & "," _
	 & "  DOCTOR036_CD = " & prmDOCTOR036_CD & "," _
	 & "  INSPECT037_1 = " & prmINSPECT037_1 & "," _
	 & "  INSPECT037_2 = " & prmINSPECT037_2 & "," _
	 & "  INSPECT037_3 = " & prmINSPECT037_3 & "," _
	 & "  DOCTOR037_CD = " & prmDOCTOR037_CD & "," _
	 & "  INSPECT038_1 = " & prmINSPECT038_1 & "," _
	 & "  INSPECT038_2 = " & prmINSPECT038_2 & "," _
	 & "  INSPECT038_3 = " & prmINSPECT038_3 & "," _
	 & "  DOCTOR038_CD = " & prmDOCTOR038_CD & "," _
	 & "  INSPECT039_1 = " & prmINSPECT039_1 & "," _
	 & "  INSPECT039_2 = " & prmINSPECT039_2 & "," _
	 & "  INSPECT039_3 = " & prmINSPECT039_3 & "," _
	 & "  DOCTOR039_CD = " & prmDOCTOR039_CD & "," _
	 & "  INSPECT040_1 = " & prmINSPECT040_1 & "," _
	 & "  INSPECT040_2 = " & prmINSPECT040_2 & "," _
	 & "  INSPECT040_3 = " & prmINSPECT040_3 & "," _
	 & "  DOCTOR040_CD = " & prmDOCTOR040_CD & "," _
	 & "  AUDITOR_CD = " & prmAUDITOR_CD & "," _
	 & "  FINISHING_FLG = " & prmFINISHING_FLG & "," _
	 & "  INSPECT_FINISHING_DT = " & prmINSPECT_FINISHING_DT & "," _
	 & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
	 & "  LASTUPD_DT = " & prmLASTUPD_DT _
	 & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	 & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	 & "   AND CH_NO = " & prmCH_NO

	' 監査情報更新処理
	Public Const sqlDelInspect As String = _
	 "DELETE FROM MTI_INSPECT" _
	 & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	 & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	 & "   AND CH_NO = " & prmCH_NO

	' 監査タブマスタ
	Public Const sqlSelMTM_Inspect_Tab As String = _
	 "SELECT TAB_CD, TAB_NM FROM MTM_INSPECT_TAB ORDER BY TAB_CD"

End Class
